#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2816
#define LARGE_STATE_COUNT 464
#define SYMBOL_COUNT 260
#define ALIAS_COUNT 4
#define TOKEN_COUNT 133
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 107

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_else = 15,
  anon_sym_if = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  anon_sym_LT = 47,
  anon_sym_GT = 48,
  sym_jsx_identifier = 49,
  anon_sym_DOT = 50,
  anon_sym_LT_SLASH = 51,
  anon_sym_SLASH_GT = 52,
  anon_sym_class = 53,
  anon_sym_extends = 54,
  anon_sym_async = 55,
  anon_sym_function = 56,
  anon_sym_EQ_GT = 57,
  sym_optional_chain = 58,
  anon_sym_new = 59,
  anon_sym_PLUS_EQ = 60,
  anon_sym_DASH_EQ = 61,
  anon_sym_STAR_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_CARET_EQ = 65,
  anon_sym_AMP_EQ = 66,
  anon_sym_PIPE_EQ = 67,
  anon_sym_GT_GT_EQ = 68,
  anon_sym_GT_GT_GT_EQ = 69,
  anon_sym_LT_LT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_AMP_AMP_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_QMARK_QMARK_EQ = 74,
  anon_sym_DOT_DOT_DOT = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  anon_sym_GT_GT = 78,
  anon_sym_GT_GT_GT = 79,
  anon_sym_LT_LT = 80,
  anon_sym_AMP = 81,
  anon_sym_CARET = 82,
  anon_sym_PIPE = 83,
  anon_sym_PLUS = 84,
  anon_sym_DASH = 85,
  anon_sym_SLASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT_EQ = 89,
  anon_sym_EQ_EQ = 90,
  anon_sym_EQ_EQ_EQ = 91,
  anon_sym_BANG_EQ = 92,
  anon_sym_BANG_EQ_EQ = 93,
  anon_sym_GT_EQ = 94,
  anon_sym_QMARK_QMARK = 95,
  anon_sym_instanceof = 96,
  anon_sym_BANG = 97,
  anon_sym_TILDE = 98,
  anon_sym_typeof = 99,
  anon_sym_void = 100,
  anon_sym_delete = 101,
  anon_sym_PLUS_PLUS = 102,
  anon_sym_DASH_DASH = 103,
  anon_sym_DQUOTE = 104,
  anon_sym_SQUOTE = 105,
  sym_unescaped_double_string_fragment = 106,
  sym_unescaped_single_string_fragment = 107,
  sym_escape_sequence = 108,
  aux_sym_comment_token1 = 109,
  anon_sym_BQUOTE = 110,
  anon_sym_DOLLAR_LBRACE = 111,
  anon_sym_SLASH2 = 112,
  sym_regex_pattern = 113,
  sym_regex_flags = 114,
  sym_number = 115,
  sym_private_property_identifier = 116,
  anon_sym_target = 117,
  sym_this = 118,
  sym_super = 119,
  sym_true = 120,
  sym_false = 121,
  sym_null = 122,
  sym_undefined = 123,
  anon_sym_AT = 124,
  anon_sym_static = 125,
  aux_sym_method_definition_token1 = 126,
  anon_sym_get = 127,
  anon_sym_set = 128,
  sym__automatic_semicolon = 129,
  sym__template_chars = 130,
  sym__ternary_qmark = 131,
  sym_html_comment = 132,
  sym_program = 133,
  sym_export_statement = 134,
  sym_namespace_export = 135,
  sym_export_clause = 136,
  sym_export_specifier = 137,
  sym__module_export_name = 138,
  sym_declaration = 139,
  sym_import = 140,
  sym_import_statement = 141,
  sym_import_clause = 142,
  sym__from_clause = 143,
  sym_namespace_import = 144,
  sym_named_imports = 145,
  sym_import_specifier = 146,
  sym_expression_statement = 147,
  sym_variable_declaration = 148,
  sym_lexical_declaration = 149,
  sym_variable_declarator = 150,
  sym_statement_block = 151,
  sym_else_clause = 152,
  sym_if_statement = 153,
  sym_switch_statement = 154,
  sym_for_statement = 155,
  sym_for_in_statement = 156,
  sym__for_header = 157,
  sym_while_statement = 158,
  sym_do_statement = 159,
  sym_try_statement = 160,
  sym_with_statement = 161,
  sym_break_statement = 162,
  sym_continue_statement = 163,
  sym_debugger_statement = 164,
  sym_return_statement = 165,
  sym_throw_statement = 166,
  sym_empty_statement = 167,
  sym_labeled_statement = 168,
  sym_switch_body = 169,
  sym_switch_case = 170,
  sym_switch_default = 171,
  sym_catch_clause = 172,
  sym_finally_clause = 173,
  sym_parenthesized_expression = 174,
  sym_expression = 175,
  sym_primary_expression = 176,
  sym_yield_expression = 177,
  sym_object = 178,
  sym_object_pattern = 179,
  sym_assignment_pattern = 180,
  sym_object_assignment_pattern = 181,
  sym_array = 182,
  sym_array_pattern = 183,
  sym_glimmer_template = 184,
  sym_glimmer_opening_tag = 185,
  sym_glimmer_closing_tag = 186,
  sym_jsx_element = 187,
  sym_jsx_text = 188,
  sym_jsx_expression = 189,
  sym_jsx_opening_element = 190,
  sym_nested_identifier = 191,
  sym_jsx_namespace_name = 192,
  sym_jsx_closing_element = 193,
  sym_jsx_self_closing_element = 194,
  sym_jsx_attribute = 195,
  sym_class = 196,
  sym_class_declaration = 197,
  sym_class_heritage = 198,
  sym_function_expression = 199,
  sym_function_declaration = 200,
  sym_generator_function = 201,
  sym_generator_function_declaration = 202,
  sym_arrow_function = 203,
  sym_call_expression = 204,
  sym_new_expression = 205,
  sym_await_expression = 206,
  sym_member_expression = 207,
  sym_subscript_expression = 208,
  sym_assignment_expression = 209,
  sym__augmented_assignment_lhs = 210,
  sym_augmented_assignment_expression = 211,
  sym__initializer = 212,
  sym__destructuring_pattern = 213,
  sym_spread_element = 214,
  sym_ternary_expression = 215,
  sym_binary_expression = 216,
  sym_unary_expression = 217,
  sym_update_expression = 218,
  sym_sequence_expression = 219,
  sym_string = 220,
  sym_comment = 221,
  sym_template_string = 222,
  sym_template_substitution = 223,
  sym_regex = 224,
  sym_meta_property = 225,
  sym_arguments = 226,
  sym_decorator = 227,
  sym_decorator_member_expression = 228,
  sym_decorator_call_expression = 229,
  sym_class_body = 230,
  sym_field_definition = 231,
  sym_formal_parameters = 232,
  sym_class_static_block = 233,
  sym_pattern = 234,
  sym_rest_pattern = 235,
  sym_method_definition = 236,
  sym_pair = 237,
  sym_pair_pattern = 238,
  sym__property_name = 239,
  sym_computed_property_name = 240,
  aux_sym_program_repeat1 = 241,
  aux_sym_export_statement_repeat1 = 242,
  aux_sym_export_clause_repeat1 = 243,
  aux_sym_named_imports_repeat1 = 244,
  aux_sym_variable_declaration_repeat1 = 245,
  aux_sym_switch_body_repeat1 = 246,
  aux_sym_object_repeat1 = 247,
  aux_sym_object_pattern_repeat1 = 248,
  aux_sym_array_repeat1 = 249,
  aux_sym_array_pattern_repeat1 = 250,
  aux_sym_glimmer_template_repeat1 = 251,
  aux_sym_jsx_element_repeat1 = 252,
  aux_sym_jsx_opening_element_repeat1 = 253,
  aux_sym_sequence_expression_repeat1 = 254,
  aux_sym_string_repeat1 = 255,
  aux_sym_string_repeat2 = 256,
  aux_sym_template_string_repeat1 = 257,
  aux_sym_class_body_repeat1 = 258,
  aux_sym_formal_parameters_repeat1 = 259,
  alias_sym_property_identifier = 260,
  alias_sym_shorthand_property_identifier = 261,
  alias_sym_shorthand_property_identifier_pattern = 262,
  alias_sym_statement_identifier = 263,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 6},
  [26] = {.index = 36, .length = 2},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [67] = {.index = 106, .length = 1},
  [68] = {.index = 107, .length = 2},
  [69] = {.index = 109, .length = 2},
  [70] = {.index = 111, .length = 2},
  [71] = {.index = 113, .length = 4},
  [72] = {.index = 117, .length = 2},
  [73] = {.index = 119, .length = 2},
  [74] = {.index = 121, .length = 2},
  [75] = {.index = 119, .length = 2},
  [76] = {.index = 123, .length = 2},
  [77] = {.index = 125, .length = 3},
  [78] = {.index = 128, .length = 2},
  [79] = {.index = 130, .length = 2},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 2},
  [83] = {.index = 139, .length = 2},
  [84] = {.index = 141, .length = 4},
  [85] = {.index = 145, .length = 2},
  [86] = {.index = 147, .length = 2},
  [87] = {.index = 149, .length = 3},
  [88] = {.index = 152, .length = 2},
  [89] = {.index = 154, .length = 3},
  [90] = {.index = 157, .length = 3},
  [91] = {.index = 160, .length = 3},
  [92] = {.index = 163, .length = 2},
  [93] = {.index = 165, .length = 3},
  [94] = {.index = 168, .length = 4},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 172, .length = 3},
  [97] = {.index = 175, .length = 3},
  [98] = {.index = 178, .length = 3},
  [99] = {.index = 181, .length = 3},
  [100] = {.index = 184, .length = 4},
  [101] = {.index = 188, .length = 2},
  [102] = {.index = 190, .length = 4},
  [103] = {.index = 194, .length = 4},
  [104] = {.index = 198, .length = 2},
  [105] = {.index = 200, .length = 4},
  [106] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [25] =
    {field_kind, 0},
  [26] =
    {field_condition, 1},
    {field_consequence, 2},
  [28] =
    {field_body, 2},
    {field_value, 1},
  [30] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [36] =
    {field_body, 2},
    {field_condition, 1},
  [38] =
    {field_body, 1},
    {field_handler, 2},
  [40] =
    {field_body, 1},
    {field_finalizer, 2},
  [42] =
    {field_body, 2},
    {field_object, 1},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [66] = {
    [2] = alias_sym_property_identifier,
  },
  [73] = {
    [1] = sym_identifier,
  },
  [95] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 11,
  [16] = 16,
  [17] = 17,
  [18] = 16,
  [19] = 16,
  [20] = 17,
  [21] = 16,
  [22] = 17,
  [23] = 16,
  [24] = 17,
  [25] = 17,
  [26] = 16,
  [27] = 17,
  [28] = 16,
  [29] = 17,
  [30] = 17,
  [31] = 16,
  [32] = 16,
  [33] = 17,
  [34] = 16,
  [35] = 17,
  [36] = 17,
  [37] = 16,
  [38] = 16,
  [39] = 17,
  [40] = 17,
  [41] = 16,
  [42] = 16,
  [43] = 17,
  [44] = 16,
  [45] = 16,
  [46] = 16,
  [47] = 17,
  [48] = 17,
  [49] = 16,
  [50] = 17,
  [51] = 17,
  [52] = 16,
  [53] = 17,
  [54] = 16,
  [55] = 17,
  [56] = 16,
  [57] = 16,
  [58] = 58,
  [59] = 16,
  [60] = 17,
  [61] = 61,
  [62] = 16,
  [63] = 63,
  [64] = 17,
  [65] = 17,
  [66] = 17,
  [67] = 16,
  [68] = 17,
  [69] = 69,
  [70] = 70,
  [71] = 69,
  [72] = 72,
  [73] = 73,
  [74] = 72,
  [75] = 72,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 70,
  [80] = 80,
  [81] = 81,
  [82] = 73,
  [83] = 69,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 78,
  [88] = 78,
  [89] = 72,
  [90] = 69,
  [91] = 76,
  [92] = 70,
  [93] = 81,
  [94] = 72,
  [95] = 80,
  [96] = 73,
  [97] = 77,
  [98] = 80,
  [99] = 84,
  [100] = 73,
  [101] = 84,
  [102] = 78,
  [103] = 69,
  [104] = 80,
  [105] = 77,
  [106] = 76,
  [107] = 81,
  [108] = 76,
  [109] = 80,
  [110] = 70,
  [111] = 76,
  [112] = 77,
  [113] = 73,
  [114] = 81,
  [115] = 81,
  [116] = 77,
  [117] = 70,
  [118] = 78,
  [119] = 119,
  [120] = 119,
  [121] = 119,
  [122] = 119,
  [123] = 119,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 128,
  [129] = 124,
  [130] = 124,
  [131] = 124,
  [132] = 132,
  [133] = 133,
  [134] = 133,
  [135] = 135,
  [136] = 135,
  [137] = 132,
  [138] = 133,
  [139] = 132,
  [140] = 135,
  [141] = 133,
  [142] = 133,
  [143] = 143,
  [144] = 135,
  [145] = 132,
  [146] = 135,
  [147] = 132,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 143,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 159,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 143,
  [166] = 166,
  [167] = 167,
  [168] = 166,
  [169] = 151,
  [170] = 157,
  [171] = 162,
  [172] = 163,
  [173] = 164,
  [174] = 154,
  [175] = 167,
  [176] = 161,
  [177] = 152,
  [178] = 148,
  [179] = 151,
  [180] = 150,
  [181] = 162,
  [182] = 153,
  [183] = 158,
  [184] = 163,
  [185] = 167,
  [186] = 153,
  [187] = 150,
  [188] = 188,
  [189] = 143,
  [190] = 154,
  [191] = 157,
  [192] = 161,
  [193] = 188,
  [194] = 148,
  [195] = 164,
  [196] = 152,
  [197] = 166,
  [198] = 158,
  [199] = 199,
  [200] = 167,
  [201] = 151,
  [202] = 202,
  [203] = 150,
  [204] = 202,
  [205] = 205,
  [206] = 157,
  [207] = 148,
  [208] = 153,
  [209] = 209,
  [210] = 158,
  [211] = 166,
  [212] = 202,
  [213] = 164,
  [214] = 202,
  [215] = 162,
  [216] = 161,
  [217] = 202,
  [218] = 218,
  [219] = 152,
  [220] = 163,
  [221] = 154,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 225,
  [228] = 228,
  [229] = 225,
  [230] = 228,
  [231] = 225,
  [232] = 232,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 233,
  [237] = 233,
  [238] = 238,
  [239] = 238,
  [240] = 238,
  [241] = 238,
  [242] = 238,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 250,
  [253] = 253,
  [254] = 244,
  [255] = 255,
  [256] = 256,
  [257] = 251,
  [258] = 250,
  [259] = 259,
  [260] = 251,
  [261] = 255,
  [262] = 250,
  [263] = 253,
  [264] = 264,
  [265] = 249,
  [266] = 264,
  [267] = 267,
  [268] = 255,
  [269] = 244,
  [270] = 253,
  [271] = 251,
  [272] = 250,
  [273] = 273,
  [274] = 259,
  [275] = 249,
  [276] = 255,
  [277] = 244,
  [278] = 251,
  [279] = 253,
  [280] = 280,
  [281] = 280,
  [282] = 280,
  [283] = 283,
  [284] = 284,
  [285] = 256,
  [286] = 256,
  [287] = 259,
  [288] = 259,
  [289] = 253,
  [290] = 256,
  [291] = 244,
  [292] = 249,
  [293] = 280,
  [294] = 256,
  [295] = 249,
  [296] = 267,
  [297] = 255,
  [298] = 280,
  [299] = 259,
  [300] = 300,
  [301] = 301,
  [302] = 300,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 305,
  [309] = 309,
  [310] = 306,
  [311] = 301,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 307,
  [316] = 301,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 300,
  [322] = 312,
  [323] = 323,
  [324] = 324,
  [325] = 303,
  [326] = 324,
  [327] = 313,
  [328] = 314,
  [329] = 317,
  [330] = 330,
  [331] = 331,
  [332] = 318,
  [333] = 323,
  [334] = 334,
  [335] = 335,
  [336] = 324,
  [337] = 324,
  [338] = 338,
  [339] = 339,
  [340] = 319,
  [341] = 338,
  [342] = 342,
  [343] = 331,
  [344] = 330,
  [345] = 335,
  [346] = 303,
  [347] = 334,
  [348] = 334,
  [349] = 300,
  [350] = 334,
  [351] = 334,
  [352] = 305,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 353,
  [358] = 356,
  [359] = 359,
  [360] = 338,
  [361] = 361,
  [362] = 324,
  [363] = 306,
  [364] = 300,
  [365] = 305,
  [366] = 342,
  [367] = 307,
  [368] = 368,
  [369] = 330,
  [370] = 303,
  [371] = 330,
  [372] = 323,
  [373] = 354,
  [374] = 342,
  [375] = 312,
  [376] = 306,
  [377] = 303,
  [378] = 307,
  [379] = 313,
  [380] = 380,
  [381] = 330,
  [382] = 301,
  [383] = 342,
  [384] = 342,
  [385] = 312,
  [386] = 359,
  [387] = 314,
  [388] = 388,
  [389] = 323,
  [390] = 323,
  [391] = 391,
  [392] = 305,
  [393] = 317,
  [394] = 318,
  [395] = 356,
  [396] = 319,
  [397] = 306,
  [398] = 313,
  [399] = 314,
  [400] = 359,
  [401] = 356,
  [402] = 307,
  [403] = 359,
  [404] = 335,
  [405] = 301,
  [406] = 317,
  [407] = 318,
  [408] = 408,
  [409] = 319,
  [410] = 359,
  [411] = 312,
  [412] = 335,
  [413] = 313,
  [414] = 314,
  [415] = 356,
  [416] = 317,
  [417] = 318,
  [418] = 353,
  [419] = 319,
  [420] = 353,
  [421] = 353,
  [422] = 335,
  [423] = 423,
  [424] = 423,
  [425] = 423,
  [426] = 426,
  [427] = 426,
  [428] = 426,
  [429] = 429,
  [430] = 426,
  [431] = 429,
  [432] = 426,
  [433] = 429,
  [434] = 434,
  [435] = 435,
  [436] = 434,
  [437] = 435,
  [438] = 434,
  [439] = 435,
  [440] = 440,
  [441] = 440,
  [442] = 440,
  [443] = 443,
  [444] = 443,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 440,
  [449] = 446,
  [450] = 443,
  [451] = 451,
  [452] = 443,
  [453] = 440,
  [454] = 443,
  [455] = 440,
  [456] = 456,
  [457] = 447,
  [458] = 447,
  [459] = 456,
  [460] = 451,
  [461] = 456,
  [462] = 158,
  [463] = 164,
  [464] = 158,
  [465] = 164,
  [466] = 466,
  [467] = 158,
  [468] = 164,
  [469] = 466,
  [470] = 157,
  [471] = 440,
  [472] = 158,
  [473] = 466,
  [474] = 164,
  [475] = 466,
  [476] = 446,
  [477] = 477,
  [478] = 148,
  [479] = 466,
  [480] = 456,
  [481] = 477,
  [482] = 482,
  [483] = 483,
  [484] = 164,
  [485] = 164,
  [486] = 157,
  [487] = 148,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 148,
  [493] = 493,
  [494] = 445,
  [495] = 158,
  [496] = 440,
  [497] = 154,
  [498] = 148,
  [499] = 158,
  [500] = 500,
  [501] = 493,
  [502] = 157,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 164,
  [507] = 157,
  [508] = 148,
  [509] = 440,
  [510] = 477,
  [511] = 505,
  [512] = 166,
  [513] = 158,
  [514] = 493,
  [515] = 515,
  [516] = 164,
  [517] = 493,
  [518] = 157,
  [519] = 164,
  [520] = 493,
  [521] = 158,
  [522] = 522,
  [523] = 158,
  [524] = 524,
  [525] = 164,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 148,
  [530] = 158,
  [531] = 158,
  [532] = 522,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 157,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 515,
  [550] = 505,
  [551] = 551,
  [552] = 552,
  [553] = 505,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 157,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 164,
  [574] = 574,
  [575] = 504,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 503,
  [585] = 482,
  [586] = 586,
  [587] = 587,
  [588] = 491,
  [589] = 589,
  [590] = 490,
  [591] = 591,
  [592] = 489,
  [593] = 500,
  [594] = 483,
  [595] = 595,
  [596] = 148,
  [597] = 157,
  [598] = 598,
  [599] = 599,
  [600] = 164,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 148,
  [607] = 607,
  [608] = 157,
  [609] = 609,
  [610] = 477,
  [611] = 148,
  [612] = 148,
  [613] = 164,
  [614] = 157,
  [615] = 158,
  [616] = 148,
  [617] = 164,
  [618] = 166,
  [619] = 154,
  [620] = 166,
  [621] = 157,
  [622] = 622,
  [623] = 158,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 522,
  [632] = 515,
  [633] = 633,
  [634] = 158,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 504,
  [645] = 503,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 482,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 483,
  [658] = 658,
  [659] = 500,
  [660] = 660,
  [661] = 661,
  [662] = 491,
  [663] = 663,
  [664] = 664,
  [665] = 154,
  [666] = 489,
  [667] = 490,
  [668] = 652,
  [669] = 656,
  [670] = 653,
  [671] = 655,
  [672] = 658,
  [673] = 643,
  [674] = 660,
  [675] = 661,
  [676] = 539,
  [677] = 641,
  [678] = 640,
  [679] = 664,
  [680] = 637,
  [681] = 663,
  [682] = 652,
  [683] = 635,
  [684] = 684,
  [685] = 654,
  [686] = 635,
  [687] = 515,
  [688] = 650,
  [689] = 648,
  [690] = 647,
  [691] = 629,
  [692] = 646,
  [693] = 649,
  [694] = 148,
  [695] = 642,
  [696] = 166,
  [697] = 604,
  [698] = 629,
  [699] = 603,
  [700] = 627,
  [701] = 587,
  [702] = 572,
  [703] = 565,
  [704] = 564,
  [705] = 504,
  [706] = 558,
  [707] = 609,
  [708] = 526,
  [709] = 503,
  [710] = 527,
  [711] = 482,
  [712] = 528,
  [713] = 533,
  [714] = 534,
  [715] = 535,
  [716] = 536,
  [717] = 537,
  [718] = 684,
  [719] = 538,
  [720] = 541,
  [721] = 542,
  [722] = 543,
  [723] = 544,
  [724] = 545,
  [725] = 546,
  [726] = 547,
  [727] = 548,
  [728] = 639,
  [729] = 638,
  [730] = 636,
  [731] = 551,
  [732] = 552,
  [733] = 684,
  [734] = 554,
  [735] = 555,
  [736] = 556,
  [737] = 557,
  [738] = 626,
  [739] = 560,
  [740] = 561,
  [741] = 562,
  [742] = 563,
  [743] = 633,
  [744] = 627,
  [745] = 626,
  [746] = 630,
  [747] = 154,
  [748] = 628,
  [749] = 607,
  [750] = 566,
  [751] = 567,
  [752] = 605,
  [753] = 568,
  [754] = 569,
  [755] = 570,
  [756] = 622,
  [757] = 571,
  [758] = 164,
  [759] = 602,
  [760] = 601,
  [761] = 574,
  [762] = 599,
  [763] = 576,
  [764] = 577,
  [765] = 598,
  [766] = 578,
  [767] = 579,
  [768] = 580,
  [769] = 595,
  [770] = 581,
  [771] = 591,
  [772] = 582,
  [773] = 589,
  [774] = 583,
  [775] = 586,
  [776] = 524,
  [777] = 589,
  [778] = 591,
  [779] = 595,
  [780] = 524,
  [781] = 598,
  [782] = 599,
  [783] = 586,
  [784] = 583,
  [785] = 582,
  [786] = 601,
  [787] = 602,
  [788] = 581,
  [789] = 580,
  [790] = 579,
  [791] = 578,
  [792] = 577,
  [793] = 605,
  [794] = 607,
  [795] = 628,
  [796] = 491,
  [797] = 490,
  [798] = 489,
  [799] = 576,
  [800] = 630,
  [801] = 574,
  [802] = 571,
  [803] = 633,
  [804] = 570,
  [805] = 569,
  [806] = 636,
  [807] = 638,
  [808] = 639,
  [809] = 568,
  [810] = 567,
  [811] = 148,
  [812] = 157,
  [813] = 164,
  [814] = 566,
  [815] = 684,
  [816] = 148,
  [817] = 563,
  [818] = 157,
  [819] = 562,
  [820] = 561,
  [821] = 560,
  [822] = 557,
  [823] = 556,
  [824] = 148,
  [825] = 555,
  [826] = 157,
  [827] = 554,
  [828] = 522,
  [829] = 552,
  [830] = 642,
  [831] = 551,
  [832] = 625,
  [833] = 624,
  [834] = 548,
  [835] = 547,
  [836] = 646,
  [837] = 647,
  [838] = 546,
  [839] = 545,
  [840] = 544,
  [841] = 648,
  [842] = 543,
  [843] = 542,
  [844] = 541,
  [845] = 538,
  [846] = 537,
  [847] = 500,
  [848] = 536,
  [849] = 535,
  [850] = 534,
  [851] = 533,
  [852] = 528,
  [853] = 527,
  [854] = 653,
  [855] = 526,
  [856] = 609,
  [857] = 558,
  [858] = 654,
  [859] = 564,
  [860] = 565,
  [861] = 572,
  [862] = 587,
  [863] = 637,
  [864] = 624,
  [865] = 640,
  [866] = 603,
  [867] = 604,
  [868] = 625,
  [869] = 641,
  [870] = 643,
  [871] = 655,
  [872] = 649,
  [873] = 158,
  [874] = 483,
  [875] = 684,
  [876] = 158,
  [877] = 157,
  [878] = 656,
  [879] = 650,
  [880] = 661,
  [881] = 539,
  [882] = 663,
  [883] = 883,
  [884] = 660,
  [885] = 664,
  [886] = 658,
  [887] = 622,
  [888] = 148,
  [889] = 630,
  [890] = 658,
  [891] = 556,
  [892] = 526,
  [893] = 660,
  [894] = 661,
  [895] = 578,
  [896] = 579,
  [897] = 580,
  [898] = 555,
  [899] = 581,
  [900] = 539,
  [901] = 609,
  [902] = 604,
  [903] = 582,
  [904] = 583,
  [905] = 586,
  [906] = 524,
  [907] = 589,
  [908] = 591,
  [909] = 664,
  [910] = 595,
  [911] = 528,
  [912] = 598,
  [913] = 883,
  [914] = 533,
  [915] = 599,
  [916] = 534,
  [917] = 603,
  [918] = 601,
  [919] = 602,
  [920] = 551,
  [921] = 552,
  [922] = 535,
  [923] = 654,
  [924] = 587,
  [925] = 622,
  [926] = 649,
  [927] = 639,
  [928] = 653,
  [929] = 558,
  [930] = 607,
  [931] = 931,
  [932] = 628,
  [933] = 157,
  [934] = 638,
  [935] = 527,
  [936] = 564,
  [937] = 536,
  [938] = 663,
  [939] = 567,
  [940] = 624,
  [941] = 626,
  [942] = 627,
  [943] = 633,
  [944] = 537,
  [945] = 565,
  [946] = 554,
  [947] = 931,
  [948] = 538,
  [949] = 577,
  [950] = 576,
  [951] = 541,
  [952] = 637,
  [953] = 563,
  [954] = 650,
  [955] = 542,
  [956] = 605,
  [957] = 640,
  [958] = 648,
  [959] = 543,
  [960] = 625,
  [961] = 647,
  [962] = 560,
  [963] = 646,
  [964] = 642,
  [965] = 566,
  [966] = 656,
  [967] = 635,
  [968] = 548,
  [969] = 547,
  [970] = 561,
  [971] = 562,
  [972] = 557,
  [973] = 574,
  [974] = 546,
  [975] = 545,
  [976] = 544,
  [977] = 571,
  [978] = 570,
  [979] = 641,
  [980] = 643,
  [981] = 636,
  [982] = 655,
  [983] = 931,
  [984] = 569,
  [985] = 572,
  [986] = 568,
  [987] = 629,
  [988] = 652,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 622,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1006,
  [1008] = 998,
  [1009] = 1009,
  [1010] = 1006,
  [1011] = 1006,
  [1012] = 998,
  [1013] = 996,
  [1014] = 1006,
  [1015] = 995,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 622,
  [1022] = 1016,
  [1023] = 1009,
  [1024] = 1009,
  [1025] = 1025,
  [1026] = 994,
  [1027] = 998,
  [1028] = 1018,
  [1029] = 1020,
  [1030] = 1016,
  [1031] = 995,
  [1032] = 989,
  [1033] = 998,
  [1034] = 992,
  [1035] = 1035,
  [1036] = 998,
  [1037] = 993,
  [1038] = 1009,
  [1039] = 991,
  [1040] = 1016,
  [1041] = 1009,
  [1042] = 1016,
  [1043] = 1006,
  [1044] = 1025,
  [1045] = 1035,
  [1046] = 1046,
  [1047] = 995,
  [1048] = 995,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1046,
  [1052] = 1018,
  [1053] = 1006,
  [1054] = 1020,
  [1055] = 998,
  [1056] = 1049,
  [1057] = 998,
  [1058] = 1017,
  [1059] = 1019,
  [1060] = 1006,
  [1061] = 1006,
  [1062] = 998,
  [1063] = 1046,
  [1064] = 995,
  [1065] = 1050,
  [1066] = 1066,
  [1067] = 635,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 629,
  [1071] = 143,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 626,
  [1075] = 1075,
  [1076] = 627,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 624,
  [1081] = 625,
  [1082] = 158,
  [1083] = 164,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 164,
  [1096] = 158,
  [1097] = 148,
  [1098] = 148,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 157,
  [1104] = 1104,
  [1105] = 154,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 157,
  [1111] = 1068,
  [1112] = 1112,
  [1113] = 1069,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1066,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 166,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 154,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 166,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1148,
  [1179] = 1179,
  [1180] = 1094,
  [1181] = 1181,
  [1182] = 1123,
  [1183] = 1177,
  [1184] = 1175,
  [1185] = 1170,
  [1186] = 1167,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1155,
  [1190] = 1135,
  [1191] = 1130,
  [1192] = 1127,
  [1193] = 1125,
  [1194] = 1124,
  [1195] = 1120,
  [1196] = 1119,
  [1197] = 1118,
  [1198] = 1117,
  [1199] = 1116,
  [1200] = 1089,
  [1201] = 1091,
  [1202] = 1075,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1181,
  [1206] = 1206,
  [1207] = 1128,
  [1208] = 1077,
  [1209] = 1078,
  [1210] = 1188,
  [1211] = 1181,
  [1212] = 1212,
  [1213] = 1145,
  [1214] = 1148,
  [1215] = 1150,
  [1216] = 1187,
  [1217] = 1188,
  [1218] = 1121,
  [1219] = 1073,
  [1220] = 1079,
  [1221] = 1168,
  [1222] = 1181,
  [1223] = 1072,
  [1224] = 1187,
  [1225] = 1162,
  [1226] = 1187,
  [1227] = 1188,
  [1228] = 1187,
  [1229] = 1072,
  [1230] = 1188,
  [1231] = 1168,
  [1232] = 1079,
  [1233] = 1181,
  [1234] = 1075,
  [1235] = 1162,
  [1236] = 143,
  [1237] = 1237,
  [1238] = 1150,
  [1239] = 143,
  [1240] = 1145,
  [1241] = 1181,
  [1242] = 1091,
  [1243] = 1089,
  [1244] = 1116,
  [1245] = 1117,
  [1246] = 1118,
  [1247] = 1119,
  [1248] = 1120,
  [1249] = 1124,
  [1250] = 1125,
  [1251] = 1127,
  [1252] = 1130,
  [1253] = 1135,
  [1254] = 1155,
  [1255] = 1167,
  [1256] = 1170,
  [1257] = 1175,
  [1258] = 1073,
  [1259] = 1094,
  [1260] = 1123,
  [1261] = 1121,
  [1262] = 1262,
  [1263] = 1101,
  [1264] = 1146,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1144,
  [1268] = 1129,
  [1269] = 1269,
  [1270] = 1158,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1132,
  [1274] = 1274,
  [1275] = 1092,
  [1276] = 1133,
  [1277] = 1134,
  [1278] = 1157,
  [1279] = 1279,
  [1280] = 1075,
  [1281] = 1114,
  [1282] = 1279,
  [1283] = 1085,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1140,
  [1287] = 1265,
  [1288] = 1072,
  [1289] = 1139,
  [1290] = 1138,
  [1291] = 1136,
  [1292] = 1079,
  [1293] = 1160,
  [1294] = 1161,
  [1295] = 1265,
  [1296] = 1159,
  [1297] = 1072,
  [1298] = 1165,
  [1299] = 1299,
  [1300] = 1285,
  [1301] = 1301,
  [1302] = 1137,
  [1303] = 1142,
  [1304] = 1279,
  [1305] = 1115,
  [1306] = 1179,
  [1307] = 1307,
  [1308] = 1122,
  [1309] = 1163,
  [1310] = 1166,
  [1311] = 1279,
  [1312] = 1174,
  [1313] = 1090,
  [1314] = 1112,
  [1315] = 1265,
  [1316] = 1265,
  [1317] = 1073,
  [1318] = 1318,
  [1319] = 153,
  [1320] = 1265,
  [1321] = 1321,
  [1322] = 1075,
  [1323] = 1073,
  [1324] = 1324,
  [1325] = 1176,
  [1326] = 1326,
  [1327] = 162,
  [1328] = 1171,
  [1329] = 1265,
  [1330] = 1330,
  [1331] = 1152,
  [1332] = 1299,
  [1333] = 1299,
  [1334] = 1102,
  [1335] = 1112,
  [1336] = 1318,
  [1337] = 1109,
  [1338] = 1164,
  [1339] = 1079,
  [1340] = 1299,
  [1341] = 1104,
  [1342] = 1100,
  [1343] = 1099,
  [1344] = 1149,
  [1345] = 1143,
  [1346] = 1147,
  [1347] = 1154,
  [1348] = 150,
  [1349] = 1272,
  [1350] = 151,
  [1351] = 152,
  [1352] = 163,
  [1353] = 1353,
  [1354] = 1093,
  [1355] = 1279,
  [1356] = 161,
  [1357] = 167,
  [1358] = 1153,
  [1359] = 1084,
  [1360] = 1151,
  [1361] = 1173,
  [1362] = 1172,
  [1363] = 1108,
  [1364] = 1088,
  [1365] = 1299,
  [1366] = 1106,
  [1367] = 1107,
  [1368] = 1087,
  [1369] = 1131,
  [1370] = 1330,
  [1371] = 1086,
  [1372] = 1284,
  [1373] = 1094,
  [1374] = 1374,
  [1375] = 1120,
  [1376] = 1121,
  [1377] = 1091,
  [1378] = 1167,
  [1379] = 1379,
  [1380] = 1168,
  [1381] = 1379,
  [1382] = 1379,
  [1383] = 1089,
  [1384] = 1384,
  [1385] = 1116,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1123,
  [1389] = 1384,
  [1390] = 1379,
  [1391] = 1155,
  [1392] = 1124,
  [1393] = 1117,
  [1394] = 1135,
  [1395] = 1118,
  [1396] = 1130,
  [1397] = 1119,
  [1398] = 1384,
  [1399] = 1170,
  [1400] = 1127,
  [1401] = 1379,
  [1402] = 1402,
  [1403] = 1125,
  [1404] = 1384,
  [1405] = 1405,
  [1406] = 1162,
  [1407] = 1175,
  [1408] = 1150,
  [1409] = 1384,
  [1410] = 1145,
  [1411] = 1148,
  [1412] = 1353,
  [1413] = 1413,
  [1414] = 1127,
  [1415] = 1162,
  [1416] = 1116,
  [1417] = 1117,
  [1418] = 1118,
  [1419] = 1079,
  [1420] = 1072,
  [1421] = 1179,
  [1422] = 1422,
  [1423] = 1119,
  [1424] = 1073,
  [1425] = 1120,
  [1426] = 1426,
  [1427] = 1124,
  [1428] = 1413,
  [1429] = 1091,
  [1430] = 1121,
  [1431] = 1123,
  [1432] = 1089,
  [1433] = 1148,
  [1434] = 1426,
  [1435] = 1318,
  [1436] = 1413,
  [1437] = 1094,
  [1438] = 1150,
  [1439] = 1175,
  [1440] = 1125,
  [1441] = 1168,
  [1442] = 1413,
  [1443] = 1170,
  [1444] = 1413,
  [1445] = 1167,
  [1446] = 1145,
  [1447] = 1155,
  [1448] = 1135,
  [1449] = 1130,
  [1450] = 1450,
  [1451] = 1450,
  [1452] = 1452,
  [1453] = 1452,
  [1454] = 1452,
  [1455] = 1073,
  [1456] = 1072,
  [1457] = 1271,
  [1458] = 1452,
  [1459] = 1452,
  [1460] = 1452,
  [1461] = 1079,
  [1462] = 1075,
  [1463] = 1112,
  [1464] = 1452,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1466,
  [1468] = 1466,
  [1469] = 1466,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1466,
  [1473] = 1466,
  [1474] = 1470,
  [1475] = 1466,
  [1476] = 1470,
  [1477] = 1470,
  [1478] = 1466,
  [1479] = 1470,
  [1480] = 1470,
  [1481] = 1466,
  [1482] = 1466,
  [1483] = 1470,
  [1484] = 1470,
  [1485] = 1466,
  [1486] = 1470,
  [1487] = 1470,
  [1488] = 1470,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1489,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1493,
  [1495] = 1495,
  [1496] = 1493,
  [1497] = 1495,
  [1498] = 1495,
  [1499] = 1493,
  [1500] = 1493,
  [1501] = 1493,
  [1502] = 1495,
  [1503] = 1493,
  [1504] = 1495,
  [1505] = 1495,
  [1506] = 1495,
  [1507] = 1507,
  [1508] = 1507,
  [1509] = 1507,
  [1510] = 1507,
  [1511] = 1507,
  [1512] = 1507,
  [1513] = 1513,
  [1514] = 1507,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 158,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 164,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1134,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1132,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1535,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1086,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 157,
  [1578] = 148,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1562,
  [1583] = 1519,
  [1584] = 1584,
  [1585] = 1518,
  [1586] = 1567,
  [1587] = 1581,
  [1588] = 1521,
  [1589] = 1589,
  [1590] = 1521,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1593,
  [1597] = 1597,
  [1598] = 1594,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1600,
  [1602] = 1602,
  [1603] = 1599,
  [1604] = 1536,
  [1605] = 1605,
  [1606] = 1532,
  [1607] = 1531,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1593,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1154,
  [1614] = 1536,
  [1615] = 1612,
  [1616] = 1605,
  [1617] = 1602,
  [1618] = 1608,
  [1619] = 1592,
  [1620] = 1593,
  [1621] = 1609,
  [1622] = 1611,
  [1623] = 1533,
  [1624] = 1593,
  [1625] = 1625,
  [1626] = 1161,
  [1627] = 1597,
  [1628] = 1529,
  [1629] = 1164,
  [1630] = 1164,
  [1631] = 1631,
  [1632] = 1595,
  [1633] = 1633,
  [1634] = 1154,
  [1635] = 1635,
  [1636] = 1635,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1637,
  [1641] = 1625,
  [1642] = 1642,
  [1643] = 1637,
  [1644] = 1642,
  [1645] = 1161,
  [1646] = 1591,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1637,
  [1650] = 1650,
  [1651] = 1631,
  [1652] = 1650,
  [1653] = 1637,
  [1654] = 1648,
  [1655] = 1633,
  [1656] = 1639,
  [1657] = 1647,
  [1658] = 1638,
  [1659] = 1659,
  [1660] = 1659,
  [1661] = 1659,
  [1662] = 1659,
  [1663] = 1659,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1664,
  [1667] = 1664,
  [1668] = 1664,
  [1669] = 1665,
  [1670] = 1665,
  [1671] = 1665,
  [1672] = 1672,
  [1673] = 1672,
  [1674] = 1672,
  [1675] = 1675,
  [1676] = 1672,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1678,
  [1680] = 1678,
  [1681] = 1677,
  [1682] = 1677,
  [1683] = 1678,
  [1684] = 1677,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1686,
  [1689] = 1685,
  [1690] = 1687,
  [1691] = 1691,
  [1692] = 1686,
  [1693] = 1693,
  [1694] = 1691,
  [1695] = 1685,
  [1696] = 1691,
  [1697] = 1687,
  [1698] = 1693,
  [1699] = 1687,
  [1700] = 1700,
  [1701] = 1693,
  [1702] = 1685,
  [1703] = 1691,
  [1704] = 1693,
  [1705] = 1686,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 164,
  [1713] = 1713,
  [1714] = 1710,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1711,
  [1720] = 1720,
  [1721] = 1711,
  [1722] = 1722,
  [1723] = 1710,
  [1724] = 1716,
  [1725] = 1716,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1710,
  [1729] = 1729,
  [1730] = 1716,
  [1731] = 1711,
  [1732] = 1732,
  [1733] = 1711,
  [1734] = 1710,
  [1735] = 1716,
  [1736] = 1711,
  [1737] = 1737,
  [1738] = 1711,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 158,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1745,
  [1749] = 1745,
  [1750] = 148,
  [1751] = 1751,
  [1752] = 1177,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1747,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1745,
  [1761] = 1718,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1754,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1753,
  [1768] = 1768,
  [1769] = 1747,
  [1770] = 157,
  [1771] = 456,
  [1772] = 1720,
  [1773] = 1729,
  [1774] = 1535,
  [1775] = 1775,
  [1776] = 1727,
  [1777] = 1747,
  [1778] = 1747,
  [1779] = 1717,
  [1780] = 1754,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1128,
  [1784] = 1784,
  [1785] = 1751,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1754,
  [1789] = 1754,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1745,
  [1793] = 1737,
  [1794] = 1759,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1129,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1114,
  [1804] = 1796,
  [1805] = 1805,
  [1806] = 1128,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1087,
  [1812] = 1812,
  [1813] = 1798,
  [1814] = 1799,
  [1815] = 1088,
  [1816] = 1801,
  [1817] = 1177,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1819,
  [1821] = 1821,
  [1822] = 1802,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1802,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1799,
  [1830] = 1801,
  [1831] = 1799,
  [1832] = 1798,
  [1833] = 1802,
  [1834] = 1810,
  [1835] = 1835,
  [1836] = 1157,
  [1837] = 1827,
  [1838] = 1809,
  [1839] = 1801,
  [1840] = 1140,
  [1841] = 1841,
  [1842] = 1139,
  [1843] = 1114,
  [1844] = 1138,
  [1845] = 1845,
  [1846] = 1824,
  [1847] = 1129,
  [1848] = 1848,
  [1849] = 1798,
  [1850] = 1801,
  [1851] = 1136,
  [1852] = 1852,
  [1853] = 1087,
  [1854] = 1088,
  [1855] = 1799,
  [1856] = 1856,
  [1857] = 1562,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1157,
  [1862] = 1805,
  [1863] = 1858,
  [1864] = 1802,
  [1865] = 1567,
  [1866] = 1866,
  [1867] = 1140,
  [1868] = 1139,
  [1869] = 1138,
  [1870] = 1136,
  [1871] = 1819,
  [1872] = 1819,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1762,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1781,
  [1896] = 1880,
  [1897] = 1882,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1901,
  [1903] = 1886,
  [1904] = 1879,
  [1905] = 1878,
  [1906] = 1906,
  [1907] = 1877,
  [1908] = 1908,
  [1909] = 1878,
  [1910] = 1899,
  [1911] = 1900,
  [1912] = 1906,
  [1913] = 1913,
  [1914] = 1888,
  [1915] = 1880,
  [1916] = 1882,
  [1917] = 1917,
  [1918] = 1888,
  [1919] = 1919,
  [1920] = 1889,
  [1921] = 1890,
  [1922] = 1898,
  [1923] = 1923,
  [1924] = 1898,
  [1925] = 1899,
  [1926] = 1901,
  [1927] = 1886,
  [1928] = 1879,
  [1929] = 1889,
  [1930] = 1890,
  [1931] = 1931,
  [1932] = 1900,
  [1933] = 1906,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1880,
  [1937] = 1882,
  [1938] = 1888,
  [1939] = 1889,
  [1940] = 1890,
  [1941] = 1898,
  [1942] = 1899,
  [1943] = 1901,
  [1944] = 1886,
  [1945] = 1879,
  [1946] = 1878,
  [1947] = 1900,
  [1948] = 1906,
  [1949] = 1949,
  [1950] = 1934,
  [1951] = 1951,
  [1952] = 1889,
  [1953] = 1890,
  [1954] = 1879,
  [1955] = 1878,
  [1956] = 1956,
  [1957] = 1177,
  [1958] = 1898,
  [1959] = 1890,
  [1960] = 1889,
  [1961] = 1961,
  [1962] = 1128,
  [1963] = 1821,
  [1964] = 1874,
  [1965] = 1965,
  [1966] = 1768,
  [1967] = 1899,
  [1968] = 1901,
  [1969] = 1755,
  [1970] = 1900,
  [1971] = 1888,
  [1972] = 1956,
  [1973] = 1919,
  [1974] = 1949,
  [1975] = 1881,
  [1976] = 1877,
  [1977] = 1875,
  [1978] = 1881,
  [1979] = 1906,
  [1980] = 1917,
  [1981] = 1882,
  [1982] = 1886,
  [1983] = 1880,
  [1984] = 1881,
  [1985] = 1782,
  [1986] = 1986,
  [1987] = 1881,
  [1988] = 1874,
  [1989] = 1986,
  [1990] = 1873,
  [1991] = 477,
  [1992] = 1917,
  [1993] = 1879,
  [1994] = 1878,
  [1995] = 1995,
  [1996] = 1986,
  [1997] = 1873,
  [1998] = 1917,
  [1999] = 1986,
  [2000] = 1873,
  [2001] = 1876,
  [2002] = 1917,
  [2003] = 1986,
  [2004] = 1873,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 491,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 490,
  [2015] = 489,
  [2016] = 2012,
  [2017] = 503,
  [2018] = 2006,
  [2019] = 2007,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2008,
  [2023] = 2023,
  [2024] = 500,
  [2025] = 2007,
  [2026] = 2008,
  [2027] = 483,
  [2028] = 482,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 515,
  [2032] = 2007,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2008,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2037,
  [2039] = 522,
  [2040] = 504,
  [2041] = 622,
  [2042] = 2042,
  [2043] = 2037,
  [2044] = 1164,
  [2045] = 2005,
  [2046] = 2046,
  [2047] = 2013,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 1595,
  [2052] = 2037,
  [2053] = 2037,
  [2054] = 2054,
  [2055] = 505,
  [2056] = 1154,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 1161,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2049,
  [2066] = 2030,
  [2067] = 2029,
  [2068] = 2006,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2036,
  [2072] = 2033,
  [2073] = 2073,
  [2074] = 2023,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2049,
  [2078] = 2034,
  [2079] = 2030,
  [2080] = 2029,
  [2081] = 2006,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2049,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2046,
  [2088] = 2008,
  [2089] = 2036,
  [2090] = 2033,
  [2091] = 2023,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2049,
  [2095] = 2095,
  [2096] = 2034,
  [2097] = 2030,
  [2098] = 2029,
  [2099] = 2099,
  [2100] = 2075,
  [2101] = 2101,
  [2102] = 2006,
  [2103] = 2073,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2070,
  [2108] = 2108,
  [2109] = 2029,
  [2110] = 2034,
  [2111] = 2111,
  [2112] = 2030,
  [2113] = 2011,
  [2114] = 2010,
  [2115] = 1625,
  [2116] = 154,
  [2117] = 166,
  [2118] = 1591,
  [2119] = 158,
  [2120] = 2050,
  [2121] = 2007,
  [2122] = 164,
  [2123] = 148,
  [2124] = 2064,
  [2125] = 2061,
  [2126] = 2059,
  [2127] = 2058,
  [2128] = 157,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2042,
  [2132] = 2132,
  [2133] = 2021,
  [2134] = 2020,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2042,
  [2138] = 2138,
  [2139] = 2036,
  [2140] = 2140,
  [2141] = 2033,
  [2142] = 2023,
  [2143] = 2036,
  [2144] = 2033,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2054,
  [2149] = 2048,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2023,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 1570,
  [2156] = 2156,
  [2157] = 661,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 660,
  [2166] = 2166,
  [2167] = 2160,
  [2168] = 2159,
  [2169] = 2158,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 658,
  [2177] = 2177,
  [2178] = 2177,
  [2179] = 2171,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2166,
  [2183] = 2183,
  [2184] = 656,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2185,
  [2190] = 2181,
  [2191] = 2162,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2161,
  [2195] = 2170,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2187,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2199,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2206,
  [2209] = 655,
  [2210] = 2210,
  [2211] = 643,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2180,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2212,
  [2219] = 641,
  [2220] = 2193,
  [2221] = 2200,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2203,
  [2225] = 2162,
  [2226] = 2160,
  [2227] = 2204,
  [2228] = 2228,
  [2229] = 640,
  [2230] = 2230,
  [2231] = 2213,
  [2232] = 2232,
  [2233] = 2215,
  [2234] = 2163,
  [2235] = 2217,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2161,
  [2239] = 2170,
  [2240] = 2171,
  [2241] = 2159,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2154,
  [2247] = 2180,
  [2248] = 2166,
  [2249] = 2249,
  [2250] = 2188,
  [2251] = 2251,
  [2252] = 2188,
  [2253] = 1579,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2193,
  [2257] = 2204,
  [2258] = 637,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2222,
  [2264] = 2158,
  [2265] = 2228,
  [2266] = 652,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2237,
  [2270] = 2244,
  [2271] = 2271,
  [2272] = 663,
  [2273] = 664,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 650,
  [2277] = 535,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 649,
  [2283] = 1766,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 604,
  [2289] = 603,
  [2290] = 587,
  [2291] = 572,
  [2292] = 565,
  [2293] = 564,
  [2294] = 2287,
  [2295] = 2160,
  [2296] = 2159,
  [2297] = 2158,
  [2298] = 2285,
  [2299] = 2299,
  [2300] = 2172,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 558,
  [2304] = 2222,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 609,
  [2309] = 526,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 527,
  [2314] = 2181,
  [2315] = 528,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2260,
  [2319] = 2187,
  [2320] = 2320,
  [2321] = 533,
  [2322] = 2322,
  [2323] = 2199,
  [2324] = 2206,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2162,
  [2328] = 2274,
  [2329] = 2275,
  [2330] = 2212,
  [2331] = 2213,
  [2332] = 2332,
  [2333] = 2215,
  [2334] = 2228,
  [2335] = 2217,
  [2336] = 2278,
  [2337] = 2286,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 534,
  [2343] = 2230,
  [2344] = 536,
  [2345] = 537,
  [2346] = 2279,
  [2347] = 2280,
  [2348] = 2281,
  [2349] = 1995,
  [2350] = 1540,
  [2351] = 2351,
  [2352] = 2163,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2161,
  [2357] = 2170,
  [2358] = 2171,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2166,
  [2367] = 2367,
  [2368] = 2188,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2193,
  [2375] = 2204,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2222,
  [2381] = 2381,
  [2382] = 2228,
  [2383] = 538,
  [2384] = 2384,
  [2385] = 1576,
  [2386] = 2237,
  [2387] = 2244,
  [2388] = 2388,
  [2389] = 2180,
  [2390] = 2390,
  [2391] = 2274,
  [2392] = 2275,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2278,
  [2396] = 2279,
  [2397] = 2280,
  [2398] = 2281,
  [2399] = 541,
  [2400] = 2172,
  [2401] = 2284,
  [2402] = 2285,
  [2403] = 2286,
  [2404] = 2404,
  [2405] = 539,
  [2406] = 2207,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2160,
  [2410] = 2159,
  [2411] = 2158,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2172,
  [2415] = 2415,
  [2416] = 2341,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2217,
  [2422] = 2325,
  [2423] = 2243,
  [2424] = 2424,
  [2425] = 2242,
  [2426] = 2202,
  [2427] = 2181,
  [2428] = 2196,
  [2429] = 2215,
  [2430] = 1543,
  [2431] = 2431,
  [2432] = 2187,
  [2433] = 2284,
  [2434] = 2376,
  [2435] = 2199,
  [2436] = 2206,
  [2437] = 2285,
  [2438] = 1538,
  [2439] = 2439,
  [2440] = 2213,
  [2441] = 2212,
  [2442] = 2213,
  [2443] = 2415,
  [2444] = 2215,
  [2445] = 1575,
  [2446] = 2217,
  [2447] = 2413,
  [2448] = 2412,
  [2449] = 2156,
  [2450] = 542,
  [2451] = 543,
  [2452] = 2408,
  [2453] = 1573,
  [2454] = 2212,
  [2455] = 2407,
  [2456] = 2163,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2161,
  [2460] = 2170,
  [2461] = 2171,
  [2462] = 2462,
  [2463] = 2404,
  [2464] = 2394,
  [2465] = 2393,
  [2466] = 1572,
  [2467] = 2381,
  [2468] = 2468,
  [2469] = 2166,
  [2470] = 2284,
  [2471] = 2188,
  [2472] = 2472,
  [2473] = 2193,
  [2474] = 2204,
  [2475] = 2475,
  [2476] = 2424,
  [2477] = 2420,
  [2478] = 2378,
  [2479] = 544,
  [2480] = 2377,
  [2481] = 2237,
  [2482] = 2244,
  [2483] = 2367,
  [2484] = 1571,
  [2485] = 2172,
  [2486] = 2274,
  [2487] = 2275,
  [2488] = 2419,
  [2489] = 1569,
  [2490] = 2278,
  [2491] = 2279,
  [2492] = 2280,
  [2493] = 2281,
  [2494] = 2173,
  [2495] = 545,
  [2496] = 2284,
  [2497] = 2285,
  [2498] = 2286,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2339,
  [2502] = 2181,
  [2503] = 2503,
  [2504] = 2286,
  [2505] = 2505,
  [2506] = 1539,
  [2507] = 1545,
  [2508] = 2237,
  [2509] = 546,
  [2510] = 1550,
  [2511] = 1541,
  [2512] = 1544,
  [2513] = 2332,
  [2514] = 2320,
  [2515] = 2317,
  [2516] = 1555,
  [2517] = 1556,
  [2518] = 2198,
  [2519] = 1552,
  [2520] = 1560,
  [2521] = 2306,
  [2522] = 2302,
  [2523] = 547,
  [2524] = 2299,
  [2525] = 1565,
  [2526] = 1563,
  [2527] = 1549,
  [2528] = 2528,
  [2529] = 548,
  [2530] = 2210,
  [2531] = 1548,
  [2532] = 629,
  [2533] = 2206,
  [2534] = 1542,
  [2535] = 1566,
  [2536] = 2199,
  [2537] = 1547,
  [2538] = 1546,
  [2539] = 635,
  [2540] = 654,
  [2541] = 2541,
  [2542] = 2384,
  [2543] = 653,
  [2544] = 648,
  [2545] = 2187,
  [2546] = 624,
  [2547] = 2499,
  [2548] = 2548,
  [2549] = 647,
  [2550] = 625,
  [2551] = 646,
  [2552] = 2379,
  [2553] = 642,
  [2554] = 1961,
  [2555] = 2271,
  [2556] = 2369,
  [2557] = 551,
  [2558] = 2361,
  [2559] = 561,
  [2560] = 2354,
  [2561] = 2351,
  [2562] = 639,
  [2563] = 638,
  [2564] = 633,
  [2565] = 627,
  [2566] = 2503,
  [2567] = 2180,
  [2568] = 2341,
  [2569] = 2325,
  [2570] = 626,
  [2571] = 2281,
  [2572] = 630,
  [2573] = 2280,
  [2574] = 2207,
  [2575] = 2210,
  [2576] = 2279,
  [2577] = 628,
  [2578] = 607,
  [2579] = 605,
  [2580] = 2243,
  [2581] = 602,
  [2582] = 2278,
  [2583] = 2242,
  [2584] = 2503,
  [2585] = 2202,
  [2586] = 2499,
  [2587] = 2197,
  [2588] = 2181,
  [2589] = 601,
  [2590] = 599,
  [2591] = 598,
  [2592] = 2196,
  [2593] = 2173,
  [2594] = 2156,
  [2595] = 595,
  [2596] = 591,
  [2597] = 589,
  [2598] = 2156,
  [2599] = 552,
  [2600] = 524,
  [2601] = 2223,
  [2602] = 586,
  [2603] = 583,
  [2604] = 582,
  [2605] = 554,
  [2606] = 2164,
  [2607] = 2196,
  [2608] = 2202,
  [2609] = 581,
  [2610] = 2242,
  [2611] = 2243,
  [2612] = 2275,
  [2613] = 2254,
  [2614] = 2255,
  [2615] = 2262,
  [2616] = 2267,
  [2617] = 2268,
  [2618] = 2274,
  [2619] = 2307,
  [2620] = 2310,
  [2621] = 2325,
  [2622] = 2341,
  [2623] = 2353,
  [2624] = 2355,
  [2625] = 2359,
  [2626] = 2360,
  [2627] = 2362,
  [2628] = 2363,
  [2629] = 2364,
  [2630] = 2365,
  [2631] = 2370,
  [2632] = 2301,
  [2633] = 2372,
  [2634] = 2373,
  [2635] = 2418,
  [2636] = 555,
  [2637] = 2457,
  [2638] = 2458,
  [2639] = 2462,
  [2640] = 2468,
  [2641] = 2472,
  [2642] = 2475,
  [2643] = 580,
  [2644] = 579,
  [2645] = 578,
  [2646] = 577,
  [2647] = 576,
  [2648] = 2326,
  [2649] = 574,
  [2650] = 636,
  [2651] = 2207,
  [2652] = 2210,
  [2653] = 2173,
  [2654] = 571,
  [2655] = 570,
  [2656] = 556,
  [2657] = 569,
  [2658] = 2311,
  [2659] = 2499,
  [2660] = 2503,
  [2661] = 2499,
  [2662] = 2305,
  [2663] = 2503,
  [2664] = 2173,
  [2665] = 568,
  [2666] = 567,
  [2667] = 566,
  [2668] = 2156,
  [2669] = 2244,
  [2670] = 557,
  [2671] = 2196,
  [2672] = 2202,
  [2673] = 2242,
  [2674] = 2243,
  [2675] = 2325,
  [2676] = 2341,
  [2677] = 2245,
  [2678] = 2162,
  [2679] = 563,
  [2680] = 562,
  [2681] = 560,
  [2682] = 2207,
  [2683] = 2210,
  [2684] = 2163,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2690,
  [2693] = 2687,
  [2694] = 2691,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2698,
  [2701] = 2687,
  [2702] = 2691,
  [2703] = 2689,
  [2704] = 2690,
  [2705] = 2687,
  [2706] = 2690,
  [2707] = 2707,
  [2708] = 2696,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2699,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2714,
  [2717] = 2690,
  [2718] = 2714,
  [2719] = 2719,
  [2720] = 2715,
  [2721] = 2691,
  [2722] = 2722,
  [2723] = 2691,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2698,
  [2728] = 2714,
  [2729] = 2689,
  [2730] = 2699,
  [2731] = 2696,
  [2732] = 2732,
  [2733] = 2688,
  [2734] = 2715,
  [2735] = 2696,
  [2736] = 2736,
  [2737] = 2715,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2724,
  [2743] = 2725,
  [2744] = 2726,
  [2745] = 2740,
  [2746] = 2697,
  [2747] = 2714,
  [2748] = 2748,
  [2749] = 2698,
  [2750] = 2707,
  [2751] = 2696,
  [2752] = 2726,
  [2753] = 2688,
  [2754] = 2725,
  [2755] = 2755,
  [2756] = 2724,
  [2757] = 2741,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2758,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2741,
  [2764] = 1775,
  [2765] = 2715,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2724,
  [2769] = 2725,
  [2770] = 2770,
  [2771] = 2740,
  [2772] = 2772,
  [2773] = 2726,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2774,
  [2777] = 2755,
  [2778] = 2740,
  [2779] = 2741,
  [2780] = 2724,
  [2781] = 2725,
  [2782] = 2748,
  [2783] = 2726,
  [2784] = 2755,
  [2785] = 2761,
  [2786] = 1965,
  [2787] = 2772,
  [2788] = 2698,
  [2789] = 2774,
  [2790] = 2714,
  [2791] = 2714,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2689,
  [2795] = 2748,
  [2796] = 2699,
  [2797] = 2755,
  [2798] = 2792,
  [2799] = 2799,
  [2800] = 2689,
  [2801] = 2688,
  [2802] = 2699,
  [2803] = 2688,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2748,
  [2809] = 2809,
  [2810] = 2755,
  [2811] = 2748,
  [2812] = 2707,
  [2813] = 2707,
  [2814] = 2707,
  [2815] = 2815,
};

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool aux_sym_jsx_text_token1_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 5760
      ? (c < 160
        ? (c >= '\t' && c <= '\r')
        : c <= 160)
      : (c <= 5760 || (c >= 8192 && c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool aux_sym_jsx_text_token1_character_set_2(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '$') ADVANCE(531);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(282);
      if (lookahead == '/') ADVANCE(376);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(152);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(503);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(477);
      if (lookahead == 'f') ADVANCE(472);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 't') ADVANCE(436);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(194)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(541);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(547);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(54)
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == '<') ADVANCE(271);
      if (lookahead == '{') ADVANCE(216);
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(263);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3)
      if (lookahead == '/') ADVANCE(257);
      if (lookahead == '<') ADVANCE(259);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(258);
      if (lookahead != 0) ADVANCE(256);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(53)
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '[') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(193);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(377);
      if (lookahead != 0) ADVANCE(378);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(263);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(265);
      if (lookahead == '\n' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(45);
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(428);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(541);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(427);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(541);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(251);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(420);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(541);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(251);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(541);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(206);
      if (lookahead == '\\') ADVANCE(154);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(543);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(429);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(413);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(429);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(541);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(541);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(424);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(21)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(431);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(432);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(445);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(24)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(541);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(25)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '~') ADVANCE(541);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(444);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(26)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(469);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(27)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(541);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(251);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(134);
      if (lookahead == 'e') ADVANCE(101);
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == 'w') ADVANCE(94);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == '|') ADVANCE(327);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(274);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == 'o') ADVANCE(383);
      if (lookahead == '|') ADVANCE(327);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(31)
      END_STATE();
    case 33:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '=') ADVANCE(253);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(434);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 34:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '?') ADVANCE(47);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(533);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(34)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(430);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(139);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(376);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(270);
      if (lookahead == '=') ADVANCE(250);
      if (lookahead == '>') ADVANCE(277);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == 'i') ADVANCE(114);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(39)
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(270);
      if (lookahead == '=') ADVANCE(250);
      if (lookahead == '>') ADVANCE(277);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == 'i') ADVANCE(114);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(39)
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '/') ADVANCE(357);
      if (lookahead == '\\') ADVANCE(156);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(360);
      if (lookahead != 0) ADVANCE(361);
      END_STATE();
    case 41:
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(156);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(366);
      if (lookahead != 0) ADVANCE(367);
      END_STATE();
    case 42:
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(373);
      END_STATE();
    case 43:
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(373);
      if (lookahead == '>') ADVANCE(285);
      END_STATE();
    case 44:
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '/') ADVANCE(372);
      if (lookahead != 0) ADVANCE(45);
      END_STATE();
    case 45:
      if (lookahead == '*') ADVANCE(44);
      if (lookahead != 0) ADVANCE(45);
      END_STATE();
    case 46:
      if (lookahead == '.') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 47:
      if (lookahead == '.') ADVANCE(295);
      END_STATE();
    case 48:
      if (lookahead == '.') ADVANCE(295);
      if (lookahead == '?') ADVANCE(345);
      END_STATE();
    case 49:
      if (lookahead == '.') ADVANCE(295);
      if (lookahead == '?') ADVANCE(344);
      END_STATE();
    case 50:
      if (lookahead == '.') ADVANCE(311);
      END_STATE();
    case 51:
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(43);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == '=') ADVANCE(250);
      if (lookahead == '>') ADVANCE(277);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(534);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(408);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(541);
      END_STATE();
    case 52:
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(528);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(459);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(541);
      END_STATE();
    case 53:
      if (lookahead == '/') ADVANCE(42);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(53)
      END_STATE();
    case 54:
      if (lookahead == '/') ADVANCE(262);
      if (lookahead == '<') ADVANCE(271);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(54)
      if (aux_sym_jsx_text_token1_character_set_1(lookahead)) ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(263);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(341);
      END_STATE();
    case 56:
      if (lookahead == '=') ADVANCE(339);
      END_STATE();
    case 57:
      if (lookahead == '>') ADVANCE(260);
      END_STATE();
    case 58:
      if (lookahead == '>') ADVANCE(261);
      END_STATE();
    case 59:
      if (lookahead == '\\') ADVANCE(154);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(543);
      END_STATE();
    case 60:
      if (lookahead == '\\') ADVANCE(192);
      if (lookahead == ']') ADVANCE(378);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(60);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(147);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(65);
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(128);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(135);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(118);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'c') ADVANCE(290);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(95);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(240);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(110);
      END_STATE();
    case 89:
      if (lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 90:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 91:
      if (lookahead == 'f') ADVANCE(64);
      END_STATE();
    case 92:
      if (lookahead == 'g') ADVANCE(81);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(87);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(96);
      END_STATE();
    case 95:
      if (lookahead == 'h') ADVANCE(246);
      END_STATE();
    case 96:
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(119);
      if (lookahead == 'r') ADVANCE(120);
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 98:
      if (lookahead == 'i') ADVANCE(123);
      END_STATE();
    case 99:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(138);
      if (lookahead == 'x') ADVANCE(125);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 105:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 107:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 108:
      if (lookahead == 'm') ADVANCE(124);
      END_STATE();
    case 109:
      if (lookahead == 'm') ADVANCE(219);
      END_STATE();
    case 110:
      if (lookahead == 'm') ADVANCE(126);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(75);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 114:
      if (lookahead == 'n') ADVANCE(233);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 116:
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 120:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 122:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 123:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 124:
      if (lookahead == 'p') ADVANCE(100);
      END_STATE();
    case 125:
      if (lookahead == 'p') ADVANCE(122);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 126:
      if (lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 128:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(158);
      if (lookahead == 'w') ADVANCE(67);
      END_STATE();
    case 132:
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 133:
      if (lookahead == 's') ADVANCE(288);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 135:
      if (lookahead == 's') ADVANCE(132);
      END_STATE();
    case 136:
      if (lookahead == 's') ADVANCE(78);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 138:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 139:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 141:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(225);
      END_STATE();
    case 144:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(544);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 151:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(160);
      if (lookahead == 'x') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(371);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 153:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 154:
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 155:
      if (lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 156:
      if (lookahead == 'u') ADVANCE(163);
      if (lookahead == 'x') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(371);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 157:
      if (lookahead == 'y') ADVANCE(248);
      END_STATE();
    case 158:
      if (lookahead == 'y') ADVANCE(117);
      END_STATE();
    case 159:
      if (lookahead == '{') ADVANCE(375);
      END_STATE();
    case 160:
      if (lookahead == '{') ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(189);
      END_STATE();
    case 161:
      if (lookahead == '{') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(190);
      END_STATE();
    case 162:
      if (lookahead == '{') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(191);
      END_STATE();
    case 163:
      if (lookahead == '{') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 164:
      if (lookahead == '}') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 165:
      if (lookahead == '}') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      END_STATE();
    case 166:
      if (lookahead == '}') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(166);
      END_STATE();
    case 167:
      if (lookahead == '}') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(167);
      END_STATE();
    case 168:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      END_STATE();
    case 169:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(400);
      END_STATE();
    case 170:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(401);
      END_STATE();
    case 171:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(392);
      END_STATE();
    case 172:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 173:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(403);
      END_STATE();
    case 174:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      END_STATE();
    case 175:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(541);
      END_STATE();
    case 176:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(543);
      END_STATE();
    case 177:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 178:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 179:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(167);
      END_STATE();
    case 180:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 181:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(184);
      END_STATE();
    case 182:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      END_STATE();
    case 183:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 184:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 185:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(166);
      END_STATE();
    case 186:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      END_STATE();
    case 187:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(176);
      END_STATE();
    case 188:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(175);
      END_STATE();
    case 189:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(186);
      END_STATE();
    case 190:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(187);
      END_STATE();
    case 191:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      END_STATE();
    case 192:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(60);
      END_STATE();
    case 193:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(378);
      END_STATE();
    case 194:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '$') ADVANCE(531);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(282);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(272);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(503);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(477);
      if (lookahead == 'f') ADVANCE(472);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 't') ADVANCE(436);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(194)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(541);
      END_STATE();
    case 195:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(251);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(412);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(195)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(541);
      END_STATE();
    case 196:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(350);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '%') ADVANCE(334);
      if (lookahead == '&') ADVANCE(323);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(283);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(275);
      if (lookahead == '=') ADVANCE(251);
      if (lookahead == '>') ADVANCE(279);
      if (lookahead == '?') ADVANCE(49);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(324);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(196)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(541);
      END_STATE();
    case 197:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(414);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(197)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 198:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(411);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(198)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 199:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(199)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 200:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(200)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 201:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(425);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(201)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 202:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(349);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '#') ADVANCE(59);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == '+') ADVANCE(328);
      if (lookahead == '-') ADVANCE(330);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead == '0') ADVANCE(390);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '}') ADVANCE(218);
      if (lookahead == '~') ADVANCE(351);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(426);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(202)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(541);
      END_STATE();
    case 203:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '$') ADVANCE(159);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(156);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(131);
      if (lookahead == 'c') ADVANCE(62);
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(102);
      if (lookahead == 'f') ADVANCE(97);
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'l') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == 't') ADVANCE(63);
      if (lookahead == 'v') ADVANCE(66);
      if (lookahead == 'w') ADVANCE(94);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(204)
      END_STATE();
    case 204:
      if (eof) ADVANCE(205);
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '"') ADVANCE(354);
      if (lookahead == '$') ADVANCE(159);
      if (lookahead == '%') ADVANCE(335);
      if (lookahead == '&') ADVANCE(322);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '(') ADVANCE(229);
      if (lookahead == ')') ADVANCE(230);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '+') ADVANCE(329);
      if (lookahead == ',') ADVANCE(217);
      if (lookahead == '-') ADVANCE(331);
      if (lookahead == '.') ADVANCE(281);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(243);
      if (lookahead == ';') ADVANCE(242);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == '=') ADVANCE(252);
      if (lookahead == '>') ADVANCE(278);
      if (lookahead == '?') ADVANCE(48);
      if (lookahead == '@') ADVANCE(546);
      if (lookahead == '[') ADVANCE(254);
      if (lookahead == ']') ADVANCE(255);
      if (lookahead == '^') ADVANCE(325);
      if (lookahead == '`') ADVANCE(374);
      if (lookahead == 'a') ADVANCE(131);
      if (lookahead == 'c') ADVANCE(62);
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(102);
      if (lookahead == 'f') ADVANCE(97);
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'l') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == 't') ADVANCE(63);
      if (lookahead == 'v') ADVANCE(66);
      if (lookahead == 'w') ADVANCE(94);
      if (lookahead == '{') ADVANCE(216);
      if (lookahead == '|') ADVANCE(326);
      if (lookahead == '}') ADVANCE(218);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(204)
      END_STATE();
    case 205:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(337);
      if (lookahead == '=') ADVANCE(298);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(336);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(524);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(387);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(149);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(339);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(339);
      if (lookahead == '>') ADVANCE(294);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(294);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(373);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(257);
      if (lookahead == '<') ADVANCE(259);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(258);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(256);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(151);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(266);
      if (lookahead == '/') ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(263);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(262);
      if (aux_sym_jsx_text_token1_character_set_2(lookahead)) ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(263);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(265);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '\n' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(45);
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(6);
      if (lookahead == '*') ADVANCE(265);
      if (lookahead == '\n' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(45);
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(268);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(268);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(267);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(269);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(284);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(284);
      if (lookahead == '<') ADVANCE(321);
      if (lookahead == '=') ADVANCE(338);
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(321);
      if (lookahead == '=') ADVANCE(338);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(320);
      if (lookahead == '=') ADVANCE(338);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(320);
      if (lookahead == '=') ADVANCE(338);
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == '>') ADVANCE(316);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == '>') ADVANCE(317);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(308);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(309);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(304);
      if (lookahead == '>') ADVANCE(319);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(318);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(305);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(306);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(313);
      if (lookahead == '=') ADVANCE(302);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(312);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(301);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(303);
      if (lookahead == '|') ADVANCE(315);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(314);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(352);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(352);
      if (lookahead == '=') ADVANCE(296);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(353);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(353);
      if (lookahead == '=') ADVANCE(297);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(373);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(373);
      if (lookahead == '=') ADVANCE(299);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(307);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(340);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(342);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(310);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(341);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(356);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(356);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(361);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(359);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(359);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(357);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(361);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(361);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(367);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(362);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(365);
      if (lookahead == '/') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(367);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(365);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(365);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(363);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(366);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(367);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(367);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(368);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(370);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(373);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(373);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(53)
      if (lookahead == '/') ADVANCE(42);
      if (lookahead == '[') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(193);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(377);
      if (lookahead != 0) ADVANCE(378);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(378);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(385);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(381);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(386);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(348);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(239);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(235);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(380);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(382);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(379);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(406);
      if (lookahead == '0') ADVANCE(403);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(169);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(168);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(170);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(178);
      if (lookahead == '_') ADVANCE(173);
      if (lookahead == 'n') ADVANCE(389);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(392);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(406);
      if (lookahead == '0') ADVANCE(397);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(532);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(542);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(536);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(538);
      if (lookahead == 'n') ADVANCE(399);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(541);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(406);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(168);
      if (lookahead == '_') ADVANCE(171);
      if (lookahead == 'n') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(392);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(406);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(537);
      if (lookahead == 'n') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(541);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(532);
      if (lookahead == 'n') ADVANCE(399);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(394);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(541);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(536);
      if (lookahead == 'n') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(395);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(541);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(540);
      if (lookahead == 'n') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(396);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(541);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(538);
      if (lookahead == 'n') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(541);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '_') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(398);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(541);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(169);
      if (lookahead == 'n') ADVANCE(389);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(400);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(170);
      if (lookahead == 'n') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(401);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(178);
      if (lookahead == 'n') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(173);
      if (lookahead == 'n') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(403);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(168);
      if (lookahead == '_') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(405);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(531);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(503);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(477);
      if (lookahead == 'f') ADVANCE(472);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 't') ADVANCE(436);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(541);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(408);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(541);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(435);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(411);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(412);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(413);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(414);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(480);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(420);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(447);
      if (lookahead == 'd') ADVANCE(457);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(424);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(425);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(446);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == 'f') ADVANCE(473);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'v') ADVANCE(439);
      if (lookahead == 'w') ADVANCE(467);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(426);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(427);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(428);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(429);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'c') ADVANCE(481);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(430);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(431);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(432);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 's') ADVANCE(521);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(434);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(508);
      if (lookahead == 'l') ADVANCE(438);
      if (lookahead == 'o') ADVANCE(490);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(500);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(525);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(511);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(501);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(476);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(482);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(520);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(491);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(507);
      if (lookahead == 'e') ADVANCE(527);
      if (lookahead == 'f') ADVANCE(526);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'l') ADVANCE(458);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(513);
      if (lookahead == 'l') ADVANCE(438);
      if (lookahead == 'o') ADVANCE(490);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'a') ADVANCE(509);
      if (lookahead == 'l') ADVANCE(438);
      if (lookahead == 'o') ADVANCE(490);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'c') ADVANCE(535);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'c') ADVANCE(291);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'c') ADVANCE(468);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'c') ADVANCE(460);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'c') ADVANCE(522);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'd') ADVANCE(505);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(245);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(228);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(241);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(465);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(514);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(528);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(495);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(487);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'e') ADVANCE(518);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'f') ADVANCE(238);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'f') ADVANCE(347);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'f') ADVANCE(437);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'g') ADVANCE(462);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'h') ADVANCE(471);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'h') ADVANCE(247);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 'o') ADVANCE(463);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(469);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(486);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(483);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'r') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(489);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(489);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(497);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(448);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(515);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(510);
      if (lookahead == 'x') ADVANCE(498);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(510);
      if (lookahead == 'x') ADVANCE(499);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(529);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(438);
      if (lookahead == 'o') ADVANCE(490);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(438);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(479);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(456);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'l') ADVANCE(519);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'm') ADVANCE(220);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(234);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(453);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(452);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(512);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(451);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(449);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(441);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(485);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(464);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(502);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(488);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'p') ADVANCE(496);
      if (lookahead == 't') ADVANCE(461);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'p') ADVANCE(496);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(466);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(222);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(517);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(215);
      if (lookahead == 'w') ADVANCE(440);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(287);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(289);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(530);
      if (lookahead == 'w') ADVANCE(440);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(530);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(454);
      if (lookahead == 't') ADVANCE(450);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(454);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(455);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(504);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 's') ADVANCE(516);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(450);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(224);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(232);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(226);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(208);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(545);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(213);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(475);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(442);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(474);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(461);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 't') ADVANCE(443);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'u') ADVANCE(484);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'u') ADVANCE(489);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'x') ADVANCE(499);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'x') ADVANCE(523);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'y') ADVANCE(249);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 'y') ADVANCE(492);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '{') ADVANCE(375);
      if (!sym_identifier_character_set_6(lookahead)) ADVANCE(541);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(394);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(541);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(408);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(541);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(395);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(398);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(396);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(398);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(154);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(543);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(155);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(541);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(547);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'b') ADVANCE(1);
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'f') ADVANCE(4);
      if (lookahead == 'g') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'n') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 's') ADVANCE(9);
      if (lookahead == 't') ADVANCE(10);
      if (lookahead == 'u') ADVANCE(11);
      if (lookahead == 'v') ADVANCE(12);
      if (lookahead == 'w') ADVANCE(13);
      if (lookahead == 'y') ADVANCE(14);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(19);
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(22);
      if (lookahead == 'm') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(24);
      if (lookahead == 'u') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 't') ADVANCE(28);
      if (lookahead == 'u') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'h') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'y') ADVANCE(33);
      END_STATE();
    case 11:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(37);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(39);
      END_STATE();
    case 17:
      if (lookahead == 'b') ADVANCE(40);
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 19:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 20:
      if (lookahead == 'r') ADVANCE(43);
      END_STATE();
    case 21:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 23:
      if (lookahead == 'p') ADVANCE(45);
      END_STATE();
    case 24:
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 25:
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(50);
      END_STATE();
    case 29:
      if (lookahead == 'p') ADVANCE(51);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(52);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(53);
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 32:
      if (lookahead == 'u') ADVANCE(55);
      if (lookahead == 'y') ADVANCE(56);
      END_STATE();
    case 33:
      if (lookahead == 'p') ADVANCE(57);
      END_STATE();
    case 34:
      if (lookahead == 'd') ADVANCE(58);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(59);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 38:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 40:
      if (lookahead == 'u') ADVANCE(64);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 45:
      if (lookahead == 'o') ADVANCE(67);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(68);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(69);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 59:
      if (lookahead == 'd') ADVANCE(78);
      END_STATE();
    case 60:
      if (lookahead == 'h') ADVANCE(79);
      END_STATE();
    case 61:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 62:
      if (lookahead == 'k') ADVANCE(81);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(83);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 67:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 69:
      if (lookahead == 'r') ADVANCE(87);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 71:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(90);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 74:
      if (lookahead == 'w') ADVANCE(91);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 77:
      if (lookahead == 'f') ADVANCE(93);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 83:
      if (lookahead == 'g') ADVANCE(96);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 86:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(100);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(101);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(103);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 95:
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 109:
      if (lookahead == 'd') ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 197, .external_lex_state = 2},
  [2] = {.lex_state = 13, .external_lex_state = 2},
  [3] = {.lex_state = 13, .external_lex_state = 2},
  [4] = {.lex_state = 13, .external_lex_state = 2},
  [5] = {.lex_state = 13, .external_lex_state = 2},
  [6] = {.lex_state = 13, .external_lex_state = 2},
  [7] = {.lex_state = 13, .external_lex_state = 2},
  [8] = {.lex_state = 13, .external_lex_state = 2},
  [9] = {.lex_state = 13, .external_lex_state = 2},
  [10] = {.lex_state = 19, .external_lex_state = 2},
  [11] = {.lex_state = 19, .external_lex_state = 2},
  [12] = {.lex_state = 19, .external_lex_state = 2},
  [13] = {.lex_state = 19, .external_lex_state = 2},
  [14] = {.lex_state = 19, .external_lex_state = 2},
  [15] = {.lex_state = 197, .external_lex_state = 2},
  [16] = {.lex_state = 197, .external_lex_state = 2},
  [17] = {.lex_state = 197, .external_lex_state = 2},
  [18] = {.lex_state = 197, .external_lex_state = 2},
  [19] = {.lex_state = 197, .external_lex_state = 2},
  [20] = {.lex_state = 197, .external_lex_state = 2},
  [21] = {.lex_state = 197, .external_lex_state = 2},
  [22] = {.lex_state = 197, .external_lex_state = 2},
  [23] = {.lex_state = 197, .external_lex_state = 2},
  [24] = {.lex_state = 197, .external_lex_state = 2},
  [25] = {.lex_state = 197, .external_lex_state = 2},
  [26] = {.lex_state = 197, .external_lex_state = 2},
  [27] = {.lex_state = 197, .external_lex_state = 2},
  [28] = {.lex_state = 197, .external_lex_state = 2},
  [29] = {.lex_state = 197, .external_lex_state = 2},
  [30] = {.lex_state = 197, .external_lex_state = 2},
  [31] = {.lex_state = 197, .external_lex_state = 2},
  [32] = {.lex_state = 197, .external_lex_state = 2},
  [33] = {.lex_state = 197, .external_lex_state = 2},
  [34] = {.lex_state = 197, .external_lex_state = 2},
  [35] = {.lex_state = 197, .external_lex_state = 2},
  [36] = {.lex_state = 197, .external_lex_state = 2},
  [37] = {.lex_state = 197, .external_lex_state = 2},
  [38] = {.lex_state = 197, .external_lex_state = 2},
  [39] = {.lex_state = 197, .external_lex_state = 2},
  [40] = {.lex_state = 197, .external_lex_state = 2},
  [41] = {.lex_state = 197, .external_lex_state = 2},
  [42] = {.lex_state = 197, .external_lex_state = 2},
  [43] = {.lex_state = 197, .external_lex_state = 2},
  [44] = {.lex_state = 197, .external_lex_state = 2},
  [45] = {.lex_state = 197, .external_lex_state = 2},
  [46] = {.lex_state = 197, .external_lex_state = 2},
  [47] = {.lex_state = 197, .external_lex_state = 2},
  [48] = {.lex_state = 197, .external_lex_state = 2},
  [49] = {.lex_state = 197, .external_lex_state = 2},
  [50] = {.lex_state = 197, .external_lex_state = 2},
  [51] = {.lex_state = 197, .external_lex_state = 2},
  [52] = {.lex_state = 197, .external_lex_state = 2},
  [53] = {.lex_state = 197, .external_lex_state = 2},
  [54] = {.lex_state = 197, .external_lex_state = 2},
  [55] = {.lex_state = 197, .external_lex_state = 2},
  [56] = {.lex_state = 197, .external_lex_state = 2},
  [57] = {.lex_state = 197, .external_lex_state = 2},
  [58] = {.lex_state = 197, .external_lex_state = 2},
  [59] = {.lex_state = 197, .external_lex_state = 2},
  [60] = {.lex_state = 197, .external_lex_state = 2},
  [61] = {.lex_state = 197, .external_lex_state = 2},
  [62] = {.lex_state = 197, .external_lex_state = 2},
  [63] = {.lex_state = 197, .external_lex_state = 2},
  [64] = {.lex_state = 197, .external_lex_state = 2},
  [65] = {.lex_state = 197, .external_lex_state = 2},
  [66] = {.lex_state = 197, .external_lex_state = 2},
  [67] = {.lex_state = 197, .external_lex_state = 2},
  [68] = {.lex_state = 197, .external_lex_state = 2},
  [69] = {.lex_state = 197, .external_lex_state = 2},
  [70] = {.lex_state = 197, .external_lex_state = 2},
  [71] = {.lex_state = 197, .external_lex_state = 2},
  [72] = {.lex_state = 197, .external_lex_state = 2},
  [73] = {.lex_state = 197, .external_lex_state = 2},
  [74] = {.lex_state = 197, .external_lex_state = 2},
  [75] = {.lex_state = 197, .external_lex_state = 2},
  [76] = {.lex_state = 197, .external_lex_state = 2},
  [77] = {.lex_state = 197, .external_lex_state = 2},
  [78] = {.lex_state = 197, .external_lex_state = 2},
  [79] = {.lex_state = 197, .external_lex_state = 2},
  [80] = {.lex_state = 197, .external_lex_state = 2},
  [81] = {.lex_state = 197, .external_lex_state = 2},
  [82] = {.lex_state = 197, .external_lex_state = 2},
  [83] = {.lex_state = 197, .external_lex_state = 2},
  [84] = {.lex_state = 197, .external_lex_state = 2},
  [85] = {.lex_state = 197, .external_lex_state = 2},
  [86] = {.lex_state = 197, .external_lex_state = 2},
  [87] = {.lex_state = 197, .external_lex_state = 2},
  [88] = {.lex_state = 197, .external_lex_state = 2},
  [89] = {.lex_state = 197, .external_lex_state = 2},
  [90] = {.lex_state = 197, .external_lex_state = 2},
  [91] = {.lex_state = 197, .external_lex_state = 2},
  [92] = {.lex_state = 197, .external_lex_state = 2},
  [93] = {.lex_state = 197, .external_lex_state = 2},
  [94] = {.lex_state = 197, .external_lex_state = 2},
  [95] = {.lex_state = 197, .external_lex_state = 2},
  [96] = {.lex_state = 197, .external_lex_state = 2},
  [97] = {.lex_state = 197, .external_lex_state = 2},
  [98] = {.lex_state = 197, .external_lex_state = 2},
  [99] = {.lex_state = 197, .external_lex_state = 2},
  [100] = {.lex_state = 197, .external_lex_state = 2},
  [101] = {.lex_state = 197, .external_lex_state = 2},
  [102] = {.lex_state = 197, .external_lex_state = 2},
  [103] = {.lex_state = 197, .external_lex_state = 2},
  [104] = {.lex_state = 197, .external_lex_state = 2},
  [105] = {.lex_state = 197, .external_lex_state = 2},
  [106] = {.lex_state = 197, .external_lex_state = 2},
  [107] = {.lex_state = 197, .external_lex_state = 2},
  [108] = {.lex_state = 197, .external_lex_state = 2},
  [109] = {.lex_state = 197, .external_lex_state = 2},
  [110] = {.lex_state = 197, .external_lex_state = 2},
  [111] = {.lex_state = 197, .external_lex_state = 2},
  [112] = {.lex_state = 197, .external_lex_state = 2},
  [113] = {.lex_state = 197, .external_lex_state = 2},
  [114] = {.lex_state = 197, .external_lex_state = 2},
  [115] = {.lex_state = 197, .external_lex_state = 2},
  [116] = {.lex_state = 197, .external_lex_state = 2},
  [117] = {.lex_state = 197, .external_lex_state = 2},
  [118] = {.lex_state = 197, .external_lex_state = 2},
  [119] = {.lex_state = 7, .external_lex_state = 3},
  [120] = {.lex_state = 7, .external_lex_state = 4},
  [121] = {.lex_state = 8, .external_lex_state = 4},
  [122] = {.lex_state = 8, .external_lex_state = 3},
  [123] = {.lex_state = 7, .external_lex_state = 3},
  [124] = {.lex_state = 12, .external_lex_state = 2},
  [125] = {.lex_state = 12, .external_lex_state = 2},
  [126] = {.lex_state = 12, .external_lex_state = 2},
  [127] = {.lex_state = 12, .external_lex_state = 2},
  [128] = {.lex_state = 12, .external_lex_state = 2},
  [129] = {.lex_state = 12, .external_lex_state = 2},
  [130] = {.lex_state = 12, .external_lex_state = 2},
  [131] = {.lex_state = 12, .external_lex_state = 2},
  [132] = {.lex_state = 17, .external_lex_state = 2},
  [133] = {.lex_state = 17, .external_lex_state = 2},
  [134] = {.lex_state = 17, .external_lex_state = 2},
  [135] = {.lex_state = 17, .external_lex_state = 2},
  [136] = {.lex_state = 17, .external_lex_state = 2},
  [137] = {.lex_state = 17, .external_lex_state = 2},
  [138] = {.lex_state = 17, .external_lex_state = 2},
  [139] = {.lex_state = 17, .external_lex_state = 2},
  [140] = {.lex_state = 17, .external_lex_state = 2},
  [141] = {.lex_state = 17, .external_lex_state = 2},
  [142] = {.lex_state = 17, .external_lex_state = 2},
  [143] = {.lex_state = 10, .external_lex_state = 4},
  [144] = {.lex_state = 17, .external_lex_state = 2},
  [145] = {.lex_state = 17, .external_lex_state = 2},
  [146] = {.lex_state = 17, .external_lex_state = 2},
  [147] = {.lex_state = 17, .external_lex_state = 2},
  [148] = {.lex_state = 10, .external_lex_state = 4},
  [149] = {.lex_state = 12, .external_lex_state = 2},
  [150] = {.lex_state = 10, .external_lex_state = 4},
  [151] = {.lex_state = 10, .external_lex_state = 4},
  [152] = {.lex_state = 10, .external_lex_state = 4},
  [153] = {.lex_state = 10, .external_lex_state = 4},
  [154] = {.lex_state = 10, .external_lex_state = 4},
  [155] = {.lex_state = 196, .external_lex_state = 4},
  [156] = {.lex_state = 12, .external_lex_state = 2},
  [157] = {.lex_state = 10, .external_lex_state = 4},
  [158] = {.lex_state = 10, .external_lex_state = 4},
  [159] = {.lex_state = 12, .external_lex_state = 2},
  [160] = {.lex_state = 12, .external_lex_state = 2},
  [161] = {.lex_state = 10, .external_lex_state = 4},
  [162] = {.lex_state = 10, .external_lex_state = 4},
  [163] = {.lex_state = 10, .external_lex_state = 4},
  [164] = {.lex_state = 10, .external_lex_state = 4},
  [165] = {.lex_state = 9, .external_lex_state = 4},
  [166] = {.lex_state = 10, .external_lex_state = 4},
  [167] = {.lex_state = 10, .external_lex_state = 4},
  [168] = {.lex_state = 9, .external_lex_state = 4},
  [169] = {.lex_state = 196, .external_lex_state = 4},
  [170] = {.lex_state = 9, .external_lex_state = 4},
  [171] = {.lex_state = 9, .external_lex_state = 4},
  [172] = {.lex_state = 9, .external_lex_state = 4},
  [173] = {.lex_state = 9, .external_lex_state = 4},
  [174] = {.lex_state = 196, .external_lex_state = 4},
  [175] = {.lex_state = 9, .external_lex_state = 4},
  [176] = {.lex_state = 196, .external_lex_state = 4},
  [177] = {.lex_state = 9, .external_lex_state = 4},
  [178] = {.lex_state = 9, .external_lex_state = 4},
  [179] = {.lex_state = 9, .external_lex_state = 4},
  [180] = {.lex_state = 9, .external_lex_state = 4},
  [181] = {.lex_state = 196, .external_lex_state = 4},
  [182] = {.lex_state = 196, .external_lex_state = 4},
  [183] = {.lex_state = 9, .external_lex_state = 4},
  [184] = {.lex_state = 196, .external_lex_state = 4},
  [185] = {.lex_state = 196, .external_lex_state = 4},
  [186] = {.lex_state = 9, .external_lex_state = 4},
  [187] = {.lex_state = 196, .external_lex_state = 4},
  [188] = {.lex_state = 12, .external_lex_state = 2},
  [189] = {.lex_state = 195, .external_lex_state = 4},
  [190] = {.lex_state = 9, .external_lex_state = 4},
  [191] = {.lex_state = 196, .external_lex_state = 4},
  [192] = {.lex_state = 9, .external_lex_state = 4},
  [193] = {.lex_state = 12, .external_lex_state = 2},
  [194] = {.lex_state = 196, .external_lex_state = 4},
  [195] = {.lex_state = 196, .external_lex_state = 4},
  [196] = {.lex_state = 196, .external_lex_state = 4},
  [197] = {.lex_state = 196, .external_lex_state = 4},
  [198] = {.lex_state = 196, .external_lex_state = 4},
  [199] = {.lex_state = 12, .external_lex_state = 2},
  [200] = {.lex_state = 195, .external_lex_state = 4},
  [201] = {.lex_state = 195, .external_lex_state = 4},
  [202] = {.lex_state = 12, .external_lex_state = 2},
  [203] = {.lex_state = 195, .external_lex_state = 4},
  [204] = {.lex_state = 12, .external_lex_state = 2},
  [205] = {.lex_state = 12, .external_lex_state = 2},
  [206] = {.lex_state = 195, .external_lex_state = 4},
  [207] = {.lex_state = 195, .external_lex_state = 4},
  [208] = {.lex_state = 195, .external_lex_state = 4},
  [209] = {.lex_state = 12, .external_lex_state = 2},
  [210] = {.lex_state = 195, .external_lex_state = 4},
  [211] = {.lex_state = 195, .external_lex_state = 4},
  [212] = {.lex_state = 12, .external_lex_state = 2},
  [213] = {.lex_state = 195, .external_lex_state = 4},
  [214] = {.lex_state = 12, .external_lex_state = 2},
  [215] = {.lex_state = 195, .external_lex_state = 4},
  [216] = {.lex_state = 195, .external_lex_state = 4},
  [217] = {.lex_state = 12, .external_lex_state = 2},
  [218] = {.lex_state = 12, .external_lex_state = 2},
  [219] = {.lex_state = 195, .external_lex_state = 4},
  [220] = {.lex_state = 195, .external_lex_state = 4},
  [221] = {.lex_state = 195, .external_lex_state = 4},
  [222] = {.lex_state = 12, .external_lex_state = 2},
  [223] = {.lex_state = 12, .external_lex_state = 2},
  [224] = {.lex_state = 12, .external_lex_state = 2},
  [225] = {.lex_state = 12, .external_lex_state = 2},
  [226] = {.lex_state = 12, .external_lex_state = 2},
  [227] = {.lex_state = 12, .external_lex_state = 2},
  [228] = {.lex_state = 12, .external_lex_state = 2},
  [229] = {.lex_state = 12, .external_lex_state = 2},
  [230] = {.lex_state = 12, .external_lex_state = 2},
  [231] = {.lex_state = 12, .external_lex_state = 2},
  [232] = {.lex_state = 12, .external_lex_state = 2},
  [233] = {.lex_state = 12, .external_lex_state = 5},
  [234] = {.lex_state = 12, .external_lex_state = 5},
  [235] = {.lex_state = 12, .external_lex_state = 5},
  [236] = {.lex_state = 12, .external_lex_state = 5},
  [237] = {.lex_state = 12, .external_lex_state = 5},
  [238] = {.lex_state = 12, .external_lex_state = 2},
  [239] = {.lex_state = 12, .external_lex_state = 2},
  [240] = {.lex_state = 12, .external_lex_state = 2},
  [241] = {.lex_state = 12, .external_lex_state = 2},
  [242] = {.lex_state = 12, .external_lex_state = 2},
  [243] = {.lex_state = 17, .external_lex_state = 2},
  [244] = {.lex_state = 12, .external_lex_state = 2},
  [245] = {.lex_state = 12, .external_lex_state = 2},
  [246] = {.lex_state = 12, .external_lex_state = 2},
  [247] = {.lex_state = 12, .external_lex_state = 2},
  [248] = {.lex_state = 12, .external_lex_state = 2},
  [249] = {.lex_state = 12, .external_lex_state = 2},
  [250] = {.lex_state = 12, .external_lex_state = 2},
  [251] = {.lex_state = 12, .external_lex_state = 2},
  [252] = {.lex_state = 12, .external_lex_state = 2},
  [253] = {.lex_state = 12, .external_lex_state = 2},
  [254] = {.lex_state = 12, .external_lex_state = 2},
  [255] = {.lex_state = 12, .external_lex_state = 2},
  [256] = {.lex_state = 14, .external_lex_state = 2},
  [257] = {.lex_state = 12, .external_lex_state = 2},
  [258] = {.lex_state = 12, .external_lex_state = 2},
  [259] = {.lex_state = 12, .external_lex_state = 2},
  [260] = {.lex_state = 12, .external_lex_state = 2},
  [261] = {.lex_state = 12, .external_lex_state = 2},
  [262] = {.lex_state = 12, .external_lex_state = 2},
  [263] = {.lex_state = 12, .external_lex_state = 2},
  [264] = {.lex_state = 12, .external_lex_state = 2},
  [265] = {.lex_state = 12, .external_lex_state = 2},
  [266] = {.lex_state = 12, .external_lex_state = 2},
  [267] = {.lex_state = 12, .external_lex_state = 2},
  [268] = {.lex_state = 12, .external_lex_state = 2},
  [269] = {.lex_state = 12, .external_lex_state = 2},
  [270] = {.lex_state = 12, .external_lex_state = 2},
  [271] = {.lex_state = 12, .external_lex_state = 2},
  [272] = {.lex_state = 12, .external_lex_state = 2},
  [273] = {.lex_state = 12, .external_lex_state = 2},
  [274] = {.lex_state = 12, .external_lex_state = 2},
  [275] = {.lex_state = 12, .external_lex_state = 2},
  [276] = {.lex_state = 12, .external_lex_state = 2},
  [277] = {.lex_state = 12, .external_lex_state = 2},
  [278] = {.lex_state = 12, .external_lex_state = 2},
  [279] = {.lex_state = 12, .external_lex_state = 2},
  [280] = {.lex_state = 12, .external_lex_state = 2},
  [281] = {.lex_state = 12, .external_lex_state = 2},
  [282] = {.lex_state = 12, .external_lex_state = 2},
  [283] = {.lex_state = 12, .external_lex_state = 2},
  [284] = {.lex_state = 12, .external_lex_state = 2},
  [285] = {.lex_state = 14, .external_lex_state = 2},
  [286] = {.lex_state = 14, .external_lex_state = 2},
  [287] = {.lex_state = 12, .external_lex_state = 2},
  [288] = {.lex_state = 12, .external_lex_state = 2},
  [289] = {.lex_state = 12, .external_lex_state = 2},
  [290] = {.lex_state = 14, .external_lex_state = 2},
  [291] = {.lex_state = 12, .external_lex_state = 2},
  [292] = {.lex_state = 12, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 2},
  [294] = {.lex_state = 14, .external_lex_state = 2},
  [295] = {.lex_state = 12, .external_lex_state = 2},
  [296] = {.lex_state = 12, .external_lex_state = 2},
  [297] = {.lex_state = 12, .external_lex_state = 2},
  [298] = {.lex_state = 12, .external_lex_state = 2},
  [299] = {.lex_state = 12, .external_lex_state = 2},
  [300] = {.lex_state = 12, .external_lex_state = 2},
  [301] = {.lex_state = 12, .external_lex_state = 2},
  [302] = {.lex_state = 12, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 2},
  [304] = {.lex_state = 12, .external_lex_state = 2},
  [305] = {.lex_state = 12, .external_lex_state = 2},
  [306] = {.lex_state = 12, .external_lex_state = 2},
  [307] = {.lex_state = 12, .external_lex_state = 2},
  [308] = {.lex_state = 12, .external_lex_state = 2},
  [309] = {.lex_state = 12, .external_lex_state = 2},
  [310] = {.lex_state = 12, .external_lex_state = 2},
  [311] = {.lex_state = 12, .external_lex_state = 2},
  [312] = {.lex_state = 12, .external_lex_state = 2},
  [313] = {.lex_state = 12, .external_lex_state = 2},
  [314] = {.lex_state = 12, .external_lex_state = 2},
  [315] = {.lex_state = 12, .external_lex_state = 2},
  [316] = {.lex_state = 12, .external_lex_state = 2},
  [317] = {.lex_state = 12, .external_lex_state = 2},
  [318] = {.lex_state = 12, .external_lex_state = 2},
  [319] = {.lex_state = 12, .external_lex_state = 2},
  [320] = {.lex_state = 12, .external_lex_state = 2},
  [321] = {.lex_state = 12, .external_lex_state = 2},
  [322] = {.lex_state = 12, .external_lex_state = 2},
  [323] = {.lex_state = 12, .external_lex_state = 2},
  [324] = {.lex_state = 12, .external_lex_state = 2},
  [325] = {.lex_state = 12, .external_lex_state = 2},
  [326] = {.lex_state = 12, .external_lex_state = 2},
  [327] = {.lex_state = 12, .external_lex_state = 2},
  [328] = {.lex_state = 12, .external_lex_state = 2},
  [329] = {.lex_state = 12, .external_lex_state = 2},
  [330] = {.lex_state = 12, .external_lex_state = 2},
  [331] = {.lex_state = 12, .external_lex_state = 2},
  [332] = {.lex_state = 12, .external_lex_state = 2},
  [333] = {.lex_state = 12, .external_lex_state = 2},
  [334] = {.lex_state = 12, .external_lex_state = 2},
  [335] = {.lex_state = 12, .external_lex_state = 2},
  [336] = {.lex_state = 12, .external_lex_state = 2},
  [337] = {.lex_state = 12, .external_lex_state = 2},
  [338] = {.lex_state = 12, .external_lex_state = 2},
  [339] = {.lex_state = 12, .external_lex_state = 2},
  [340] = {.lex_state = 12, .external_lex_state = 2},
  [341] = {.lex_state = 12, .external_lex_state = 2},
  [342] = {.lex_state = 12, .external_lex_state = 2},
  [343] = {.lex_state = 12, .external_lex_state = 2},
  [344] = {.lex_state = 12, .external_lex_state = 2},
  [345] = {.lex_state = 12, .external_lex_state = 2},
  [346] = {.lex_state = 12, .external_lex_state = 2},
  [347] = {.lex_state = 12, .external_lex_state = 2},
  [348] = {.lex_state = 12, .external_lex_state = 2},
  [349] = {.lex_state = 12, .external_lex_state = 2},
  [350] = {.lex_state = 12, .external_lex_state = 2},
  [351] = {.lex_state = 12, .external_lex_state = 2},
  [352] = {.lex_state = 12, .external_lex_state = 2},
  [353] = {.lex_state = 12, .external_lex_state = 2},
  [354] = {.lex_state = 12, .external_lex_state = 2},
  [355] = {.lex_state = 12, .external_lex_state = 2},
  [356] = {.lex_state = 12, .external_lex_state = 2},
  [357] = {.lex_state = 12, .external_lex_state = 2},
  [358] = {.lex_state = 12, .external_lex_state = 2},
  [359] = {.lex_state = 12, .external_lex_state = 2},
  [360] = {.lex_state = 12, .external_lex_state = 2},
  [361] = {.lex_state = 12, .external_lex_state = 2},
  [362] = {.lex_state = 12, .external_lex_state = 2},
  [363] = {.lex_state = 12, .external_lex_state = 2},
  [364] = {.lex_state = 12, .external_lex_state = 2},
  [365] = {.lex_state = 12, .external_lex_state = 2},
  [366] = {.lex_state = 12, .external_lex_state = 2},
  [367] = {.lex_state = 12, .external_lex_state = 2},
  [368] = {.lex_state = 12, .external_lex_state = 2},
  [369] = {.lex_state = 12, .external_lex_state = 2},
  [370] = {.lex_state = 12, .external_lex_state = 2},
  [371] = {.lex_state = 12, .external_lex_state = 2},
  [372] = {.lex_state = 12, .external_lex_state = 2},
  [373] = {.lex_state = 12, .external_lex_state = 2},
  [374] = {.lex_state = 12, .external_lex_state = 2},
  [375] = {.lex_state = 12, .external_lex_state = 2},
  [376] = {.lex_state = 12, .external_lex_state = 2},
  [377] = {.lex_state = 12, .external_lex_state = 2},
  [378] = {.lex_state = 12, .external_lex_state = 2},
  [379] = {.lex_state = 12, .external_lex_state = 2},
  [380] = {.lex_state = 12, .external_lex_state = 2},
  [381] = {.lex_state = 12, .external_lex_state = 2},
  [382] = {.lex_state = 12, .external_lex_state = 2},
  [383] = {.lex_state = 12, .external_lex_state = 2},
  [384] = {.lex_state = 12, .external_lex_state = 2},
  [385] = {.lex_state = 12, .external_lex_state = 2},
  [386] = {.lex_state = 12, .external_lex_state = 2},
  [387] = {.lex_state = 12, .external_lex_state = 2},
  [388] = {.lex_state = 12, .external_lex_state = 2},
  [389] = {.lex_state = 12, .external_lex_state = 2},
  [390] = {.lex_state = 12, .external_lex_state = 2},
  [391] = {.lex_state = 12, .external_lex_state = 2},
  [392] = {.lex_state = 12, .external_lex_state = 2},
  [393] = {.lex_state = 12, .external_lex_state = 2},
  [394] = {.lex_state = 12, .external_lex_state = 2},
  [395] = {.lex_state = 12, .external_lex_state = 2},
  [396] = {.lex_state = 12, .external_lex_state = 2},
  [397] = {.lex_state = 12, .external_lex_state = 2},
  [398] = {.lex_state = 12, .external_lex_state = 2},
  [399] = {.lex_state = 12, .external_lex_state = 2},
  [400] = {.lex_state = 12, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 2},
  [402] = {.lex_state = 12, .external_lex_state = 2},
  [403] = {.lex_state = 12, .external_lex_state = 2},
  [404] = {.lex_state = 12, .external_lex_state = 2},
  [405] = {.lex_state = 12, .external_lex_state = 2},
  [406] = {.lex_state = 12, .external_lex_state = 2},
  [407] = {.lex_state = 12, .external_lex_state = 2},
  [408] = {.lex_state = 12, .external_lex_state = 2},
  [409] = {.lex_state = 12, .external_lex_state = 2},
  [410] = {.lex_state = 12, .external_lex_state = 2},
  [411] = {.lex_state = 12, .external_lex_state = 2},
  [412] = {.lex_state = 12, .external_lex_state = 2},
  [413] = {.lex_state = 12, .external_lex_state = 2},
  [414] = {.lex_state = 12, .external_lex_state = 2},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 12, .external_lex_state = 2},
  [419] = {.lex_state = 12, .external_lex_state = 2},
  [420] = {.lex_state = 12, .external_lex_state = 2},
  [421] = {.lex_state = 12, .external_lex_state = 2},
  [422] = {.lex_state = 12, .external_lex_state = 2},
  [423] = {.lex_state = 203, .external_lex_state = 4},
  [424] = {.lex_state = 203, .external_lex_state = 4},
  [425] = {.lex_state = 203, .external_lex_state = 4},
  [426] = {.lex_state = 203, .external_lex_state = 4},
  [427] = {.lex_state = 203, .external_lex_state = 4},
  [428] = {.lex_state = 203, .external_lex_state = 4},
  [429] = {.lex_state = 22, .external_lex_state = 4},
  [430] = {.lex_state = 203, .external_lex_state = 4},
  [431] = {.lex_state = 22, .external_lex_state = 4},
  [432] = {.lex_state = 203, .external_lex_state = 4},
  [433] = {.lex_state = 22, .external_lex_state = 4},
  [434] = {.lex_state = 23, .external_lex_state = 4},
  [435] = {.lex_state = 23, .external_lex_state = 4},
  [436] = {.lex_state = 23, .external_lex_state = 4},
  [437] = {.lex_state = 23, .external_lex_state = 4},
  [438] = {.lex_state = 23, .external_lex_state = 4},
  [439] = {.lex_state = 23, .external_lex_state = 4},
  [440] = {.lex_state = 24, .external_lex_state = 3},
  [441] = {.lex_state = 24, .external_lex_state = 3},
  [442] = {.lex_state = 26, .external_lex_state = 4},
  [443] = {.lex_state = 24, .external_lex_state = 4},
  [444] = {.lex_state = 24, .external_lex_state = 4},
  [445] = {.lex_state = 26, .external_lex_state = 4},
  [446] = {.lex_state = 24, .external_lex_state = 3},
  [447] = {.lex_state = 25, .external_lex_state = 4},
  [448] = {.lex_state = 24, .external_lex_state = 4},
  [449] = {.lex_state = 24, .external_lex_state = 3},
  [450] = {.lex_state = 24, .external_lex_state = 4},
  [451] = {.lex_state = 24, .external_lex_state = 3},
  [452] = {.lex_state = 24, .external_lex_state = 4},
  [453] = {.lex_state = 26, .external_lex_state = 4},
  [454] = {.lex_state = 24, .external_lex_state = 4},
  [455] = {.lex_state = 24, .external_lex_state = 4},
  [456] = {.lex_state = 16, .external_lex_state = 2},
  [457] = {.lex_state = 25, .external_lex_state = 4},
  [458] = {.lex_state = 25, .external_lex_state = 4},
  [459] = {.lex_state = 15, .external_lex_state = 2},
  [460] = {.lex_state = 24, .external_lex_state = 3},
  [461] = {.lex_state = 202, .external_lex_state = 2},
  [462] = {.lex_state = 16, .external_lex_state = 5},
  [463] = {.lex_state = 16, .external_lex_state = 5},
  [464] = {.lex_state = 202, .external_lex_state = 5},
  [465] = {.lex_state = 202, .external_lex_state = 5},
  [466] = {.lex_state = 24, .external_lex_state = 4},
  [467] = {.lex_state = 15, .external_lex_state = 5},
  [468] = {.lex_state = 20, .external_lex_state = 5},
  [469] = {.lex_state = 24, .external_lex_state = 4},
  [470] = {.lex_state = 16, .external_lex_state = 2},
  [471] = {.lex_state = 24, .external_lex_state = 3},
  [472] = {.lex_state = 20, .external_lex_state = 5},
  [473] = {.lex_state = 24, .external_lex_state = 4},
  [474] = {.lex_state = 15, .external_lex_state = 5},
  [475] = {.lex_state = 24, .external_lex_state = 4},
  [476] = {.lex_state = 24, .external_lex_state = 3},
  [477] = {.lex_state = 20, .external_lex_state = 2},
  [478] = {.lex_state = 16, .external_lex_state = 2},
  [479] = {.lex_state = 24, .external_lex_state = 4},
  [480] = {.lex_state = 201, .external_lex_state = 2},
  [481] = {.lex_state = 18, .external_lex_state = 2},
  [482] = {.lex_state = 21, .external_lex_state = 5},
  [483] = {.lex_state = 20, .external_lex_state = 2},
  [484] = {.lex_state = 199, .external_lex_state = 5},
  [485] = {.lex_state = 21, .external_lex_state = 5},
  [486] = {.lex_state = 21, .external_lex_state = 5},
  [487] = {.lex_state = 21, .external_lex_state = 5},
  [488] = {.lex_state = 27, .external_lex_state = 4},
  [489] = {.lex_state = 21, .external_lex_state = 5},
  [490] = {.lex_state = 21, .external_lex_state = 5},
  [491] = {.lex_state = 21, .external_lex_state = 5},
  [492] = {.lex_state = 20, .external_lex_state = 2},
  [493] = {.lex_state = 25, .external_lex_state = 4},
  [494] = {.lex_state = 26, .external_lex_state = 3},
  [495] = {.lex_state = 201, .external_lex_state = 5},
  [496] = {.lex_state = 26, .external_lex_state = 3},
  [497] = {.lex_state = 21, .external_lex_state = 5},
  [498] = {.lex_state = 202, .external_lex_state = 2},
  [499] = {.lex_state = 18, .external_lex_state = 5},
  [500] = {.lex_state = 21, .external_lex_state = 5},
  [501] = {.lex_state = 25, .external_lex_state = 4},
  [502] = {.lex_state = 20, .external_lex_state = 2},
  [503] = {.lex_state = 21, .external_lex_state = 5},
  [504] = {.lex_state = 21, .external_lex_state = 5},
  [505] = {.lex_state = 21, .external_lex_state = 2},
  [506] = {.lex_state = 21, .external_lex_state = 5},
  [507] = {.lex_state = 202, .external_lex_state = 2},
  [508] = {.lex_state = 15, .external_lex_state = 2},
  [509] = {.lex_state = 26, .external_lex_state = 3},
  [510] = {.lex_state = 199, .external_lex_state = 2},
  [511] = {.lex_state = 21, .external_lex_state = 2},
  [512] = {.lex_state = 21, .external_lex_state = 5},
  [513] = {.lex_state = 21, .external_lex_state = 5},
  [514] = {.lex_state = 25, .external_lex_state = 4},
  [515] = {.lex_state = 20, .external_lex_state = 2},
  [516] = {.lex_state = 201, .external_lex_state = 5},
  [517] = {.lex_state = 25, .external_lex_state = 4},
  [518] = {.lex_state = 15, .external_lex_state = 2},
  [519] = {.lex_state = 18, .external_lex_state = 5},
  [520] = {.lex_state = 25, .external_lex_state = 4},
  [521] = {.lex_state = 21, .external_lex_state = 5},
  [522] = {.lex_state = 21, .external_lex_state = 5},
  [523] = {.lex_state = 199, .external_lex_state = 5},
  [524] = {.lex_state = 21, .external_lex_state = 2},
  [525] = {.lex_state = 19, .external_lex_state = 5},
  [526] = {.lex_state = 21, .external_lex_state = 2},
  [527] = {.lex_state = 21, .external_lex_state = 2},
  [528] = {.lex_state = 21, .external_lex_state = 2},
  [529] = {.lex_state = 201, .external_lex_state = 2},
  [530] = {.lex_state = 19, .external_lex_state = 5},
  [531] = {.lex_state = 200, .external_lex_state = 5},
  [532] = {.lex_state = 200, .external_lex_state = 5},
  [533] = {.lex_state = 21, .external_lex_state = 2},
  [534] = {.lex_state = 21, .external_lex_state = 2},
  [535] = {.lex_state = 21, .external_lex_state = 2},
  [536] = {.lex_state = 21, .external_lex_state = 2},
  [537] = {.lex_state = 21, .external_lex_state = 2},
  [538] = {.lex_state = 21, .external_lex_state = 2},
  [539] = {.lex_state = 21, .external_lex_state = 2},
  [540] = {.lex_state = 201, .external_lex_state = 2},
  [541] = {.lex_state = 21, .external_lex_state = 2},
  [542] = {.lex_state = 21, .external_lex_state = 2},
  [543] = {.lex_state = 21, .external_lex_state = 2},
  [544] = {.lex_state = 21, .external_lex_state = 2},
  [545] = {.lex_state = 21, .external_lex_state = 2},
  [546] = {.lex_state = 21, .external_lex_state = 2},
  [547] = {.lex_state = 21, .external_lex_state = 2},
  [548] = {.lex_state = 21, .external_lex_state = 2},
  [549] = {.lex_state = 199, .external_lex_state = 2},
  [550] = {.lex_state = 200, .external_lex_state = 2},
  [551] = {.lex_state = 21, .external_lex_state = 2},
  [552] = {.lex_state = 21, .external_lex_state = 2},
  [553] = {.lex_state = 200, .external_lex_state = 2},
  [554] = {.lex_state = 21, .external_lex_state = 2},
  [555] = {.lex_state = 21, .external_lex_state = 2},
  [556] = {.lex_state = 21, .external_lex_state = 2},
  [557] = {.lex_state = 21, .external_lex_state = 2},
  [558] = {.lex_state = 21, .external_lex_state = 2},
  [559] = {.lex_state = 19, .external_lex_state = 5},
  [560] = {.lex_state = 21, .external_lex_state = 2},
  [561] = {.lex_state = 21, .external_lex_state = 2},
  [562] = {.lex_state = 21, .external_lex_state = 2},
  [563] = {.lex_state = 21, .external_lex_state = 2},
  [564] = {.lex_state = 21, .external_lex_state = 2},
  [565] = {.lex_state = 21, .external_lex_state = 2},
  [566] = {.lex_state = 21, .external_lex_state = 2},
  [567] = {.lex_state = 21, .external_lex_state = 2},
  [568] = {.lex_state = 21, .external_lex_state = 2},
  [569] = {.lex_state = 21, .external_lex_state = 2},
  [570] = {.lex_state = 21, .external_lex_state = 2},
  [571] = {.lex_state = 21, .external_lex_state = 2},
  [572] = {.lex_state = 21, .external_lex_state = 2},
  [573] = {.lex_state = 198, .external_lex_state = 5},
  [574] = {.lex_state = 21, .external_lex_state = 2},
  [575] = {.lex_state = 200, .external_lex_state = 5},
  [576] = {.lex_state = 21, .external_lex_state = 2},
  [577] = {.lex_state = 21, .external_lex_state = 2},
  [578] = {.lex_state = 21, .external_lex_state = 2},
  [579] = {.lex_state = 21, .external_lex_state = 2},
  [580] = {.lex_state = 21, .external_lex_state = 2},
  [581] = {.lex_state = 21, .external_lex_state = 2},
  [582] = {.lex_state = 21, .external_lex_state = 2},
  [583] = {.lex_state = 21, .external_lex_state = 2},
  [584] = {.lex_state = 200, .external_lex_state = 5},
  [585] = {.lex_state = 200, .external_lex_state = 5},
  [586] = {.lex_state = 21, .external_lex_state = 2},
  [587] = {.lex_state = 21, .external_lex_state = 2},
  [588] = {.lex_state = 200, .external_lex_state = 5},
  [589] = {.lex_state = 21, .external_lex_state = 2},
  [590] = {.lex_state = 200, .external_lex_state = 5},
  [591] = {.lex_state = 21, .external_lex_state = 2},
  [592] = {.lex_state = 200, .external_lex_state = 5},
  [593] = {.lex_state = 200, .external_lex_state = 5},
  [594] = {.lex_state = 199, .external_lex_state = 2},
  [595] = {.lex_state = 21, .external_lex_state = 2},
  [596] = {.lex_state = 19, .external_lex_state = 5},
  [597] = {.lex_state = 18, .external_lex_state = 2},
  [598] = {.lex_state = 21, .external_lex_state = 2},
  [599] = {.lex_state = 21, .external_lex_state = 2},
  [600] = {.lex_state = 19, .external_lex_state = 5},
  [601] = {.lex_state = 21, .external_lex_state = 2},
  [602] = {.lex_state = 21, .external_lex_state = 2},
  [603] = {.lex_state = 21, .external_lex_state = 2},
  [604] = {.lex_state = 21, .external_lex_state = 2},
  [605] = {.lex_state = 21, .external_lex_state = 2},
  [606] = {.lex_state = 18, .external_lex_state = 2},
  [607] = {.lex_state = 21, .external_lex_state = 2},
  [608] = {.lex_state = 21, .external_lex_state = 2},
  [609] = {.lex_state = 21, .external_lex_state = 2},
  [610] = {.lex_state = 198, .external_lex_state = 2},
  [611] = {.lex_state = 21, .external_lex_state = 2},
  [612] = {.lex_state = 200, .external_lex_state = 5},
  [613] = {.lex_state = 200, .external_lex_state = 5},
  [614] = {.lex_state = 199, .external_lex_state = 2},
  [615] = {.lex_state = 19, .external_lex_state = 5},
  [616] = {.lex_state = 199, .external_lex_state = 2},
  [617] = {.lex_state = 200, .external_lex_state = 5},
  [618] = {.lex_state = 19, .external_lex_state = 5},
  [619] = {.lex_state = 19, .external_lex_state = 5},
  [620] = {.lex_state = 200, .external_lex_state = 5},
  [621] = {.lex_state = 200, .external_lex_state = 5},
  [622] = {.lex_state = 21, .external_lex_state = 2},
  [623] = {.lex_state = 198, .external_lex_state = 5},
  [624] = {.lex_state = 21, .external_lex_state = 2},
  [625] = {.lex_state = 21, .external_lex_state = 2},
  [626] = {.lex_state = 21, .external_lex_state = 2},
  [627] = {.lex_state = 21, .external_lex_state = 2},
  [628] = {.lex_state = 21, .external_lex_state = 2},
  [629] = {.lex_state = 21, .external_lex_state = 2},
  [630] = {.lex_state = 21, .external_lex_state = 2},
  [631] = {.lex_state = 19, .external_lex_state = 5},
  [632] = {.lex_state = 18, .external_lex_state = 2},
  [633] = {.lex_state = 21, .external_lex_state = 2},
  [634] = {.lex_state = 200, .external_lex_state = 5},
  [635] = {.lex_state = 21, .external_lex_state = 2},
  [636] = {.lex_state = 21, .external_lex_state = 2},
  [637] = {.lex_state = 21, .external_lex_state = 2},
  [638] = {.lex_state = 21, .external_lex_state = 2},
  [639] = {.lex_state = 21, .external_lex_state = 2},
  [640] = {.lex_state = 21, .external_lex_state = 2},
  [641] = {.lex_state = 21, .external_lex_state = 2},
  [642] = {.lex_state = 21, .external_lex_state = 2},
  [643] = {.lex_state = 21, .external_lex_state = 2},
  [644] = {.lex_state = 19, .external_lex_state = 5},
  [645] = {.lex_state = 19, .external_lex_state = 5},
  [646] = {.lex_state = 21, .external_lex_state = 2},
  [647] = {.lex_state = 21, .external_lex_state = 2},
  [648] = {.lex_state = 21, .external_lex_state = 2},
  [649] = {.lex_state = 21, .external_lex_state = 2},
  [650] = {.lex_state = 21, .external_lex_state = 2},
  [651] = {.lex_state = 19, .external_lex_state = 5},
  [652] = {.lex_state = 21, .external_lex_state = 2},
  [653] = {.lex_state = 21, .external_lex_state = 2},
  [654] = {.lex_state = 21, .external_lex_state = 2},
  [655] = {.lex_state = 21, .external_lex_state = 2},
  [656] = {.lex_state = 21, .external_lex_state = 2},
  [657] = {.lex_state = 18, .external_lex_state = 2},
  [658] = {.lex_state = 21, .external_lex_state = 2},
  [659] = {.lex_state = 19, .external_lex_state = 5},
  [660] = {.lex_state = 21, .external_lex_state = 2},
  [661] = {.lex_state = 21, .external_lex_state = 2},
  [662] = {.lex_state = 19, .external_lex_state = 5},
  [663] = {.lex_state = 21, .external_lex_state = 2},
  [664] = {.lex_state = 21, .external_lex_state = 2},
  [665] = {.lex_state = 200, .external_lex_state = 5},
  [666] = {.lex_state = 19, .external_lex_state = 5},
  [667] = {.lex_state = 19, .external_lex_state = 5},
  [668] = {.lex_state = 200, .external_lex_state = 2},
  [669] = {.lex_state = 19, .external_lex_state = 2},
  [670] = {.lex_state = 200, .external_lex_state = 2},
  [671] = {.lex_state = 19, .external_lex_state = 2},
  [672] = {.lex_state = 19, .external_lex_state = 2},
  [673] = {.lex_state = 19, .external_lex_state = 2},
  [674] = {.lex_state = 19, .external_lex_state = 2},
  [675] = {.lex_state = 19, .external_lex_state = 2},
  [676] = {.lex_state = 19, .external_lex_state = 2},
  [677] = {.lex_state = 19, .external_lex_state = 2},
  [678] = {.lex_state = 19, .external_lex_state = 2},
  [679] = {.lex_state = 19, .external_lex_state = 2},
  [680] = {.lex_state = 19, .external_lex_state = 2},
  [681] = {.lex_state = 19, .external_lex_state = 2},
  [682] = {.lex_state = 19, .external_lex_state = 2},
  [683] = {.lex_state = 19, .external_lex_state = 2},
  [684] = {.lex_state = 25, .external_lex_state = 4},
  [685] = {.lex_state = 200, .external_lex_state = 2},
  [686] = {.lex_state = 200, .external_lex_state = 2},
  [687] = {.lex_state = 198, .external_lex_state = 2},
  [688] = {.lex_state = 19, .external_lex_state = 2},
  [689] = {.lex_state = 200, .external_lex_state = 2},
  [690] = {.lex_state = 200, .external_lex_state = 2},
  [691] = {.lex_state = 19, .external_lex_state = 2},
  [692] = {.lex_state = 200, .external_lex_state = 2},
  [693] = {.lex_state = 19, .external_lex_state = 2},
  [694] = {.lex_state = 200, .external_lex_state = 2},
  [695] = {.lex_state = 200, .external_lex_state = 2},
  [696] = {.lex_state = 197, .external_lex_state = 5},
  [697] = {.lex_state = 19, .external_lex_state = 2},
  [698] = {.lex_state = 200, .external_lex_state = 2},
  [699] = {.lex_state = 19, .external_lex_state = 2},
  [700] = {.lex_state = 19, .external_lex_state = 2},
  [701] = {.lex_state = 19, .external_lex_state = 2},
  [702] = {.lex_state = 19, .external_lex_state = 2},
  [703] = {.lex_state = 19, .external_lex_state = 2},
  [704] = {.lex_state = 19, .external_lex_state = 2},
  [705] = {.lex_state = 197, .external_lex_state = 5},
  [706] = {.lex_state = 19, .external_lex_state = 2},
  [707] = {.lex_state = 19, .external_lex_state = 2},
  [708] = {.lex_state = 19, .external_lex_state = 2},
  [709] = {.lex_state = 197, .external_lex_state = 5},
  [710] = {.lex_state = 19, .external_lex_state = 2},
  [711] = {.lex_state = 197, .external_lex_state = 5},
  [712] = {.lex_state = 19, .external_lex_state = 2},
  [713] = {.lex_state = 19, .external_lex_state = 2},
  [714] = {.lex_state = 19, .external_lex_state = 2},
  [715] = {.lex_state = 19, .external_lex_state = 2},
  [716] = {.lex_state = 19, .external_lex_state = 2},
  [717] = {.lex_state = 19, .external_lex_state = 2},
  [718] = {.lex_state = 25, .external_lex_state = 4},
  [719] = {.lex_state = 19, .external_lex_state = 2},
  [720] = {.lex_state = 19, .external_lex_state = 2},
  [721] = {.lex_state = 19, .external_lex_state = 2},
  [722] = {.lex_state = 19, .external_lex_state = 2},
  [723] = {.lex_state = 19, .external_lex_state = 2},
  [724] = {.lex_state = 19, .external_lex_state = 2},
  [725] = {.lex_state = 19, .external_lex_state = 2},
  [726] = {.lex_state = 19, .external_lex_state = 2},
  [727] = {.lex_state = 19, .external_lex_state = 2},
  [728] = {.lex_state = 200, .external_lex_state = 2},
  [729] = {.lex_state = 200, .external_lex_state = 2},
  [730] = {.lex_state = 200, .external_lex_state = 2},
  [731] = {.lex_state = 19, .external_lex_state = 2},
  [732] = {.lex_state = 19, .external_lex_state = 2},
  [733] = {.lex_state = 25, .external_lex_state = 4},
  [734] = {.lex_state = 19, .external_lex_state = 2},
  [735] = {.lex_state = 19, .external_lex_state = 2},
  [736] = {.lex_state = 19, .external_lex_state = 2},
  [737] = {.lex_state = 19, .external_lex_state = 2},
  [738] = {.lex_state = 19, .external_lex_state = 2},
  [739] = {.lex_state = 19, .external_lex_state = 2},
  [740] = {.lex_state = 19, .external_lex_state = 2},
  [741] = {.lex_state = 19, .external_lex_state = 2},
  [742] = {.lex_state = 19, .external_lex_state = 2},
  [743] = {.lex_state = 200, .external_lex_state = 2},
  [744] = {.lex_state = 200, .external_lex_state = 2},
  [745] = {.lex_state = 200, .external_lex_state = 2},
  [746] = {.lex_state = 200, .external_lex_state = 2},
  [747] = {.lex_state = 197, .external_lex_state = 5},
  [748] = {.lex_state = 200, .external_lex_state = 2},
  [749] = {.lex_state = 200, .external_lex_state = 2},
  [750] = {.lex_state = 19, .external_lex_state = 2},
  [751] = {.lex_state = 19, .external_lex_state = 2},
  [752] = {.lex_state = 200, .external_lex_state = 2},
  [753] = {.lex_state = 19, .external_lex_state = 2},
  [754] = {.lex_state = 19, .external_lex_state = 2},
  [755] = {.lex_state = 19, .external_lex_state = 2},
  [756] = {.lex_state = 19, .external_lex_state = 2},
  [757] = {.lex_state = 19, .external_lex_state = 2},
  [758] = {.lex_state = 197, .external_lex_state = 5},
  [759] = {.lex_state = 200, .external_lex_state = 2},
  [760] = {.lex_state = 200, .external_lex_state = 2},
  [761] = {.lex_state = 19, .external_lex_state = 2},
  [762] = {.lex_state = 200, .external_lex_state = 2},
  [763] = {.lex_state = 19, .external_lex_state = 2},
  [764] = {.lex_state = 19, .external_lex_state = 2},
  [765] = {.lex_state = 200, .external_lex_state = 2},
  [766] = {.lex_state = 19, .external_lex_state = 2},
  [767] = {.lex_state = 19, .external_lex_state = 2},
  [768] = {.lex_state = 19, .external_lex_state = 2},
  [769] = {.lex_state = 200, .external_lex_state = 2},
  [770] = {.lex_state = 19, .external_lex_state = 2},
  [771] = {.lex_state = 200, .external_lex_state = 2},
  [772] = {.lex_state = 19, .external_lex_state = 2},
  [773] = {.lex_state = 200, .external_lex_state = 2},
  [774] = {.lex_state = 19, .external_lex_state = 2},
  [775] = {.lex_state = 19, .external_lex_state = 2},
  [776] = {.lex_state = 19, .external_lex_state = 2},
  [777] = {.lex_state = 19, .external_lex_state = 2},
  [778] = {.lex_state = 19, .external_lex_state = 2},
  [779] = {.lex_state = 19, .external_lex_state = 2},
  [780] = {.lex_state = 200, .external_lex_state = 2},
  [781] = {.lex_state = 19, .external_lex_state = 2},
  [782] = {.lex_state = 19, .external_lex_state = 2},
  [783] = {.lex_state = 200, .external_lex_state = 2},
  [784] = {.lex_state = 200, .external_lex_state = 2},
  [785] = {.lex_state = 200, .external_lex_state = 2},
  [786] = {.lex_state = 19, .external_lex_state = 2},
  [787] = {.lex_state = 19, .external_lex_state = 2},
  [788] = {.lex_state = 200, .external_lex_state = 2},
  [789] = {.lex_state = 200, .external_lex_state = 2},
  [790] = {.lex_state = 200, .external_lex_state = 2},
  [791] = {.lex_state = 200, .external_lex_state = 2},
  [792] = {.lex_state = 200, .external_lex_state = 2},
  [793] = {.lex_state = 19, .external_lex_state = 2},
  [794] = {.lex_state = 19, .external_lex_state = 2},
  [795] = {.lex_state = 19, .external_lex_state = 2},
  [796] = {.lex_state = 197, .external_lex_state = 5},
  [797] = {.lex_state = 197, .external_lex_state = 5},
  [798] = {.lex_state = 197, .external_lex_state = 5},
  [799] = {.lex_state = 200, .external_lex_state = 2},
  [800] = {.lex_state = 19, .external_lex_state = 2},
  [801] = {.lex_state = 200, .external_lex_state = 2},
  [802] = {.lex_state = 200, .external_lex_state = 2},
  [803] = {.lex_state = 19, .external_lex_state = 2},
  [804] = {.lex_state = 200, .external_lex_state = 2},
  [805] = {.lex_state = 200, .external_lex_state = 2},
  [806] = {.lex_state = 19, .external_lex_state = 2},
  [807] = {.lex_state = 19, .external_lex_state = 2},
  [808] = {.lex_state = 19, .external_lex_state = 2},
  [809] = {.lex_state = 200, .external_lex_state = 2},
  [810] = {.lex_state = 200, .external_lex_state = 2},
  [811] = {.lex_state = 198, .external_lex_state = 2},
  [812] = {.lex_state = 198, .external_lex_state = 2},
  [813] = {.lex_state = 197, .external_lex_state = 5},
  [814] = {.lex_state = 200, .external_lex_state = 2},
  [815] = {.lex_state = 25, .external_lex_state = 4},
  [816] = {.lex_state = 197, .external_lex_state = 5},
  [817] = {.lex_state = 200, .external_lex_state = 2},
  [818] = {.lex_state = 197, .external_lex_state = 5},
  [819] = {.lex_state = 200, .external_lex_state = 2},
  [820] = {.lex_state = 200, .external_lex_state = 2},
  [821] = {.lex_state = 200, .external_lex_state = 2},
  [822] = {.lex_state = 200, .external_lex_state = 2},
  [823] = {.lex_state = 200, .external_lex_state = 2},
  [824] = {.lex_state = 19, .external_lex_state = 2},
  [825] = {.lex_state = 200, .external_lex_state = 2},
  [826] = {.lex_state = 19, .external_lex_state = 2},
  [827] = {.lex_state = 200, .external_lex_state = 2},
  [828] = {.lex_state = 197, .external_lex_state = 5},
  [829] = {.lex_state = 200, .external_lex_state = 2},
  [830] = {.lex_state = 19, .external_lex_state = 2},
  [831] = {.lex_state = 200, .external_lex_state = 2},
  [832] = {.lex_state = 200, .external_lex_state = 2},
  [833] = {.lex_state = 200, .external_lex_state = 2},
  [834] = {.lex_state = 200, .external_lex_state = 2},
  [835] = {.lex_state = 200, .external_lex_state = 2},
  [836] = {.lex_state = 19, .external_lex_state = 2},
  [837] = {.lex_state = 19, .external_lex_state = 2},
  [838] = {.lex_state = 200, .external_lex_state = 2},
  [839] = {.lex_state = 200, .external_lex_state = 2},
  [840] = {.lex_state = 200, .external_lex_state = 2},
  [841] = {.lex_state = 19, .external_lex_state = 2},
  [842] = {.lex_state = 200, .external_lex_state = 2},
  [843] = {.lex_state = 200, .external_lex_state = 2},
  [844] = {.lex_state = 200, .external_lex_state = 2},
  [845] = {.lex_state = 200, .external_lex_state = 2},
  [846] = {.lex_state = 200, .external_lex_state = 2},
  [847] = {.lex_state = 197, .external_lex_state = 5},
  [848] = {.lex_state = 200, .external_lex_state = 2},
  [849] = {.lex_state = 200, .external_lex_state = 2},
  [850] = {.lex_state = 200, .external_lex_state = 2},
  [851] = {.lex_state = 200, .external_lex_state = 2},
  [852] = {.lex_state = 200, .external_lex_state = 2},
  [853] = {.lex_state = 200, .external_lex_state = 2},
  [854] = {.lex_state = 19, .external_lex_state = 2},
  [855] = {.lex_state = 200, .external_lex_state = 2},
  [856] = {.lex_state = 200, .external_lex_state = 2},
  [857] = {.lex_state = 200, .external_lex_state = 2},
  [858] = {.lex_state = 19, .external_lex_state = 2},
  [859] = {.lex_state = 200, .external_lex_state = 2},
  [860] = {.lex_state = 200, .external_lex_state = 2},
  [861] = {.lex_state = 200, .external_lex_state = 2},
  [862] = {.lex_state = 200, .external_lex_state = 2},
  [863] = {.lex_state = 200, .external_lex_state = 2},
  [864] = {.lex_state = 19, .external_lex_state = 2},
  [865] = {.lex_state = 200, .external_lex_state = 2},
  [866] = {.lex_state = 200, .external_lex_state = 2},
  [867] = {.lex_state = 200, .external_lex_state = 2},
  [868] = {.lex_state = 19, .external_lex_state = 2},
  [869] = {.lex_state = 200, .external_lex_state = 2},
  [870] = {.lex_state = 200, .external_lex_state = 2},
  [871] = {.lex_state = 200, .external_lex_state = 2},
  [872] = {.lex_state = 200, .external_lex_state = 2},
  [873] = {.lex_state = 197, .external_lex_state = 5},
  [874] = {.lex_state = 198, .external_lex_state = 2},
  [875] = {.lex_state = 25, .external_lex_state = 4},
  [876] = {.lex_state = 197, .external_lex_state = 5},
  [877] = {.lex_state = 200, .external_lex_state = 2},
  [878] = {.lex_state = 200, .external_lex_state = 2},
  [879] = {.lex_state = 200, .external_lex_state = 2},
  [880] = {.lex_state = 200, .external_lex_state = 2},
  [881] = {.lex_state = 200, .external_lex_state = 2},
  [882] = {.lex_state = 200, .external_lex_state = 2},
  [883] = {.lex_state = 19, .external_lex_state = 2},
  [884] = {.lex_state = 200, .external_lex_state = 2},
  [885] = {.lex_state = 200, .external_lex_state = 2},
  [886] = {.lex_state = 200, .external_lex_state = 2},
  [887] = {.lex_state = 200, .external_lex_state = 2},
  [888] = {.lex_state = 197, .external_lex_state = 2},
  [889] = {.lex_state = 197, .external_lex_state = 2},
  [890] = {.lex_state = 197, .external_lex_state = 2},
  [891] = {.lex_state = 197, .external_lex_state = 2},
  [892] = {.lex_state = 197, .external_lex_state = 2},
  [893] = {.lex_state = 197, .external_lex_state = 2},
  [894] = {.lex_state = 197, .external_lex_state = 2},
  [895] = {.lex_state = 197, .external_lex_state = 2},
  [896] = {.lex_state = 197, .external_lex_state = 2},
  [897] = {.lex_state = 197, .external_lex_state = 2},
  [898] = {.lex_state = 197, .external_lex_state = 2},
  [899] = {.lex_state = 197, .external_lex_state = 2},
  [900] = {.lex_state = 197, .external_lex_state = 2},
  [901] = {.lex_state = 197, .external_lex_state = 2},
  [902] = {.lex_state = 197, .external_lex_state = 2},
  [903] = {.lex_state = 197, .external_lex_state = 2},
  [904] = {.lex_state = 197, .external_lex_state = 2},
  [905] = {.lex_state = 197, .external_lex_state = 2},
  [906] = {.lex_state = 197, .external_lex_state = 2},
  [907] = {.lex_state = 197, .external_lex_state = 2},
  [908] = {.lex_state = 197, .external_lex_state = 2},
  [909] = {.lex_state = 197, .external_lex_state = 2},
  [910] = {.lex_state = 197, .external_lex_state = 2},
  [911] = {.lex_state = 197, .external_lex_state = 2},
  [912] = {.lex_state = 197, .external_lex_state = 2},
  [913] = {.lex_state = 197, .external_lex_state = 2},
  [914] = {.lex_state = 197, .external_lex_state = 2},
  [915] = {.lex_state = 197, .external_lex_state = 2},
  [916] = {.lex_state = 197, .external_lex_state = 2},
  [917] = {.lex_state = 197, .external_lex_state = 2},
  [918] = {.lex_state = 197, .external_lex_state = 2},
  [919] = {.lex_state = 197, .external_lex_state = 2},
  [920] = {.lex_state = 197, .external_lex_state = 2},
  [921] = {.lex_state = 197, .external_lex_state = 2},
  [922] = {.lex_state = 197, .external_lex_state = 2},
  [923] = {.lex_state = 197, .external_lex_state = 2},
  [924] = {.lex_state = 197, .external_lex_state = 2},
  [925] = {.lex_state = 197, .external_lex_state = 2},
  [926] = {.lex_state = 197, .external_lex_state = 2},
  [927] = {.lex_state = 197, .external_lex_state = 2},
  [928] = {.lex_state = 197, .external_lex_state = 2},
  [929] = {.lex_state = 197, .external_lex_state = 2},
  [930] = {.lex_state = 197, .external_lex_state = 2},
  [931] = {.lex_state = 203, .external_lex_state = 4},
  [932] = {.lex_state = 197, .external_lex_state = 2},
  [933] = {.lex_state = 197, .external_lex_state = 2},
  [934] = {.lex_state = 197, .external_lex_state = 2},
  [935] = {.lex_state = 197, .external_lex_state = 2},
  [936] = {.lex_state = 197, .external_lex_state = 2},
  [937] = {.lex_state = 197, .external_lex_state = 2},
  [938] = {.lex_state = 197, .external_lex_state = 2},
  [939] = {.lex_state = 197, .external_lex_state = 2},
  [940] = {.lex_state = 197, .external_lex_state = 2},
  [941] = {.lex_state = 197, .external_lex_state = 2},
  [942] = {.lex_state = 197, .external_lex_state = 2},
  [943] = {.lex_state = 197, .external_lex_state = 2},
  [944] = {.lex_state = 197, .external_lex_state = 2},
  [945] = {.lex_state = 197, .external_lex_state = 2},
  [946] = {.lex_state = 197, .external_lex_state = 2},
  [947] = {.lex_state = 203, .external_lex_state = 4},
  [948] = {.lex_state = 197, .external_lex_state = 2},
  [949] = {.lex_state = 197, .external_lex_state = 2},
  [950] = {.lex_state = 197, .external_lex_state = 2},
  [951] = {.lex_state = 197, .external_lex_state = 2},
  [952] = {.lex_state = 197, .external_lex_state = 2},
  [953] = {.lex_state = 197, .external_lex_state = 2},
  [954] = {.lex_state = 197, .external_lex_state = 2},
  [955] = {.lex_state = 197, .external_lex_state = 2},
  [956] = {.lex_state = 197, .external_lex_state = 2},
  [957] = {.lex_state = 197, .external_lex_state = 2},
  [958] = {.lex_state = 197, .external_lex_state = 2},
  [959] = {.lex_state = 197, .external_lex_state = 2},
  [960] = {.lex_state = 197, .external_lex_state = 2},
  [961] = {.lex_state = 197, .external_lex_state = 2},
  [962] = {.lex_state = 197, .external_lex_state = 2},
  [963] = {.lex_state = 197, .external_lex_state = 2},
  [964] = {.lex_state = 197, .external_lex_state = 2},
  [965] = {.lex_state = 197, .external_lex_state = 2},
  [966] = {.lex_state = 197, .external_lex_state = 2},
  [967] = {.lex_state = 197, .external_lex_state = 2},
  [968] = {.lex_state = 197, .external_lex_state = 2},
  [969] = {.lex_state = 197, .external_lex_state = 2},
  [970] = {.lex_state = 197, .external_lex_state = 2},
  [971] = {.lex_state = 197, .external_lex_state = 2},
  [972] = {.lex_state = 197, .external_lex_state = 2},
  [973] = {.lex_state = 197, .external_lex_state = 2},
  [974] = {.lex_state = 197, .external_lex_state = 2},
  [975] = {.lex_state = 197, .external_lex_state = 2},
  [976] = {.lex_state = 197, .external_lex_state = 2},
  [977] = {.lex_state = 197, .external_lex_state = 2},
  [978] = {.lex_state = 197, .external_lex_state = 2},
  [979] = {.lex_state = 197, .external_lex_state = 2},
  [980] = {.lex_state = 197, .external_lex_state = 2},
  [981] = {.lex_state = 197, .external_lex_state = 2},
  [982] = {.lex_state = 197, .external_lex_state = 2},
  [983] = {.lex_state = 203, .external_lex_state = 4},
  [984] = {.lex_state = 197, .external_lex_state = 2},
  [985] = {.lex_state = 197, .external_lex_state = 2},
  [986] = {.lex_state = 197, .external_lex_state = 2},
  [987] = {.lex_state = 197, .external_lex_state = 2},
  [988] = {.lex_state = 197, .external_lex_state = 2},
  [989] = {.lex_state = 203, .external_lex_state = 3},
  [990] = {.lex_state = 27, .external_lex_state = 3},
  [991] = {.lex_state = 203, .external_lex_state = 3},
  [992] = {.lex_state = 203, .external_lex_state = 3},
  [993] = {.lex_state = 203, .external_lex_state = 3},
  [994] = {.lex_state = 203, .external_lex_state = 3},
  [995] = {.lex_state = 203, .external_lex_state = 3},
  [996] = {.lex_state = 203, .external_lex_state = 3},
  [997] = {.lex_state = 203, .external_lex_state = 3},
  [998] = {.lex_state = 203, .external_lex_state = 3},
  [999] = {.lex_state = 197, .external_lex_state = 2},
  [1000] = {.lex_state = 197, .external_lex_state = 2},
  [1001] = {.lex_state = 197, .external_lex_state = 2},
  [1002] = {.lex_state = 197, .external_lex_state = 2},
  [1003] = {.lex_state = 197, .external_lex_state = 2},
  [1004] = {.lex_state = 197, .external_lex_state = 2},
  [1005] = {.lex_state = 197, .external_lex_state = 2},
  [1006] = {.lex_state = 203, .external_lex_state = 3},
  [1007] = {.lex_state = 203, .external_lex_state = 3},
  [1008] = {.lex_state = 203, .external_lex_state = 3},
  [1009] = {.lex_state = 203, .external_lex_state = 4},
  [1010] = {.lex_state = 203, .external_lex_state = 4},
  [1011] = {.lex_state = 203, .external_lex_state = 4},
  [1012] = {.lex_state = 203, .external_lex_state = 4},
  [1013] = {.lex_state = 203, .external_lex_state = 4},
  [1014] = {.lex_state = 203, .external_lex_state = 4},
  [1015] = {.lex_state = 203, .external_lex_state = 4},
  [1016] = {.lex_state = 203, .external_lex_state = 4},
  [1017] = {.lex_state = 203, .external_lex_state = 4},
  [1018] = {.lex_state = 203, .external_lex_state = 3},
  [1019] = {.lex_state = 203, .external_lex_state = 4},
  [1020] = {.lex_state = 203, .external_lex_state = 3},
  [1021] = {.lex_state = 203, .external_lex_state = 4},
  [1022] = {.lex_state = 203, .external_lex_state = 4},
  [1023] = {.lex_state = 203, .external_lex_state = 4},
  [1024] = {.lex_state = 203, .external_lex_state = 4},
  [1025] = {.lex_state = 203, .external_lex_state = 3},
  [1026] = {.lex_state = 203, .external_lex_state = 4},
  [1027] = {.lex_state = 203, .external_lex_state = 4},
  [1028] = {.lex_state = 203, .external_lex_state = 3},
  [1029] = {.lex_state = 203, .external_lex_state = 3},
  [1030] = {.lex_state = 203, .external_lex_state = 4},
  [1031] = {.lex_state = 203, .external_lex_state = 3},
  [1032] = {.lex_state = 203, .external_lex_state = 4},
  [1033] = {.lex_state = 203, .external_lex_state = 4},
  [1034] = {.lex_state = 203, .external_lex_state = 4},
  [1035] = {.lex_state = 203, .external_lex_state = 3},
  [1036] = {.lex_state = 203, .external_lex_state = 4},
  [1037] = {.lex_state = 203, .external_lex_state = 4},
  [1038] = {.lex_state = 203, .external_lex_state = 4},
  [1039] = {.lex_state = 203, .external_lex_state = 4},
  [1040] = {.lex_state = 203, .external_lex_state = 4},
  [1041] = {.lex_state = 203, .external_lex_state = 4},
  [1042] = {.lex_state = 203, .external_lex_state = 4},
  [1043] = {.lex_state = 203, .external_lex_state = 4},
  [1044] = {.lex_state = 203, .external_lex_state = 3},
  [1045] = {.lex_state = 203, .external_lex_state = 3},
  [1046] = {.lex_state = 203, .external_lex_state = 3},
  [1047] = {.lex_state = 203, .external_lex_state = 4},
  [1048] = {.lex_state = 203, .external_lex_state = 4},
  [1049] = {.lex_state = 203, .external_lex_state = 3},
  [1050] = {.lex_state = 203, .external_lex_state = 4},
  [1051] = {.lex_state = 203, .external_lex_state = 3},
  [1052] = {.lex_state = 203, .external_lex_state = 3},
  [1053] = {.lex_state = 203, .external_lex_state = 3},
  [1054] = {.lex_state = 203, .external_lex_state = 3},
  [1055] = {.lex_state = 203, .external_lex_state = 3},
  [1056] = {.lex_state = 203, .external_lex_state = 3},
  [1057] = {.lex_state = 203, .external_lex_state = 3},
  [1058] = {.lex_state = 203, .external_lex_state = 3},
  [1059] = {.lex_state = 203, .external_lex_state = 3},
  [1060] = {.lex_state = 203, .external_lex_state = 3},
  [1061] = {.lex_state = 203, .external_lex_state = 3},
  [1062] = {.lex_state = 203, .external_lex_state = 3},
  [1063] = {.lex_state = 203, .external_lex_state = 3},
  [1064] = {.lex_state = 203, .external_lex_state = 3},
  [1065] = {.lex_state = 203, .external_lex_state = 3},
  [1066] = {.lex_state = 30, .external_lex_state = 3},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 30, .external_lex_state = 3},
  [1069] = {.lex_state = 30, .external_lex_state = 3},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 30, .external_lex_state = 4},
  [1072] = {.lex_state = 30, .external_lex_state = 3},
  [1073] = {.lex_state = 30, .external_lex_state = 3},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 30, .external_lex_state = 3},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 30, .external_lex_state = 3},
  [1078] = {.lex_state = 30, .external_lex_state = 3},
  [1079] = {.lex_state = 30, .external_lex_state = 3},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 30, .external_lex_state = 4},
  [1083] = {.lex_state = 30, .external_lex_state = 4},
  [1084] = {.lex_state = 30, .external_lex_state = 3},
  [1085] = {.lex_state = 30, .external_lex_state = 3},
  [1086] = {.lex_state = 30, .external_lex_state = 3},
  [1087] = {.lex_state = 30, .external_lex_state = 3},
  [1088] = {.lex_state = 30, .external_lex_state = 3},
  [1089] = {.lex_state = 30, .external_lex_state = 3},
  [1090] = {.lex_state = 30, .external_lex_state = 3},
  [1091] = {.lex_state = 30, .external_lex_state = 3},
  [1092] = {.lex_state = 30, .external_lex_state = 3},
  [1093] = {.lex_state = 30, .external_lex_state = 3},
  [1094] = {.lex_state = 30, .external_lex_state = 3},
  [1095] = {.lex_state = 30, .external_lex_state = 4},
  [1096] = {.lex_state = 30, .external_lex_state = 4},
  [1097] = {.lex_state = 30, .external_lex_state = 3},
  [1098] = {.lex_state = 30, .external_lex_state = 4},
  [1099] = {.lex_state = 30, .external_lex_state = 3},
  [1100] = {.lex_state = 30, .external_lex_state = 3},
  [1101] = {.lex_state = 30, .external_lex_state = 3},
  [1102] = {.lex_state = 30, .external_lex_state = 3},
  [1103] = {.lex_state = 30, .external_lex_state = 3},
  [1104] = {.lex_state = 30, .external_lex_state = 3},
  [1105] = {.lex_state = 30, .external_lex_state = 4},
  [1106] = {.lex_state = 30, .external_lex_state = 3},
  [1107] = {.lex_state = 30, .external_lex_state = 3},
  [1108] = {.lex_state = 30, .external_lex_state = 3},
  [1109] = {.lex_state = 30, .external_lex_state = 3},
  [1110] = {.lex_state = 30, .external_lex_state = 4},
  [1111] = {.lex_state = 30, .external_lex_state = 4},
  [1112] = {.lex_state = 29, .external_lex_state = 3},
  [1113] = {.lex_state = 30, .external_lex_state = 4},
  [1114] = {.lex_state = 30, .external_lex_state = 3},
  [1115] = {.lex_state = 30, .external_lex_state = 3},
  [1116] = {.lex_state = 30, .external_lex_state = 3},
  [1117] = {.lex_state = 30, .external_lex_state = 3},
  [1118] = {.lex_state = 30, .external_lex_state = 3},
  [1119] = {.lex_state = 30, .external_lex_state = 3},
  [1120] = {.lex_state = 30, .external_lex_state = 3},
  [1121] = {.lex_state = 30, .external_lex_state = 3},
  [1122] = {.lex_state = 30, .external_lex_state = 3},
  [1123] = {.lex_state = 30, .external_lex_state = 3},
  [1124] = {.lex_state = 30, .external_lex_state = 3},
  [1125] = {.lex_state = 30, .external_lex_state = 3},
  [1126] = {.lex_state = 30, .external_lex_state = 4},
  [1127] = {.lex_state = 30, .external_lex_state = 3},
  [1128] = {.lex_state = 30, .external_lex_state = 3},
  [1129] = {.lex_state = 30, .external_lex_state = 3},
  [1130] = {.lex_state = 30, .external_lex_state = 3},
  [1131] = {.lex_state = 30, .external_lex_state = 3},
  [1132] = {.lex_state = 30, .external_lex_state = 3},
  [1133] = {.lex_state = 30, .external_lex_state = 3},
  [1134] = {.lex_state = 30, .external_lex_state = 3},
  [1135] = {.lex_state = 30, .external_lex_state = 3},
  [1136] = {.lex_state = 30, .external_lex_state = 3},
  [1137] = {.lex_state = 30, .external_lex_state = 3},
  [1138] = {.lex_state = 30, .external_lex_state = 3},
  [1139] = {.lex_state = 30, .external_lex_state = 3},
  [1140] = {.lex_state = 30, .external_lex_state = 3},
  [1141] = {.lex_state = 30, .external_lex_state = 3},
  [1142] = {.lex_state = 30, .external_lex_state = 3},
  [1143] = {.lex_state = 30, .external_lex_state = 3},
  [1144] = {.lex_state = 30, .external_lex_state = 3},
  [1145] = {.lex_state = 30, .external_lex_state = 3},
  [1146] = {.lex_state = 30, .external_lex_state = 3},
  [1147] = {.lex_state = 30, .external_lex_state = 3},
  [1148] = {.lex_state = 30, .external_lex_state = 3},
  [1149] = {.lex_state = 30, .external_lex_state = 3},
  [1150] = {.lex_state = 30, .external_lex_state = 3},
  [1151] = {.lex_state = 30, .external_lex_state = 3},
  [1152] = {.lex_state = 30, .external_lex_state = 3},
  [1153] = {.lex_state = 30, .external_lex_state = 3},
  [1154] = {.lex_state = 30, .external_lex_state = 3},
  [1155] = {.lex_state = 30, .external_lex_state = 3},
  [1156] = {.lex_state = 30, .external_lex_state = 3},
  [1157] = {.lex_state = 30, .external_lex_state = 3},
  [1158] = {.lex_state = 30, .external_lex_state = 3},
  [1159] = {.lex_state = 30, .external_lex_state = 3},
  [1160] = {.lex_state = 30, .external_lex_state = 3},
  [1161] = {.lex_state = 30, .external_lex_state = 3},
  [1162] = {.lex_state = 30, .external_lex_state = 3},
  [1163] = {.lex_state = 30, .external_lex_state = 3},
  [1164] = {.lex_state = 30, .external_lex_state = 3},
  [1165] = {.lex_state = 30, .external_lex_state = 3},
  [1166] = {.lex_state = 30, .external_lex_state = 3},
  [1167] = {.lex_state = 30, .external_lex_state = 3},
  [1168] = {.lex_state = 30, .external_lex_state = 3},
  [1169] = {.lex_state = 30, .external_lex_state = 4},
  [1170] = {.lex_state = 30, .external_lex_state = 3},
  [1171] = {.lex_state = 30, .external_lex_state = 3},
  [1172] = {.lex_state = 30, .external_lex_state = 3},
  [1173] = {.lex_state = 30, .external_lex_state = 3},
  [1174] = {.lex_state = 30, .external_lex_state = 3},
  [1175] = {.lex_state = 30, .external_lex_state = 3},
  [1176] = {.lex_state = 30, .external_lex_state = 3},
  [1177] = {.lex_state = 30, .external_lex_state = 3},
  [1178] = {.lex_state = 30, .external_lex_state = 4},
  [1179] = {.lex_state = 30, .external_lex_state = 4},
  [1180] = {.lex_state = 30, .external_lex_state = 4},
  [1181] = {.lex_state = 30, .external_lex_state = 4},
  [1182] = {.lex_state = 30, .external_lex_state = 4},
  [1183] = {.lex_state = 30, .external_lex_state = 4},
  [1184] = {.lex_state = 30, .external_lex_state = 4},
  [1185] = {.lex_state = 30, .external_lex_state = 4},
  [1186] = {.lex_state = 30, .external_lex_state = 4},
  [1187] = {.lex_state = 30, .external_lex_state = 4},
  [1188] = {.lex_state = 30, .external_lex_state = 4},
  [1189] = {.lex_state = 30, .external_lex_state = 4},
  [1190] = {.lex_state = 30, .external_lex_state = 4},
  [1191] = {.lex_state = 30, .external_lex_state = 4},
  [1192] = {.lex_state = 30, .external_lex_state = 4},
  [1193] = {.lex_state = 30, .external_lex_state = 4},
  [1194] = {.lex_state = 30, .external_lex_state = 4},
  [1195] = {.lex_state = 30, .external_lex_state = 4},
  [1196] = {.lex_state = 30, .external_lex_state = 4},
  [1197] = {.lex_state = 30, .external_lex_state = 4},
  [1198] = {.lex_state = 30, .external_lex_state = 4},
  [1199] = {.lex_state = 30, .external_lex_state = 4},
  [1200] = {.lex_state = 30, .external_lex_state = 4},
  [1201] = {.lex_state = 30, .external_lex_state = 4},
  [1202] = {.lex_state = 30, .external_lex_state = 4},
  [1203] = {.lex_state = 30, .external_lex_state = 4},
  [1204] = {.lex_state = 30, .external_lex_state = 4},
  [1205] = {.lex_state = 30, .external_lex_state = 4},
  [1206] = {.lex_state = 30, .external_lex_state = 4},
  [1207] = {.lex_state = 30, .external_lex_state = 4},
  [1208] = {.lex_state = 30, .external_lex_state = 4},
  [1209] = {.lex_state = 30, .external_lex_state = 4},
  [1210] = {.lex_state = 30, .external_lex_state = 4},
  [1211] = {.lex_state = 30, .external_lex_state = 4},
  [1212] = {.lex_state = 30, .external_lex_state = 3},
  [1213] = {.lex_state = 30, .external_lex_state = 4},
  [1214] = {.lex_state = 30, .external_lex_state = 4},
  [1215] = {.lex_state = 30, .external_lex_state = 4},
  [1216] = {.lex_state = 30, .external_lex_state = 4},
  [1217] = {.lex_state = 30, .external_lex_state = 4},
  [1218] = {.lex_state = 30, .external_lex_state = 4},
  [1219] = {.lex_state = 30, .external_lex_state = 3},
  [1220] = {.lex_state = 30, .external_lex_state = 4},
  [1221] = {.lex_state = 30, .external_lex_state = 4},
  [1222] = {.lex_state = 30, .external_lex_state = 4},
  [1223] = {.lex_state = 30, .external_lex_state = 4},
  [1224] = {.lex_state = 30, .external_lex_state = 4},
  [1225] = {.lex_state = 30, .external_lex_state = 4},
  [1226] = {.lex_state = 30, .external_lex_state = 4},
  [1227] = {.lex_state = 30, .external_lex_state = 4},
  [1228] = {.lex_state = 30, .external_lex_state = 4},
  [1229] = {.lex_state = 30, .external_lex_state = 3},
  [1230] = {.lex_state = 30, .external_lex_state = 4},
  [1231] = {.lex_state = 30, .external_lex_state = 4},
  [1232] = {.lex_state = 30, .external_lex_state = 3},
  [1233] = {.lex_state = 30, .external_lex_state = 4},
  [1234] = {.lex_state = 30, .external_lex_state = 3},
  [1235] = {.lex_state = 30, .external_lex_state = 4},
  [1236] = {.lex_state = 30, .external_lex_state = 4},
  [1237] = {.lex_state = 30, .external_lex_state = 3},
  [1238] = {.lex_state = 30, .external_lex_state = 4},
  [1239] = {.lex_state = 30, .external_lex_state = 4},
  [1240] = {.lex_state = 30, .external_lex_state = 4},
  [1241] = {.lex_state = 30, .external_lex_state = 4},
  [1242] = {.lex_state = 30, .external_lex_state = 4},
  [1243] = {.lex_state = 30, .external_lex_state = 4},
  [1244] = {.lex_state = 30, .external_lex_state = 4},
  [1245] = {.lex_state = 30, .external_lex_state = 4},
  [1246] = {.lex_state = 30, .external_lex_state = 4},
  [1247] = {.lex_state = 30, .external_lex_state = 4},
  [1248] = {.lex_state = 30, .external_lex_state = 4},
  [1249] = {.lex_state = 30, .external_lex_state = 4},
  [1250] = {.lex_state = 30, .external_lex_state = 4},
  [1251] = {.lex_state = 30, .external_lex_state = 4},
  [1252] = {.lex_state = 30, .external_lex_state = 4},
  [1253] = {.lex_state = 30, .external_lex_state = 4},
  [1254] = {.lex_state = 30, .external_lex_state = 4},
  [1255] = {.lex_state = 30, .external_lex_state = 4},
  [1256] = {.lex_state = 30, .external_lex_state = 4},
  [1257] = {.lex_state = 30, .external_lex_state = 4},
  [1258] = {.lex_state = 30, .external_lex_state = 4},
  [1259] = {.lex_state = 30, .external_lex_state = 4},
  [1260] = {.lex_state = 30, .external_lex_state = 4},
  [1261] = {.lex_state = 30, .external_lex_state = 4},
  [1262] = {.lex_state = 30, .external_lex_state = 3},
  [1263] = {.lex_state = 30, .external_lex_state = 4},
  [1264] = {.lex_state = 30, .external_lex_state = 4},
  [1265] = {.lex_state = 30, .external_lex_state = 3},
  [1266] = {.lex_state = 30, .external_lex_state = 3},
  [1267] = {.lex_state = 30, .external_lex_state = 4},
  [1268] = {.lex_state = 30, .external_lex_state = 4},
  [1269] = {.lex_state = 30, .external_lex_state = 3},
  [1270] = {.lex_state = 30, .external_lex_state = 4},
  [1271] = {.lex_state = 30, .external_lex_state = 4},
  [1272] = {.lex_state = 30, .external_lex_state = 3},
  [1273] = {.lex_state = 30, .external_lex_state = 4},
  [1274] = {.lex_state = 30, .external_lex_state = 3},
  [1275] = {.lex_state = 30, .external_lex_state = 4},
  [1276] = {.lex_state = 30, .external_lex_state = 4},
  [1277] = {.lex_state = 30, .external_lex_state = 4},
  [1278] = {.lex_state = 30, .external_lex_state = 4},
  [1279] = {.lex_state = 30, .external_lex_state = 3},
  [1280] = {.lex_state = 30, .external_lex_state = 4},
  [1281] = {.lex_state = 30, .external_lex_state = 4},
  [1282] = {.lex_state = 30, .external_lex_state = 3},
  [1283] = {.lex_state = 30, .external_lex_state = 4},
  [1284] = {.lex_state = 30, .external_lex_state = 3},
  [1285] = {.lex_state = 30, .external_lex_state = 3},
  [1286] = {.lex_state = 30, .external_lex_state = 4},
  [1287] = {.lex_state = 30, .external_lex_state = 3},
  [1288] = {.lex_state = 30, .external_lex_state = 3},
  [1289] = {.lex_state = 30, .external_lex_state = 4},
  [1290] = {.lex_state = 30, .external_lex_state = 4},
  [1291] = {.lex_state = 30, .external_lex_state = 4},
  [1292] = {.lex_state = 30, .external_lex_state = 4},
  [1293] = {.lex_state = 30, .external_lex_state = 4},
  [1294] = {.lex_state = 30, .external_lex_state = 4},
  [1295] = {.lex_state = 30, .external_lex_state = 3},
  [1296] = {.lex_state = 30, .external_lex_state = 4},
  [1297] = {.lex_state = 30, .external_lex_state = 4},
  [1298] = {.lex_state = 30, .external_lex_state = 4},
  [1299] = {.lex_state = 30, .external_lex_state = 3},
  [1300] = {.lex_state = 30, .external_lex_state = 3},
  [1301] = {.lex_state = 30, .external_lex_state = 3},
  [1302] = {.lex_state = 30, .external_lex_state = 4},
  [1303] = {.lex_state = 30, .external_lex_state = 4},
  [1304] = {.lex_state = 30, .external_lex_state = 3},
  [1305] = {.lex_state = 30, .external_lex_state = 4},
  [1306] = {.lex_state = 30, .external_lex_state = 4},
  [1307] = {.lex_state = 30, .external_lex_state = 3},
  [1308] = {.lex_state = 30, .external_lex_state = 4},
  [1309] = {.lex_state = 30, .external_lex_state = 4},
  [1310] = {.lex_state = 30, .external_lex_state = 4},
  [1311] = {.lex_state = 30, .external_lex_state = 3},
  [1312] = {.lex_state = 30, .external_lex_state = 4},
  [1313] = {.lex_state = 30, .external_lex_state = 4},
  [1314] = {.lex_state = 29, .external_lex_state = 4},
  [1315] = {.lex_state = 30, .external_lex_state = 3},
  [1316] = {.lex_state = 30, .external_lex_state = 3},
  [1317] = {.lex_state = 30, .external_lex_state = 3},
  [1318] = {.lex_state = 30, .external_lex_state = 3},
  [1319] = {.lex_state = 30, .external_lex_state = 4},
  [1320] = {.lex_state = 30, .external_lex_state = 3},
  [1321] = {.lex_state = 30, .external_lex_state = 3},
  [1322] = {.lex_state = 30, .external_lex_state = 4},
  [1323] = {.lex_state = 30, .external_lex_state = 4},
  [1324] = {.lex_state = 30, .external_lex_state = 3},
  [1325] = {.lex_state = 30, .external_lex_state = 4},
  [1326] = {.lex_state = 30, .external_lex_state = 3},
  [1327] = {.lex_state = 30, .external_lex_state = 4},
  [1328] = {.lex_state = 30, .external_lex_state = 4},
  [1329] = {.lex_state = 30, .external_lex_state = 3},
  [1330] = {.lex_state = 30, .external_lex_state = 3},
  [1331] = {.lex_state = 30, .external_lex_state = 4},
  [1332] = {.lex_state = 30, .external_lex_state = 3},
  [1333] = {.lex_state = 30, .external_lex_state = 3},
  [1334] = {.lex_state = 30, .external_lex_state = 4},
  [1335] = {.lex_state = 32, .external_lex_state = 4},
  [1336] = {.lex_state = 30, .external_lex_state = 3},
  [1337] = {.lex_state = 30, .external_lex_state = 4},
  [1338] = {.lex_state = 30, .external_lex_state = 4},
  [1339] = {.lex_state = 30, .external_lex_state = 3},
  [1340] = {.lex_state = 30, .external_lex_state = 3},
  [1341] = {.lex_state = 30, .external_lex_state = 4},
  [1342] = {.lex_state = 30, .external_lex_state = 4},
  [1343] = {.lex_state = 30, .external_lex_state = 4},
  [1344] = {.lex_state = 30, .external_lex_state = 4},
  [1345] = {.lex_state = 30, .external_lex_state = 4},
  [1346] = {.lex_state = 30, .external_lex_state = 4},
  [1347] = {.lex_state = 30, .external_lex_state = 4},
  [1348] = {.lex_state = 30, .external_lex_state = 4},
  [1349] = {.lex_state = 30, .external_lex_state = 3},
  [1350] = {.lex_state = 30, .external_lex_state = 4},
  [1351] = {.lex_state = 30, .external_lex_state = 4},
  [1352] = {.lex_state = 30, .external_lex_state = 4},
  [1353] = {.lex_state = 30, .external_lex_state = 3},
  [1354] = {.lex_state = 30, .external_lex_state = 4},
  [1355] = {.lex_state = 30, .external_lex_state = 3},
  [1356] = {.lex_state = 30, .external_lex_state = 4},
  [1357] = {.lex_state = 30, .external_lex_state = 4},
  [1358] = {.lex_state = 30, .external_lex_state = 4},
  [1359] = {.lex_state = 30, .external_lex_state = 4},
  [1360] = {.lex_state = 30, .external_lex_state = 4},
  [1361] = {.lex_state = 30, .external_lex_state = 4},
  [1362] = {.lex_state = 30, .external_lex_state = 4},
  [1363] = {.lex_state = 30, .external_lex_state = 4},
  [1364] = {.lex_state = 30, .external_lex_state = 4},
  [1365] = {.lex_state = 30, .external_lex_state = 3},
  [1366] = {.lex_state = 30, .external_lex_state = 4},
  [1367] = {.lex_state = 30, .external_lex_state = 4},
  [1368] = {.lex_state = 30, .external_lex_state = 4},
  [1369] = {.lex_state = 30, .external_lex_state = 4},
  [1370] = {.lex_state = 30, .external_lex_state = 3},
  [1371] = {.lex_state = 30, .external_lex_state = 4},
  [1372] = {.lex_state = 30, .external_lex_state = 3},
  [1373] = {.lex_state = 30, .external_lex_state = 3},
  [1374] = {.lex_state = 30, .external_lex_state = 3},
  [1375] = {.lex_state = 30, .external_lex_state = 3},
  [1376] = {.lex_state = 30, .external_lex_state = 3},
  [1377] = {.lex_state = 30, .external_lex_state = 3},
  [1378] = {.lex_state = 30, .external_lex_state = 3},
  [1379] = {.lex_state = 30, .external_lex_state = 4},
  [1380] = {.lex_state = 30, .external_lex_state = 3},
  [1381] = {.lex_state = 30, .external_lex_state = 4},
  [1382] = {.lex_state = 30, .external_lex_state = 4},
  [1383] = {.lex_state = 30, .external_lex_state = 3},
  [1384] = {.lex_state = 30, .external_lex_state = 4},
  [1385] = {.lex_state = 30, .external_lex_state = 3},
  [1386] = {.lex_state = 30, .external_lex_state = 3},
  [1387] = {.lex_state = 30, .external_lex_state = 3},
  [1388] = {.lex_state = 30, .external_lex_state = 3},
  [1389] = {.lex_state = 30, .external_lex_state = 4},
  [1390] = {.lex_state = 30, .external_lex_state = 4},
  [1391] = {.lex_state = 30, .external_lex_state = 3},
  [1392] = {.lex_state = 30, .external_lex_state = 3},
  [1393] = {.lex_state = 30, .external_lex_state = 3},
  [1394] = {.lex_state = 30, .external_lex_state = 3},
  [1395] = {.lex_state = 30, .external_lex_state = 3},
  [1396] = {.lex_state = 30, .external_lex_state = 3},
  [1397] = {.lex_state = 30, .external_lex_state = 3},
  [1398] = {.lex_state = 30, .external_lex_state = 4},
  [1399] = {.lex_state = 30, .external_lex_state = 3},
  [1400] = {.lex_state = 30, .external_lex_state = 3},
  [1401] = {.lex_state = 30, .external_lex_state = 4},
  [1402] = {.lex_state = 30, .external_lex_state = 4},
  [1403] = {.lex_state = 30, .external_lex_state = 3},
  [1404] = {.lex_state = 30, .external_lex_state = 4},
  [1405] = {.lex_state = 30, .external_lex_state = 4},
  [1406] = {.lex_state = 30, .external_lex_state = 3},
  [1407] = {.lex_state = 30, .external_lex_state = 3},
  [1408] = {.lex_state = 30, .external_lex_state = 3},
  [1409] = {.lex_state = 30, .external_lex_state = 4},
  [1410] = {.lex_state = 30, .external_lex_state = 3},
  [1411] = {.lex_state = 30, .external_lex_state = 3},
  [1412] = {.lex_state = 30, .external_lex_state = 3},
  [1413] = {.lex_state = 30, .external_lex_state = 3},
  [1414] = {.lex_state = 30, .external_lex_state = 3},
  [1415] = {.lex_state = 30, .external_lex_state = 3},
  [1416] = {.lex_state = 30, .external_lex_state = 3},
  [1417] = {.lex_state = 30, .external_lex_state = 3},
  [1418] = {.lex_state = 30, .external_lex_state = 3},
  [1419] = {.lex_state = 30, .external_lex_state = 3},
  [1420] = {.lex_state = 30, .external_lex_state = 3},
  [1421] = {.lex_state = 30, .external_lex_state = 3},
  [1422] = {.lex_state = 30, .external_lex_state = 3},
  [1423] = {.lex_state = 30, .external_lex_state = 3},
  [1424] = {.lex_state = 30, .external_lex_state = 3},
  [1425] = {.lex_state = 30, .external_lex_state = 3},
  [1426] = {.lex_state = 30, .external_lex_state = 3},
  [1427] = {.lex_state = 30, .external_lex_state = 3},
  [1428] = {.lex_state = 30, .external_lex_state = 3},
  [1429] = {.lex_state = 30, .external_lex_state = 3},
  [1430] = {.lex_state = 30, .external_lex_state = 3},
  [1431] = {.lex_state = 30, .external_lex_state = 3},
  [1432] = {.lex_state = 30, .external_lex_state = 3},
  [1433] = {.lex_state = 30, .external_lex_state = 3},
  [1434] = {.lex_state = 30, .external_lex_state = 3},
  [1435] = {.lex_state = 30, .external_lex_state = 3},
  [1436] = {.lex_state = 30, .external_lex_state = 3},
  [1437] = {.lex_state = 30, .external_lex_state = 3},
  [1438] = {.lex_state = 30, .external_lex_state = 3},
  [1439] = {.lex_state = 30, .external_lex_state = 3},
  [1440] = {.lex_state = 30, .external_lex_state = 3},
  [1441] = {.lex_state = 30, .external_lex_state = 3},
  [1442] = {.lex_state = 30, .external_lex_state = 3},
  [1443] = {.lex_state = 30, .external_lex_state = 3},
  [1444] = {.lex_state = 30, .external_lex_state = 3},
  [1445] = {.lex_state = 30, .external_lex_state = 3},
  [1446] = {.lex_state = 30, .external_lex_state = 3},
  [1447] = {.lex_state = 30, .external_lex_state = 3},
  [1448] = {.lex_state = 30, .external_lex_state = 3},
  [1449] = {.lex_state = 30, .external_lex_state = 3},
  [1450] = {.lex_state = 30, .external_lex_state = 3},
  [1451] = {.lex_state = 30, .external_lex_state = 3},
  [1452] = {.lex_state = 37, .external_lex_state = 2},
  [1453] = {.lex_state = 37, .external_lex_state = 2},
  [1454] = {.lex_state = 37, .external_lex_state = 2},
  [1455] = {.lex_state = 30, .external_lex_state = 3},
  [1456] = {.lex_state = 30, .external_lex_state = 3},
  [1457] = {.lex_state = 30, .external_lex_state = 3},
  [1458] = {.lex_state = 37, .external_lex_state = 2},
  [1459] = {.lex_state = 37, .external_lex_state = 2},
  [1460] = {.lex_state = 37, .external_lex_state = 2},
  [1461] = {.lex_state = 30, .external_lex_state = 3},
  [1462] = {.lex_state = 30, .external_lex_state = 3},
  [1463] = {.lex_state = 32, .external_lex_state = 3},
  [1464] = {.lex_state = 37, .external_lex_state = 2},
  [1465] = {.lex_state = 37, .external_lex_state = 2},
  [1466] = {.lex_state = 37, .external_lex_state = 2},
  [1467] = {.lex_state = 37, .external_lex_state = 2},
  [1468] = {.lex_state = 37, .external_lex_state = 2},
  [1469] = {.lex_state = 37, .external_lex_state = 2},
  [1470] = {.lex_state = 37, .external_lex_state = 2},
  [1471] = {.lex_state = 37, .external_lex_state = 2},
  [1472] = {.lex_state = 37, .external_lex_state = 2},
  [1473] = {.lex_state = 37, .external_lex_state = 2},
  [1474] = {.lex_state = 37, .external_lex_state = 2},
  [1475] = {.lex_state = 37, .external_lex_state = 2},
  [1476] = {.lex_state = 37, .external_lex_state = 2},
  [1477] = {.lex_state = 37, .external_lex_state = 2},
  [1478] = {.lex_state = 37, .external_lex_state = 2},
  [1479] = {.lex_state = 37, .external_lex_state = 2},
  [1480] = {.lex_state = 37, .external_lex_state = 2},
  [1481] = {.lex_state = 37, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 37, .external_lex_state = 2},
  [1484] = {.lex_state = 37, .external_lex_state = 2},
  [1485] = {.lex_state = 37, .external_lex_state = 2},
  [1486] = {.lex_state = 37, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 37, .external_lex_state = 2},
  [1489] = {.lex_state = 33, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 2},
  [1491] = {.lex_state = 33, .external_lex_state = 2},
  [1492] = {.lex_state = 33, .external_lex_state = 2},
  [1493] = {.lex_state = 33, .external_lex_state = 2},
  [1494] = {.lex_state = 33, .external_lex_state = 2},
  [1495] = {.lex_state = 33, .external_lex_state = 2},
  [1496] = {.lex_state = 33, .external_lex_state = 2},
  [1497] = {.lex_state = 33, .external_lex_state = 2},
  [1498] = {.lex_state = 33, .external_lex_state = 2},
  [1499] = {.lex_state = 33, .external_lex_state = 2},
  [1500] = {.lex_state = 33, .external_lex_state = 2},
  [1501] = {.lex_state = 33, .external_lex_state = 2},
  [1502] = {.lex_state = 33, .external_lex_state = 2},
  [1503] = {.lex_state = 33, .external_lex_state = 2},
  [1504] = {.lex_state = 33, .external_lex_state = 2},
  [1505] = {.lex_state = 33, .external_lex_state = 2},
  [1506] = {.lex_state = 33, .external_lex_state = 2},
  [1507] = {.lex_state = 33, .external_lex_state = 2},
  [1508] = {.lex_state = 33, .external_lex_state = 2},
  [1509] = {.lex_state = 33, .external_lex_state = 2},
  [1510] = {.lex_state = 33, .external_lex_state = 2},
  [1511] = {.lex_state = 33, .external_lex_state = 2},
  [1512] = {.lex_state = 33, .external_lex_state = 2},
  [1513] = {.lex_state = 33, .external_lex_state = 5},
  [1514] = {.lex_state = 33, .external_lex_state = 2},
  [1515] = {.lex_state = 33, .external_lex_state = 2},
  [1516] = {.lex_state = 33, .external_lex_state = 2},
  [1517] = {.lex_state = 35, .external_lex_state = 2},
  [1518] = {.lex_state = 33, .external_lex_state = 5},
  [1519] = {.lex_state = 33, .external_lex_state = 5},
  [1520] = {.lex_state = 37, .external_lex_state = 2},
  [1521] = {.lex_state = 33, .external_lex_state = 5},
  [1522] = {.lex_state = 33, .external_lex_state = 2},
  [1523] = {.lex_state = 33, .external_lex_state = 5},
  [1524] = {.lex_state = 33, .external_lex_state = 2},
  [1525] = {.lex_state = 33, .external_lex_state = 2},
  [1526] = {.lex_state = 37, .external_lex_state = 2},
  [1527] = {.lex_state = 33, .external_lex_state = 5},
  [1528] = {.lex_state = 33, .external_lex_state = 5},
  [1529] = {.lex_state = 33, .external_lex_state = 5},
  [1530] = {.lex_state = 37, .external_lex_state = 5},
  [1531] = {.lex_state = 33, .external_lex_state = 5},
  [1532] = {.lex_state = 33, .external_lex_state = 5},
  [1533] = {.lex_state = 33, .external_lex_state = 5},
  [1534] = {.lex_state = 37, .external_lex_state = 5},
  [1535] = {.lex_state = 35, .external_lex_state = 2},
  [1536] = {.lex_state = 33, .external_lex_state = 5},
  [1537] = {.lex_state = 33, .external_lex_state = 2},
  [1538] = {.lex_state = 37, .external_lex_state = 2},
  [1539] = {.lex_state = 37, .external_lex_state = 2},
  [1540] = {.lex_state = 37, .external_lex_state = 2},
  [1541] = {.lex_state = 37, .external_lex_state = 2},
  [1542] = {.lex_state = 37, .external_lex_state = 2},
  [1543] = {.lex_state = 37, .external_lex_state = 2},
  [1544] = {.lex_state = 37, .external_lex_state = 2},
  [1545] = {.lex_state = 37, .external_lex_state = 2},
  [1546] = {.lex_state = 37, .external_lex_state = 2},
  [1547] = {.lex_state = 37, .external_lex_state = 2},
  [1548] = {.lex_state = 37, .external_lex_state = 2},
  [1549] = {.lex_state = 37, .external_lex_state = 2},
  [1550] = {.lex_state = 37, .external_lex_state = 2},
  [1551] = {.lex_state = 37, .external_lex_state = 2},
  [1552] = {.lex_state = 37, .external_lex_state = 2},
  [1553] = {.lex_state = 37, .external_lex_state = 2},
  [1554] = {.lex_state = 37, .external_lex_state = 2},
  [1555] = {.lex_state = 37, .external_lex_state = 2},
  [1556] = {.lex_state = 37, .external_lex_state = 2},
  [1557] = {.lex_state = 37, .external_lex_state = 2},
  [1558] = {.lex_state = 37, .external_lex_state = 2},
  [1559] = {.lex_state = 37, .external_lex_state = 2},
  [1560] = {.lex_state = 37, .external_lex_state = 2},
  [1561] = {.lex_state = 37, .external_lex_state = 2},
  [1562] = {.lex_state = 35, .external_lex_state = 2},
  [1563] = {.lex_state = 37, .external_lex_state = 2},
  [1564] = {.lex_state = 37, .external_lex_state = 2},
  [1565] = {.lex_state = 37, .external_lex_state = 2},
  [1566] = {.lex_state = 37, .external_lex_state = 2},
  [1567] = {.lex_state = 35, .external_lex_state = 2},
  [1568] = {.lex_state = 36, .external_lex_state = 2},
  [1569] = {.lex_state = 37, .external_lex_state = 2},
  [1570] = {.lex_state = 37, .external_lex_state = 2},
  [1571] = {.lex_state = 37, .external_lex_state = 2},
  [1572] = {.lex_state = 37, .external_lex_state = 2},
  [1573] = {.lex_state = 37, .external_lex_state = 2},
  [1574] = {.lex_state = 37, .external_lex_state = 2},
  [1575] = {.lex_state = 37, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 37, .external_lex_state = 2},
  [1578] = {.lex_state = 37, .external_lex_state = 2},
  [1579] = {.lex_state = 37, .external_lex_state = 2},
  [1580] = {.lex_state = 33, .external_lex_state = 2},
  [1581] = {.lex_state = 33, .external_lex_state = 2},
  [1582] = {.lex_state = 36, .external_lex_state = 2},
  [1583] = {.lex_state = 33, .external_lex_state = 2},
  [1584] = {.lex_state = 33, .external_lex_state = 2},
  [1585] = {.lex_state = 33, .external_lex_state = 2},
  [1586] = {.lex_state = 37, .external_lex_state = 2},
  [1587] = {.lex_state = 33, .external_lex_state = 2},
  [1588] = {.lex_state = 33, .external_lex_state = 2},
  [1589] = {.lex_state = 203, .external_lex_state = 2},
  [1590] = {.lex_state = 33, .external_lex_state = 2},
  [1591] = {.lex_state = 35, .external_lex_state = 2},
  [1592] = {.lex_state = 33, .external_lex_state = 2},
  [1593] = {.lex_state = 203, .external_lex_state = 2},
  [1594] = {.lex_state = 33, .external_lex_state = 2},
  [1595] = {.lex_state = 35, .external_lex_state = 2},
  [1596] = {.lex_state = 203, .external_lex_state = 2},
  [1597] = {.lex_state = 33, .external_lex_state = 2},
  [1598] = {.lex_state = 33, .external_lex_state = 2},
  [1599] = {.lex_state = 33, .external_lex_state = 2},
  [1600] = {.lex_state = 33, .external_lex_state = 2},
  [1601] = {.lex_state = 33, .external_lex_state = 2},
  [1602] = {.lex_state = 33, .external_lex_state = 2},
  [1603] = {.lex_state = 33, .external_lex_state = 2},
  [1604] = {.lex_state = 33, .external_lex_state = 2},
  [1605] = {.lex_state = 33, .external_lex_state = 2},
  [1606] = {.lex_state = 33, .external_lex_state = 2},
  [1607] = {.lex_state = 33, .external_lex_state = 2},
  [1608] = {.lex_state = 33, .external_lex_state = 2},
  [1609] = {.lex_state = 33, .external_lex_state = 2},
  [1610] = {.lex_state = 203, .external_lex_state = 2},
  [1611] = {.lex_state = 33, .external_lex_state = 2},
  [1612] = {.lex_state = 33, .external_lex_state = 2},
  [1613] = {.lex_state = 35, .external_lex_state = 2},
  [1614] = {.lex_state = 33, .external_lex_state = 2},
  [1615] = {.lex_state = 33, .external_lex_state = 2},
  [1616] = {.lex_state = 33, .external_lex_state = 2},
  [1617] = {.lex_state = 33, .external_lex_state = 2},
  [1618] = {.lex_state = 33, .external_lex_state = 2},
  [1619] = {.lex_state = 33, .external_lex_state = 2},
  [1620] = {.lex_state = 203, .external_lex_state = 2},
  [1621] = {.lex_state = 33, .external_lex_state = 2},
  [1622] = {.lex_state = 33, .external_lex_state = 2},
  [1623] = {.lex_state = 33, .external_lex_state = 2},
  [1624] = {.lex_state = 203, .external_lex_state = 2},
  [1625] = {.lex_state = 35, .external_lex_state = 2},
  [1626] = {.lex_state = 35, .external_lex_state = 2},
  [1627] = {.lex_state = 33, .external_lex_state = 2},
  [1628] = {.lex_state = 33, .external_lex_state = 2},
  [1629] = {.lex_state = 35, .external_lex_state = 2},
  [1630] = {.lex_state = 37, .external_lex_state = 2},
  [1631] = {.lex_state = 33, .external_lex_state = 2},
  [1632] = {.lex_state = 37, .external_lex_state = 2},
  [1633] = {.lex_state = 33, .external_lex_state = 2},
  [1634] = {.lex_state = 37, .external_lex_state = 2},
  [1635] = {.lex_state = 33, .external_lex_state = 2},
  [1636] = {.lex_state = 33, .external_lex_state = 2},
  [1637] = {.lex_state = 203, .external_lex_state = 2},
  [1638] = {.lex_state = 33, .external_lex_state = 2},
  [1639] = {.lex_state = 33, .external_lex_state = 2},
  [1640] = {.lex_state = 203, .external_lex_state = 2},
  [1641] = {.lex_state = 37, .external_lex_state = 2},
  [1642] = {.lex_state = 33, .external_lex_state = 2},
  [1643] = {.lex_state = 203, .external_lex_state = 2},
  [1644] = {.lex_state = 33, .external_lex_state = 2},
  [1645] = {.lex_state = 37, .external_lex_state = 2},
  [1646] = {.lex_state = 37, .external_lex_state = 2},
  [1647] = {.lex_state = 33, .external_lex_state = 2},
  [1648] = {.lex_state = 33, .external_lex_state = 2},
  [1649] = {.lex_state = 203, .external_lex_state = 2},
  [1650] = {.lex_state = 33, .external_lex_state = 2},
  [1651] = {.lex_state = 33, .external_lex_state = 2},
  [1652] = {.lex_state = 33, .external_lex_state = 2},
  [1653] = {.lex_state = 203, .external_lex_state = 2},
  [1654] = {.lex_state = 33, .external_lex_state = 2},
  [1655] = {.lex_state = 33, .external_lex_state = 2},
  [1656] = {.lex_state = 33, .external_lex_state = 2},
  [1657] = {.lex_state = 33, .external_lex_state = 2},
  [1658] = {.lex_state = 33, .external_lex_state = 2},
  [1659] = {.lex_state = 34, .external_lex_state = 2},
  [1660] = {.lex_state = 34, .external_lex_state = 2},
  [1661] = {.lex_state = 34, .external_lex_state = 2},
  [1662] = {.lex_state = 34, .external_lex_state = 2},
  [1663] = {.lex_state = 34, .external_lex_state = 2},
  [1664] = {.lex_state = 54, .external_lex_state = 2},
  [1665] = {.lex_state = 54, .external_lex_state = 2},
  [1666] = {.lex_state = 54, .external_lex_state = 2},
  [1667] = {.lex_state = 54, .external_lex_state = 2},
  [1668] = {.lex_state = 54, .external_lex_state = 2},
  [1669] = {.lex_state = 54, .external_lex_state = 2},
  [1670] = {.lex_state = 54, .external_lex_state = 2},
  [1671] = {.lex_state = 54, .external_lex_state = 2},
  [1672] = {.lex_state = 51, .external_lex_state = 2},
  [1673] = {.lex_state = 51, .external_lex_state = 2},
  [1674] = {.lex_state = 51, .external_lex_state = 2},
  [1675] = {.lex_state = 54, .external_lex_state = 2},
  [1676] = {.lex_state = 51, .external_lex_state = 2},
  [1677] = {.lex_state = 51, .external_lex_state = 2},
  [1678] = {.lex_state = 51, .external_lex_state = 2},
  [1679] = {.lex_state = 51, .external_lex_state = 2},
  [1680] = {.lex_state = 51, .external_lex_state = 2},
  [1681] = {.lex_state = 51, .external_lex_state = 2},
  [1682] = {.lex_state = 51, .external_lex_state = 2},
  [1683] = {.lex_state = 51, .external_lex_state = 2},
  [1684] = {.lex_state = 51, .external_lex_state = 2},
  [1685] = {.lex_state = 51, .external_lex_state = 2},
  [1686] = {.lex_state = 51, .external_lex_state = 2},
  [1687] = {.lex_state = 51, .external_lex_state = 2},
  [1688] = {.lex_state = 51, .external_lex_state = 2},
  [1689] = {.lex_state = 51, .external_lex_state = 2},
  [1690] = {.lex_state = 51, .external_lex_state = 2},
  [1691] = {.lex_state = 51, .external_lex_state = 2},
  [1692] = {.lex_state = 51, .external_lex_state = 2},
  [1693] = {.lex_state = 51, .external_lex_state = 2},
  [1694] = {.lex_state = 51, .external_lex_state = 2},
  [1695] = {.lex_state = 51, .external_lex_state = 2},
  [1696] = {.lex_state = 51, .external_lex_state = 2},
  [1697] = {.lex_state = 51, .external_lex_state = 2},
  [1698] = {.lex_state = 51, .external_lex_state = 2},
  [1699] = {.lex_state = 51, .external_lex_state = 2},
  [1700] = {.lex_state = 51, .external_lex_state = 2},
  [1701] = {.lex_state = 51, .external_lex_state = 2},
  [1702] = {.lex_state = 51, .external_lex_state = 2},
  [1703] = {.lex_state = 51, .external_lex_state = 2},
  [1704] = {.lex_state = 51, .external_lex_state = 2},
  [1705] = {.lex_state = 51, .external_lex_state = 2},
  [1706] = {.lex_state = 38, .external_lex_state = 2},
  [1707] = {.lex_state = 38, .external_lex_state = 2},
  [1708] = {.lex_state = 34, .external_lex_state = 2},
  [1709] = {.lex_state = 34, .external_lex_state = 2},
  [1710] = {.lex_state = 34, .external_lex_state = 2},
  [1711] = {.lex_state = 203, .external_lex_state = 2},
  [1712] = {.lex_state = 203, .external_lex_state = 5},
  [1713] = {.lex_state = 34, .external_lex_state = 2},
  [1714] = {.lex_state = 34, .external_lex_state = 2},
  [1715] = {.lex_state = 34, .external_lex_state = 2},
  [1716] = {.lex_state = 34, .external_lex_state = 2},
  [1717] = {.lex_state = 38, .external_lex_state = 2},
  [1718] = {.lex_state = 38, .external_lex_state = 2},
  [1719] = {.lex_state = 203, .external_lex_state = 2},
  [1720] = {.lex_state = 38, .external_lex_state = 2},
  [1721] = {.lex_state = 203, .external_lex_state = 2},
  [1722] = {.lex_state = 34, .external_lex_state = 2},
  [1723] = {.lex_state = 34, .external_lex_state = 2},
  [1724] = {.lex_state = 34, .external_lex_state = 2},
  [1725] = {.lex_state = 34, .external_lex_state = 2},
  [1726] = {.lex_state = 34, .external_lex_state = 2},
  [1727] = {.lex_state = 38, .external_lex_state = 2},
  [1728] = {.lex_state = 34, .external_lex_state = 2},
  [1729] = {.lex_state = 38, .external_lex_state = 2},
  [1730] = {.lex_state = 34, .external_lex_state = 2},
  [1731] = {.lex_state = 203, .external_lex_state = 2},
  [1732] = {.lex_state = 34, .external_lex_state = 2},
  [1733] = {.lex_state = 203, .external_lex_state = 2},
  [1734] = {.lex_state = 34, .external_lex_state = 2},
  [1735] = {.lex_state = 34, .external_lex_state = 2},
  [1736] = {.lex_state = 203, .external_lex_state = 2},
  [1737] = {.lex_state = 38, .external_lex_state = 2},
  [1738] = {.lex_state = 203, .external_lex_state = 2},
  [1739] = {.lex_state = 38, .external_lex_state = 5},
  [1740] = {.lex_state = 34, .external_lex_state = 2},
  [1741] = {.lex_state = 51, .external_lex_state = 2},
  [1742] = {.lex_state = 38, .external_lex_state = 5},
  [1743] = {.lex_state = 203, .external_lex_state = 5},
  [1744] = {.lex_state = 34, .external_lex_state = 2},
  [1745] = {.lex_state = 203, .external_lex_state = 2},
  [1746] = {.lex_state = 203, .external_lex_state = 2},
  [1747] = {.lex_state = 34, .external_lex_state = 2},
  [1748] = {.lex_state = 203, .external_lex_state = 2},
  [1749] = {.lex_state = 203, .external_lex_state = 2},
  [1750] = {.lex_state = 203, .external_lex_state = 2},
  [1751] = {.lex_state = 203, .external_lex_state = 2},
  [1752] = {.lex_state = 30, .external_lex_state = 2},
  [1753] = {.lex_state = 203, .external_lex_state = 6},
  [1754] = {.lex_state = 203, .external_lex_state = 2},
  [1755] = {.lex_state = 38, .external_lex_state = 5},
  [1756] = {.lex_state = 34, .external_lex_state = 2},
  [1757] = {.lex_state = 203, .external_lex_state = 5},
  [1758] = {.lex_state = 51, .external_lex_state = 2},
  [1759] = {.lex_state = 203, .external_lex_state = 6},
  [1760] = {.lex_state = 203, .external_lex_state = 2},
  [1761] = {.lex_state = 38, .external_lex_state = 5},
  [1762] = {.lex_state = 203, .external_lex_state = 2},
  [1763] = {.lex_state = 203, .external_lex_state = 5},
  [1764] = {.lex_state = 203, .external_lex_state = 2},
  [1765] = {.lex_state = 203, .external_lex_state = 5},
  [1766] = {.lex_state = 51, .external_lex_state = 2},
  [1767] = {.lex_state = 203, .external_lex_state = 6},
  [1768] = {.lex_state = 38, .external_lex_state = 5},
  [1769] = {.lex_state = 34, .external_lex_state = 2},
  [1770] = {.lex_state = 203, .external_lex_state = 2},
  [1771] = {.lex_state = 203, .external_lex_state = 2},
  [1772] = {.lex_state = 38, .external_lex_state = 5},
  [1773] = {.lex_state = 38, .external_lex_state = 5},
  [1774] = {.lex_state = 203, .external_lex_state = 2},
  [1775] = {.lex_state = 51, .external_lex_state = 2},
  [1776] = {.lex_state = 38, .external_lex_state = 5},
  [1777] = {.lex_state = 34, .external_lex_state = 2},
  [1778] = {.lex_state = 34, .external_lex_state = 2},
  [1779] = {.lex_state = 38, .external_lex_state = 5},
  [1780] = {.lex_state = 203, .external_lex_state = 2},
  [1781] = {.lex_state = 203, .external_lex_state = 2},
  [1782] = {.lex_state = 38, .external_lex_state = 5},
  [1783] = {.lex_state = 30, .external_lex_state = 2},
  [1784] = {.lex_state = 203, .external_lex_state = 5},
  [1785] = {.lex_state = 203, .external_lex_state = 2},
  [1786] = {.lex_state = 34, .external_lex_state = 2},
  [1787] = {.lex_state = 34, .external_lex_state = 2},
  [1788] = {.lex_state = 203, .external_lex_state = 2},
  [1789] = {.lex_state = 203, .external_lex_state = 2},
  [1790] = {.lex_state = 34, .external_lex_state = 2},
  [1791] = {.lex_state = 34, .external_lex_state = 2},
  [1792] = {.lex_state = 203, .external_lex_state = 2},
  [1793] = {.lex_state = 38, .external_lex_state = 5},
  [1794] = {.lex_state = 203, .external_lex_state = 6},
  [1795] = {.lex_state = 203, .external_lex_state = 6},
  [1796] = {.lex_state = 203, .external_lex_state = 2},
  [1797] = {.lex_state = 203, .external_lex_state = 2},
  [1798] = {.lex_state = 51, .external_lex_state = 2},
  [1799] = {.lex_state = 52, .external_lex_state = 2},
  [1800] = {.lex_state = 51, .external_lex_state = 2},
  [1801] = {.lex_state = 203, .external_lex_state = 2},
  [1802] = {.lex_state = 52, .external_lex_state = 2},
  [1803] = {.lex_state = 54, .external_lex_state = 2},
  [1804] = {.lex_state = 203, .external_lex_state = 2},
  [1805] = {.lex_state = 52, .external_lex_state = 2},
  [1806] = {.lex_state = 51, .external_lex_state = 2},
  [1807] = {.lex_state = 51, .external_lex_state = 2},
  [1808] = {.lex_state = 203, .external_lex_state = 2},
  [1809] = {.lex_state = 51, .external_lex_state = 2},
  [1810] = {.lex_state = 52, .external_lex_state = 2},
  [1811] = {.lex_state = 54, .external_lex_state = 2},
  [1812] = {.lex_state = 54, .external_lex_state = 2},
  [1813] = {.lex_state = 51, .external_lex_state = 2},
  [1814] = {.lex_state = 52, .external_lex_state = 2},
  [1815] = {.lex_state = 54, .external_lex_state = 2},
  [1816] = {.lex_state = 203, .external_lex_state = 2},
  [1817] = {.lex_state = 51, .external_lex_state = 2},
  [1818] = {.lex_state = 203, .external_lex_state = 5},
  [1819] = {.lex_state = 51, .external_lex_state = 2},
  [1820] = {.lex_state = 51, .external_lex_state = 2},
  [1821] = {.lex_state = 203, .external_lex_state = 2},
  [1822] = {.lex_state = 52, .external_lex_state = 2},
  [1823] = {.lex_state = 51, .external_lex_state = 2},
  [1824] = {.lex_state = 34, .external_lex_state = 2},
  [1825] = {.lex_state = 52, .external_lex_state = 2},
  [1826] = {.lex_state = 54, .external_lex_state = 2},
  [1827] = {.lex_state = 203, .external_lex_state = 2},
  [1828] = {.lex_state = 54, .external_lex_state = 2},
  [1829] = {.lex_state = 52, .external_lex_state = 2},
  [1830] = {.lex_state = 203, .external_lex_state = 2},
  [1831] = {.lex_state = 52, .external_lex_state = 2},
  [1832] = {.lex_state = 51, .external_lex_state = 2},
  [1833] = {.lex_state = 52, .external_lex_state = 2},
  [1834] = {.lex_state = 52, .external_lex_state = 2},
  [1835] = {.lex_state = 54, .external_lex_state = 2},
  [1836] = {.lex_state = 54, .external_lex_state = 2},
  [1837] = {.lex_state = 203, .external_lex_state = 2},
  [1838] = {.lex_state = 54, .external_lex_state = 2},
  [1839] = {.lex_state = 203, .external_lex_state = 2},
  [1840] = {.lex_state = 54, .external_lex_state = 2},
  [1841] = {.lex_state = 51, .external_lex_state = 2},
  [1842] = {.lex_state = 54, .external_lex_state = 2},
  [1843] = {.lex_state = 51, .external_lex_state = 2},
  [1844] = {.lex_state = 54, .external_lex_state = 2},
  [1845] = {.lex_state = 54, .external_lex_state = 2},
  [1846] = {.lex_state = 34, .external_lex_state = 2},
  [1847] = {.lex_state = 54, .external_lex_state = 2},
  [1848] = {.lex_state = 54, .external_lex_state = 2},
  [1849] = {.lex_state = 51, .external_lex_state = 2},
  [1850] = {.lex_state = 203, .external_lex_state = 2},
  [1851] = {.lex_state = 54, .external_lex_state = 2},
  [1852] = {.lex_state = 34, .external_lex_state = 2},
  [1853] = {.lex_state = 51, .external_lex_state = 2},
  [1854] = {.lex_state = 51, .external_lex_state = 2},
  [1855] = {.lex_state = 52, .external_lex_state = 2},
  [1856] = {.lex_state = 54, .external_lex_state = 2},
  [1857] = {.lex_state = 203, .external_lex_state = 2},
  [1858] = {.lex_state = 51, .external_lex_state = 2},
  [1859] = {.lex_state = 54, .external_lex_state = 2},
  [1860] = {.lex_state = 38, .external_lex_state = 5},
  [1861] = {.lex_state = 51, .external_lex_state = 2},
  [1862] = {.lex_state = 52, .external_lex_state = 2},
  [1863] = {.lex_state = 54, .external_lex_state = 2},
  [1864] = {.lex_state = 52, .external_lex_state = 2},
  [1865] = {.lex_state = 203, .external_lex_state = 2},
  [1866] = {.lex_state = 34, .external_lex_state = 2},
  [1867] = {.lex_state = 51, .external_lex_state = 2},
  [1868] = {.lex_state = 51, .external_lex_state = 2},
  [1869] = {.lex_state = 51, .external_lex_state = 2},
  [1870] = {.lex_state = 51, .external_lex_state = 2},
  [1871] = {.lex_state = 51, .external_lex_state = 2},
  [1872] = {.lex_state = 51, .external_lex_state = 2},
  [1873] = {.lex_state = 203, .external_lex_state = 2},
  [1874] = {.lex_state = 3, .external_lex_state = 2},
  [1875] = {.lex_state = 34, .external_lex_state = 2},
  [1876] = {.lex_state = 203, .external_lex_state = 2},
  [1877] = {.lex_state = 3, .external_lex_state = 2},
  [1878] = {.lex_state = 203, .external_lex_state = 5},
  [1879] = {.lex_state = 203, .external_lex_state = 5},
  [1880] = {.lex_state = 40, .external_lex_state = 7},
  [1881] = {.lex_state = 203, .external_lex_state = 2},
  [1882] = {.lex_state = 41, .external_lex_state = 7},
  [1883] = {.lex_state = 30, .external_lex_state = 2},
  [1884] = {.lex_state = 203, .external_lex_state = 2},
  [1885] = {.lex_state = 203, .external_lex_state = 2},
  [1886] = {.lex_state = 203, .external_lex_state = 2},
  [1887] = {.lex_state = 203, .external_lex_state = 5},
  [1888] = {.lex_state = 203, .external_lex_state = 5},
  [1889] = {.lex_state = 203, .external_lex_state = 5},
  [1890] = {.lex_state = 203, .external_lex_state = 5},
  [1891] = {.lex_state = 40, .external_lex_state = 7},
  [1892] = {.lex_state = 41, .external_lex_state = 7},
  [1893] = {.lex_state = 203, .external_lex_state = 6},
  [1894] = {.lex_state = 203, .external_lex_state = 2},
  [1895] = {.lex_state = 203, .external_lex_state = 5},
  [1896] = {.lex_state = 40, .external_lex_state = 7},
  [1897] = {.lex_state = 41, .external_lex_state = 7},
  [1898] = {.lex_state = 203, .external_lex_state = 2},
  [1899] = {.lex_state = 40, .external_lex_state = 7},
  [1900] = {.lex_state = 203, .external_lex_state = 2},
  [1901] = {.lex_state = 41, .external_lex_state = 7},
  [1902] = {.lex_state = 41, .external_lex_state = 7},
  [1903] = {.lex_state = 203, .external_lex_state = 2},
  [1904] = {.lex_state = 203, .external_lex_state = 5},
  [1905] = {.lex_state = 203, .external_lex_state = 5},
  [1906] = {.lex_state = 203, .external_lex_state = 2},
  [1907] = {.lex_state = 3, .external_lex_state = 2},
  [1908] = {.lex_state = 203, .external_lex_state = 2},
  [1909] = {.lex_state = 203, .external_lex_state = 5},
  [1910] = {.lex_state = 40, .external_lex_state = 7},
  [1911] = {.lex_state = 203, .external_lex_state = 2},
  [1912] = {.lex_state = 203, .external_lex_state = 2},
  [1913] = {.lex_state = 203, .external_lex_state = 5},
  [1914] = {.lex_state = 203, .external_lex_state = 5},
  [1915] = {.lex_state = 40, .external_lex_state = 7},
  [1916] = {.lex_state = 41, .external_lex_state = 7},
  [1917] = {.lex_state = 34, .external_lex_state = 2},
  [1918] = {.lex_state = 203, .external_lex_state = 5},
  [1919] = {.lex_state = 203, .external_lex_state = 2},
  [1920] = {.lex_state = 203, .external_lex_state = 5},
  [1921] = {.lex_state = 203, .external_lex_state = 5},
  [1922] = {.lex_state = 203, .external_lex_state = 2},
  [1923] = {.lex_state = 203, .external_lex_state = 6},
  [1924] = {.lex_state = 203, .external_lex_state = 2},
  [1925] = {.lex_state = 40, .external_lex_state = 7},
  [1926] = {.lex_state = 41, .external_lex_state = 7},
  [1927] = {.lex_state = 203, .external_lex_state = 2},
  [1928] = {.lex_state = 203, .external_lex_state = 5},
  [1929] = {.lex_state = 203, .external_lex_state = 5},
  [1930] = {.lex_state = 203, .external_lex_state = 5},
  [1931] = {.lex_state = 203, .external_lex_state = 2},
  [1932] = {.lex_state = 203, .external_lex_state = 2},
  [1933] = {.lex_state = 203, .external_lex_state = 2},
  [1934] = {.lex_state = 203, .external_lex_state = 2},
  [1935] = {.lex_state = 38, .external_lex_state = 2},
  [1936] = {.lex_state = 40, .external_lex_state = 7},
  [1937] = {.lex_state = 41, .external_lex_state = 7},
  [1938] = {.lex_state = 203, .external_lex_state = 5},
  [1939] = {.lex_state = 203, .external_lex_state = 5},
  [1940] = {.lex_state = 203, .external_lex_state = 5},
  [1941] = {.lex_state = 203, .external_lex_state = 2},
  [1942] = {.lex_state = 40, .external_lex_state = 7},
  [1943] = {.lex_state = 41, .external_lex_state = 7},
  [1944] = {.lex_state = 203, .external_lex_state = 2},
  [1945] = {.lex_state = 203, .external_lex_state = 5},
  [1946] = {.lex_state = 203, .external_lex_state = 5},
  [1947] = {.lex_state = 203, .external_lex_state = 2},
  [1948] = {.lex_state = 203, .external_lex_state = 2},
  [1949] = {.lex_state = 203, .external_lex_state = 2},
  [1950] = {.lex_state = 203, .external_lex_state = 2},
  [1951] = {.lex_state = 203, .external_lex_state = 2},
  [1952] = {.lex_state = 203, .external_lex_state = 5},
  [1953] = {.lex_state = 203, .external_lex_state = 5},
  [1954] = {.lex_state = 203, .external_lex_state = 5},
  [1955] = {.lex_state = 203, .external_lex_state = 5},
  [1956] = {.lex_state = 34, .external_lex_state = 2},
  [1957] = {.lex_state = 203, .external_lex_state = 5},
  [1958] = {.lex_state = 203, .external_lex_state = 2},
  [1959] = {.lex_state = 203, .external_lex_state = 5},
  [1960] = {.lex_state = 203, .external_lex_state = 5},
  [1961] = {.lex_state = 203, .external_lex_state = 5},
  [1962] = {.lex_state = 203, .external_lex_state = 5},
  [1963] = {.lex_state = 203, .external_lex_state = 2},
  [1964] = {.lex_state = 3, .external_lex_state = 2},
  [1965] = {.lex_state = 203, .external_lex_state = 5},
  [1966] = {.lex_state = 38, .external_lex_state = 2},
  [1967] = {.lex_state = 40, .external_lex_state = 7},
  [1968] = {.lex_state = 41, .external_lex_state = 7},
  [1969] = {.lex_state = 38, .external_lex_state = 2},
  [1970] = {.lex_state = 203, .external_lex_state = 2},
  [1971] = {.lex_state = 203, .external_lex_state = 5},
  [1972] = {.lex_state = 34, .external_lex_state = 2},
  [1973] = {.lex_state = 203, .external_lex_state = 2},
  [1974] = {.lex_state = 203, .external_lex_state = 2},
  [1975] = {.lex_state = 203, .external_lex_state = 2},
  [1976] = {.lex_state = 3, .external_lex_state = 2},
  [1977] = {.lex_state = 34, .external_lex_state = 2},
  [1978] = {.lex_state = 203, .external_lex_state = 2},
  [1979] = {.lex_state = 203, .external_lex_state = 2},
  [1980] = {.lex_state = 34, .external_lex_state = 2},
  [1981] = {.lex_state = 41, .external_lex_state = 7},
  [1982] = {.lex_state = 203, .external_lex_state = 2},
  [1983] = {.lex_state = 40, .external_lex_state = 7},
  [1984] = {.lex_state = 203, .external_lex_state = 2},
  [1985] = {.lex_state = 38, .external_lex_state = 2},
  [1986] = {.lex_state = 34, .external_lex_state = 2},
  [1987] = {.lex_state = 203, .external_lex_state = 2},
  [1988] = {.lex_state = 3, .external_lex_state = 2},
  [1989] = {.lex_state = 34, .external_lex_state = 2},
  [1990] = {.lex_state = 203, .external_lex_state = 2},
  [1991] = {.lex_state = 203, .external_lex_state = 2},
  [1992] = {.lex_state = 34, .external_lex_state = 2},
  [1993] = {.lex_state = 203, .external_lex_state = 5},
  [1994] = {.lex_state = 203, .external_lex_state = 5},
  [1995] = {.lex_state = 203, .external_lex_state = 5},
  [1996] = {.lex_state = 34, .external_lex_state = 2},
  [1997] = {.lex_state = 203, .external_lex_state = 2},
  [1998] = {.lex_state = 34, .external_lex_state = 2},
  [1999] = {.lex_state = 34, .external_lex_state = 2},
  [2000] = {.lex_state = 203, .external_lex_state = 2},
  [2001] = {.lex_state = 203, .external_lex_state = 2},
  [2002] = {.lex_state = 34, .external_lex_state = 2},
  [2003] = {.lex_state = 34, .external_lex_state = 2},
  [2004] = {.lex_state = 203, .external_lex_state = 2},
  [2005] = {.lex_state = 203, .external_lex_state = 2},
  [2006] = {.lex_state = 203, .external_lex_state = 2},
  [2007] = {.lex_state = 34, .external_lex_state = 2},
  [2008] = {.lex_state = 34, .external_lex_state = 2},
  [2009] = {.lex_state = 203, .external_lex_state = 5},
  [2010] = {.lex_state = 203, .external_lex_state = 2},
  [2011] = {.lex_state = 203, .external_lex_state = 2},
  [2012] = {.lex_state = 203, .external_lex_state = 2},
  [2013] = {.lex_state = 203, .external_lex_state = 2},
  [2014] = {.lex_state = 203, .external_lex_state = 5},
  [2015] = {.lex_state = 203, .external_lex_state = 5},
  [2016] = {.lex_state = 203, .external_lex_state = 2},
  [2017] = {.lex_state = 203, .external_lex_state = 5},
  [2018] = {.lex_state = 203, .external_lex_state = 2},
  [2019] = {.lex_state = 34, .external_lex_state = 2},
  [2020] = {.lex_state = 203, .external_lex_state = 2},
  [2021] = {.lex_state = 203, .external_lex_state = 2},
  [2022] = {.lex_state = 34, .external_lex_state = 2},
  [2023] = {.lex_state = 203, .external_lex_state = 2},
  [2024] = {.lex_state = 203, .external_lex_state = 5},
  [2025] = {.lex_state = 34, .external_lex_state = 2},
  [2026] = {.lex_state = 34, .external_lex_state = 2},
  [2027] = {.lex_state = 203, .external_lex_state = 2},
  [2028] = {.lex_state = 203, .external_lex_state = 5},
  [2029] = {.lex_state = 203, .external_lex_state = 2},
  [2030] = {.lex_state = 203, .external_lex_state = 2},
  [2031] = {.lex_state = 203, .external_lex_state = 2},
  [2032] = {.lex_state = 34, .external_lex_state = 2},
  [2033] = {.lex_state = 34, .external_lex_state = 5},
  [2034] = {.lex_state = 38, .external_lex_state = 2},
  [2035] = {.lex_state = 34, .external_lex_state = 2},
  [2036] = {.lex_state = 34, .external_lex_state = 5},
  [2037] = {.lex_state = 30, .external_lex_state = 2},
  [2038] = {.lex_state = 30, .external_lex_state = 2},
  [2039] = {.lex_state = 203, .external_lex_state = 5},
  [2040] = {.lex_state = 203, .external_lex_state = 5},
  [2041] = {.lex_state = 203, .external_lex_state = 2},
  [2042] = {.lex_state = 34, .external_lex_state = 2},
  [2043] = {.lex_state = 30, .external_lex_state = 2},
  [2044] = {.lex_state = 203, .external_lex_state = 2},
  [2045] = {.lex_state = 203, .external_lex_state = 2},
  [2046] = {.lex_state = 34, .external_lex_state = 2},
  [2047] = {.lex_state = 203, .external_lex_state = 2},
  [2048] = {.lex_state = 34, .external_lex_state = 2},
  [2049] = {.lex_state = 203, .external_lex_state = 2},
  [2050] = {.lex_state = 34, .external_lex_state = 2},
  [2051] = {.lex_state = 203, .external_lex_state = 2},
  [2052] = {.lex_state = 30, .external_lex_state = 2},
  [2053] = {.lex_state = 30, .external_lex_state = 2},
  [2054] = {.lex_state = 38, .external_lex_state = 2},
  [2055] = {.lex_state = 203, .external_lex_state = 2},
  [2056] = {.lex_state = 203, .external_lex_state = 2},
  [2057] = {.lex_state = 38, .external_lex_state = 2},
  [2058] = {.lex_state = 203, .external_lex_state = 2},
  [2059] = {.lex_state = 203, .external_lex_state = 2},
  [2060] = {.lex_state = 203, .external_lex_state = 2},
  [2061] = {.lex_state = 203, .external_lex_state = 2},
  [2062] = {.lex_state = 203, .external_lex_state = 2},
  [2063] = {.lex_state = 203, .external_lex_state = 2},
  [2064] = {.lex_state = 203, .external_lex_state = 2},
  [2065] = {.lex_state = 203, .external_lex_state = 2},
  [2066] = {.lex_state = 203, .external_lex_state = 2},
  [2067] = {.lex_state = 203, .external_lex_state = 2},
  [2068] = {.lex_state = 203, .external_lex_state = 2},
  [2069] = {.lex_state = 203, .external_lex_state = 5},
  [2070] = {.lex_state = 203, .external_lex_state = 2},
  [2071] = {.lex_state = 34, .external_lex_state = 5},
  [2072] = {.lex_state = 34, .external_lex_state = 5},
  [2073] = {.lex_state = 203, .external_lex_state = 2},
  [2074] = {.lex_state = 203, .external_lex_state = 2},
  [2075] = {.lex_state = 203, .external_lex_state = 2},
  [2076] = {.lex_state = 203, .external_lex_state = 2},
  [2077] = {.lex_state = 203, .external_lex_state = 2},
  [2078] = {.lex_state = 38, .external_lex_state = 2},
  [2079] = {.lex_state = 203, .external_lex_state = 2},
  [2080] = {.lex_state = 203, .external_lex_state = 2},
  [2081] = {.lex_state = 203, .external_lex_state = 2},
  [2082] = {.lex_state = 203, .external_lex_state = 2},
  [2083] = {.lex_state = 203, .external_lex_state = 5},
  [2084] = {.lex_state = 203, .external_lex_state = 2},
  [2085] = {.lex_state = 203, .external_lex_state = 2},
  [2086] = {.lex_state = 203, .external_lex_state = 2},
  [2087] = {.lex_state = 34, .external_lex_state = 2},
  [2088] = {.lex_state = 34, .external_lex_state = 2},
  [2089] = {.lex_state = 34, .external_lex_state = 5},
  [2090] = {.lex_state = 34, .external_lex_state = 5},
  [2091] = {.lex_state = 203, .external_lex_state = 2},
  [2092] = {.lex_state = 203, .external_lex_state = 5},
  [2093] = {.lex_state = 203, .external_lex_state = 2},
  [2094] = {.lex_state = 203, .external_lex_state = 2},
  [2095] = {.lex_state = 40, .external_lex_state = 7},
  [2096] = {.lex_state = 38, .external_lex_state = 2},
  [2097] = {.lex_state = 203, .external_lex_state = 2},
  [2098] = {.lex_state = 203, .external_lex_state = 2},
  [2099] = {.lex_state = 203, .external_lex_state = 2},
  [2100] = {.lex_state = 203, .external_lex_state = 2},
  [2101] = {.lex_state = 203, .external_lex_state = 2},
  [2102] = {.lex_state = 203, .external_lex_state = 2},
  [2103] = {.lex_state = 203, .external_lex_state = 2},
  [2104] = {.lex_state = 203, .external_lex_state = 2},
  [2105] = {.lex_state = 203, .external_lex_state = 2},
  [2106] = {.lex_state = 41, .external_lex_state = 7},
  [2107] = {.lex_state = 203, .external_lex_state = 2},
  [2108] = {.lex_state = 203, .external_lex_state = 5},
  [2109] = {.lex_state = 203, .external_lex_state = 2},
  [2110] = {.lex_state = 38, .external_lex_state = 2},
  [2111] = {.lex_state = 3, .external_lex_state = 2},
  [2112] = {.lex_state = 203, .external_lex_state = 2},
  [2113] = {.lex_state = 203, .external_lex_state = 2},
  [2114] = {.lex_state = 203, .external_lex_state = 2},
  [2115] = {.lex_state = 203, .external_lex_state = 2},
  [2116] = {.lex_state = 203, .external_lex_state = 5},
  [2117] = {.lex_state = 203, .external_lex_state = 5},
  [2118] = {.lex_state = 203, .external_lex_state = 2},
  [2119] = {.lex_state = 203, .external_lex_state = 5},
  [2120] = {.lex_state = 34, .external_lex_state = 2},
  [2121] = {.lex_state = 34, .external_lex_state = 2},
  [2122] = {.lex_state = 203, .external_lex_state = 5},
  [2123] = {.lex_state = 203, .external_lex_state = 5},
  [2124] = {.lex_state = 203, .external_lex_state = 2},
  [2125] = {.lex_state = 203, .external_lex_state = 2},
  [2126] = {.lex_state = 203, .external_lex_state = 2},
  [2127] = {.lex_state = 203, .external_lex_state = 2},
  [2128] = {.lex_state = 203, .external_lex_state = 5},
  [2129] = {.lex_state = 203, .external_lex_state = 2},
  [2130] = {.lex_state = 203, .external_lex_state = 2},
  [2131] = {.lex_state = 34, .external_lex_state = 2},
  [2132] = {.lex_state = 203, .external_lex_state = 2},
  [2133] = {.lex_state = 203, .external_lex_state = 2},
  [2134] = {.lex_state = 203, .external_lex_state = 2},
  [2135] = {.lex_state = 203, .external_lex_state = 2},
  [2136] = {.lex_state = 30, .external_lex_state = 2},
  [2137] = {.lex_state = 34, .external_lex_state = 2},
  [2138] = {.lex_state = 203, .external_lex_state = 2},
  [2139] = {.lex_state = 34, .external_lex_state = 5},
  [2140] = {.lex_state = 203, .external_lex_state = 2},
  [2141] = {.lex_state = 34, .external_lex_state = 5},
  [2142] = {.lex_state = 203, .external_lex_state = 2},
  [2143] = {.lex_state = 34, .external_lex_state = 5},
  [2144] = {.lex_state = 34, .external_lex_state = 5},
  [2145] = {.lex_state = 203, .external_lex_state = 5},
  [2146] = {.lex_state = 203, .external_lex_state = 2},
  [2147] = {.lex_state = 203, .external_lex_state = 2},
  [2148] = {.lex_state = 38, .external_lex_state = 2},
  [2149] = {.lex_state = 34, .external_lex_state = 2},
  [2150] = {.lex_state = 30, .external_lex_state = 2},
  [2151] = {.lex_state = 203, .external_lex_state = 2},
  [2152] = {.lex_state = 203, .external_lex_state = 2},
  [2153] = {.lex_state = 203, .external_lex_state = 5},
  [2154] = {.lex_state = 203, .external_lex_state = 2},
  [2155] = {.lex_state = 203, .external_lex_state = 2},
  [2156] = {.lex_state = 203, .external_lex_state = 2},
  [2157] = {.lex_state = 203, .external_lex_state = 2},
  [2158] = {.lex_state = 203, .external_lex_state = 2},
  [2159] = {.lex_state = 203, .external_lex_state = 2},
  [2160] = {.lex_state = 203, .external_lex_state = 2},
  [2161] = {.lex_state = 203, .external_lex_state = 5},
  [2162] = {.lex_state = 34, .external_lex_state = 2},
  [2163] = {.lex_state = 203, .external_lex_state = 5},
  [2164] = {.lex_state = 203, .external_lex_state = 2},
  [2165] = {.lex_state = 203, .external_lex_state = 2},
  [2166] = {.lex_state = 203, .external_lex_state = 2},
  [2167] = {.lex_state = 203, .external_lex_state = 2},
  [2168] = {.lex_state = 203, .external_lex_state = 2},
  [2169] = {.lex_state = 203, .external_lex_state = 2},
  [2170] = {.lex_state = 203, .external_lex_state = 5},
  [2171] = {.lex_state = 203, .external_lex_state = 5},
  [2172] = {.lex_state = 203, .external_lex_state = 5},
  [2173] = {.lex_state = 203, .external_lex_state = 2},
  [2174] = {.lex_state = 203, .external_lex_state = 5},
  [2175] = {.lex_state = 203, .external_lex_state = 2},
  [2176] = {.lex_state = 203, .external_lex_state = 2},
  [2177] = {.lex_state = 203, .external_lex_state = 2},
  [2178] = {.lex_state = 203, .external_lex_state = 2},
  [2179] = {.lex_state = 203, .external_lex_state = 5},
  [2180] = {.lex_state = 34, .external_lex_state = 2},
  [2181] = {.lex_state = 203, .external_lex_state = 5},
  [2182] = {.lex_state = 203, .external_lex_state = 2},
  [2183] = {.lex_state = 3, .external_lex_state = 2},
  [2184] = {.lex_state = 203, .external_lex_state = 2},
  [2185] = {.lex_state = 51, .external_lex_state = 2},
  [2186] = {.lex_state = 203, .external_lex_state = 2},
  [2187] = {.lex_state = 203, .external_lex_state = 5},
  [2188] = {.lex_state = 203, .external_lex_state = 2},
  [2189] = {.lex_state = 51, .external_lex_state = 2},
  [2190] = {.lex_state = 203, .external_lex_state = 5},
  [2191] = {.lex_state = 34, .external_lex_state = 2},
  [2192] = {.lex_state = 203, .external_lex_state = 2},
  [2193] = {.lex_state = 203, .external_lex_state = 2},
  [2194] = {.lex_state = 203, .external_lex_state = 5},
  [2195] = {.lex_state = 203, .external_lex_state = 5},
  [2196] = {.lex_state = 203, .external_lex_state = 2},
  [2197] = {.lex_state = 34, .external_lex_state = 2},
  [2198] = {.lex_state = 34, .external_lex_state = 2},
  [2199] = {.lex_state = 203, .external_lex_state = 2},
  [2200] = {.lex_state = 203, .external_lex_state = 2},
  [2201] = {.lex_state = 203, .external_lex_state = 5},
  [2202] = {.lex_state = 203, .external_lex_state = 2},
  [2203] = {.lex_state = 203, .external_lex_state = 2},
  [2204] = {.lex_state = 203, .external_lex_state = 2},
  [2205] = {.lex_state = 203, .external_lex_state = 2},
  [2206] = {.lex_state = 203, .external_lex_state = 2},
  [2207] = {.lex_state = 203, .external_lex_state = 2},
  [2208] = {.lex_state = 203, .external_lex_state = 2},
  [2209] = {.lex_state = 203, .external_lex_state = 2},
  [2210] = {.lex_state = 203, .external_lex_state = 2},
  [2211] = {.lex_state = 203, .external_lex_state = 2},
  [2212] = {.lex_state = 203, .external_lex_state = 5},
  [2213] = {.lex_state = 203, .external_lex_state = 5},
  [2214] = {.lex_state = 34, .external_lex_state = 2},
  [2215] = {.lex_state = 203, .external_lex_state = 5},
  [2216] = {.lex_state = 203, .external_lex_state = 2},
  [2217] = {.lex_state = 203, .external_lex_state = 5},
  [2218] = {.lex_state = 203, .external_lex_state = 5},
  [2219] = {.lex_state = 203, .external_lex_state = 2},
  [2220] = {.lex_state = 203, .external_lex_state = 2},
  [2221] = {.lex_state = 203, .external_lex_state = 2},
  [2222] = {.lex_state = 38, .external_lex_state = 2},
  [2223] = {.lex_state = 203, .external_lex_state = 2},
  [2224] = {.lex_state = 203, .external_lex_state = 2},
  [2225] = {.lex_state = 34, .external_lex_state = 2},
  [2226] = {.lex_state = 203, .external_lex_state = 2},
  [2227] = {.lex_state = 203, .external_lex_state = 2},
  [2228] = {.lex_state = 38, .external_lex_state = 2},
  [2229] = {.lex_state = 203, .external_lex_state = 2},
  [2230] = {.lex_state = 203, .external_lex_state = 2},
  [2231] = {.lex_state = 203, .external_lex_state = 5},
  [2232] = {.lex_state = 203, .external_lex_state = 5},
  [2233] = {.lex_state = 203, .external_lex_state = 5},
  [2234] = {.lex_state = 203, .external_lex_state = 5},
  [2235] = {.lex_state = 203, .external_lex_state = 5},
  [2236] = {.lex_state = 203, .external_lex_state = 2},
  [2237] = {.lex_state = 203, .external_lex_state = 2},
  [2238] = {.lex_state = 203, .external_lex_state = 5},
  [2239] = {.lex_state = 203, .external_lex_state = 5},
  [2240] = {.lex_state = 203, .external_lex_state = 5},
  [2241] = {.lex_state = 203, .external_lex_state = 2},
  [2242] = {.lex_state = 203, .external_lex_state = 2},
  [2243] = {.lex_state = 203, .external_lex_state = 2},
  [2244] = {.lex_state = 203, .external_lex_state = 2},
  [2245] = {.lex_state = 203, .external_lex_state = 2},
  [2246] = {.lex_state = 203, .external_lex_state = 2},
  [2247] = {.lex_state = 34, .external_lex_state = 2},
  [2248] = {.lex_state = 203, .external_lex_state = 2},
  [2249] = {.lex_state = 203, .external_lex_state = 2},
  [2250] = {.lex_state = 203, .external_lex_state = 2},
  [2251] = {.lex_state = 203, .external_lex_state = 2},
  [2252] = {.lex_state = 203, .external_lex_state = 2},
  [2253] = {.lex_state = 203, .external_lex_state = 2},
  [2254] = {.lex_state = 203, .external_lex_state = 2},
  [2255] = {.lex_state = 203, .external_lex_state = 2},
  [2256] = {.lex_state = 203, .external_lex_state = 2},
  [2257] = {.lex_state = 203, .external_lex_state = 2},
  [2258] = {.lex_state = 203, .external_lex_state = 2},
  [2259] = {.lex_state = 203, .external_lex_state = 2},
  [2260] = {.lex_state = 203, .external_lex_state = 2},
  [2261] = {.lex_state = 203, .external_lex_state = 2},
  [2262] = {.lex_state = 203, .external_lex_state = 2},
  [2263] = {.lex_state = 38, .external_lex_state = 2},
  [2264] = {.lex_state = 203, .external_lex_state = 2},
  [2265] = {.lex_state = 38, .external_lex_state = 2},
  [2266] = {.lex_state = 203, .external_lex_state = 2},
  [2267] = {.lex_state = 203, .external_lex_state = 2},
  [2268] = {.lex_state = 203, .external_lex_state = 2},
  [2269] = {.lex_state = 203, .external_lex_state = 2},
  [2270] = {.lex_state = 203, .external_lex_state = 2},
  [2271] = {.lex_state = 203, .external_lex_state = 2},
  [2272] = {.lex_state = 203, .external_lex_state = 2},
  [2273] = {.lex_state = 203, .external_lex_state = 2},
  [2274] = {.lex_state = 203, .external_lex_state = 2},
  [2275] = {.lex_state = 203, .external_lex_state = 2},
  [2276] = {.lex_state = 203, .external_lex_state = 2},
  [2277] = {.lex_state = 203, .external_lex_state = 2},
  [2278] = {.lex_state = 203, .external_lex_state = 2},
  [2279] = {.lex_state = 203, .external_lex_state = 2},
  [2280] = {.lex_state = 203, .external_lex_state = 2},
  [2281] = {.lex_state = 203, .external_lex_state = 2},
  [2282] = {.lex_state = 203, .external_lex_state = 2},
  [2283] = {.lex_state = 38, .external_lex_state = 2},
  [2284] = {.lex_state = 203, .external_lex_state = 2},
  [2285] = {.lex_state = 203, .external_lex_state = 2},
  [2286] = {.lex_state = 203, .external_lex_state = 2},
  [2287] = {.lex_state = 203, .external_lex_state = 2},
  [2288] = {.lex_state = 203, .external_lex_state = 2},
  [2289] = {.lex_state = 203, .external_lex_state = 2},
  [2290] = {.lex_state = 203, .external_lex_state = 2},
  [2291] = {.lex_state = 203, .external_lex_state = 2},
  [2292] = {.lex_state = 203, .external_lex_state = 2},
  [2293] = {.lex_state = 203, .external_lex_state = 2},
  [2294] = {.lex_state = 203, .external_lex_state = 2},
  [2295] = {.lex_state = 203, .external_lex_state = 2},
  [2296] = {.lex_state = 203, .external_lex_state = 2},
  [2297] = {.lex_state = 203, .external_lex_state = 2},
  [2298] = {.lex_state = 203, .external_lex_state = 2},
  [2299] = {.lex_state = 203, .external_lex_state = 2},
  [2300] = {.lex_state = 203, .external_lex_state = 5},
  [2301] = {.lex_state = 203, .external_lex_state = 2},
  [2302] = {.lex_state = 203, .external_lex_state = 2},
  [2303] = {.lex_state = 203, .external_lex_state = 2},
  [2304] = {.lex_state = 38, .external_lex_state = 2},
  [2305] = {.lex_state = 203, .external_lex_state = 2},
  [2306] = {.lex_state = 203, .external_lex_state = 2},
  [2307] = {.lex_state = 203, .external_lex_state = 2},
  [2308] = {.lex_state = 203, .external_lex_state = 2},
  [2309] = {.lex_state = 203, .external_lex_state = 2},
  [2310] = {.lex_state = 203, .external_lex_state = 2},
  [2311] = {.lex_state = 203, .external_lex_state = 2},
  [2312] = {.lex_state = 203, .external_lex_state = 2},
  [2313] = {.lex_state = 203, .external_lex_state = 2},
  [2314] = {.lex_state = 203, .external_lex_state = 5},
  [2315] = {.lex_state = 203, .external_lex_state = 2},
  [2316] = {.lex_state = 203, .external_lex_state = 2},
  [2317] = {.lex_state = 203, .external_lex_state = 2},
  [2318] = {.lex_state = 203, .external_lex_state = 2},
  [2319] = {.lex_state = 203, .external_lex_state = 5},
  [2320] = {.lex_state = 203, .external_lex_state = 2},
  [2321] = {.lex_state = 203, .external_lex_state = 2},
  [2322] = {.lex_state = 203, .external_lex_state = 5},
  [2323] = {.lex_state = 203, .external_lex_state = 2},
  [2324] = {.lex_state = 203, .external_lex_state = 2},
  [2325] = {.lex_state = 203, .external_lex_state = 2},
  [2326] = {.lex_state = 203, .external_lex_state = 2},
  [2327] = {.lex_state = 34, .external_lex_state = 2},
  [2328] = {.lex_state = 203, .external_lex_state = 2},
  [2329] = {.lex_state = 203, .external_lex_state = 2},
  [2330] = {.lex_state = 203, .external_lex_state = 5},
  [2331] = {.lex_state = 203, .external_lex_state = 5},
  [2332] = {.lex_state = 203, .external_lex_state = 2},
  [2333] = {.lex_state = 203, .external_lex_state = 5},
  [2334] = {.lex_state = 38, .external_lex_state = 2},
  [2335] = {.lex_state = 203, .external_lex_state = 5},
  [2336] = {.lex_state = 203, .external_lex_state = 2},
  [2337] = {.lex_state = 203, .external_lex_state = 2},
  [2338] = {.lex_state = 203, .external_lex_state = 2},
  [2339] = {.lex_state = 203, .external_lex_state = 2},
  [2340] = {.lex_state = 203, .external_lex_state = 2},
  [2341] = {.lex_state = 203, .external_lex_state = 2},
  [2342] = {.lex_state = 203, .external_lex_state = 2},
  [2343] = {.lex_state = 203, .external_lex_state = 2},
  [2344] = {.lex_state = 203, .external_lex_state = 2},
  [2345] = {.lex_state = 203, .external_lex_state = 2},
  [2346] = {.lex_state = 203, .external_lex_state = 2},
  [2347] = {.lex_state = 203, .external_lex_state = 2},
  [2348] = {.lex_state = 203, .external_lex_state = 2},
  [2349] = {.lex_state = 203, .external_lex_state = 2},
  [2350] = {.lex_state = 203, .external_lex_state = 2},
  [2351] = {.lex_state = 203, .external_lex_state = 2},
  [2352] = {.lex_state = 203, .external_lex_state = 5},
  [2353] = {.lex_state = 203, .external_lex_state = 2},
  [2354] = {.lex_state = 203, .external_lex_state = 2},
  [2355] = {.lex_state = 203, .external_lex_state = 2},
  [2356] = {.lex_state = 203, .external_lex_state = 5},
  [2357] = {.lex_state = 203, .external_lex_state = 5},
  [2358] = {.lex_state = 203, .external_lex_state = 5},
  [2359] = {.lex_state = 203, .external_lex_state = 2},
  [2360] = {.lex_state = 203, .external_lex_state = 2},
  [2361] = {.lex_state = 203, .external_lex_state = 2},
  [2362] = {.lex_state = 203, .external_lex_state = 2},
  [2363] = {.lex_state = 203, .external_lex_state = 2},
  [2364] = {.lex_state = 203, .external_lex_state = 2},
  [2365] = {.lex_state = 203, .external_lex_state = 2},
  [2366] = {.lex_state = 203, .external_lex_state = 2},
  [2367] = {.lex_state = 203, .external_lex_state = 2},
  [2368] = {.lex_state = 203, .external_lex_state = 2},
  [2369] = {.lex_state = 203, .external_lex_state = 2},
  [2370] = {.lex_state = 203, .external_lex_state = 2},
  [2371] = {.lex_state = 203, .external_lex_state = 5},
  [2372] = {.lex_state = 203, .external_lex_state = 2},
  [2373] = {.lex_state = 203, .external_lex_state = 2},
  [2374] = {.lex_state = 203, .external_lex_state = 2},
  [2375] = {.lex_state = 203, .external_lex_state = 2},
  [2376] = {.lex_state = 203, .external_lex_state = 2},
  [2377] = {.lex_state = 203, .external_lex_state = 2},
  [2378] = {.lex_state = 203, .external_lex_state = 2},
  [2379] = {.lex_state = 203, .external_lex_state = 2},
  [2380] = {.lex_state = 38, .external_lex_state = 2},
  [2381] = {.lex_state = 203, .external_lex_state = 2},
  [2382] = {.lex_state = 38, .external_lex_state = 2},
  [2383] = {.lex_state = 203, .external_lex_state = 2},
  [2384] = {.lex_state = 203, .external_lex_state = 2},
  [2385] = {.lex_state = 203, .external_lex_state = 2},
  [2386] = {.lex_state = 203, .external_lex_state = 2},
  [2387] = {.lex_state = 203, .external_lex_state = 2},
  [2388] = {.lex_state = 203, .external_lex_state = 2},
  [2389] = {.lex_state = 34, .external_lex_state = 2},
  [2390] = {.lex_state = 203, .external_lex_state = 2},
  [2391] = {.lex_state = 203, .external_lex_state = 2},
  [2392] = {.lex_state = 203, .external_lex_state = 2},
  [2393] = {.lex_state = 203, .external_lex_state = 2},
  [2394] = {.lex_state = 203, .external_lex_state = 2},
  [2395] = {.lex_state = 203, .external_lex_state = 2},
  [2396] = {.lex_state = 203, .external_lex_state = 2},
  [2397] = {.lex_state = 203, .external_lex_state = 2},
  [2398] = {.lex_state = 203, .external_lex_state = 2},
  [2399] = {.lex_state = 203, .external_lex_state = 2},
  [2400] = {.lex_state = 203, .external_lex_state = 5},
  [2401] = {.lex_state = 203, .external_lex_state = 2},
  [2402] = {.lex_state = 203, .external_lex_state = 2},
  [2403] = {.lex_state = 203, .external_lex_state = 2},
  [2404] = {.lex_state = 203, .external_lex_state = 2},
  [2405] = {.lex_state = 203, .external_lex_state = 2},
  [2406] = {.lex_state = 203, .external_lex_state = 2},
  [2407] = {.lex_state = 203, .external_lex_state = 2},
  [2408] = {.lex_state = 203, .external_lex_state = 2},
  [2409] = {.lex_state = 203, .external_lex_state = 2},
  [2410] = {.lex_state = 203, .external_lex_state = 2},
  [2411] = {.lex_state = 203, .external_lex_state = 2},
  [2412] = {.lex_state = 203, .external_lex_state = 2},
  [2413] = {.lex_state = 203, .external_lex_state = 2},
  [2414] = {.lex_state = 203, .external_lex_state = 5},
  [2415] = {.lex_state = 203, .external_lex_state = 2},
  [2416] = {.lex_state = 203, .external_lex_state = 2},
  [2417] = {.lex_state = 38, .external_lex_state = 2},
  [2418] = {.lex_state = 203, .external_lex_state = 2},
  [2419] = {.lex_state = 203, .external_lex_state = 2},
  [2420] = {.lex_state = 203, .external_lex_state = 2},
  [2421] = {.lex_state = 203, .external_lex_state = 5},
  [2422] = {.lex_state = 203, .external_lex_state = 2},
  [2423] = {.lex_state = 203, .external_lex_state = 2},
  [2424] = {.lex_state = 203, .external_lex_state = 2},
  [2425] = {.lex_state = 203, .external_lex_state = 2},
  [2426] = {.lex_state = 203, .external_lex_state = 2},
  [2427] = {.lex_state = 203, .external_lex_state = 5},
  [2428] = {.lex_state = 203, .external_lex_state = 2},
  [2429] = {.lex_state = 203, .external_lex_state = 5},
  [2430] = {.lex_state = 203, .external_lex_state = 2},
  [2431] = {.lex_state = 203, .external_lex_state = 5},
  [2432] = {.lex_state = 203, .external_lex_state = 5},
  [2433] = {.lex_state = 203, .external_lex_state = 2},
  [2434] = {.lex_state = 203, .external_lex_state = 2},
  [2435] = {.lex_state = 203, .external_lex_state = 2},
  [2436] = {.lex_state = 203, .external_lex_state = 2},
  [2437] = {.lex_state = 203, .external_lex_state = 2},
  [2438] = {.lex_state = 203, .external_lex_state = 2},
  [2439] = {.lex_state = 3, .external_lex_state = 2},
  [2440] = {.lex_state = 203, .external_lex_state = 5},
  [2441] = {.lex_state = 203, .external_lex_state = 5},
  [2442] = {.lex_state = 203, .external_lex_state = 5},
  [2443] = {.lex_state = 203, .external_lex_state = 2},
  [2444] = {.lex_state = 203, .external_lex_state = 5},
  [2445] = {.lex_state = 203, .external_lex_state = 2},
  [2446] = {.lex_state = 203, .external_lex_state = 5},
  [2447] = {.lex_state = 203, .external_lex_state = 2},
  [2448] = {.lex_state = 203, .external_lex_state = 2},
  [2449] = {.lex_state = 203, .external_lex_state = 2},
  [2450] = {.lex_state = 203, .external_lex_state = 2},
  [2451] = {.lex_state = 203, .external_lex_state = 2},
  [2452] = {.lex_state = 203, .external_lex_state = 2},
  [2453] = {.lex_state = 203, .external_lex_state = 2},
  [2454] = {.lex_state = 203, .external_lex_state = 5},
  [2455] = {.lex_state = 203, .external_lex_state = 2},
  [2456] = {.lex_state = 203, .external_lex_state = 5},
  [2457] = {.lex_state = 203, .external_lex_state = 2},
  [2458] = {.lex_state = 203, .external_lex_state = 2},
  [2459] = {.lex_state = 203, .external_lex_state = 5},
  [2460] = {.lex_state = 203, .external_lex_state = 5},
  [2461] = {.lex_state = 203, .external_lex_state = 5},
  [2462] = {.lex_state = 203, .external_lex_state = 2},
  [2463] = {.lex_state = 203, .external_lex_state = 2},
  [2464] = {.lex_state = 203, .external_lex_state = 2},
  [2465] = {.lex_state = 203, .external_lex_state = 2},
  [2466] = {.lex_state = 203, .external_lex_state = 2},
  [2467] = {.lex_state = 203, .external_lex_state = 2},
  [2468] = {.lex_state = 203, .external_lex_state = 2},
  [2469] = {.lex_state = 203, .external_lex_state = 2},
  [2470] = {.lex_state = 203, .external_lex_state = 2},
  [2471] = {.lex_state = 203, .external_lex_state = 2},
  [2472] = {.lex_state = 203, .external_lex_state = 2},
  [2473] = {.lex_state = 203, .external_lex_state = 2},
  [2474] = {.lex_state = 203, .external_lex_state = 2},
  [2475] = {.lex_state = 203, .external_lex_state = 2},
  [2476] = {.lex_state = 203, .external_lex_state = 2},
  [2477] = {.lex_state = 203, .external_lex_state = 2},
  [2478] = {.lex_state = 203, .external_lex_state = 2},
  [2479] = {.lex_state = 203, .external_lex_state = 2},
  [2480] = {.lex_state = 203, .external_lex_state = 2},
  [2481] = {.lex_state = 203, .external_lex_state = 2},
  [2482] = {.lex_state = 203, .external_lex_state = 2},
  [2483] = {.lex_state = 203, .external_lex_state = 2},
  [2484] = {.lex_state = 203, .external_lex_state = 2},
  [2485] = {.lex_state = 203, .external_lex_state = 5},
  [2486] = {.lex_state = 203, .external_lex_state = 2},
  [2487] = {.lex_state = 203, .external_lex_state = 2},
  [2488] = {.lex_state = 203, .external_lex_state = 2},
  [2489] = {.lex_state = 203, .external_lex_state = 2},
  [2490] = {.lex_state = 203, .external_lex_state = 2},
  [2491] = {.lex_state = 203, .external_lex_state = 2},
  [2492] = {.lex_state = 203, .external_lex_state = 2},
  [2493] = {.lex_state = 203, .external_lex_state = 2},
  [2494] = {.lex_state = 203, .external_lex_state = 2},
  [2495] = {.lex_state = 203, .external_lex_state = 2},
  [2496] = {.lex_state = 203, .external_lex_state = 2},
  [2497] = {.lex_state = 203, .external_lex_state = 2},
  [2498] = {.lex_state = 203, .external_lex_state = 2},
  [2499] = {.lex_state = 203, .external_lex_state = 2},
  [2500] = {.lex_state = 38, .external_lex_state = 2},
  [2501] = {.lex_state = 203, .external_lex_state = 2},
  [2502] = {.lex_state = 203, .external_lex_state = 5},
  [2503] = {.lex_state = 203, .external_lex_state = 2},
  [2504] = {.lex_state = 203, .external_lex_state = 2},
  [2505] = {.lex_state = 203, .external_lex_state = 5},
  [2506] = {.lex_state = 203, .external_lex_state = 2},
  [2507] = {.lex_state = 203, .external_lex_state = 2},
  [2508] = {.lex_state = 203, .external_lex_state = 2},
  [2509] = {.lex_state = 203, .external_lex_state = 2},
  [2510] = {.lex_state = 203, .external_lex_state = 2},
  [2511] = {.lex_state = 203, .external_lex_state = 2},
  [2512] = {.lex_state = 203, .external_lex_state = 2},
  [2513] = {.lex_state = 203, .external_lex_state = 2},
  [2514] = {.lex_state = 203, .external_lex_state = 2},
  [2515] = {.lex_state = 203, .external_lex_state = 2},
  [2516] = {.lex_state = 203, .external_lex_state = 2},
  [2517] = {.lex_state = 203, .external_lex_state = 2},
  [2518] = {.lex_state = 34, .external_lex_state = 2},
  [2519] = {.lex_state = 203, .external_lex_state = 2},
  [2520] = {.lex_state = 203, .external_lex_state = 2},
  [2521] = {.lex_state = 203, .external_lex_state = 2},
  [2522] = {.lex_state = 203, .external_lex_state = 2},
  [2523] = {.lex_state = 203, .external_lex_state = 2},
  [2524] = {.lex_state = 203, .external_lex_state = 2},
  [2525] = {.lex_state = 203, .external_lex_state = 2},
  [2526] = {.lex_state = 203, .external_lex_state = 2},
  [2527] = {.lex_state = 203, .external_lex_state = 2},
  [2528] = {.lex_state = 203, .external_lex_state = 2},
  [2529] = {.lex_state = 203, .external_lex_state = 2},
  [2530] = {.lex_state = 203, .external_lex_state = 2},
  [2531] = {.lex_state = 203, .external_lex_state = 2},
  [2532] = {.lex_state = 203, .external_lex_state = 2},
  [2533] = {.lex_state = 203, .external_lex_state = 2},
  [2534] = {.lex_state = 203, .external_lex_state = 2},
  [2535] = {.lex_state = 203, .external_lex_state = 2},
  [2536] = {.lex_state = 203, .external_lex_state = 2},
  [2537] = {.lex_state = 203, .external_lex_state = 2},
  [2538] = {.lex_state = 203, .external_lex_state = 2},
  [2539] = {.lex_state = 203, .external_lex_state = 2},
  [2540] = {.lex_state = 203, .external_lex_state = 2},
  [2541] = {.lex_state = 203, .external_lex_state = 2},
  [2542] = {.lex_state = 203, .external_lex_state = 2},
  [2543] = {.lex_state = 203, .external_lex_state = 2},
  [2544] = {.lex_state = 203, .external_lex_state = 2},
  [2545] = {.lex_state = 203, .external_lex_state = 5},
  [2546] = {.lex_state = 203, .external_lex_state = 2},
  [2547] = {.lex_state = 203, .external_lex_state = 2},
  [2548] = {.lex_state = 203, .external_lex_state = 2},
  [2549] = {.lex_state = 203, .external_lex_state = 2},
  [2550] = {.lex_state = 203, .external_lex_state = 2},
  [2551] = {.lex_state = 203, .external_lex_state = 2},
  [2552] = {.lex_state = 203, .external_lex_state = 2},
  [2553] = {.lex_state = 203, .external_lex_state = 2},
  [2554] = {.lex_state = 203, .external_lex_state = 2},
  [2555] = {.lex_state = 203, .external_lex_state = 2},
  [2556] = {.lex_state = 203, .external_lex_state = 2},
  [2557] = {.lex_state = 203, .external_lex_state = 2},
  [2558] = {.lex_state = 203, .external_lex_state = 2},
  [2559] = {.lex_state = 203, .external_lex_state = 2},
  [2560] = {.lex_state = 203, .external_lex_state = 2},
  [2561] = {.lex_state = 203, .external_lex_state = 2},
  [2562] = {.lex_state = 203, .external_lex_state = 2},
  [2563] = {.lex_state = 203, .external_lex_state = 2},
  [2564] = {.lex_state = 203, .external_lex_state = 2},
  [2565] = {.lex_state = 203, .external_lex_state = 2},
  [2566] = {.lex_state = 203, .external_lex_state = 2},
  [2567] = {.lex_state = 34, .external_lex_state = 2},
  [2568] = {.lex_state = 203, .external_lex_state = 2},
  [2569] = {.lex_state = 203, .external_lex_state = 2},
  [2570] = {.lex_state = 203, .external_lex_state = 2},
  [2571] = {.lex_state = 203, .external_lex_state = 2},
  [2572] = {.lex_state = 203, .external_lex_state = 2},
  [2573] = {.lex_state = 203, .external_lex_state = 2},
  [2574] = {.lex_state = 203, .external_lex_state = 2},
  [2575] = {.lex_state = 203, .external_lex_state = 2},
  [2576] = {.lex_state = 203, .external_lex_state = 2},
  [2577] = {.lex_state = 203, .external_lex_state = 2},
  [2578] = {.lex_state = 203, .external_lex_state = 2},
  [2579] = {.lex_state = 203, .external_lex_state = 2},
  [2580] = {.lex_state = 203, .external_lex_state = 2},
  [2581] = {.lex_state = 203, .external_lex_state = 2},
  [2582] = {.lex_state = 203, .external_lex_state = 2},
  [2583] = {.lex_state = 203, .external_lex_state = 2},
  [2584] = {.lex_state = 203, .external_lex_state = 2},
  [2585] = {.lex_state = 203, .external_lex_state = 2},
  [2586] = {.lex_state = 203, .external_lex_state = 2},
  [2587] = {.lex_state = 34, .external_lex_state = 2},
  [2588] = {.lex_state = 203, .external_lex_state = 5},
  [2589] = {.lex_state = 203, .external_lex_state = 2},
  [2590] = {.lex_state = 203, .external_lex_state = 2},
  [2591] = {.lex_state = 203, .external_lex_state = 2},
  [2592] = {.lex_state = 203, .external_lex_state = 2},
  [2593] = {.lex_state = 203, .external_lex_state = 2},
  [2594] = {.lex_state = 203, .external_lex_state = 2},
  [2595] = {.lex_state = 203, .external_lex_state = 2},
  [2596] = {.lex_state = 203, .external_lex_state = 2},
  [2597] = {.lex_state = 203, .external_lex_state = 2},
  [2598] = {.lex_state = 203, .external_lex_state = 2},
  [2599] = {.lex_state = 203, .external_lex_state = 2},
  [2600] = {.lex_state = 203, .external_lex_state = 2},
  [2601] = {.lex_state = 203, .external_lex_state = 2},
  [2602] = {.lex_state = 203, .external_lex_state = 2},
  [2603] = {.lex_state = 203, .external_lex_state = 2},
  [2604] = {.lex_state = 203, .external_lex_state = 2},
  [2605] = {.lex_state = 203, .external_lex_state = 2},
  [2606] = {.lex_state = 203, .external_lex_state = 2},
  [2607] = {.lex_state = 203, .external_lex_state = 2},
  [2608] = {.lex_state = 203, .external_lex_state = 2},
  [2609] = {.lex_state = 203, .external_lex_state = 2},
  [2610] = {.lex_state = 203, .external_lex_state = 2},
  [2611] = {.lex_state = 203, .external_lex_state = 2},
  [2612] = {.lex_state = 203, .external_lex_state = 2},
  [2613] = {.lex_state = 203, .external_lex_state = 2},
  [2614] = {.lex_state = 203, .external_lex_state = 2},
  [2615] = {.lex_state = 203, .external_lex_state = 2},
  [2616] = {.lex_state = 203, .external_lex_state = 2},
  [2617] = {.lex_state = 203, .external_lex_state = 2},
  [2618] = {.lex_state = 203, .external_lex_state = 2},
  [2619] = {.lex_state = 203, .external_lex_state = 2},
  [2620] = {.lex_state = 203, .external_lex_state = 2},
  [2621] = {.lex_state = 203, .external_lex_state = 2},
  [2622] = {.lex_state = 203, .external_lex_state = 2},
  [2623] = {.lex_state = 203, .external_lex_state = 2},
  [2624] = {.lex_state = 203, .external_lex_state = 2},
  [2625] = {.lex_state = 203, .external_lex_state = 2},
  [2626] = {.lex_state = 203, .external_lex_state = 2},
  [2627] = {.lex_state = 203, .external_lex_state = 2},
  [2628] = {.lex_state = 203, .external_lex_state = 2},
  [2629] = {.lex_state = 203, .external_lex_state = 2},
  [2630] = {.lex_state = 203, .external_lex_state = 2},
  [2631] = {.lex_state = 203, .external_lex_state = 2},
  [2632] = {.lex_state = 203, .external_lex_state = 2},
  [2633] = {.lex_state = 203, .external_lex_state = 2},
  [2634] = {.lex_state = 203, .external_lex_state = 2},
  [2635] = {.lex_state = 203, .external_lex_state = 2},
  [2636] = {.lex_state = 203, .external_lex_state = 2},
  [2637] = {.lex_state = 203, .external_lex_state = 2},
  [2638] = {.lex_state = 203, .external_lex_state = 2},
  [2639] = {.lex_state = 203, .external_lex_state = 2},
  [2640] = {.lex_state = 203, .external_lex_state = 2},
  [2641] = {.lex_state = 203, .external_lex_state = 2},
  [2642] = {.lex_state = 203, .external_lex_state = 2},
  [2643] = {.lex_state = 203, .external_lex_state = 2},
  [2644] = {.lex_state = 203, .external_lex_state = 2},
  [2645] = {.lex_state = 203, .external_lex_state = 2},
  [2646] = {.lex_state = 203, .external_lex_state = 2},
  [2647] = {.lex_state = 203, .external_lex_state = 2},
  [2648] = {.lex_state = 203, .external_lex_state = 2},
  [2649] = {.lex_state = 203, .external_lex_state = 2},
  [2650] = {.lex_state = 203, .external_lex_state = 2},
  [2651] = {.lex_state = 203, .external_lex_state = 2},
  [2652] = {.lex_state = 203, .external_lex_state = 2},
  [2653] = {.lex_state = 203, .external_lex_state = 2},
  [2654] = {.lex_state = 203, .external_lex_state = 2},
  [2655] = {.lex_state = 203, .external_lex_state = 2},
  [2656] = {.lex_state = 203, .external_lex_state = 2},
  [2657] = {.lex_state = 203, .external_lex_state = 2},
  [2658] = {.lex_state = 203, .external_lex_state = 2},
  [2659] = {.lex_state = 203, .external_lex_state = 2},
  [2660] = {.lex_state = 203, .external_lex_state = 2},
  [2661] = {.lex_state = 203, .external_lex_state = 2},
  [2662] = {.lex_state = 203, .external_lex_state = 2},
  [2663] = {.lex_state = 203, .external_lex_state = 2},
  [2664] = {.lex_state = 203, .external_lex_state = 2},
  [2665] = {.lex_state = 203, .external_lex_state = 2},
  [2666] = {.lex_state = 203, .external_lex_state = 2},
  [2667] = {.lex_state = 203, .external_lex_state = 2},
  [2668] = {.lex_state = 203, .external_lex_state = 2},
  [2669] = {.lex_state = 203, .external_lex_state = 2},
  [2670] = {.lex_state = 203, .external_lex_state = 2},
  [2671] = {.lex_state = 203, .external_lex_state = 2},
  [2672] = {.lex_state = 203, .external_lex_state = 2},
  [2673] = {.lex_state = 203, .external_lex_state = 2},
  [2674] = {.lex_state = 203, .external_lex_state = 2},
  [2675] = {.lex_state = 203, .external_lex_state = 2},
  [2676] = {.lex_state = 203, .external_lex_state = 2},
  [2677] = {.lex_state = 203, .external_lex_state = 2},
  [2678] = {.lex_state = 34, .external_lex_state = 2},
  [2679] = {.lex_state = 203, .external_lex_state = 2},
  [2680] = {.lex_state = 203, .external_lex_state = 2},
  [2681] = {.lex_state = 203, .external_lex_state = 2},
  [2682] = {.lex_state = 203, .external_lex_state = 2},
  [2683] = {.lex_state = 203, .external_lex_state = 2},
  [2684] = {.lex_state = 203, .external_lex_state = 5},
  [2685] = {.lex_state = 203, .external_lex_state = 2},
  [2686] = {.lex_state = 203, .external_lex_state = 2},
  [2687] = {.lex_state = 4, .external_lex_state = 2},
  [2688] = {.lex_state = 38, .external_lex_state = 2},
  [2689] = {.lex_state = 203, .external_lex_state = 2},
  [2690] = {.lex_state = 34, .external_lex_state = 2},
  [2691] = {.lex_state = 203, .external_lex_state = 2},
  [2692] = {.lex_state = 34, .external_lex_state = 2},
  [2693] = {.lex_state = 4, .external_lex_state = 2},
  [2694] = {.lex_state = 203, .external_lex_state = 2},
  [2695] = {.lex_state = 203, .external_lex_state = 2},
  [2696] = {.lex_state = 203, .external_lex_state = 2},
  [2697] = {.lex_state = 203, .external_lex_state = 2},
  [2698] = {.lex_state = 34, .external_lex_state = 2},
  [2699] = {.lex_state = 203, .external_lex_state = 2},
  [2700] = {.lex_state = 34, .external_lex_state = 2},
  [2701] = {.lex_state = 4, .external_lex_state = 2},
  [2702] = {.lex_state = 203, .external_lex_state = 2},
  [2703] = {.lex_state = 203, .external_lex_state = 2},
  [2704] = {.lex_state = 34, .external_lex_state = 2},
  [2705] = {.lex_state = 4, .external_lex_state = 2},
  [2706] = {.lex_state = 34, .external_lex_state = 2},
  [2707] = {.lex_state = 203, .external_lex_state = 2},
  [2708] = {.lex_state = 203, .external_lex_state = 2},
  [2709] = {.lex_state = 203, .external_lex_state = 2},
  [2710] = {.lex_state = 30, .external_lex_state = 2},
  [2711] = {.lex_state = 203, .external_lex_state = 2},
  [2712] = {.lex_state = 203, .external_lex_state = 2},
  [2713] = {.lex_state = 203, .external_lex_state = 2},
  [2714] = {.lex_state = 203, .external_lex_state = 2},
  [2715] = {.lex_state = 203, .external_lex_state = 2},
  [2716] = {.lex_state = 203, .external_lex_state = 2},
  [2717] = {.lex_state = 34, .external_lex_state = 2},
  [2718] = {.lex_state = 203, .external_lex_state = 2},
  [2719] = {.lex_state = 203, .external_lex_state = 2},
  [2720] = {.lex_state = 203, .external_lex_state = 2},
  [2721] = {.lex_state = 203, .external_lex_state = 2},
  [2722] = {.lex_state = 203, .external_lex_state = 2},
  [2723] = {.lex_state = 203, .external_lex_state = 2},
  [2724] = {.lex_state = 203, .external_lex_state = 2},
  [2725] = {.lex_state = 203, .external_lex_state = 2},
  [2726] = {.lex_state = 203, .external_lex_state = 2},
  [2727] = {.lex_state = 34, .external_lex_state = 2},
  [2728] = {.lex_state = 203, .external_lex_state = 2},
  [2729] = {.lex_state = 203, .external_lex_state = 2},
  [2730] = {.lex_state = 203, .external_lex_state = 2},
  [2731] = {.lex_state = 203, .external_lex_state = 2},
  [2732] = {.lex_state = 203, .external_lex_state = 2},
  [2733] = {.lex_state = 38, .external_lex_state = 2},
  [2734] = {.lex_state = 203, .external_lex_state = 2},
  [2735] = {.lex_state = 203, .external_lex_state = 2},
  [2736] = {.lex_state = 203, .external_lex_state = 2},
  [2737] = {.lex_state = 203, .external_lex_state = 2},
  [2738] = {.lex_state = 203, .external_lex_state = 2},
  [2739] = {.lex_state = 203, .external_lex_state = 2},
  [2740] = {.lex_state = 38, .external_lex_state = 2},
  [2741] = {.lex_state = 38, .external_lex_state = 2},
  [2742] = {.lex_state = 203, .external_lex_state = 2},
  [2743] = {.lex_state = 203, .external_lex_state = 2},
  [2744] = {.lex_state = 203, .external_lex_state = 2},
  [2745] = {.lex_state = 38, .external_lex_state = 2},
  [2746] = {.lex_state = 203, .external_lex_state = 2},
  [2747] = {.lex_state = 203, .external_lex_state = 2},
  [2748] = {.lex_state = 34, .external_lex_state = 2},
  [2749] = {.lex_state = 34, .external_lex_state = 2},
  [2750] = {.lex_state = 203, .external_lex_state = 2},
  [2751] = {.lex_state = 203, .external_lex_state = 2},
  [2752] = {.lex_state = 203, .external_lex_state = 2},
  [2753] = {.lex_state = 38, .external_lex_state = 2},
  [2754] = {.lex_state = 203, .external_lex_state = 2},
  [2755] = {.lex_state = 34, .external_lex_state = 2},
  [2756] = {.lex_state = 203, .external_lex_state = 2},
  [2757] = {.lex_state = 38, .external_lex_state = 2},
  [2758] = {.lex_state = 203, .external_lex_state = 2},
  [2759] = {.lex_state = 203, .external_lex_state = 2},
  [2760] = {.lex_state = 203, .external_lex_state = 2},
  [2761] = {.lex_state = 203, .external_lex_state = 2},
  [2762] = {.lex_state = 203, .external_lex_state = 2},
  [2763] = {.lex_state = 38, .external_lex_state = 2},
  [2764] = {.lex_state = 38, .external_lex_state = 2},
  [2765] = {.lex_state = 203, .external_lex_state = 2},
  [2766] = {.lex_state = 34, .external_lex_state = 2},
  [2767] = {.lex_state = 203, .external_lex_state = 2},
  [2768] = {.lex_state = 203, .external_lex_state = 2},
  [2769] = {.lex_state = 203, .external_lex_state = 2},
  [2770] = {.lex_state = 203, .external_lex_state = 2},
  [2771] = {.lex_state = 38, .external_lex_state = 2},
  [2772] = {.lex_state = 203, .external_lex_state = 2},
  [2773] = {.lex_state = 203, .external_lex_state = 2},
  [2774] = {.lex_state = 34, .external_lex_state = 2},
  [2775] = {.lex_state = 203, .external_lex_state = 2},
  [2776] = {.lex_state = 34, .external_lex_state = 2},
  [2777] = {.lex_state = 34, .external_lex_state = 2},
  [2778] = {.lex_state = 38, .external_lex_state = 2},
  [2779] = {.lex_state = 38, .external_lex_state = 2},
  [2780] = {.lex_state = 203, .external_lex_state = 2},
  [2781] = {.lex_state = 203, .external_lex_state = 2},
  [2782] = {.lex_state = 34, .external_lex_state = 2},
  [2783] = {.lex_state = 203, .external_lex_state = 2},
  [2784] = {.lex_state = 34, .external_lex_state = 2},
  [2785] = {.lex_state = 203, .external_lex_state = 2},
  [2786] = {.lex_state = 203, .external_lex_state = 2},
  [2787] = {.lex_state = 203, .external_lex_state = 2},
  [2788] = {.lex_state = 34, .external_lex_state = 2},
  [2789] = {.lex_state = 34, .external_lex_state = 2},
  [2790] = {.lex_state = 203, .external_lex_state = 2},
  [2791] = {.lex_state = 203, .external_lex_state = 2},
  [2792] = {.lex_state = 34, .external_lex_state = 2},
  [2793] = {.lex_state = 203, .external_lex_state = 2},
  [2794] = {.lex_state = 203, .external_lex_state = 2},
  [2795] = {.lex_state = 34, .external_lex_state = 2},
  [2796] = {.lex_state = 203, .external_lex_state = 2},
  [2797] = {.lex_state = 34, .external_lex_state = 2},
  [2798] = {.lex_state = 34, .external_lex_state = 2},
  [2799] = {.lex_state = 34, .external_lex_state = 2},
  [2800] = {.lex_state = 203, .external_lex_state = 2},
  [2801] = {.lex_state = 38, .external_lex_state = 2},
  [2802] = {.lex_state = 203, .external_lex_state = 2},
  [2803] = {.lex_state = 38, .external_lex_state = 2},
  [2804] = {.lex_state = 30, .external_lex_state = 2},
  [2805] = {.lex_state = 203, .external_lex_state = 2},
  [2806] = {.lex_state = 203, .external_lex_state = 2},
  [2807] = {.lex_state = 203, .external_lex_state = 2},
  [2808] = {.lex_state = 34, .external_lex_state = 2},
  [2809] = {.lex_state = 203, .external_lex_state = 2},
  [2810] = {.lex_state = 34, .external_lex_state = 2},
  [2811] = {.lex_state = 34, .external_lex_state = 2},
  [2812] = {.lex_state = 203, .external_lex_state = 2},
  [2813] = {.lex_state = 203, .external_lex_state = 2},
  [2814] = {.lex_state = 203, .external_lex_state = 2},
  [2815] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(2695),
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2059),
    [sym_pair] = STATE(2059),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2061),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2059),
    [sym_pair] = STATE(2059),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2061),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2059),
    [sym_pair] = STATE(2059),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2061),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2126),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2126),
    [sym_pair] = STATE(2126),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2125),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(135),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(137),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(139),
    [anon_sym_set] = ACTIONS(139),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2126),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2126),
    [sym_pair] = STATE(2126),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2125),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_export] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(145),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(147),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(149),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(151),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2059),
    [sym_pair] = STATE(2059),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2061),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2059),
    [sym_pair] = STATE(2059),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2061),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_object_assignment_pattern] = STATE(2058),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2709),
    [sym_spread_element] = STATE(2059),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1405),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(1595),
    [sym_formal_parameters] = STATE(2703),
    [sym_rest_pattern] = STATE(2058),
    [sym_method_definition] = STATE(2059),
    [sym_pair] = STATE(2059),
    [sym_pair_pattern] = STATE(2058),
    [sym__property_name] = STATE(2060),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1517),
    [aux_sym_object_repeat1] = STATE(2061),
    [aux_sym_object_pattern_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(93),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(157),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(111),
    [sym_private_property_identifier] = ACTIONS(113),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_static] = ACTIONS(117),
    [aux_sym_method_definition_token1] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(883),
    [sym_declaration] = STATE(883),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(883),
    [sym_expression_statement] = STATE(883),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(883),
    [sym_if_statement] = STATE(883),
    [sym_switch_statement] = STATE(883),
    [sym_for_statement] = STATE(883),
    [sym_for_in_statement] = STATE(883),
    [sym_while_statement] = STATE(883),
    [sym_do_statement] = STATE(883),
    [sym_try_statement] = STATE(883),
    [sym_with_statement] = STATE(883),
    [sym_break_statement] = STATE(883),
    [sym_continue_statement] = STATE(883),
    [sym_debugger_statement] = STATE(883),
    [sym_return_statement] = STATE(883),
    [sym_throw_statement] = STATE(883),
    [sym_empty_statement] = STATE(883),
    [sym_labeled_statement] = STATE(883),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(883),
    [sym_declaration] = STATE(883),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(883),
    [sym_expression_statement] = STATE(883),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(883),
    [sym_if_statement] = STATE(883),
    [sym_switch_statement] = STATE(883),
    [sym_for_statement] = STATE(883),
    [sym_for_in_statement] = STATE(883),
    [sym_while_statement] = STATE(883),
    [sym_do_statement] = STATE(883),
    [sym_try_statement] = STATE(883),
    [sym_with_statement] = STATE(883),
    [sym_break_statement] = STATE(883),
    [sym_continue_statement] = STATE(883),
    [sym_debugger_statement] = STATE(883),
    [sym_return_statement] = STATE(883),
    [sym_throw_statement] = STATE(883),
    [sym_empty_statement] = STATE(883),
    [sym_labeled_statement] = STATE(883),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(212),
    [anon_sym_default] = ACTIONS(215),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_import] = ACTIONS(220),
    [anon_sym_var] = ACTIONS(223),
    [anon_sym_let] = ACTIONS(226),
    [anon_sym_const] = ACTIONS(229),
    [anon_sym_if] = ACTIONS(232),
    [anon_sym_switch] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(238),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_await] = ACTIONS(244),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_do] = ACTIONS(250),
    [anon_sym_try] = ACTIONS(253),
    [anon_sym_with] = ACTIONS(256),
    [anon_sym_break] = ACTIONS(259),
    [anon_sym_continue] = ACTIONS(262),
    [anon_sym_debugger] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(268),
    [anon_sym_throw] = ACTIONS(271),
    [anon_sym_SEMI] = ACTIONS(274),
    [anon_sym_case] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(277),
    [anon_sym_LBRACK] = ACTIONS(280),
    [anon_sym_LTtemplate_GT] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(286),
    [anon_sym_class] = ACTIONS(289),
    [anon_sym_async] = ACTIONS(292),
    [anon_sym_function] = ACTIONS(295),
    [anon_sym_new] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(304),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(301),
    [anon_sym_void] = ACTIONS(301),
    [anon_sym_delete] = ACTIONS(301),
    [anon_sym_PLUS_PLUS] = ACTIONS(307),
    [anon_sym_DASH_DASH] = ACTIONS(307),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [anon_sym_SQUOTE] = ACTIONS(313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(316),
    [sym_number] = ACTIONS(319),
    [sym_private_property_identifier] = ACTIONS(322),
    [sym_this] = ACTIONS(319),
    [sym_super] = ACTIONS(319),
    [sym_true] = ACTIONS(319),
    [sym_false] = ACTIONS(319),
    [sym_null] = ACTIONS(319),
    [sym_undefined] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(328),
    [anon_sym_static] = ACTIONS(331),
    [anon_sym_get] = ACTIONS(331),
    [anon_sym_set] = ACTIONS(331),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(883),
    [sym_declaration] = STATE(883),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(883),
    [sym_expression_statement] = STATE(883),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(883),
    [sym_if_statement] = STATE(883),
    [sym_switch_statement] = STATE(883),
    [sym_for_statement] = STATE(883),
    [sym_for_in_statement] = STATE(883),
    [sym_while_statement] = STATE(883),
    [sym_do_statement] = STATE(883),
    [sym_try_statement] = STATE(883),
    [sym_with_statement] = STATE(883),
    [sym_break_statement] = STATE(883),
    [sym_continue_statement] = STATE(883),
    [sym_debugger_statement] = STATE(883),
    [sym_return_statement] = STATE(883),
    [sym_throw_statement] = STATE(883),
    [sym_empty_statement] = STATE(883),
    [sym_labeled_statement] = STATE(883),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(334),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(334),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(883),
    [sym_declaration] = STATE(883),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(883),
    [sym_expression_statement] = STATE(883),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(883),
    [sym_if_statement] = STATE(883),
    [sym_switch_statement] = STATE(883),
    [sym_for_statement] = STATE(883),
    [sym_for_in_statement] = STATE(883),
    [sym_while_statement] = STATE(883),
    [sym_do_statement] = STATE(883),
    [sym_try_statement] = STATE(883),
    [sym_with_statement] = STATE(883),
    [sym_break_statement] = STATE(883),
    [sym_continue_statement] = STATE(883),
    [sym_debugger_statement] = STATE(883),
    [sym_return_statement] = STATE(883),
    [sym_throw_statement] = STATE(883),
    [sym_empty_statement] = STATE(883),
    [sym_labeled_statement] = STATE(883),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(336),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(883),
    [sym_declaration] = STATE(883),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(883),
    [sym_expression_statement] = STATE(883),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(883),
    [sym_if_statement] = STATE(883),
    [sym_switch_statement] = STATE(883),
    [sym_for_statement] = STATE(883),
    [sym_for_in_statement] = STATE(883),
    [sym_while_statement] = STATE(883),
    [sym_do_statement] = STATE(883),
    [sym_try_statement] = STATE(883),
    [sym_with_statement] = STATE(883),
    [sym_break_statement] = STATE(883),
    [sym_continue_statement] = STATE(883),
    [sym_debugger_statement] = STATE(883),
    [sym_return_statement] = STATE(883),
    [sym_throw_statement] = STATE(883),
    [sym_empty_statement] = STATE(883),
    [sym_labeled_statement] = STATE(883),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(338),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [ts_builtin_sym_end] = ACTIONS(340),
    [sym_identifier] = ACTIONS(342),
    [anon_sym_export] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(348),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_var] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_const] = ACTIONS(360),
    [anon_sym_if] = ACTIONS(363),
    [anon_sym_switch] = ACTIONS(366),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_await] = ACTIONS(244),
    [anon_sym_while] = ACTIONS(372),
    [anon_sym_do] = ACTIONS(375),
    [anon_sym_try] = ACTIONS(378),
    [anon_sym_with] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_debugger] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(393),
    [anon_sym_throw] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(277),
    [anon_sym_LBRACK] = ACTIONS(280),
    [anon_sym_LTtemplate_GT] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(286),
    [anon_sym_class] = ACTIONS(402),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(408),
    [anon_sym_new] = ACTIONS(298),
    [anon_sym_PLUS] = ACTIONS(301),
    [anon_sym_DASH] = ACTIONS(301),
    [anon_sym_SLASH] = ACTIONS(304),
    [anon_sym_BANG] = ACTIONS(301),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_typeof] = ACTIONS(301),
    [anon_sym_void] = ACTIONS(301),
    [anon_sym_delete] = ACTIONS(301),
    [anon_sym_PLUS_PLUS] = ACTIONS(307),
    [anon_sym_DASH_DASH] = ACTIONS(307),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [anon_sym_SQUOTE] = ACTIONS(313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(316),
    [sym_number] = ACTIONS(319),
    [sym_private_property_identifier] = ACTIONS(322),
    [sym_this] = ACTIONS(319),
    [sym_super] = ACTIONS(319),
    [sym_true] = ACTIONS(319),
    [sym_false] = ACTIONS(319),
    [sym_null] = ACTIONS(319),
    [sym_undefined] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(328),
    [anon_sym_static] = ACTIONS(411),
    [anon_sym_get] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(411),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(420),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(42),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(484),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [ts_builtin_sym_end] = ACTIONS(498),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [ts_builtin_sym_end] = ACTIONS(498),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(34),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(913),
    [sym_declaration] = STATE(913),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(913),
    [sym_expression_statement] = STATE(913),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(913),
    [sym_if_statement] = STATE(913),
    [sym_switch_statement] = STATE(913),
    [sym_for_statement] = STATE(913),
    [sym_for_in_statement] = STATE(913),
    [sym_while_statement] = STATE(913),
    [sym_do_statement] = STATE(913),
    [sym_try_statement] = STATE(913),
    [sym_with_statement] = STATE(913),
    [sym_break_statement] = STATE(913),
    [sym_continue_statement] = STATE(913),
    [sym_debugger_statement] = STATE(913),
    [sym_return_statement] = STATE(913),
    [sym_throw_statement] = STATE(913),
    [sym_empty_statement] = STATE(913),
    [sym_labeled_statement] = STATE(913),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(966),
    [sym_declaration] = STATE(966),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(966),
    [sym_expression_statement] = STATE(966),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(966),
    [sym_if_statement] = STATE(966),
    [sym_switch_statement] = STATE(966),
    [sym_for_statement] = STATE(966),
    [sym_for_in_statement] = STATE(966),
    [sym_while_statement] = STATE(966),
    [sym_do_statement] = STATE(966),
    [sym_try_statement] = STATE(966),
    [sym_with_statement] = STATE(966),
    [sym_break_statement] = STATE(966),
    [sym_continue_statement] = STATE(966),
    [sym_debugger_statement] = STATE(966),
    [sym_return_statement] = STATE(966),
    [sym_throw_statement] = STATE(966),
    [sym_empty_statement] = STATE(966),
    [sym_labeled_statement] = STATE(966),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(978),
    [sym_declaration] = STATE(978),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(978),
    [sym_expression_statement] = STATE(978),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(978),
    [sym_if_statement] = STATE(978),
    [sym_switch_statement] = STATE(978),
    [sym_for_statement] = STATE(978),
    [sym_for_in_statement] = STATE(978),
    [sym_while_statement] = STATE(978),
    [sym_do_statement] = STATE(978),
    [sym_try_statement] = STATE(978),
    [sym_with_statement] = STATE(978),
    [sym_break_statement] = STATE(978),
    [sym_continue_statement] = STATE(978),
    [sym_debugger_statement] = STATE(978),
    [sym_return_statement] = STATE(978),
    [sym_throw_statement] = STATE(978),
    [sym_empty_statement] = STATE(978),
    [sym_labeled_statement] = STATE(978),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(656),
    [sym_declaration] = STATE(656),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(656),
    [sym_expression_statement] = STATE(656),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(656),
    [sym_if_statement] = STATE(656),
    [sym_switch_statement] = STATE(656),
    [sym_for_statement] = STATE(656),
    [sym_for_in_statement] = STATE(656),
    [sym_while_statement] = STATE(656),
    [sym_do_statement] = STATE(656),
    [sym_try_statement] = STATE(656),
    [sym_with_statement] = STATE(656),
    [sym_break_statement] = STATE(656),
    [sym_continue_statement] = STATE(656),
    [sym_debugger_statement] = STATE(656),
    [sym_return_statement] = STATE(656),
    [sym_throw_statement] = STATE(656),
    [sym_empty_statement] = STATE(656),
    [sym_labeled_statement] = STATE(656),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(865),
    [sym_declaration] = STATE(865),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(865),
    [sym_expression_statement] = STATE(865),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(865),
    [sym_if_statement] = STATE(865),
    [sym_switch_statement] = STATE(865),
    [sym_for_statement] = STATE(865),
    [sym_for_in_statement] = STATE(865),
    [sym_while_statement] = STATE(865),
    [sym_do_statement] = STATE(865),
    [sym_try_statement] = STATE(865),
    [sym_with_statement] = STATE(865),
    [sym_break_statement] = STATE(865),
    [sym_continue_statement] = STATE(865),
    [sym_debugger_statement] = STATE(865),
    [sym_return_statement] = STATE(865),
    [sym_throw_statement] = STATE(865),
    [sym_empty_statement] = STATE(865),
    [sym_labeled_statement] = STATE(865),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(2723),
    [sym_declaration] = STATE(2723),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2723),
    [sym_expression_statement] = STATE(2723),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2723),
    [sym_if_statement] = STATE(2723),
    [sym_switch_statement] = STATE(2723),
    [sym_for_statement] = STATE(2723),
    [sym_for_in_statement] = STATE(2723),
    [sym_while_statement] = STATE(2723),
    [sym_do_statement] = STATE(2723),
    [sym_try_statement] = STATE(2723),
    [sym_with_statement] = STATE(2723),
    [sym_break_statement] = STATE(2723),
    [sym_continue_statement] = STATE(2723),
    [sym_debugger_statement] = STATE(2723),
    [sym_return_statement] = STATE(2723),
    [sym_throw_statement] = STATE(2723),
    [sym_empty_statement] = STATE(2723),
    [sym_labeled_statement] = STATE(2723),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(678),
    [sym_declaration] = STATE(678),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(678),
    [sym_expression_statement] = STATE(678),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(678),
    [sym_if_statement] = STATE(678),
    [sym_switch_statement] = STATE(678),
    [sym_for_statement] = STATE(678),
    [sym_for_in_statement] = STATE(678),
    [sym_while_statement] = STATE(678),
    [sym_do_statement] = STATE(678),
    [sym_try_statement] = STATE(678),
    [sym_with_statement] = STATE(678),
    [sym_break_statement] = STATE(678),
    [sym_continue_statement] = STATE(678),
    [sym_debugger_statement] = STATE(678),
    [sym_return_statement] = STATE(678),
    [sym_throw_statement] = STATE(678),
    [sym_empty_statement] = STATE(678),
    [sym_labeled_statement] = STATE(678),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(640),
    [sym_declaration] = STATE(640),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(640),
    [sym_expression_statement] = STATE(640),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(640),
    [sym_if_statement] = STATE(640),
    [sym_switch_statement] = STATE(640),
    [sym_for_statement] = STATE(640),
    [sym_for_in_statement] = STATE(640),
    [sym_while_statement] = STATE(640),
    [sym_do_statement] = STATE(640),
    [sym_try_statement] = STATE(640),
    [sym_with_statement] = STATE(640),
    [sym_break_statement] = STATE(640),
    [sym_continue_statement] = STATE(640),
    [sym_debugger_statement] = STATE(640),
    [sym_return_statement] = STATE(640),
    [sym_throw_statement] = STATE(640),
    [sym_empty_statement] = STATE(640),
    [sym_labeled_statement] = STATE(640),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(574),
    [sym_declaration] = STATE(574),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(574),
    [sym_expression_statement] = STATE(574),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(574),
    [sym_if_statement] = STATE(574),
    [sym_switch_statement] = STATE(574),
    [sym_for_statement] = STATE(574),
    [sym_for_in_statement] = STATE(574),
    [sym_while_statement] = STATE(574),
    [sym_do_statement] = STATE(574),
    [sym_try_statement] = STATE(574),
    [sym_with_statement] = STATE(574),
    [sym_break_statement] = STATE(574),
    [sym_continue_statement] = STATE(574),
    [sym_debugger_statement] = STATE(574),
    [sym_return_statement] = STATE(574),
    [sym_throw_statement] = STATE(574),
    [sym_empty_statement] = STATE(574),
    [sym_labeled_statement] = STATE(574),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(505),
    [sym_declaration] = STATE(505),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(505),
    [sym_expression_statement] = STATE(505),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(505),
    [sym_if_statement] = STATE(505),
    [sym_switch_statement] = STATE(505),
    [sym_for_statement] = STATE(505),
    [sym_for_in_statement] = STATE(505),
    [sym_while_statement] = STATE(505),
    [sym_do_statement] = STATE(505),
    [sym_try_statement] = STATE(505),
    [sym_with_statement] = STATE(505),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(505),
    [sym_debugger_statement] = STATE(505),
    [sym_return_statement] = STATE(505),
    [sym_throw_statement] = STATE(505),
    [sym_empty_statement] = STATE(505),
    [sym_labeled_statement] = STATE(505),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(748),
    [sym_declaration] = STATE(749),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(752),
    [sym_expression_statement] = STATE(759),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(760),
    [sym_if_statement] = STATE(762),
    [sym_switch_statement] = STATE(765),
    [sym_for_statement] = STATE(769),
    [sym_for_in_statement] = STATE(771),
    [sym_while_statement] = STATE(773),
    [sym_do_statement] = STATE(780),
    [sym_try_statement] = STATE(783),
    [sym_with_statement] = STATE(784),
    [sym_break_statement] = STATE(785),
    [sym_continue_statement] = STATE(788),
    [sym_debugger_statement] = STATE(789),
    [sym_return_statement] = STATE(790),
    [sym_throw_statement] = STATE(791),
    [sym_empty_statement] = STATE(792),
    [sym_labeled_statement] = STATE(799),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(570),
    [sym_declaration] = STATE(570),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_for_in_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_try_statement] = STATE(570),
    [sym_with_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_debugger_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_empty_statement] = STATE(570),
    [sym_labeled_statement] = STATE(570),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(668),
    [sym_declaration] = STATE(668),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(668),
    [sym_expression_statement] = STATE(668),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(668),
    [sym_if_statement] = STATE(668),
    [sym_switch_statement] = STATE(668),
    [sym_for_statement] = STATE(668),
    [sym_for_in_statement] = STATE(668),
    [sym_while_statement] = STATE(668),
    [sym_do_statement] = STATE(668),
    [sym_try_statement] = STATE(668),
    [sym_with_statement] = STATE(668),
    [sym_break_statement] = STATE(668),
    [sym_continue_statement] = STATE(668),
    [sym_debugger_statement] = STATE(668),
    [sym_return_statement] = STATE(668),
    [sym_throw_statement] = STATE(668),
    [sym_empty_statement] = STATE(668),
    [sym_labeled_statement] = STATE(668),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(546),
    [sym_declaration] = STATE(545),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(544),
    [sym_expression_statement] = STATE(543),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(542),
    [sym_if_statement] = STATE(541),
    [sym_switch_statement] = STATE(538),
    [sym_for_statement] = STATE(537),
    [sym_for_in_statement] = STATE(536),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(534),
    [sym_try_statement] = STATE(533),
    [sym_with_statement] = STATE(528),
    [sym_break_statement] = STATE(527),
    [sym_continue_statement] = STATE(526),
    [sym_debugger_statement] = STATE(609),
    [sym_return_statement] = STATE(558),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(565),
    [sym_labeled_statement] = STATE(572),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(2691),
    [sym_declaration] = STATE(2691),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2691),
    [sym_expression_statement] = STATE(2691),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2691),
    [sym_if_statement] = STATE(2691),
    [sym_switch_statement] = STATE(2691),
    [sym_for_statement] = STATE(2691),
    [sym_for_in_statement] = STATE(2691),
    [sym_while_statement] = STATE(2691),
    [sym_do_statement] = STATE(2691),
    [sym_try_statement] = STATE(2691),
    [sym_with_statement] = STATE(2691),
    [sym_break_statement] = STATE(2691),
    [sym_continue_statement] = STATE(2691),
    [sym_debugger_statement] = STATE(2691),
    [sym_return_statement] = STATE(2691),
    [sym_throw_statement] = STATE(2691),
    [sym_empty_statement] = STATE(2691),
    [sym_labeled_statement] = STATE(2691),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(669),
    [sym_declaration] = STATE(669),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(669),
    [sym_expression_statement] = STATE(669),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(669),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(669),
    [sym_for_statement] = STATE(669),
    [sym_for_in_statement] = STATE(669),
    [sym_while_statement] = STATE(669),
    [sym_do_statement] = STATE(669),
    [sym_try_statement] = STATE(669),
    [sym_with_statement] = STATE(669),
    [sym_break_statement] = STATE(669),
    [sym_continue_statement] = STATE(669),
    [sym_debugger_statement] = STATE(669),
    [sym_return_statement] = STATE(669),
    [sym_throw_statement] = STATE(669),
    [sym_empty_statement] = STATE(669),
    [sym_labeled_statement] = STATE(669),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(638),
    [sym_declaration] = STATE(638),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(638),
    [sym_expression_statement] = STATE(638),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(638),
    [sym_if_statement] = STATE(638),
    [sym_switch_statement] = STATE(638),
    [sym_for_statement] = STATE(638),
    [sym_for_in_statement] = STATE(638),
    [sym_while_statement] = STATE(638),
    [sym_do_statement] = STATE(638),
    [sym_try_statement] = STATE(638),
    [sym_with_statement] = STATE(638),
    [sym_break_statement] = STATE(638),
    [sym_continue_statement] = STATE(638),
    [sym_debugger_statement] = STATE(638),
    [sym_return_statement] = STATE(638),
    [sym_throw_statement] = STATE(638),
    [sym_empty_statement] = STATE(638),
    [sym_labeled_statement] = STATE(638),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(729),
    [sym_declaration] = STATE(729),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(729),
    [sym_expression_statement] = STATE(729),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(729),
    [sym_if_statement] = STATE(729),
    [sym_switch_statement] = STATE(729),
    [sym_for_statement] = STATE(729),
    [sym_for_in_statement] = STATE(729),
    [sym_while_statement] = STATE(729),
    [sym_do_statement] = STATE(729),
    [sym_try_statement] = STATE(729),
    [sym_with_statement] = STATE(729),
    [sym_break_statement] = STATE(729),
    [sym_continue_statement] = STATE(729),
    [sym_debugger_statement] = STATE(729),
    [sym_return_statement] = STATE(729),
    [sym_throw_statement] = STATE(729),
    [sym_empty_statement] = STATE(729),
    [sym_labeled_statement] = STATE(729),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(807),
    [sym_declaration] = STATE(807),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(807),
    [sym_expression_statement] = STATE(807),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(807),
    [sym_if_statement] = STATE(807),
    [sym_switch_statement] = STATE(807),
    [sym_for_statement] = STATE(807),
    [sym_for_in_statement] = STATE(807),
    [sym_while_statement] = STATE(807),
    [sym_do_statement] = STATE(807),
    [sym_try_statement] = STATE(807),
    [sym_with_statement] = STATE(807),
    [sym_break_statement] = STATE(807),
    [sym_continue_statement] = STATE(807),
    [sym_debugger_statement] = STATE(807),
    [sym_return_statement] = STATE(807),
    [sym_throw_statement] = STATE(807),
    [sym_empty_statement] = STATE(807),
    [sym_labeled_statement] = STATE(807),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(628),
    [sym_declaration] = STATE(607),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(605),
    [sym_expression_statement] = STATE(602),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(601),
    [sym_if_statement] = STATE(599),
    [sym_switch_statement] = STATE(598),
    [sym_for_statement] = STATE(595),
    [sym_for_in_statement] = STATE(591),
    [sym_while_statement] = STATE(589),
    [sym_do_statement] = STATE(524),
    [sym_try_statement] = STATE(586),
    [sym_with_statement] = STATE(583),
    [sym_break_statement] = STATE(582),
    [sym_continue_statement] = STATE(581),
    [sym_debugger_statement] = STATE(580),
    [sym_return_statement] = STATE(579),
    [sym_throw_statement] = STATE(578),
    [sym_empty_statement] = STATE(577),
    [sym_labeled_statement] = STATE(576),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(795),
    [sym_declaration] = STATE(794),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(793),
    [sym_expression_statement] = STATE(787),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(786),
    [sym_if_statement] = STATE(782),
    [sym_switch_statement] = STATE(781),
    [sym_for_statement] = STATE(779),
    [sym_for_in_statement] = STATE(778),
    [sym_while_statement] = STATE(777),
    [sym_do_statement] = STATE(776),
    [sym_try_statement] = STATE(775),
    [sym_with_statement] = STATE(774),
    [sym_break_statement] = STATE(772),
    [sym_continue_statement] = STATE(770),
    [sym_debugger_statement] = STATE(768),
    [sym_return_statement] = STATE(767),
    [sym_throw_statement] = STATE(766),
    [sym_empty_statement] = STATE(764),
    [sym_labeled_statement] = STATE(763),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(2229),
    [sym_declaration] = STATE(2229),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2229),
    [sym_expression_statement] = STATE(2229),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2229),
    [sym_if_statement] = STATE(2229),
    [sym_switch_statement] = STATE(2229),
    [sym_for_statement] = STATE(2229),
    [sym_for_in_statement] = STATE(2229),
    [sym_while_statement] = STATE(2229),
    [sym_do_statement] = STATE(2229),
    [sym_try_statement] = STATE(2229),
    [sym_with_statement] = STATE(2229),
    [sym_break_statement] = STATE(2229),
    [sym_continue_statement] = STATE(2229),
    [sym_debugger_statement] = STATE(2229),
    [sym_return_statement] = STATE(2229),
    [sym_throw_statement] = STATE(2229),
    [sym_empty_statement] = STATE(2229),
    [sym_labeled_statement] = STATE(2229),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(2184),
    [sym_declaration] = STATE(2184),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2184),
    [sym_expression_statement] = STATE(2184),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2184),
    [sym_if_statement] = STATE(2184),
    [sym_switch_statement] = STATE(2184),
    [sym_for_statement] = STATE(2184),
    [sym_for_in_statement] = STATE(2184),
    [sym_while_statement] = STATE(2184),
    [sym_do_statement] = STATE(2184),
    [sym_try_statement] = STATE(2184),
    [sym_with_statement] = STATE(2184),
    [sym_break_statement] = STATE(2184),
    [sym_continue_statement] = STATE(2184),
    [sym_debugger_statement] = STATE(2184),
    [sym_return_statement] = STATE(2184),
    [sym_throw_statement] = STATE(2184),
    [sym_empty_statement] = STATE(2184),
    [sym_labeled_statement] = STATE(2184),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(761),
    [sym_declaration] = STATE(761),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(761),
    [sym_expression_statement] = STATE(761),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(761),
    [sym_if_statement] = STATE(761),
    [sym_switch_statement] = STATE(761),
    [sym_for_statement] = STATE(761),
    [sym_for_in_statement] = STATE(761),
    [sym_while_statement] = STATE(761),
    [sym_do_statement] = STATE(761),
    [sym_try_statement] = STATE(761),
    [sym_with_statement] = STATE(761),
    [sym_break_statement] = STATE(761),
    [sym_continue_statement] = STATE(761),
    [sym_debugger_statement] = STATE(761),
    [sym_return_statement] = STATE(761),
    [sym_throw_statement] = STATE(761),
    [sym_empty_statement] = STATE(761),
    [sym_labeled_statement] = STATE(761),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(755),
    [sym_declaration] = STATE(755),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(755),
    [sym_expression_statement] = STATE(755),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(755),
    [sym_if_statement] = STATE(755),
    [sym_switch_statement] = STATE(755),
    [sym_for_statement] = STATE(755),
    [sym_for_in_statement] = STATE(755),
    [sym_while_statement] = STATE(755),
    [sym_do_statement] = STATE(755),
    [sym_try_statement] = STATE(755),
    [sym_with_statement] = STATE(755),
    [sym_break_statement] = STATE(755),
    [sym_continue_statement] = STATE(755),
    [sym_debugger_statement] = STATE(755),
    [sym_return_statement] = STATE(755),
    [sym_throw_statement] = STATE(755),
    [sym_empty_statement] = STATE(755),
    [sym_labeled_statement] = STATE(755),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(2509),
    [sym_declaration] = STATE(2495),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2479),
    [sym_expression_statement] = STATE(2451),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2450),
    [sym_if_statement] = STATE(2399),
    [sym_switch_statement] = STATE(2383),
    [sym_for_statement] = STATE(2345),
    [sym_for_in_statement] = STATE(2344),
    [sym_while_statement] = STATE(2277),
    [sym_do_statement] = STATE(2342),
    [sym_try_statement] = STATE(2321),
    [sym_with_statement] = STATE(2315),
    [sym_break_statement] = STATE(2313),
    [sym_continue_statement] = STATE(2309),
    [sym_debugger_statement] = STATE(2308),
    [sym_return_statement] = STATE(2303),
    [sym_throw_statement] = STATE(2293),
    [sym_empty_statement] = STATE(2292),
    [sym_labeled_statement] = STATE(2291),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(957),
    [sym_declaration] = STATE(957),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(957),
    [sym_expression_statement] = STATE(957),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(957),
    [sym_if_statement] = STATE(957),
    [sym_switch_statement] = STATE(957),
    [sym_for_statement] = STATE(957),
    [sym_for_in_statement] = STATE(957),
    [sym_while_statement] = STATE(957),
    [sym_do_statement] = STATE(957),
    [sym_try_statement] = STATE(957),
    [sym_with_statement] = STATE(957),
    [sym_break_statement] = STATE(957),
    [sym_continue_statement] = STATE(957),
    [sym_debugger_statement] = STATE(957),
    [sym_return_statement] = STATE(957),
    [sym_throw_statement] = STATE(957),
    [sym_empty_statement] = STATE(957),
    [sym_labeled_statement] = STATE(957),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(682),
    [sym_declaration] = STATE(682),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(682),
    [sym_expression_statement] = STATE(682),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(682),
    [sym_if_statement] = STATE(682),
    [sym_switch_statement] = STATE(682),
    [sym_for_statement] = STATE(682),
    [sym_for_in_statement] = STATE(682),
    [sym_while_statement] = STATE(682),
    [sym_do_statement] = STATE(682),
    [sym_try_statement] = STATE(682),
    [sym_with_statement] = STATE(682),
    [sym_break_statement] = STATE(682),
    [sym_continue_statement] = STATE(682),
    [sym_debugger_statement] = STATE(682),
    [sym_return_statement] = STATE(682),
    [sym_throw_statement] = STATE(682),
    [sym_empty_statement] = STATE(682),
    [sym_labeled_statement] = STATE(682),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(2721),
    [sym_declaration] = STATE(2721),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2721),
    [sym_expression_statement] = STATE(2721),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2721),
    [sym_if_statement] = STATE(2721),
    [sym_switch_statement] = STATE(2721),
    [sym_for_statement] = STATE(2721),
    [sym_for_in_statement] = STATE(2721),
    [sym_while_statement] = STATE(2721),
    [sym_do_statement] = STATE(2721),
    [sym_try_statement] = STATE(2721),
    [sym_with_statement] = STATE(2721),
    [sym_break_statement] = STATE(2721),
    [sym_continue_statement] = STATE(2721),
    [sym_debugger_statement] = STATE(2721),
    [sym_return_statement] = STATE(2721),
    [sym_throw_statement] = STATE(2721),
    [sym_empty_statement] = STATE(2721),
    [sym_labeled_statement] = STATE(2721),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(550),
    [sym_declaration] = STATE(550),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(550),
    [sym_expression_statement] = STATE(550),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(550),
    [sym_if_statement] = STATE(550),
    [sym_switch_statement] = STATE(550),
    [sym_for_statement] = STATE(550),
    [sym_for_in_statement] = STATE(550),
    [sym_while_statement] = STATE(550),
    [sym_do_statement] = STATE(550),
    [sym_try_statement] = STATE(550),
    [sym_with_statement] = STATE(550),
    [sym_break_statement] = STATE(550),
    [sym_continue_statement] = STATE(550),
    [sym_debugger_statement] = STATE(550),
    [sym_return_statement] = STATE(550),
    [sym_throw_statement] = STATE(550),
    [sym_empty_statement] = STATE(550),
    [sym_labeled_statement] = STATE(550),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(652),
    [sym_declaration] = STATE(652),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(652),
    [sym_if_statement] = STATE(652),
    [sym_switch_statement] = STATE(652),
    [sym_for_statement] = STATE(652),
    [sym_for_in_statement] = STATE(652),
    [sym_while_statement] = STATE(652),
    [sym_do_statement] = STATE(652),
    [sym_try_statement] = STATE(652),
    [sym_with_statement] = STATE(652),
    [sym_break_statement] = STATE(652),
    [sym_continue_statement] = STATE(652),
    [sym_debugger_statement] = STATE(652),
    [sym_return_statement] = STATE(652),
    [sym_throw_statement] = STATE(652),
    [sym_empty_statement] = STATE(652),
    [sym_labeled_statement] = STATE(652),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(2563),
    [sym_declaration] = STATE(2563),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2563),
    [sym_expression_statement] = STATE(2563),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2563),
    [sym_if_statement] = STATE(2563),
    [sym_switch_statement] = STATE(2563),
    [sym_for_statement] = STATE(2563),
    [sym_for_in_statement] = STATE(2563),
    [sym_while_statement] = STATE(2563),
    [sym_do_statement] = STATE(2563),
    [sym_try_statement] = STATE(2563),
    [sym_with_statement] = STATE(2563),
    [sym_break_statement] = STATE(2563),
    [sym_continue_statement] = STATE(2563),
    [sym_debugger_statement] = STATE(2563),
    [sym_return_statement] = STATE(2563),
    [sym_throw_statement] = STATE(2563),
    [sym_empty_statement] = STATE(2563),
    [sym_labeled_statement] = STATE(2563),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(2702),
    [sym_declaration] = STATE(2702),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2702),
    [sym_expression_statement] = STATE(2702),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2702),
    [sym_if_statement] = STATE(2702),
    [sym_switch_statement] = STATE(2702),
    [sym_for_statement] = STATE(2702),
    [sym_for_in_statement] = STATE(2702),
    [sym_while_statement] = STATE(2702),
    [sym_do_statement] = STATE(2702),
    [sym_try_statement] = STATE(2702),
    [sym_with_statement] = STATE(2702),
    [sym_break_statement] = STATE(2702),
    [sym_continue_statement] = STATE(2702),
    [sym_debugger_statement] = STATE(2702),
    [sym_return_statement] = STATE(2702),
    [sym_throw_statement] = STATE(2702),
    [sym_empty_statement] = STATE(2702),
    [sym_labeled_statement] = STATE(2702),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(934),
    [sym_declaration] = STATE(934),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(934),
    [sym_expression_statement] = STATE(934),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(934),
    [sym_if_statement] = STATE(934),
    [sym_switch_statement] = STATE(934),
    [sym_for_statement] = STATE(934),
    [sym_for_in_statement] = STATE(934),
    [sym_while_statement] = STATE(934),
    [sym_do_statement] = STATE(934),
    [sym_try_statement] = STATE(934),
    [sym_with_statement] = STATE(934),
    [sym_break_statement] = STATE(934),
    [sym_continue_statement] = STATE(934),
    [sym_debugger_statement] = STATE(934),
    [sym_return_statement] = STATE(934),
    [sym_throw_statement] = STATE(934),
    [sym_empty_statement] = STATE(934),
    [sym_labeled_statement] = STATE(934),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(2577),
    [sym_declaration] = STATE(2578),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2579),
    [sym_expression_statement] = STATE(2581),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2589),
    [sym_if_statement] = STATE(2590),
    [sym_switch_statement] = STATE(2591),
    [sym_for_statement] = STATE(2595),
    [sym_for_in_statement] = STATE(2596),
    [sym_while_statement] = STATE(2597),
    [sym_do_statement] = STATE(2600),
    [sym_try_statement] = STATE(2602),
    [sym_with_statement] = STATE(2603),
    [sym_break_statement] = STATE(2604),
    [sym_continue_statement] = STATE(2609),
    [sym_debugger_statement] = STATE(2643),
    [sym_return_statement] = STATE(2644),
    [sym_throw_statement] = STATE(2645),
    [sym_empty_statement] = STATE(2646),
    [sym_labeled_statement] = STATE(2647),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(878),
    [sym_declaration] = STATE(878),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(878),
    [sym_expression_statement] = STATE(878),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(878),
    [sym_if_statement] = STATE(878),
    [sym_switch_statement] = STATE(878),
    [sym_for_statement] = STATE(878),
    [sym_for_in_statement] = STATE(878),
    [sym_while_statement] = STATE(878),
    [sym_do_statement] = STATE(878),
    [sym_try_statement] = STATE(878),
    [sym_with_statement] = STATE(878),
    [sym_break_statement] = STATE(878),
    [sym_continue_statement] = STATE(878),
    [sym_debugger_statement] = STATE(878),
    [sym_return_statement] = STATE(878),
    [sym_throw_statement] = STATE(878),
    [sym_empty_statement] = STATE(878),
    [sym_labeled_statement] = STATE(878),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(988),
    [sym_declaration] = STATE(988),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(988),
    [sym_expression_statement] = STATE(988),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(988),
    [sym_if_statement] = STATE(988),
    [sym_switch_statement] = STATE(988),
    [sym_for_statement] = STATE(988),
    [sym_for_in_statement] = STATE(988),
    [sym_while_statement] = STATE(988),
    [sym_do_statement] = STATE(988),
    [sym_try_statement] = STATE(988),
    [sym_with_statement] = STATE(988),
    [sym_break_statement] = STATE(988),
    [sym_continue_statement] = STATE(988),
    [sym_debugger_statement] = STATE(988),
    [sym_return_statement] = STATE(988),
    [sym_throw_statement] = STATE(988),
    [sym_empty_statement] = STATE(988),
    [sym_labeled_statement] = STATE(988),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(2055),
    [sym_declaration] = STATE(2055),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2055),
    [sym_expression_statement] = STATE(2055),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2055),
    [sym_if_statement] = STATE(2055),
    [sym_switch_statement] = STATE(2055),
    [sym_for_statement] = STATE(2055),
    [sym_for_in_statement] = STATE(2055),
    [sym_while_statement] = STATE(2055),
    [sym_do_statement] = STATE(2055),
    [sym_try_statement] = STATE(2055),
    [sym_with_statement] = STATE(2055),
    [sym_break_statement] = STATE(2055),
    [sym_continue_statement] = STATE(2055),
    [sym_debugger_statement] = STATE(2055),
    [sym_return_statement] = STATE(2055),
    [sym_throw_statement] = STATE(2055),
    [sym_empty_statement] = STATE(2055),
    [sym_labeled_statement] = STATE(2055),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(2649),
    [sym_declaration] = STATE(2649),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2649),
    [sym_expression_statement] = STATE(2649),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2649),
    [sym_if_statement] = STATE(2649),
    [sym_switch_statement] = STATE(2649),
    [sym_for_statement] = STATE(2649),
    [sym_for_in_statement] = STATE(2649),
    [sym_while_statement] = STATE(2649),
    [sym_do_statement] = STATE(2649),
    [sym_try_statement] = STATE(2649),
    [sym_with_statement] = STATE(2649),
    [sym_break_statement] = STATE(2649),
    [sym_continue_statement] = STATE(2649),
    [sym_debugger_statement] = STATE(2649),
    [sym_return_statement] = STATE(2649),
    [sym_throw_statement] = STATE(2649),
    [sym_empty_statement] = STATE(2649),
    [sym_labeled_statement] = STATE(2649),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(725),
    [sym_declaration] = STATE(724),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(723),
    [sym_expression_statement] = STATE(722),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_statement_block] = STATE(721),
    [sym_if_statement] = STATE(720),
    [sym_switch_statement] = STATE(719),
    [sym_for_statement] = STATE(717),
    [sym_for_in_statement] = STATE(716),
    [sym_while_statement] = STATE(715),
    [sym_do_statement] = STATE(714),
    [sym_try_statement] = STATE(713),
    [sym_with_statement] = STATE(712),
    [sym_break_statement] = STATE(710),
    [sym_continue_statement] = STATE(708),
    [sym_debugger_statement] = STATE(707),
    [sym_return_statement] = STATE(706),
    [sym_throw_statement] = STATE(704),
    [sym_empty_statement] = STATE(703),
    [sym_labeled_statement] = STATE(702),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1222),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2427),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1816),
    [sym_identifier] = ACTIONS(159),
    [anon_sym_export] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_import] = ACTIONS(167),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(171),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_switch] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_try] = ACTIONS(185),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(189),
    [anon_sym_continue] = ACTIONS(191),
    [anon_sym_debugger] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_get] = ACTIONS(207),
    [anon_sym_set] = ACTIONS(207),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(973),
    [sym_declaration] = STATE(973),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(973),
    [sym_expression_statement] = STATE(973),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(973),
    [sym_if_statement] = STATE(973),
    [sym_switch_statement] = STATE(973),
    [sym_for_statement] = STATE(973),
    [sym_for_in_statement] = STATE(973),
    [sym_while_statement] = STATE(973),
    [sym_do_statement] = STATE(973),
    [sym_try_statement] = STATE(973),
    [sym_with_statement] = STATE(973),
    [sym_break_statement] = STATE(973),
    [sym_continue_statement] = STATE(973),
    [sym_debugger_statement] = STATE(973),
    [sym_return_statement] = STATE(973),
    [sym_throw_statement] = STATE(973),
    [sym_empty_statement] = STATE(973),
    [sym_labeled_statement] = STATE(973),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(2266),
    [sym_declaration] = STATE(2266),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2266),
    [sym_expression_statement] = STATE(2266),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2266),
    [sym_if_statement] = STATE(2266),
    [sym_switch_statement] = STATE(2266),
    [sym_for_statement] = STATE(2266),
    [sym_for_in_statement] = STATE(2266),
    [sym_while_statement] = STATE(2266),
    [sym_do_statement] = STATE(2266),
    [sym_try_statement] = STATE(2266),
    [sym_with_statement] = STATE(2266),
    [sym_break_statement] = STATE(2266),
    [sym_continue_statement] = STATE(2266),
    [sym_debugger_statement] = STATE(2266),
    [sym_return_statement] = STATE(2266),
    [sym_throw_statement] = STATE(2266),
    [sym_empty_statement] = STATE(2266),
    [sym_labeled_statement] = STATE(2266),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(2655),
    [sym_declaration] = STATE(2655),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2655),
    [sym_expression_statement] = STATE(2655),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2655),
    [sym_if_statement] = STATE(2655),
    [sym_switch_statement] = STATE(2655),
    [sym_for_statement] = STATE(2655),
    [sym_for_in_statement] = STATE(2655),
    [sym_while_statement] = STATE(2655),
    [sym_do_statement] = STATE(2655),
    [sym_try_statement] = STATE(2655),
    [sym_with_statement] = STATE(2655),
    [sym_break_statement] = STATE(2655),
    [sym_continue_statement] = STATE(2655),
    [sym_debugger_statement] = STATE(2655),
    [sym_return_statement] = STATE(2655),
    [sym_throw_statement] = STATE(2655),
    [sym_empty_statement] = STATE(2655),
    [sym_labeled_statement] = STATE(2655),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(801),
    [sym_declaration] = STATE(801),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(801),
    [sym_expression_statement] = STATE(801),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(801),
    [sym_if_statement] = STATE(801),
    [sym_switch_statement] = STATE(801),
    [sym_for_statement] = STATE(801),
    [sym_for_in_statement] = STATE(801),
    [sym_while_statement] = STATE(801),
    [sym_do_statement] = STATE(801),
    [sym_try_statement] = STATE(801),
    [sym_with_statement] = STATE(801),
    [sym_break_statement] = STATE(801),
    [sym_continue_statement] = STATE(801),
    [sym_debugger_statement] = STATE(801),
    [sym_return_statement] = STATE(801),
    [sym_throw_statement] = STATE(801),
    [sym_empty_statement] = STATE(801),
    [sym_labeled_statement] = STATE(801),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(511),
    [sym_declaration] = STATE(511),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(511),
    [sym_expression_statement] = STATE(511),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_statement_block] = STATE(511),
    [sym_if_statement] = STATE(511),
    [sym_switch_statement] = STATE(511),
    [sym_for_statement] = STATE(511),
    [sym_for_in_statement] = STATE(511),
    [sym_while_statement] = STATE(511),
    [sym_do_statement] = STATE(511),
    [sym_try_statement] = STATE(511),
    [sym_with_statement] = STATE(511),
    [sym_break_statement] = STATE(511),
    [sym_continue_statement] = STATE(511),
    [sym_debugger_statement] = STATE(511),
    [sym_return_statement] = STATE(511),
    [sym_throw_statement] = STATE(511),
    [sym_empty_statement] = STATE(511),
    [sym_labeled_statement] = STATE(511),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2502),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(528),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_debugger] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(2694),
    [sym_declaration] = STATE(2694),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(2694),
    [sym_expression_statement] = STATE(2694),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_statement_block] = STATE(2694),
    [sym_if_statement] = STATE(2694),
    [sym_switch_statement] = STATE(2694),
    [sym_for_statement] = STATE(2694),
    [sym_for_in_statement] = STATE(2694),
    [sym_while_statement] = STATE(2694),
    [sym_do_statement] = STATE(2694),
    [sym_try_statement] = STATE(2694),
    [sym_with_statement] = STATE(2694),
    [sym_break_statement] = STATE(2694),
    [sym_continue_statement] = STATE(2694),
    [sym_debugger_statement] = STATE(2694),
    [sym_return_statement] = STATE(2694),
    [sym_throw_statement] = STATE(2694),
    [sym_empty_statement] = STATE(2694),
    [sym_labeled_statement] = STATE(2694),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1205),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2181),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(632),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(642),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_debugger] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(656),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(660),
    [anon_sym_set] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(974),
    [sym_declaration] = STATE(975),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(976),
    [sym_expression_statement] = STATE(959),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(955),
    [sym_if_statement] = STATE(951),
    [sym_switch_statement] = STATE(948),
    [sym_for_statement] = STATE(944),
    [sym_for_in_statement] = STATE(937),
    [sym_while_statement] = STATE(922),
    [sym_do_statement] = STATE(916),
    [sym_try_statement] = STATE(914),
    [sym_with_statement] = STATE(911),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(901),
    [sym_return_statement] = STATE(929),
    [sym_throw_statement] = STATE(936),
    [sym_empty_statement] = STATE(945),
    [sym_labeled_statement] = STATE(985),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(838),
    [sym_declaration] = STATE(839),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(840),
    [sym_expression_statement] = STATE(842),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(843),
    [sym_if_statement] = STATE(844),
    [sym_switch_statement] = STATE(845),
    [sym_for_statement] = STATE(846),
    [sym_for_in_statement] = STATE(848),
    [sym_while_statement] = STATE(849),
    [sym_do_statement] = STATE(850),
    [sym_try_statement] = STATE(851),
    [sym_with_statement] = STATE(852),
    [sym_break_statement] = STATE(853),
    [sym_continue_statement] = STATE(855),
    [sym_debugger_statement] = STATE(856),
    [sym_return_statement] = STATE(857),
    [sym_throw_statement] = STATE(859),
    [sym_empty_statement] = STATE(860),
    [sym_labeled_statement] = STATE(861),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(553),
    [sym_declaration] = STATE(553),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(553),
    [sym_expression_statement] = STATE(553),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(553),
    [sym_if_statement] = STATE(553),
    [sym_switch_statement] = STATE(553),
    [sym_for_statement] = STATE(553),
    [sym_for_in_statement] = STATE(553),
    [sym_while_statement] = STATE(553),
    [sym_do_statement] = STATE(553),
    [sym_try_statement] = STATE(553),
    [sym_with_statement] = STATE(553),
    [sym_break_statement] = STATE(553),
    [sym_continue_statement] = STATE(553),
    [sym_debugger_statement] = STATE(553),
    [sym_return_statement] = STATE(553),
    [sym_throw_statement] = STATE(553),
    [sym_empty_statement] = STATE(553),
    [sym_labeled_statement] = STATE(553),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(804),
    [sym_declaration] = STATE(804),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_statement_block] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_for_in_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_try_statement] = STATE(804),
    [sym_with_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_debugger_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_empty_statement] = STATE(804),
    [sym_labeled_statement] = STATE(804),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2190),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(576),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(582),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(594),
    [anon_sym_continue] = ACTIONS(596),
    [anon_sym_debugger] = ACTIONS(598),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(608),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(932),
    [sym_declaration] = STATE(930),
    [sym_import] = STATE(1785),
    [sym_import_statement] = STATE(956),
    [sym_expression_statement] = STATE(919),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_statement_block] = STATE(918),
    [sym_if_statement] = STATE(915),
    [sym_switch_statement] = STATE(912),
    [sym_for_statement] = STATE(910),
    [sym_for_in_statement] = STATE(908),
    [sym_while_statement] = STATE(907),
    [sym_do_statement] = STATE(906),
    [sym_try_statement] = STATE(905),
    [sym_with_statement] = STATE(904),
    [sym_break_statement] = STATE(903),
    [sym_continue_statement] = STATE(899),
    [sym_debugger_statement] = STATE(897),
    [sym_return_statement] = STATE(896),
    [sym_throw_statement] = STATE(895),
    [sym_empty_statement] = STATE(949),
    [sym_labeled_statement] = STATE(950),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1241),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2588),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1850),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_switch] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_do] = ACTIONS(37),
    [anon_sym_try] = ACTIONS(39),
    [anon_sym_with] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(91),
    [anon_sym_get] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(91),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1168),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1221),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_STAR] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1231),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_COMMA] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(710),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_of] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1380),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_STAR] = ACTIONS(782),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [sym_optional_chain] = ACTIONS(670),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_AMP_AMP] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_GT_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ] = ACTIONS(670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(670),
    [anon_sym_QMARK_QMARK] = ACTIONS(670),
    [anon_sym_instanceof] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym__ternary_qmark] = ACTIONS(710),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2103),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2045),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(806),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2073),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2005),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(812),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2103),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2045),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(814),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2103),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2045),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1307),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2073),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2005),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(818),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2073),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2005),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(818),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2103),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2045),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(820),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1300),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2103),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2045),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(822),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(225),
    [sym_variable_declaration] = STATE(225),
    [sym_lexical_declaration] = STATE(225),
    [sym_empty_statement] = STATE(225),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2148),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_declaration] = STATE(688),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1382),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1984),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(846),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_declaration] = STATE(650),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1401),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1987),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_declaration] = STATE(808),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1389),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(858),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(858),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1984),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_let] = ACTIONS(844),
    [anon_sym_const] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(846),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_declaration] = STATE(2562),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1404),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1975),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(854),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(231),
    [sym_variable_declaration] = STATE(231),
    [sym_lexical_declaration] = STATE(231),
    [sym_empty_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2148),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_declaration] = STATE(879),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1381),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1978),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(858),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(229),
    [sym_variable_declaration] = STATE(229),
    [sym_lexical_declaration] = STATE(229),
    [sym_empty_statement] = STATE(229),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2148),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_declaration] = STATE(639),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(654),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(654),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1987),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(848),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(850),
    [anon_sym_function] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_declaration] = STATE(954),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1379),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1881),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(860),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(862),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_declaration] = STATE(2276),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1390),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(2540),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1975),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(852),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(654),
    [anon_sym_async] = ACTIONS(854),
    [anon_sym_function] = ACTIONS(658),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_comment] = STATE(143),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(870),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_declaration] = STATE(728),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1409),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(685),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(685),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1978),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(606),
    [anon_sym_async] = ACTIONS(858),
    [anon_sym_function] = ACTIONS(610),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(226),
    [sym_variable_declaration] = STATE(226),
    [sym_lexical_declaration] = STATE(226),
    [sym_empty_statement] = STATE(226),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2148),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_declaration] = STATE(927),
    [sym_import] = STATE(1785),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1384),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_class_declaration] = STATE(923),
    [sym_function_expression] = STATE(1312),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function] = STATE(1312),
    [sym_generator_function_declaration] = STATE(923),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1881),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_let] = ACTIONS(860),
    [anon_sym_const] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(862),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(1050),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1050),
    [sym_subscript_expression] = STATE(1050),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2148),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(824),
    [anon_sym_export] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_let] = ACTIONS(832),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_get] = ACTIONS(826),
    [anon_sym_set] = ACTIONS(826),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_comment] = STATE(148),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1434),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1063),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_export] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(890),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(894),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_get] = ACTIONS(880),
    [anon_sym_set] = ACTIONS(880),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_comment] = STATE(150),
    [sym_identifier] = ACTIONS(896),
    [anon_sym_export] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(896),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_var] = ACTIONS(896),
    [anon_sym_let] = ACTIONS(896),
    [anon_sym_const] = ACTIONS(896),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym_await] = ACTIONS(896),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_debugger] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(896),
    [anon_sym_LTtemplate_GT] = ACTIONS(896),
    [anon_sym_LT] = ACTIONS(896),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(896),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(896),
    [anon_sym_typeof] = ACTIONS(896),
    [anon_sym_void] = ACTIONS(896),
    [anon_sym_delete] = ACTIONS(896),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE] = ACTIONS(896),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(896),
    [sym_number] = ACTIONS(896),
    [sym_private_property_identifier] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_get] = ACTIONS(896),
    [anon_sym_set] = ACTIONS(896),
    [sym__automatic_semicolon] = ACTIONS(900),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_comment] = STATE(151),
    [sym_identifier] = ACTIONS(904),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(904),
    [anon_sym_else] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_await] = ACTIONS(904),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_debugger] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LTtemplate_GT] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(904),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_typeof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(904),
    [anon_sym_DASH_DASH] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_SQUOTE] = ACTIONS(904),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(904),
    [sym_number] = ACTIONS(904),
    [sym_private_property_identifier] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(908),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_comment] = STATE(152),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_var] = ACTIONS(912),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_const] = ACTIONS(912),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_await] = ACTIONS(912),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(912),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(912),
    [anon_sym_with] = ACTIONS(912),
    [anon_sym_break] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(912),
    [anon_sym_debugger] = ACTIONS(912),
    [anon_sym_return] = ACTIONS(912),
    [anon_sym_throw] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(912),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_LBRACK] = ACTIONS(912),
    [anon_sym_LTtemplate_GT] = ACTIONS(912),
    [anon_sym_LT] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(912),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(912),
    [sym_optional_chain] = ACTIONS(914),
    [anon_sym_new] = ACTIONS(912),
    [anon_sym_AMP_AMP] = ACTIONS(914),
    [anon_sym_PIPE_PIPE] = ACTIONS(914),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(914),
    [anon_sym_LT_LT] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(912),
    [anon_sym_DASH] = ACTIONS(912),
    [anon_sym_SLASH] = ACTIONS(912),
    [anon_sym_PERCENT] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(914),
    [anon_sym_LT_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(914),
    [anon_sym_QMARK_QMARK] = ACTIONS(914),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(912),
    [anon_sym_TILDE] = ACTIONS(912),
    [anon_sym_typeof] = ACTIONS(912),
    [anon_sym_void] = ACTIONS(912),
    [anon_sym_delete] = ACTIONS(912),
    [anon_sym_PLUS_PLUS] = ACTIONS(912),
    [anon_sym_DASH_DASH] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(912),
    [anon_sym_SQUOTE] = ACTIONS(912),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(912),
    [sym_number] = ACTIONS(912),
    [sym_private_property_identifier] = ACTIONS(912),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(912),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(916),
    [sym__ternary_qmark] = ACTIONS(918),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_comment] = STATE(153),
    [sym_identifier] = ACTIONS(920),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_default] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_var] = ACTIONS(920),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(920),
    [anon_sym_else] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_await] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_debugger] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [anon_sym_case] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LTtemplate_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(920),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_typeof] = ACTIONS(920),
    [anon_sym_void] = ACTIONS(920),
    [anon_sym_delete] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE] = ACTIONS(920),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(920),
    [sym_number] = ACTIONS(920),
    [sym_private_property_identifier] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(926),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_comment] = STATE(154),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(928),
    [anon_sym_default] = ACTIONS(928),
    [anon_sym_LBRACE] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(928),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_import] = ACTIONS(928),
    [anon_sym_var] = ACTIONS(928),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_const] = ACTIONS(928),
    [anon_sym_else] = ACTIONS(928),
    [anon_sym_if] = ACTIONS(928),
    [anon_sym_switch] = ACTIONS(928),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_await] = ACTIONS(928),
    [anon_sym_in] = ACTIONS(928),
    [anon_sym_while] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(928),
    [anon_sym_try] = ACTIONS(928),
    [anon_sym_with] = ACTIONS(928),
    [anon_sym_break] = ACTIONS(928),
    [anon_sym_continue] = ACTIONS(928),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(928),
    [anon_sym_case] = ACTIONS(928),
    [anon_sym_yield] = ACTIONS(928),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_LTtemplate_GT] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(928),
    [anon_sym_class] = ACTIONS(928),
    [anon_sym_async] = ACTIONS(928),
    [anon_sym_function] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(928),
    [anon_sym_new] = ACTIONS(928),
    [anon_sym_AMP_AMP] = ACTIONS(928),
    [anon_sym_PIPE_PIPE] = ACTIONS(928),
    [anon_sym_GT_GT] = ACTIONS(928),
    [anon_sym_GT_GT_GT] = ACTIONS(928),
    [anon_sym_LT_LT] = ACTIONS(928),
    [anon_sym_AMP] = ACTIONS(928),
    [anon_sym_CARET] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(928),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_SLASH] = ACTIONS(928),
    [anon_sym_PERCENT] = ACTIONS(928),
    [anon_sym_STAR_STAR] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(928),
    [anon_sym_QMARK_QMARK] = ACTIONS(928),
    [anon_sym_instanceof] = ACTIONS(928),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_typeof] = ACTIONS(928),
    [anon_sym_void] = ACTIONS(928),
    [anon_sym_delete] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(928),
    [sym_number] = ACTIONS(928),
    [sym_private_property_identifier] = ACTIONS(928),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(928),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(928),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [sym__automatic_semicolon] = ACTIONS(930),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_comment] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(932),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(934),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1269),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2175),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_spread_element] = STATE(2138),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(2135),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_RBRACK] = ACTIONS(936),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_comment] = STATE(157),
    [sym_identifier] = ACTIONS(939),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_default] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_import] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(939),
    [anon_sym_let] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_switch] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(939),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(939),
    [anon_sym_with] = ACTIONS(939),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(939),
    [anon_sym_debugger] = ACTIONS(939),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_throw] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_case] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_LTtemplate_GT] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_class] = ACTIONS(939),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_function] = ACTIONS(939),
    [sym_optional_chain] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_GT_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_QMARK_QMARK] = ACTIONS(939),
    [anon_sym_instanceof] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_typeof] = ACTIONS(939),
    [anon_sym_void] = ACTIONS(939),
    [anon_sym_delete] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE] = ACTIONS(939),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(939),
    [sym_private_property_identifier] = ACTIONS(939),
    [sym_this] = ACTIONS(939),
    [sym_super] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_undefined] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(941),
    [sym__ternary_qmark] = ACTIONS(941),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_comment] = STATE(158),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(943),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2070),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(1934),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_pattern_repeat1] = STATE(2075),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2107),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(1950),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_pattern_repeat1] = STATE(2100),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(884),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(957),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_comment] = STATE(161),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_export] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_default] = ACTIONS(959),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_import] = ACTIONS(959),
    [anon_sym_var] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_else] = ACTIONS(959),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_switch] = ACTIONS(959),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(959),
    [anon_sym_in] = ACTIONS(961),
    [anon_sym_while] = ACTIONS(959),
    [anon_sym_do] = ACTIONS(959),
    [anon_sym_try] = ACTIONS(959),
    [anon_sym_with] = ACTIONS(959),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_debugger] = ACTIONS(959),
    [anon_sym_return] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_LTtemplate_GT] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(959),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_function] = ACTIONS(959),
    [sym_optional_chain] = ACTIONS(961),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_QMARK_QMARK] = ACTIONS(961),
    [anon_sym_instanceof] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(959),
    [anon_sym_void] = ACTIONS(959),
    [anon_sym_delete] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(959),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(959),
    [sym_number] = ACTIONS(959),
    [sym_private_property_identifier] = ACTIONS(959),
    [sym_this] = ACTIONS(959),
    [sym_super] = ACTIONS(959),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [sym_undefined] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(959),
    [anon_sym_static] = ACTIONS(959),
    [anon_sym_get] = ACTIONS(959),
    [anon_sym_set] = ACTIONS(959),
    [sym__automatic_semicolon] = ACTIONS(963),
    [sym__ternary_qmark] = ACTIONS(965),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_comment] = STATE(162),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_export] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(969),
    [anon_sym_default] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_import] = ACTIONS(967),
    [anon_sym_var] = ACTIONS(967),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_else] = ACTIONS(967),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_switch] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(967),
    [anon_sym_in] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(967),
    [anon_sym_do] = ACTIONS(967),
    [anon_sym_try] = ACTIONS(967),
    [anon_sym_with] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_debugger] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_case] = ACTIONS(967),
    [anon_sym_yield] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_LTtemplate_GT] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_DOT] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(967),
    [anon_sym_function] = ACTIONS(967),
    [sym_optional_chain] = ACTIONS(969),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_GT_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_AMP] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_QMARK_QMARK] = ACTIONS(969),
    [anon_sym_instanceof] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_typeof] = ACTIONS(967),
    [anon_sym_void] = ACTIONS(967),
    [anon_sym_delete] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_number] = ACTIONS(967),
    [sym_private_property_identifier] = ACTIONS(967),
    [sym_this] = ACTIONS(967),
    [sym_super] = ACTIONS(967),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [sym_undefined] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_get] = ACTIONS(967),
    [anon_sym_set] = ACTIONS(967),
    [sym__automatic_semicolon] = ACTIONS(971),
    [sym__ternary_qmark] = ACTIONS(973),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_comment] = STATE(163),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_default] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(977),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_import] = ACTIONS(975),
    [anon_sym_var] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_const] = ACTIONS(975),
    [anon_sym_else] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_switch] = ACTIONS(975),
    [anon_sym_for] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_await] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_do] = ACTIONS(975),
    [anon_sym_try] = ACTIONS(975),
    [anon_sym_with] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(975),
    [anon_sym_continue] = ACTIONS(975),
    [anon_sym_debugger] = ACTIONS(975),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_throw] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_LTtemplate_GT] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(975),
    [anon_sym_async] = ACTIONS(975),
    [anon_sym_function] = ACTIONS(975),
    [sym_optional_chain] = ACTIONS(977),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(977),
    [anon_sym_PIPE_PIPE] = ACTIONS(977),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(977),
    [anon_sym_LT_LT] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_SLASH] = ACTIONS(975),
    [anon_sym_PERCENT] = ACTIONS(977),
    [anon_sym_STAR_STAR] = ACTIONS(977),
    [anon_sym_LT_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(977),
    [anon_sym_GT_EQ] = ACTIONS(977),
    [anon_sym_QMARK_QMARK] = ACTIONS(977),
    [anon_sym_instanceof] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_typeof] = ACTIONS(975),
    [anon_sym_void] = ACTIONS(975),
    [anon_sym_delete] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(975),
    [anon_sym_SQUOTE] = ACTIONS(975),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(975),
    [sym_number] = ACTIONS(975),
    [sym_private_property_identifier] = ACTIONS(975),
    [sym_this] = ACTIONS(975),
    [sym_super] = ACTIONS(975),
    [sym_true] = ACTIONS(975),
    [sym_false] = ACTIONS(975),
    [sym_null] = ACTIONS(975),
    [sym_undefined] = ACTIONS(975),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_static] = ACTIONS(975),
    [anon_sym_get] = ACTIONS(975),
    [anon_sym_set] = ACTIONS(975),
    [sym__automatic_semicolon] = ACTIONS(979),
    [sym__ternary_qmark] = ACTIONS(981),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_comment] = STATE(164),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(983),
    [sym__ternary_qmark] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_comment] = STATE(165),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(985),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_comment] = STATE(166),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_default] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(987),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_GT_GT] = ACTIONS(987),
    [anon_sym_GT_GT_GT] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(987),
    [anon_sym_AMP] = ACTIONS(987),
    [anon_sym_CARET] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(987),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(987),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_QMARK_QMARK] = ACTIONS(987),
    [anon_sym_instanceof] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(989),
    [sym__ternary_qmark] = ACTIONS(989),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_comment] = STATE(167),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_default] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_import] = ACTIONS(991),
    [anon_sym_var] = ACTIONS(991),
    [anon_sym_let] = ACTIONS(991),
    [anon_sym_const] = ACTIONS(991),
    [anon_sym_else] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_switch] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_await] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(991),
    [anon_sym_do] = ACTIONS(991),
    [anon_sym_try] = ACTIONS(991),
    [anon_sym_with] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(991),
    [anon_sym_continue] = ACTIONS(991),
    [anon_sym_debugger] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_throw] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_case] = ACTIONS(991),
    [anon_sym_yield] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LTtemplate_GT] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(991),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(991),
    [sym_optional_chain] = ACTIONS(993),
    [anon_sym_new] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(993),
    [anon_sym_PIPE_PIPE] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(993),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(991),
    [anon_sym_PERCENT] = ACTIONS(993),
    [anon_sym_STAR_STAR] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(993),
    [anon_sym_GT_EQ] = ACTIONS(993),
    [anon_sym_QMARK_QMARK] = ACTIONS(993),
    [anon_sym_instanceof] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_typeof] = ACTIONS(991),
    [anon_sym_void] = ACTIONS(991),
    [anon_sym_delete] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [sym_number] = ACTIONS(991),
    [sym_private_property_identifier] = ACTIONS(991),
    [sym_this] = ACTIONS(991),
    [sym_super] = ACTIONS(991),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [sym_undefined] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_static] = ACTIONS(991),
    [anon_sym_get] = ACTIONS(991),
    [anon_sym_set] = ACTIONS(991),
    [sym__automatic_semicolon] = ACTIONS(995),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_comment] = STATE(168),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_default] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(987),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_GT_GT] = ACTIONS(987),
    [anon_sym_GT_GT_GT] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(987),
    [anon_sym_AMP] = ACTIONS(987),
    [anon_sym_CARET] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(987),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(987),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_QMARK_QMARK] = ACTIONS(987),
    [anon_sym_instanceof] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(989),
    [sym__ternary_qmark] = ACTIONS(989),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_comment] = STATE(169),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(904),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(904),
    [anon_sym_else] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_await] = ACTIONS(904),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_debugger] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LTtemplate_GT] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(904),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_typeof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(904),
    [anon_sym_DASH_DASH] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_SQUOTE] = ACTIONS(904),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(904),
    [sym_number] = ACTIONS(904),
    [sym_private_property_identifier] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(1001),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_comment] = STATE(170),
    [sym_identifier] = ACTIONS(939),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_default] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_import] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(939),
    [anon_sym_let] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_switch] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(939),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(939),
    [anon_sym_with] = ACTIONS(939),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(939),
    [anon_sym_debugger] = ACTIONS(939),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_throw] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_case] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_LTtemplate_GT] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_class] = ACTIONS(939),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_function] = ACTIONS(939),
    [sym_optional_chain] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_GT_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_QMARK_QMARK] = ACTIONS(939),
    [anon_sym_instanceof] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_typeof] = ACTIONS(939),
    [anon_sym_void] = ACTIONS(939),
    [anon_sym_delete] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE] = ACTIONS(939),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(939),
    [sym_private_property_identifier] = ACTIONS(939),
    [sym_this] = ACTIONS(939),
    [sym_super] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_undefined] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(941),
    [sym__ternary_qmark] = ACTIONS(941),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_comment] = STATE(171),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_export] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(969),
    [anon_sym_default] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_import] = ACTIONS(967),
    [anon_sym_var] = ACTIONS(967),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_switch] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(967),
    [anon_sym_in] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(967),
    [anon_sym_do] = ACTIONS(967),
    [anon_sym_try] = ACTIONS(967),
    [anon_sym_with] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_debugger] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_case] = ACTIONS(967),
    [anon_sym_yield] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_LTtemplate_GT] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_DOT] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(967),
    [anon_sym_function] = ACTIONS(967),
    [sym_optional_chain] = ACTIONS(969),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_GT_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_AMP] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_QMARK_QMARK] = ACTIONS(969),
    [anon_sym_instanceof] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_typeof] = ACTIONS(967),
    [anon_sym_void] = ACTIONS(967),
    [anon_sym_delete] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_number] = ACTIONS(967),
    [sym_private_property_identifier] = ACTIONS(967),
    [sym_this] = ACTIONS(967),
    [sym_super] = ACTIONS(967),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [sym_undefined] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_get] = ACTIONS(967),
    [anon_sym_set] = ACTIONS(967),
    [sym__automatic_semicolon] = ACTIONS(1003),
    [sym__ternary_qmark] = ACTIONS(973),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_comment] = STATE(172),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_default] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(977),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_import] = ACTIONS(975),
    [anon_sym_var] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_const] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_switch] = ACTIONS(975),
    [anon_sym_for] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_await] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_do] = ACTIONS(975),
    [anon_sym_try] = ACTIONS(975),
    [anon_sym_with] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(975),
    [anon_sym_continue] = ACTIONS(975),
    [anon_sym_debugger] = ACTIONS(975),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_throw] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_LTtemplate_GT] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(975),
    [anon_sym_async] = ACTIONS(975),
    [anon_sym_function] = ACTIONS(975),
    [sym_optional_chain] = ACTIONS(977),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(977),
    [anon_sym_PIPE_PIPE] = ACTIONS(977),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(977),
    [anon_sym_LT_LT] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_SLASH] = ACTIONS(975),
    [anon_sym_PERCENT] = ACTIONS(977),
    [anon_sym_STAR_STAR] = ACTIONS(977),
    [anon_sym_LT_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(977),
    [anon_sym_GT_EQ] = ACTIONS(977),
    [anon_sym_QMARK_QMARK] = ACTIONS(977),
    [anon_sym_instanceof] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_typeof] = ACTIONS(975),
    [anon_sym_void] = ACTIONS(975),
    [anon_sym_delete] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(975),
    [anon_sym_SQUOTE] = ACTIONS(975),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(975),
    [sym_number] = ACTIONS(975),
    [sym_private_property_identifier] = ACTIONS(975),
    [sym_this] = ACTIONS(975),
    [sym_super] = ACTIONS(975),
    [sym_true] = ACTIONS(975),
    [sym_false] = ACTIONS(975),
    [sym_null] = ACTIONS(975),
    [sym_undefined] = ACTIONS(975),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_static] = ACTIONS(975),
    [anon_sym_get] = ACTIONS(975),
    [anon_sym_set] = ACTIONS(975),
    [sym__automatic_semicolon] = ACTIONS(1005),
    [sym__ternary_qmark] = ACTIONS(981),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_comment] = STATE(173),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1007),
    [sym__ternary_qmark] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_comment] = STATE(174),
    [ts_builtin_sym_end] = ACTIONS(930),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(928),
    [anon_sym_LBRACE] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(928),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_import] = ACTIONS(928),
    [anon_sym_var] = ACTIONS(928),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_const] = ACTIONS(928),
    [anon_sym_else] = ACTIONS(928),
    [anon_sym_if] = ACTIONS(928),
    [anon_sym_switch] = ACTIONS(928),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_await] = ACTIONS(928),
    [anon_sym_in] = ACTIONS(928),
    [anon_sym_while] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(928),
    [anon_sym_try] = ACTIONS(928),
    [anon_sym_with] = ACTIONS(928),
    [anon_sym_break] = ACTIONS(928),
    [anon_sym_continue] = ACTIONS(928),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(928),
    [anon_sym_yield] = ACTIONS(928),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_LTtemplate_GT] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(928),
    [anon_sym_class] = ACTIONS(928),
    [anon_sym_async] = ACTIONS(928),
    [anon_sym_function] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(928),
    [anon_sym_new] = ACTIONS(928),
    [anon_sym_AMP_AMP] = ACTIONS(928),
    [anon_sym_PIPE_PIPE] = ACTIONS(928),
    [anon_sym_GT_GT] = ACTIONS(928),
    [anon_sym_GT_GT_GT] = ACTIONS(928),
    [anon_sym_LT_LT] = ACTIONS(928),
    [anon_sym_AMP] = ACTIONS(928),
    [anon_sym_CARET] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(928),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_SLASH] = ACTIONS(928),
    [anon_sym_PERCENT] = ACTIONS(928),
    [anon_sym_STAR_STAR] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(928),
    [anon_sym_QMARK_QMARK] = ACTIONS(928),
    [anon_sym_instanceof] = ACTIONS(928),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_typeof] = ACTIONS(928),
    [anon_sym_void] = ACTIONS(928),
    [anon_sym_delete] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(928),
    [sym_number] = ACTIONS(928),
    [sym_private_property_identifier] = ACTIONS(928),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(928),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(928),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [sym__automatic_semicolon] = ACTIONS(930),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_comment] = STATE(175),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_default] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_import] = ACTIONS(991),
    [anon_sym_var] = ACTIONS(991),
    [anon_sym_let] = ACTIONS(991),
    [anon_sym_const] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_switch] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_await] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(991),
    [anon_sym_do] = ACTIONS(991),
    [anon_sym_try] = ACTIONS(991),
    [anon_sym_with] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(991),
    [anon_sym_continue] = ACTIONS(991),
    [anon_sym_debugger] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_throw] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_case] = ACTIONS(991),
    [anon_sym_yield] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LTtemplate_GT] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(991),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(991),
    [sym_optional_chain] = ACTIONS(993),
    [anon_sym_new] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(993),
    [anon_sym_PIPE_PIPE] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(993),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(991),
    [anon_sym_PERCENT] = ACTIONS(993),
    [anon_sym_STAR_STAR] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(993),
    [anon_sym_GT_EQ] = ACTIONS(993),
    [anon_sym_QMARK_QMARK] = ACTIONS(993),
    [anon_sym_instanceof] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_typeof] = ACTIONS(991),
    [anon_sym_void] = ACTIONS(991),
    [anon_sym_delete] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [sym_number] = ACTIONS(991),
    [sym_private_property_identifier] = ACTIONS(991),
    [sym_this] = ACTIONS(991),
    [sym_super] = ACTIONS(991),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [sym_undefined] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_static] = ACTIONS(991),
    [anon_sym_get] = ACTIONS(991),
    [anon_sym_set] = ACTIONS(991),
    [sym__automatic_semicolon] = ACTIONS(1009),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_comment] = STATE(176),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_export] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_import] = ACTIONS(959),
    [anon_sym_var] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_else] = ACTIONS(959),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_switch] = ACTIONS(959),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(959),
    [anon_sym_in] = ACTIONS(961),
    [anon_sym_while] = ACTIONS(959),
    [anon_sym_do] = ACTIONS(959),
    [anon_sym_try] = ACTIONS(959),
    [anon_sym_with] = ACTIONS(959),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_debugger] = ACTIONS(959),
    [anon_sym_return] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_LTtemplate_GT] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(959),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_function] = ACTIONS(959),
    [sym_optional_chain] = ACTIONS(961),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_QMARK_QMARK] = ACTIONS(961),
    [anon_sym_instanceof] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(959),
    [anon_sym_void] = ACTIONS(959),
    [anon_sym_delete] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(959),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(959),
    [sym_number] = ACTIONS(959),
    [sym_private_property_identifier] = ACTIONS(959),
    [sym_this] = ACTIONS(959),
    [sym_super] = ACTIONS(959),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [sym_undefined] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(959),
    [anon_sym_static] = ACTIONS(959),
    [anon_sym_get] = ACTIONS(959),
    [anon_sym_set] = ACTIONS(959),
    [sym__automatic_semicolon] = ACTIONS(1013),
    [sym__ternary_qmark] = ACTIONS(965),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_comment] = STATE(177),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_var] = ACTIONS(912),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_const] = ACTIONS(912),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_await] = ACTIONS(912),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(912),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(912),
    [anon_sym_with] = ACTIONS(912),
    [anon_sym_break] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(912),
    [anon_sym_debugger] = ACTIONS(912),
    [anon_sym_return] = ACTIONS(912),
    [anon_sym_throw] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(912),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_LBRACK] = ACTIONS(912),
    [anon_sym_LTtemplate_GT] = ACTIONS(912),
    [anon_sym_LT] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(912),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(912),
    [sym_optional_chain] = ACTIONS(914),
    [anon_sym_new] = ACTIONS(912),
    [anon_sym_AMP_AMP] = ACTIONS(914),
    [anon_sym_PIPE_PIPE] = ACTIONS(914),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(914),
    [anon_sym_LT_LT] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(912),
    [anon_sym_DASH] = ACTIONS(912),
    [anon_sym_SLASH] = ACTIONS(912),
    [anon_sym_PERCENT] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(914),
    [anon_sym_LT_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(914),
    [anon_sym_QMARK_QMARK] = ACTIONS(914),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(912),
    [anon_sym_TILDE] = ACTIONS(912),
    [anon_sym_typeof] = ACTIONS(912),
    [anon_sym_void] = ACTIONS(912),
    [anon_sym_delete] = ACTIONS(912),
    [anon_sym_PLUS_PLUS] = ACTIONS(912),
    [anon_sym_DASH_DASH] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(912),
    [anon_sym_SQUOTE] = ACTIONS(912),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(912),
    [sym_number] = ACTIONS(912),
    [sym_private_property_identifier] = ACTIONS(912),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(912),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(1015),
    [sym__ternary_qmark] = ACTIONS(918),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_comment] = STATE(178),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_comment] = STATE(179),
    [sym_identifier] = ACTIONS(904),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_await] = ACTIONS(904),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_debugger] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LTtemplate_GT] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(904),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_typeof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(904),
    [anon_sym_DASH_DASH] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_SQUOTE] = ACTIONS(904),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(904),
    [sym_number] = ACTIONS(904),
    [sym_private_property_identifier] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(1017),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_comment] = STATE(180),
    [sym_identifier] = ACTIONS(896),
    [anon_sym_export] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(896),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_var] = ACTIONS(896),
    [anon_sym_let] = ACTIONS(896),
    [anon_sym_const] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym_await] = ACTIONS(896),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_debugger] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(896),
    [anon_sym_LTtemplate_GT] = ACTIONS(896),
    [anon_sym_LT] = ACTIONS(896),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(896),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(896),
    [anon_sym_typeof] = ACTIONS(896),
    [anon_sym_void] = ACTIONS(896),
    [anon_sym_delete] = ACTIONS(896),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE] = ACTIONS(896),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(896),
    [sym_number] = ACTIONS(896),
    [sym_private_property_identifier] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_get] = ACTIONS(896),
    [anon_sym_set] = ACTIONS(896),
    [sym__automatic_semicolon] = ACTIONS(1019),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_comment] = STATE(181),
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_export] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_import] = ACTIONS(967),
    [anon_sym_var] = ACTIONS(967),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_else] = ACTIONS(967),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_switch] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(967),
    [anon_sym_in] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(967),
    [anon_sym_do] = ACTIONS(967),
    [anon_sym_try] = ACTIONS(967),
    [anon_sym_with] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_debugger] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_yield] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_LTtemplate_GT] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_DOT] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(967),
    [anon_sym_function] = ACTIONS(967),
    [sym_optional_chain] = ACTIONS(969),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_GT_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_AMP] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_QMARK_QMARK] = ACTIONS(969),
    [anon_sym_instanceof] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_typeof] = ACTIONS(967),
    [anon_sym_void] = ACTIONS(967),
    [anon_sym_delete] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_number] = ACTIONS(967),
    [sym_private_property_identifier] = ACTIONS(967),
    [sym_this] = ACTIONS(967),
    [sym_super] = ACTIONS(967),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [sym_undefined] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_get] = ACTIONS(967),
    [anon_sym_set] = ACTIONS(967),
    [sym__automatic_semicolon] = ACTIONS(1023),
    [sym__ternary_qmark] = ACTIONS(973),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_comment] = STATE(182),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(920),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_var] = ACTIONS(920),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(920),
    [anon_sym_else] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_await] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_debugger] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LTtemplate_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(920),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_typeof] = ACTIONS(920),
    [anon_sym_void] = ACTIONS(920),
    [anon_sym_delete] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE] = ACTIONS(920),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(920),
    [sym_number] = ACTIONS(920),
    [sym_private_property_identifier] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(1027),
    [sym__ternary_qmark] = ACTIONS(926),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_comment] = STATE(183),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1029),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_comment] = STATE(184),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(977),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_import] = ACTIONS(975),
    [anon_sym_var] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_const] = ACTIONS(975),
    [anon_sym_else] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_switch] = ACTIONS(975),
    [anon_sym_for] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_await] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_do] = ACTIONS(975),
    [anon_sym_try] = ACTIONS(975),
    [anon_sym_with] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(975),
    [anon_sym_continue] = ACTIONS(975),
    [anon_sym_debugger] = ACTIONS(975),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_throw] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_LTtemplate_GT] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(975),
    [anon_sym_async] = ACTIONS(975),
    [anon_sym_function] = ACTIONS(975),
    [sym_optional_chain] = ACTIONS(977),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(977),
    [anon_sym_PIPE_PIPE] = ACTIONS(977),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(977),
    [anon_sym_LT_LT] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_SLASH] = ACTIONS(975),
    [anon_sym_PERCENT] = ACTIONS(977),
    [anon_sym_STAR_STAR] = ACTIONS(977),
    [anon_sym_LT_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(977),
    [anon_sym_GT_EQ] = ACTIONS(977),
    [anon_sym_QMARK_QMARK] = ACTIONS(977),
    [anon_sym_instanceof] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_typeof] = ACTIONS(975),
    [anon_sym_void] = ACTIONS(975),
    [anon_sym_delete] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(975),
    [anon_sym_SQUOTE] = ACTIONS(975),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(975),
    [sym_number] = ACTIONS(975),
    [sym_private_property_identifier] = ACTIONS(975),
    [sym_this] = ACTIONS(975),
    [sym_super] = ACTIONS(975),
    [sym_true] = ACTIONS(975),
    [sym_false] = ACTIONS(975),
    [sym_null] = ACTIONS(975),
    [sym_undefined] = ACTIONS(975),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_static] = ACTIONS(975),
    [anon_sym_get] = ACTIONS(975),
    [anon_sym_set] = ACTIONS(975),
    [sym__automatic_semicolon] = ACTIONS(1033),
    [sym__ternary_qmark] = ACTIONS(981),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_comment] = STATE(185),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_import] = ACTIONS(991),
    [anon_sym_var] = ACTIONS(991),
    [anon_sym_let] = ACTIONS(991),
    [anon_sym_const] = ACTIONS(991),
    [anon_sym_else] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_switch] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_await] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(991),
    [anon_sym_do] = ACTIONS(991),
    [anon_sym_try] = ACTIONS(991),
    [anon_sym_with] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(991),
    [anon_sym_continue] = ACTIONS(991),
    [anon_sym_debugger] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_throw] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_yield] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LTtemplate_GT] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(991),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(991),
    [sym_optional_chain] = ACTIONS(993),
    [anon_sym_new] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(993),
    [anon_sym_PIPE_PIPE] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(993),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(991),
    [anon_sym_PERCENT] = ACTIONS(993),
    [anon_sym_STAR_STAR] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(993),
    [anon_sym_GT_EQ] = ACTIONS(993),
    [anon_sym_QMARK_QMARK] = ACTIONS(993),
    [anon_sym_instanceof] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_typeof] = ACTIONS(991),
    [anon_sym_void] = ACTIONS(991),
    [anon_sym_delete] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [sym_number] = ACTIONS(991),
    [sym_private_property_identifier] = ACTIONS(991),
    [sym_this] = ACTIONS(991),
    [sym_super] = ACTIONS(991),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [sym_undefined] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_static] = ACTIONS(991),
    [anon_sym_get] = ACTIONS(991),
    [anon_sym_set] = ACTIONS(991),
    [sym__automatic_semicolon] = ACTIONS(1037),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_comment] = STATE(186),
    [sym_identifier] = ACTIONS(920),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_default] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_var] = ACTIONS(920),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_await] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_debugger] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [anon_sym_case] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LTtemplate_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(920),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_typeof] = ACTIONS(920),
    [anon_sym_void] = ACTIONS(920),
    [anon_sym_delete] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE] = ACTIONS(920),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(920),
    [sym_number] = ACTIONS(920),
    [sym_private_property_identifier] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(1039),
    [sym__ternary_qmark] = ACTIONS(926),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_comment] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_identifier] = ACTIONS(896),
    [anon_sym_export] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(896),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_var] = ACTIONS(896),
    [anon_sym_let] = ACTIONS(896),
    [anon_sym_const] = ACTIONS(896),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym_await] = ACTIONS(896),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_debugger] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(896),
    [anon_sym_LTtemplate_GT] = ACTIONS(896),
    [anon_sym_LT] = ACTIONS(896),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(896),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(896),
    [anon_sym_typeof] = ACTIONS(896),
    [anon_sym_void] = ACTIONS(896),
    [anon_sym_delete] = ACTIONS(896),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE] = ACTIONS(896),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(896),
    [sym_number] = ACTIONS(896),
    [sym_private_property_identifier] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_get] = ACTIONS(896),
    [anon_sym_set] = ACTIONS(896),
    [sym__automatic_semicolon] = ACTIONS(1043),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1265),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2063),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2747),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1951),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1045),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_comment] = STATE(189),
    [ts_builtin_sym_end] = ACTIONS(932),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(866),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_EQ] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(866),
    [anon_sym_DOT] = ACTIONS(866),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(866),
    [anon_sym_PIPE_PIPE] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(866),
    [anon_sym_GT_GT_GT] = ACTIONS(866),
    [anon_sym_LT_LT] = ACTIONS(866),
    [anon_sym_AMP] = ACTIONS(866),
    [anon_sym_CARET] = ACTIONS(866),
    [anon_sym_PIPE] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(866),
    [anon_sym_STAR_STAR] = ACTIONS(866),
    [anon_sym_LT_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ] = ACTIONS(866),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ] = ACTIONS(866),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(866),
    [anon_sym_GT_EQ] = ACTIONS(866),
    [anon_sym_QMARK_QMARK] = ACTIONS(866),
    [anon_sym_instanceof] = ACTIONS(866),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1047),
    [sym__ternary_qmark] = ACTIONS(872),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_comment] = STATE(190),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(928),
    [anon_sym_default] = ACTIONS(928),
    [anon_sym_LBRACE] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(928),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_import] = ACTIONS(928),
    [anon_sym_var] = ACTIONS(928),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_const] = ACTIONS(928),
    [anon_sym_if] = ACTIONS(928),
    [anon_sym_switch] = ACTIONS(928),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_await] = ACTIONS(928),
    [anon_sym_in] = ACTIONS(928),
    [anon_sym_while] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(928),
    [anon_sym_try] = ACTIONS(928),
    [anon_sym_with] = ACTIONS(928),
    [anon_sym_break] = ACTIONS(928),
    [anon_sym_continue] = ACTIONS(928),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(928),
    [anon_sym_case] = ACTIONS(928),
    [anon_sym_yield] = ACTIONS(928),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_LTtemplate_GT] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(928),
    [anon_sym_class] = ACTIONS(928),
    [anon_sym_async] = ACTIONS(928),
    [anon_sym_function] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(928),
    [anon_sym_new] = ACTIONS(928),
    [anon_sym_AMP_AMP] = ACTIONS(928),
    [anon_sym_PIPE_PIPE] = ACTIONS(928),
    [anon_sym_GT_GT] = ACTIONS(928),
    [anon_sym_GT_GT_GT] = ACTIONS(928),
    [anon_sym_LT_LT] = ACTIONS(928),
    [anon_sym_AMP] = ACTIONS(928),
    [anon_sym_CARET] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(928),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_SLASH] = ACTIONS(928),
    [anon_sym_PERCENT] = ACTIONS(928),
    [anon_sym_STAR_STAR] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(928),
    [anon_sym_QMARK_QMARK] = ACTIONS(928),
    [anon_sym_instanceof] = ACTIONS(928),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_typeof] = ACTIONS(928),
    [anon_sym_void] = ACTIONS(928),
    [anon_sym_delete] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(928),
    [sym_number] = ACTIONS(928),
    [sym_private_property_identifier] = ACTIONS(928),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(928),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(928),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [sym__automatic_semicolon] = ACTIONS(930),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_comment] = STATE(191),
    [ts_builtin_sym_end] = ACTIONS(941),
    [sym_identifier] = ACTIONS(939),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_import] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(939),
    [anon_sym_let] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_switch] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(939),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(939),
    [anon_sym_with] = ACTIONS(939),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(939),
    [anon_sym_debugger] = ACTIONS(939),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_throw] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_LTtemplate_GT] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_class] = ACTIONS(939),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_function] = ACTIONS(939),
    [sym_optional_chain] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_GT_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_QMARK_QMARK] = ACTIONS(939),
    [anon_sym_instanceof] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_typeof] = ACTIONS(939),
    [anon_sym_void] = ACTIONS(939),
    [anon_sym_delete] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE] = ACTIONS(939),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(939),
    [sym_private_property_identifier] = ACTIONS(939),
    [sym_this] = ACTIONS(939),
    [sym_super] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_undefined] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(941),
    [sym__ternary_qmark] = ACTIONS(941),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_comment] = STATE(192),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_export] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_default] = ACTIONS(959),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_import] = ACTIONS(959),
    [anon_sym_var] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_switch] = ACTIONS(959),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(959),
    [anon_sym_in] = ACTIONS(961),
    [anon_sym_while] = ACTIONS(959),
    [anon_sym_do] = ACTIONS(959),
    [anon_sym_try] = ACTIONS(959),
    [anon_sym_with] = ACTIONS(959),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_debugger] = ACTIONS(959),
    [anon_sym_return] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_LTtemplate_GT] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(959),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_function] = ACTIONS(959),
    [sym_optional_chain] = ACTIONS(961),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_QMARK_QMARK] = ACTIONS(961),
    [anon_sym_instanceof] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(959),
    [anon_sym_void] = ACTIONS(959),
    [anon_sym_delete] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(959),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(959),
    [sym_number] = ACTIONS(959),
    [sym_private_property_identifier] = ACTIONS(959),
    [sym_this] = ACTIONS(959),
    [sym_super] = ACTIONS(959),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [sym_undefined] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(959),
    [anon_sym_static] = ACTIONS(959),
    [anon_sym_get] = ACTIONS(959),
    [anon_sym_set] = ACTIONS(959),
    [sym__automatic_semicolon] = ACTIONS(1049),
    [sym__ternary_qmark] = ACTIONS(965),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2063),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2718),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(1951),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1045),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_comment] = STATE(194),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_comment] = STATE(195),
    [ts_builtin_sym_end] = ACTIONS(932),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1051),
    [sym__ternary_qmark] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_comment] = STATE(196),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_var] = ACTIONS(912),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_const] = ACTIONS(912),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_await] = ACTIONS(912),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(912),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(912),
    [anon_sym_with] = ACTIONS(912),
    [anon_sym_break] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(912),
    [anon_sym_debugger] = ACTIONS(912),
    [anon_sym_return] = ACTIONS(912),
    [anon_sym_throw] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(912),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_LBRACK] = ACTIONS(912),
    [anon_sym_LTtemplate_GT] = ACTIONS(912),
    [anon_sym_LT] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(912),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(912),
    [sym_optional_chain] = ACTIONS(914),
    [anon_sym_new] = ACTIONS(912),
    [anon_sym_AMP_AMP] = ACTIONS(914),
    [anon_sym_PIPE_PIPE] = ACTIONS(914),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(914),
    [anon_sym_LT_LT] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(912),
    [anon_sym_DASH] = ACTIONS(912),
    [anon_sym_SLASH] = ACTIONS(912),
    [anon_sym_PERCENT] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(914),
    [anon_sym_LT_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(914),
    [anon_sym_QMARK_QMARK] = ACTIONS(914),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(912),
    [anon_sym_TILDE] = ACTIONS(912),
    [anon_sym_typeof] = ACTIONS(912),
    [anon_sym_void] = ACTIONS(912),
    [anon_sym_delete] = ACTIONS(912),
    [anon_sym_PLUS_PLUS] = ACTIONS(912),
    [anon_sym_DASH_DASH] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(912),
    [anon_sym_SQUOTE] = ACTIONS(912),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(912),
    [sym_number] = ACTIONS(912),
    [sym_private_property_identifier] = ACTIONS(912),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(912),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(1055),
    [sym__ternary_qmark] = ACTIONS(918),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_comment] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(987),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_GT_GT] = ACTIONS(987),
    [anon_sym_GT_GT_GT] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(987),
    [anon_sym_AMP] = ACTIONS(987),
    [anon_sym_CARET] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(987),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(987),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_QMARK_QMARK] = ACTIONS(987),
    [anon_sym_instanceof] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(989),
    [sym__ternary_qmark] = ACTIONS(989),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_comment] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1057),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2175),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(2135),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_comment] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_import] = ACTIONS(991),
    [anon_sym_var] = ACTIONS(991),
    [anon_sym_let] = ACTIONS(991),
    [anon_sym_const] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_switch] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_await] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(991),
    [anon_sym_do] = ACTIONS(991),
    [anon_sym_try] = ACTIONS(991),
    [anon_sym_with] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(991),
    [anon_sym_continue] = ACTIONS(991),
    [anon_sym_debugger] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_throw] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_yield] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LTtemplate_GT] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(991),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(991),
    [sym_optional_chain] = ACTIONS(993),
    [anon_sym_new] = ACTIONS(991),
    [anon_sym_AMP_AMP] = ACTIONS(993),
    [anon_sym_PIPE_PIPE] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_GT_GT_GT] = ACTIONS(993),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(991),
    [anon_sym_PERCENT] = ACTIONS(993),
    [anon_sym_STAR_STAR] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(993),
    [anon_sym_GT_EQ] = ACTIONS(993),
    [anon_sym_QMARK_QMARK] = ACTIONS(993),
    [anon_sym_instanceof] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_typeof] = ACTIONS(991),
    [anon_sym_void] = ACTIONS(991),
    [anon_sym_delete] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [sym_number] = ACTIONS(991),
    [sym_private_property_identifier] = ACTIONS(991),
    [sym_this] = ACTIONS(991),
    [sym_super] = ACTIONS(991),
    [sym_true] = ACTIONS(991),
    [sym_false] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [sym_undefined] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_static] = ACTIONS(991),
    [anon_sym_get] = ACTIONS(991),
    [anon_sym_set] = ACTIONS(991),
    [sym__automatic_semicolon] = ACTIONS(1061),
    [sym__ternary_qmark] = ACTIONS(997),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_comment] = STATE(201),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(904),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_await] = ACTIONS(904),
    [anon_sym_in] = ACTIONS(906),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_debugger] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LTtemplate_GT] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(906),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(904),
    [sym_optional_chain] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(906),
    [anon_sym_PIPE_PIPE] = ACTIONS(906),
    [anon_sym_GT_GT] = ACTIONS(906),
    [anon_sym_GT_GT_GT] = ACTIONS(906),
    [anon_sym_LT_LT] = ACTIONS(906),
    [anon_sym_AMP] = ACTIONS(906),
    [anon_sym_CARET] = ACTIONS(906),
    [anon_sym_PIPE] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(906),
    [anon_sym_STAR_STAR] = ACTIONS(906),
    [anon_sym_LT_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ] = ACTIONS(906),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ] = ACTIONS(906),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(906),
    [anon_sym_GT_EQ] = ACTIONS(906),
    [anon_sym_QMARK_QMARK] = ACTIONS(906),
    [anon_sym_instanceof] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_typeof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(904),
    [anon_sym_DASH_DASH] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_SQUOTE] = ACTIONS(904),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(904),
    [sym_number] = ACTIONS(904),
    [sym_private_property_identifier] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(1063),
    [sym__ternary_qmark] = ACTIONS(910),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1333),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2080),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1067),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_comment] = STATE(203),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_identifier] = ACTIONS(896),
    [anon_sym_export] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(896),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_var] = ACTIONS(896),
    [anon_sym_let] = ACTIONS(896),
    [anon_sym_const] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym_await] = ACTIONS(896),
    [anon_sym_in] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_debugger] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(896),
    [anon_sym_LTtemplate_GT] = ACTIONS(896),
    [anon_sym_LT] = ACTIONS(896),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_DOT] = ACTIONS(898),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_async] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(896),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(898),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_QMARK_QMARK] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(896),
    [anon_sym_typeof] = ACTIONS(896),
    [anon_sym_void] = ACTIONS(896),
    [anon_sym_delete] = ACTIONS(896),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE] = ACTIONS(896),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(896),
    [sym_number] = ACTIONS(896),
    [sym_private_property_identifier] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_get] = ACTIONS(896),
    [anon_sym_set] = ACTIONS(896),
    [sym__automatic_semicolon] = ACTIONS(1071),
    [sym__ternary_qmark] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1340),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2109),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2112),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1073),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2316),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(2086),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1075),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_comment] = STATE(206),
    [ts_builtin_sym_end] = ACTIONS(941),
    [sym_identifier] = ACTIONS(939),
    [anon_sym_export] = ACTIONS(939),
    [anon_sym_STAR] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_import] = ACTIONS(939),
    [anon_sym_var] = ACTIONS(939),
    [anon_sym_let] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_switch] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_await] = ACTIONS(939),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(939),
    [anon_sym_try] = ACTIONS(939),
    [anon_sym_with] = ACTIONS(939),
    [anon_sym_break] = ACTIONS(939),
    [anon_sym_continue] = ACTIONS(939),
    [anon_sym_debugger] = ACTIONS(939),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_throw] = ACTIONS(939),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_LTtemplate_GT] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_GT] = ACTIONS(939),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_class] = ACTIONS(939),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_function] = ACTIONS(939),
    [sym_optional_chain] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(939),
    [anon_sym_AMP_AMP] = ACTIONS(939),
    [anon_sym_PIPE_PIPE] = ACTIONS(939),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_GT_GT_GT] = ACTIONS(939),
    [anon_sym_LT_LT] = ACTIONS(939),
    [anon_sym_AMP] = ACTIONS(939),
    [anon_sym_CARET] = ACTIONS(939),
    [anon_sym_PIPE] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_SLASH] = ACTIONS(939),
    [anon_sym_PERCENT] = ACTIONS(939),
    [anon_sym_STAR_STAR] = ACTIONS(939),
    [anon_sym_LT_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ] = ACTIONS(939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ] = ACTIONS(939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(939),
    [anon_sym_GT_EQ] = ACTIONS(939),
    [anon_sym_QMARK_QMARK] = ACTIONS(939),
    [anon_sym_instanceof] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_typeof] = ACTIONS(939),
    [anon_sym_void] = ACTIONS(939),
    [anon_sym_delete] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE] = ACTIONS(939),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(939),
    [sym_private_property_identifier] = ACTIONS(939),
    [sym_this] = ACTIONS(939),
    [sym_super] = ACTIONS(939),
    [sym_true] = ACTIONS(939),
    [sym_false] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [sym_undefined] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_static] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(939),
    [anon_sym_set] = ACTIONS(939),
    [sym__automatic_semicolon] = ACTIONS(941),
    [sym__ternary_qmark] = ACTIONS(941),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_comment] = STATE(207),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(876),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_comment] = STATE(208),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(920),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(922),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_var] = ACTIONS(920),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_await] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_debugger] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_LTtemplate_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(922),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(920),
    [sym_optional_chain] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(922),
    [anon_sym_PIPE_PIPE] = ACTIONS(922),
    [anon_sym_GT_GT] = ACTIONS(922),
    [anon_sym_GT_GT_GT] = ACTIONS(922),
    [anon_sym_LT_LT] = ACTIONS(922),
    [anon_sym_AMP] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(922),
    [anon_sym_PIPE] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(922),
    [anon_sym_LT_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ] = ACTIONS(922),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ] = ACTIONS(922),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(922),
    [anon_sym_GT_EQ] = ACTIONS(922),
    [anon_sym_QMARK_QMARK] = ACTIONS(922),
    [anon_sym_instanceof] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_typeof] = ACTIONS(920),
    [anon_sym_void] = ACTIONS(920),
    [anon_sym_delete] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE] = ACTIONS(920),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(920),
    [sym_number] = ACTIONS(920),
    [sym_private_property_identifier] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(1077),
    [sym__ternary_qmark] = ACTIONS(926),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2063),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(1951),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1045),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_comment] = STATE(210),
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [sym_optional_chain] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_GT_GT_GT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_STAR_STAR] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_QMARK_QMARK] = ACTIONS(874),
    [anon_sym_instanceof] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1079),
    [sym__ternary_qmark] = ACTIONS(876),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_comment] = STATE(211),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_export] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_let] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(987),
    [anon_sym_in] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_with] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_debugger] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LTtemplate_GT] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(987),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_async] = ACTIONS(987),
    [anon_sym_function] = ACTIONS(987),
    [sym_optional_chain] = ACTIONS(987),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP_AMP] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_GT_GT] = ACTIONS(987),
    [anon_sym_GT_GT_GT] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(987),
    [anon_sym_AMP] = ACTIONS(987),
    [anon_sym_CARET] = ACTIONS(987),
    [anon_sym_PIPE] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(987),
    [anon_sym_STAR_STAR] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(987),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_QMARK_QMARK] = ACTIONS(987),
    [anon_sym_instanceof] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_void] = ACTIONS(987),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_number] = ACTIONS(987),
    [sym_private_property_identifier] = ACTIONS(987),
    [sym_this] = ACTIONS(987),
    [sym_super] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_undefined] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_static] = ACTIONS(987),
    [anon_sym_get] = ACTIONS(987),
    [anon_sym_set] = ACTIONS(987),
    [sym__automatic_semicolon] = ACTIONS(989),
    [sym__ternary_qmark] = ACTIONS(989),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1332),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2098),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2097),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1081),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_comment] = STATE(213),
    [ts_builtin_sym_end] = ACTIONS(932),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_in] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [sym_optional_chain] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_GT_GT_GT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_STAR_STAR] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_QMARK_QMARK] = ACTIONS(864),
    [anon_sym_instanceof] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1083),
    [sym__ternary_qmark] = ACTIONS(932),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1299),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2067),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2066),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1085),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_comment] = STATE(215),
    [ts_builtin_sym_end] = ACTIONS(1021),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_export] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_import] = ACTIONS(967),
    [anon_sym_var] = ACTIONS(967),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_switch] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(967),
    [anon_sym_in] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(967),
    [anon_sym_do] = ACTIONS(967),
    [anon_sym_try] = ACTIONS(967),
    [anon_sym_with] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_debugger] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_yield] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_LTtemplate_GT] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT] = ACTIONS(969),
    [anon_sym_DOT] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(967),
    [anon_sym_function] = ACTIONS(967),
    [sym_optional_chain] = ACTIONS(969),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(969),
    [anon_sym_GT_GT_GT] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_AMP] = ACTIONS(969),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_PIPE] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(969),
    [anon_sym_STAR_STAR] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(969),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_QMARK_QMARK] = ACTIONS(969),
    [anon_sym_instanceof] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_typeof] = ACTIONS(967),
    [anon_sym_void] = ACTIONS(967),
    [anon_sym_delete] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_number] = ACTIONS(967),
    [sym_private_property_identifier] = ACTIONS(967),
    [sym_this] = ACTIONS(967),
    [sym_super] = ACTIONS(967),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [sym_undefined] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_get] = ACTIONS(967),
    [anon_sym_set] = ACTIONS(967),
    [sym__automatic_semicolon] = ACTIONS(1087),
    [sym__ternary_qmark] = ACTIONS(973),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_comment] = STATE(216),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_export] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_import] = ACTIONS(959),
    [anon_sym_var] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_switch] = ACTIONS(959),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(959),
    [anon_sym_in] = ACTIONS(961),
    [anon_sym_while] = ACTIONS(959),
    [anon_sym_do] = ACTIONS(959),
    [anon_sym_try] = ACTIONS(959),
    [anon_sym_with] = ACTIONS(959),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_debugger] = ACTIONS(959),
    [anon_sym_return] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_LTtemplate_GT] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_GT] = ACTIONS(961),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(959),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_function] = ACTIONS(959),
    [sym_optional_chain] = ACTIONS(961),
    [anon_sym_new] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(961),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(961),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(961),
    [anon_sym_STAR_STAR] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(961),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_QMARK_QMARK] = ACTIONS(961),
    [anon_sym_instanceof] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(959),
    [anon_sym_void] = ACTIONS(959),
    [anon_sym_delete] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(959),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(959),
    [sym_number] = ACTIONS(959),
    [sym_private_property_identifier] = ACTIONS(959),
    [sym_this] = ACTIONS(959),
    [sym_super] = ACTIONS(959),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [sym_undefined] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(959),
    [anon_sym_static] = ACTIONS(959),
    [anon_sym_get] = ACTIONS(959),
    [anon_sym_set] = ACTIONS(959),
    [sym__automatic_semicolon] = ACTIONS(1089),
    [sym__ternary_qmark] = ACTIONS(965),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1365),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2029),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [aux_sym_array_repeat1] = STATE(2030),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1269),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2138),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(1093),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(1093),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_comment] = STATE(219),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_var] = ACTIONS(912),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_const] = ACTIONS(912),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_await] = ACTIONS(912),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(912),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(912),
    [anon_sym_with] = ACTIONS(912),
    [anon_sym_break] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(912),
    [anon_sym_debugger] = ACTIONS(912),
    [anon_sym_return] = ACTIONS(912),
    [anon_sym_throw] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(912),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_LBRACK] = ACTIONS(912),
    [anon_sym_LTtemplate_GT] = ACTIONS(912),
    [anon_sym_LT] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(912),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(912),
    [sym_optional_chain] = ACTIONS(914),
    [anon_sym_new] = ACTIONS(912),
    [anon_sym_AMP_AMP] = ACTIONS(914),
    [anon_sym_PIPE_PIPE] = ACTIONS(914),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(914),
    [anon_sym_LT_LT] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(912),
    [anon_sym_DASH] = ACTIONS(912),
    [anon_sym_SLASH] = ACTIONS(912),
    [anon_sym_PERCENT] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(914),
    [anon_sym_LT_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(914),
    [anon_sym_QMARK_QMARK] = ACTIONS(914),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(912),
    [anon_sym_TILDE] = ACTIONS(912),
    [anon_sym_typeof] = ACTIONS(912),
    [anon_sym_void] = ACTIONS(912),
    [anon_sym_delete] = ACTIONS(912),
    [anon_sym_PLUS_PLUS] = ACTIONS(912),
    [anon_sym_DASH_DASH] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(912),
    [anon_sym_SQUOTE] = ACTIONS(912),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(912),
    [sym_number] = ACTIONS(912),
    [sym_private_property_identifier] = ACTIONS(912),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(912),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(1095),
    [sym__ternary_qmark] = ACTIONS(918),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_comment] = STATE(220),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(977),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_import] = ACTIONS(975),
    [anon_sym_var] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_const] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_switch] = ACTIONS(975),
    [anon_sym_for] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_await] = ACTIONS(975),
    [anon_sym_in] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_do] = ACTIONS(975),
    [anon_sym_try] = ACTIONS(975),
    [anon_sym_with] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(975),
    [anon_sym_continue] = ACTIONS(975),
    [anon_sym_debugger] = ACTIONS(975),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_throw] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(975),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_LTtemplate_GT] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_GT] = ACTIONS(977),
    [anon_sym_DOT] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(975),
    [anon_sym_async] = ACTIONS(975),
    [anon_sym_function] = ACTIONS(975),
    [sym_optional_chain] = ACTIONS(977),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_AMP_AMP] = ACTIONS(977),
    [anon_sym_PIPE_PIPE] = ACTIONS(977),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym_GT_GT_GT] = ACTIONS(977),
    [anon_sym_LT_LT] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_PIPE] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_SLASH] = ACTIONS(975),
    [anon_sym_PERCENT] = ACTIONS(977),
    [anon_sym_STAR_STAR] = ACTIONS(977),
    [anon_sym_LT_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(977),
    [anon_sym_GT_EQ] = ACTIONS(977),
    [anon_sym_QMARK_QMARK] = ACTIONS(977),
    [anon_sym_instanceof] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_typeof] = ACTIONS(975),
    [anon_sym_void] = ACTIONS(975),
    [anon_sym_delete] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(975),
    [anon_sym_SQUOTE] = ACTIONS(975),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(975),
    [sym_number] = ACTIONS(975),
    [sym_private_property_identifier] = ACTIONS(975),
    [sym_this] = ACTIONS(975),
    [sym_super] = ACTIONS(975),
    [sym_true] = ACTIONS(975),
    [sym_false] = ACTIONS(975),
    [sym_null] = ACTIONS(975),
    [sym_undefined] = ACTIONS(975),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_static] = ACTIONS(975),
    [anon_sym_get] = ACTIONS(975),
    [anon_sym_set] = ACTIONS(975),
    [sym__automatic_semicolon] = ACTIONS(1097),
    [sym__ternary_qmark] = ACTIONS(981),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_comment] = STATE(221),
    [ts_builtin_sym_end] = ACTIONS(930),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(928),
    [anon_sym_STAR] = ACTIONS(928),
    [anon_sym_LBRACE] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(928),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_import] = ACTIONS(928),
    [anon_sym_var] = ACTIONS(928),
    [anon_sym_let] = ACTIONS(928),
    [anon_sym_const] = ACTIONS(928),
    [anon_sym_if] = ACTIONS(928),
    [anon_sym_switch] = ACTIONS(928),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_await] = ACTIONS(928),
    [anon_sym_in] = ACTIONS(928),
    [anon_sym_while] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(928),
    [anon_sym_try] = ACTIONS(928),
    [anon_sym_with] = ACTIONS(928),
    [anon_sym_break] = ACTIONS(928),
    [anon_sym_continue] = ACTIONS(928),
    [anon_sym_debugger] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(928),
    [anon_sym_yield] = ACTIONS(928),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_LTtemplate_GT] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(928),
    [anon_sym_GT] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(928),
    [anon_sym_class] = ACTIONS(928),
    [anon_sym_async] = ACTIONS(928),
    [anon_sym_function] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(928),
    [anon_sym_new] = ACTIONS(928),
    [anon_sym_AMP_AMP] = ACTIONS(928),
    [anon_sym_PIPE_PIPE] = ACTIONS(928),
    [anon_sym_GT_GT] = ACTIONS(928),
    [anon_sym_GT_GT_GT] = ACTIONS(928),
    [anon_sym_LT_LT] = ACTIONS(928),
    [anon_sym_AMP] = ACTIONS(928),
    [anon_sym_CARET] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(928),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_SLASH] = ACTIONS(928),
    [anon_sym_PERCENT] = ACTIONS(928),
    [anon_sym_STAR_STAR] = ACTIONS(928),
    [anon_sym_LT_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ] = ACTIONS(928),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ] = ACTIONS(928),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(928),
    [anon_sym_GT_EQ] = ACTIONS(928),
    [anon_sym_QMARK_QMARK] = ACTIONS(928),
    [anon_sym_instanceof] = ACTIONS(928),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_typeof] = ACTIONS(928),
    [anon_sym_void] = ACTIONS(928),
    [anon_sym_delete] = ACTIONS(928),
    [anon_sym_PLUS_PLUS] = ACTIONS(928),
    [anon_sym_DASH_DASH] = ACTIONS(928),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(928),
    [sym_number] = ACTIONS(928),
    [sym_private_property_identifier] = ACTIONS(928),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(928),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(928),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(928),
    [anon_sym_set] = ACTIONS(928),
    [sym__automatic_semicolon] = ACTIONS(930),
    [sym__ternary_qmark] = ACTIONS(930),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2316),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(2086),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1099),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2251),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(2101),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2316),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1046),
    [sym_subscript_expression] = STATE(1046),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1837),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [sym_pattern] = STATE(2086),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_export] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(947),
    [anon_sym_set] = ACTIONS(947),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(239),
    [sym_empty_statement] = STATE(239),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(242),
    [sym_empty_statement] = STATE(242),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1370),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2785),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2785),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(240),
    [sym_empty_statement] = STATE(240),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1330),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_spread_element] = STATE(2761),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2761),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1785),
    [sym_expression_statement] = STATE(238),
    [sym_empty_statement] = STATE(238),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2314),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_assignment_pattern] = STATE(2251),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1827),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [sym_pattern] = STATE(2101),
    [sym_rest_pattern] = STATE(1808),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(800),
    [anon_sym_export] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(802),
    [anon_sym_get] = ACTIONS(802),
    [anon_sym_set] = ACTIONS(802),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2429),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1107),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1187),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2215),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1216),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2333),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1115),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1226),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2444),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1119),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2233),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym__automatic_semicolon] = ACTIONS(1123),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1279),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2737),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1125),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1282),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2734),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1127),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1311),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2765),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1129),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1304),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2720),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1355),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2715),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1065),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2054),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(1135),
    [anon_sym_export] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_var] = ACTIONS(1141),
    [anon_sym_let] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1137),
    [anon_sym_get] = ACTIONS(1137),
    [anon_sym_set] = ACTIONS(1137),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1147),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1411),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1321),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2793),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1266),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2738),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1274),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2732),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1262),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2736),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1359),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1210),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2421),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1320),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2714),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2446),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1267),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1240),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1346),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1344),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1015),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1209),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1208),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1015),
    [sym_subscript_expression] = STATE(1015),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(1157),
    [anon_sym_export] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(1163),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1159),
    [anon_sym_set] = ACTIONS(1159),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1315),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2716),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1217),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2335),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1308),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1295),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2728),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1149),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1408),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1188),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2217),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1144),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1284),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2746),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1084),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1377),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1372),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2697),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2772),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1149),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1147),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1433),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1144),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1446),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1329),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2791),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_sequence_expression] = STATE(2235),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1301),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2719),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1308),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1218),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1084),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1429),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1344),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1215),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1346),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1214),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1287),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2790),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1267),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1213),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1171),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1399),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1324),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2713),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2712),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1078),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1077),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_export] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(1173),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_get] = ACTIONS(1169),
    [anon_sym_set] = ACTIONS(1169),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1078),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1077),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1122),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1376),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1122),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1144),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1145),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1015),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1209),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1208),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1015),
    [sym_subscript_expression] = STATE(1015),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_export] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_get] = ACTIONS(1179),
    [anon_sym_set] = ACTIONS(1179),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1147),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1148),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1084),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1091),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1328),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1185),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1078),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1077),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(1187),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1785),
    [sym_statement_block] = STATE(1359),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1242),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1349),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_sequence_expression] = STATE(2787),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1149),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1150),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1170),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(1751),
    [sym_statement_block] = STATE(1122),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1121),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1432),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1397),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1089),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1069),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(303),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1199),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1198),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(306),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1197),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1116),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(308),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1206),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1117),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(310),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1196),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1195),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1194),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1193),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1118),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1119),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1192),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(317),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1191),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1190),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1387),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1200),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(321),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1120),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(322),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1436),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1113),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(326),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1125),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1127),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1345),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(331),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1130),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1066),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1406),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(334),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1189),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(335),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1444),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(336),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1442),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(337),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(338),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1386),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(339),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1135),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1179),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1260),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1143),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1155),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1113),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(347),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(348),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1383),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(349),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1162),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1385),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(352),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1167),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(353),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1426),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(354),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(355),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1175),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(356),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1186),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1184),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(358),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1094),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(359),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1421),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(360),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1374),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(361),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1393),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(363),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1243),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(364),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1244),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(365),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1123),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(366),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1395),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(367),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1237),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(368),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1068),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(369),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1069),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(370),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1068),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(371),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(372),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1434),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1388),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(374),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1375),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(375),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1245),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(376),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1069),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(377),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1246),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1392),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(380),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1068),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(381),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1431),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(383),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1182),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(384),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1248),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1048),
    [sym_expression] = STATE(1180),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1048),
    [sym_subscript_expression] = STATE(1048),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1649),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2699),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(386),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2703),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_export] = ACTIONS(714),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(722),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(85),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(87),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(714),
    [anon_sym_get] = ACTIONS(714),
    [anon_sym_set] = ACTIONS(714),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1403),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1031),
    [sym_subscript_expression] = STATE(1031),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2796),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(388),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(686),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1066),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(389),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1066),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(390),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_expression] = STATE(1237),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1963),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(391),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2800),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(1189),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(692),
    [anon_sym_TILDE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(692),
    [anon_sym_void] = ACTIONS(692),
    [anon_sym_delete] = ACTIONS(692),
    [anon_sym_PLUS_PLUS] = ACTIONS(696),
    [anon_sym_DASH_DASH] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(706),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(392),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(393),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1257),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1394),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(396),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1417),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1249),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1250),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1373),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(401),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1418),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(402),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1437),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(403),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1391),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1423),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(405),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1251),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(406),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1252),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1451),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1049),
    [sym_subscript_expression] = STATE(1049),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(1821),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(1197),
    [anon_sym_export] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_get] = ACTIONS(1199),
    [anon_sym_set] = ACTIONS(1199),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1253),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1259),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1425),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1254),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1427),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1440),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1414),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(416),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1449),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1445),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(418),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1448),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(995),
    [sym_expression] = STATE(1378),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(995),
    [sym_subscript_expression] = STATE(995),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1643),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2802),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2794),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(778),
    [anon_sym_export] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(788),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_typeof] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_delete] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(796),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_get] = ACTIONS(780),
    [anon_sym_set] = ACTIONS(780),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_expression] = STATE(1255),
    [sym_primary_expression] = STATE(1361),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1312),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1312),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1362),
    [sym_glimmer_opening_tag] = STATE(1976),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_opening_element] = STATE(1669),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_class] = STATE(1312),
    [sym_function_expression] = STATE(1312),
    [sym_generator_function] = STATE(1312),
    [sym_arrow_function] = STATE(1312),
    [sym_call_expression] = STATE(1312),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1047),
    [sym_subscript_expression] = STATE(1047),
    [sym_assignment_expression] = STATE(1362),
    [sym__augmented_assignment_lhs] = STATE(1637),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym__destructuring_pattern] = STATE(2711),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_string] = STATE(1312),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(1312),
    [sym_regex] = STATE(1312),
    [sym_meta_property] = STATE(1312),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2689),
    [aux_sym_export_statement_repeat1] = STATE(1974),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_export] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_async] = ACTIONS(736),
    [anon_sym_function] = ACTIONS(724),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(740),
    [anon_sym_TILDE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(740),
    [anon_sym_void] = ACTIONS(740),
    [anon_sym_delete] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(77),
    [anon_sym_SQUOTE] = ACTIONS(79),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(81),
    [sym_number] = ACTIONS(83),
    [sym_private_property_identifier] = ACTIONS(746),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_expression] = STATE(1447),
    [sym_primary_expression] = STATE(1173),
    [sym_yield_expression] = STATE(1172),
    [sym_object] = STATE(1174),
    [sym_object_pattern] = STATE(1727),
    [sym_array] = STATE(1174),
    [sym_array_pattern] = STATE(1727),
    [sym_glimmer_template] = STATE(1172),
    [sym_glimmer_opening_tag] = STATE(1907),
    [sym_jsx_element] = STATE(1172),
    [sym_jsx_opening_element] = STATE(1670),
    [sym_jsx_self_closing_element] = STATE(1172),
    [sym_class] = STATE(1174),
    [sym_function_expression] = STATE(1174),
    [sym_generator_function] = STATE(1174),
    [sym_arrow_function] = STATE(1174),
    [sym_call_expression] = STATE(1174),
    [sym_new_expression] = STATE(1172),
    [sym_await_expression] = STATE(1172),
    [sym_member_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1064),
    [sym_assignment_expression] = STATE(1172),
    [sym__augmented_assignment_lhs] = STATE(1653),
    [sym_augmented_assignment_expression] = STATE(1172),
    [sym__destructuring_pattern] = STATE(2730),
    [sym_ternary_expression] = STATE(1172),
    [sym_binary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1172),
    [sym_update_expression] = STATE(1172),
    [sym_string] = STATE(1174),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(1174),
    [sym_regex] = STATE(1174),
    [sym_meta_property] = STATE(1174),
    [sym_decorator] = STATE(2051),
    [sym_formal_parameters] = STATE(2729),
    [aux_sym_export_statement_repeat1] = STATE(1949),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_export] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_await] = ACTIONS(758),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_SLASH] = ACTIONS(770),
    [anon_sym_BANG] = ACTIONS(768),
    [anon_sym_TILDE] = ACTIONS(768),
    [anon_sym_typeof] = ACTIONS(768),
    [anon_sym_void] = ACTIONS(768),
    [anon_sym_delete] = ACTIONS(768),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(702),
    [sym_number] = ACTIONS(704),
    [sym_private_property_identifier] = ACTIONS(774),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_get] = ACTIONS(752),
    [anon_sym_set] = ACTIONS(752),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_namespace_export] = STATE(2566),
    [sym_export_clause] = STATE(1971),
    [sym_declaration] = STATE(928),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_class_declaration] = STATE(923),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function_declaration] = STATE(923),
    [sym_comment] = STATE(423),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(1873),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_namespace_export] = STATE(2566),
    [sym_export_clause] = STATE(1971),
    [sym_declaration] = STATE(928),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_class_declaration] = STATE(923),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function_declaration] = STATE(923),
    [sym_comment] = STATE(424),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(1873),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_namespace_export] = STATE(2566),
    [sym_export_clause] = STATE(1971),
    [sym_declaration] = STATE(928),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_class_declaration] = STATE(923),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function_declaration] = STATE(923),
    [sym_comment] = STATE(425),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(1873),
    [aux_sym_object_repeat1] = STATE(2114),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_namespace_export] = STATE(2663),
    [sym_export_clause] = STATE(1918),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(858),
    [sym_lexical_declaration] = STATE(858),
    [sym_class_declaration] = STATE(858),
    [sym_function_declaration] = STATE(858),
    [sym_generator_function_declaration] = STATE(858),
    [sym_comment] = STATE(426),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(2000),
    [anon_sym_STAR] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_let] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_async] = ACTIONS(1261),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_namespace_export] = STATE(2566),
    [sym_export_clause] = STATE(1971),
    [sym_declaration] = STATE(928),
    [sym_variable_declaration] = STATE(923),
    [sym_lexical_declaration] = STATE(923),
    [sym_class_declaration] = STATE(923),
    [sym_function_declaration] = STATE(923),
    [sym_generator_function_declaration] = STATE(923),
    [sym_comment] = STATE(427),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(1873),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1215),
    [anon_sym_let] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1265),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_async] = ACTIONS(1231),
    [anon_sym_function] = ACTIONS(1233),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_namespace_export] = STATE(2660),
    [sym_export_clause] = STATE(1888),
    [sym_declaration] = STATE(670),
    [sym_variable_declaration] = STATE(685),
    [sym_lexical_declaration] = STATE(685),
    [sym_class_declaration] = STATE(685),
    [sym_function_declaration] = STATE(685),
    [sym_generator_function_declaration] = STATE(685),
    [sym_comment] = STATE(428),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(1997),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1271),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_const] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1275),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1277),
    [anon_sym_async] = ACTIONS(1279),
    [anon_sym_function] = ACTIONS(1281),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(429),
    [sym_formal_parameters] = STATE(2756),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1283),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(1302),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_namespace_export] = STATE(2584),
    [sym_export_clause] = STATE(1914),
    [sym_declaration] = STATE(2543),
    [sym_variable_declaration] = STATE(2540),
    [sym_lexical_declaration] = STATE(2540),
    [sym_class_declaration] = STATE(2540),
    [sym_function_declaration] = STATE(2540),
    [sym_generator_function_declaration] = STATE(2540),
    [sym_comment] = STATE(430),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(1990),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1320),
    [anon_sym_let] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1324),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1326),
    [anon_sym_async] = ACTIONS(1328),
    [anon_sym_function] = ACTIONS(1330),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(431),
    [sym_formal_parameters] = STATE(2756),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1283),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(1302),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_namespace_export] = STATE(2503),
    [sym_export_clause] = STATE(1938),
    [sym_declaration] = STATE(653),
    [sym_variable_declaration] = STATE(654),
    [sym_lexical_declaration] = STATE(654),
    [sym_class_declaration] = STATE(654),
    [sym_function_declaration] = STATE(654),
    [sym_generator_function_declaration] = STATE(654),
    [sym_comment] = STATE(432),
    [sym_decorator] = STATE(2051),
    [aux_sym_export_statement_repeat1] = STATE(2004),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1338),
    [anon_sym_let] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1342),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(1348),
    [anon_sym_EQ_GT] = ACTIONS(1235),
    [sym_optional_chain] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [aux_sym_comment_token1] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1241),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(433),
    [sym_formal_parameters] = STATE(2756),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2114),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1283),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(1302),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1314),
    [anon_sym_set] = ACTIONS(1314),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(434),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2114),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(435),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(436),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(437),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2114),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(438),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1359),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_string] = STATE(2554),
    [sym_comment] = STATE(439),
    [sym__property_name] = STATE(2223),
    [sym_computed_property_name] = STATE(2554),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_export] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_number] = ACTIONS(1312),
    [sym_private_property_identifier] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [sym_formal_parameters] = STATE(2768),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [sym_formal_parameters] = STATE(2768),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1222),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_formal_parameters] = STATE(2742),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1382),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1390),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1302),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1394),
    [anon_sym_of] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [sym_formal_parameters] = STATE(2768),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1399),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1399),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_variable_declarator] = STATE(1959),
    [sym_object_pattern] = STATE(1776),
    [sym_array_pattern] = STATE(1776),
    [sym__destructuring_pattern] = STATE(1818),
    [sym_comment] = STATE(447),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [sym_formal_parameters] = STATE(2780),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_export] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1415),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_let] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1413),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1420),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1413),
    [anon_sym_get] = ACTIONS(1413),
    [anon_sym_set] = ACTIONS(1413),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1424),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_formal_parameters] = STATE(2780),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_export] = ACTIONS(1413),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_let] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1426),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1413),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1420),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1413),
    [anon_sym_get] = ACTIONS(1413),
    [anon_sym_set] = ACTIONS(1413),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1430),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [sym_formal_parameters] = STATE(2742),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_export] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_of] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1378),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1382),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_get] = ACTIONS(1378),
    [anon_sym_set] = ACTIONS(1378),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1436),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_formal_parameters] = STATE(2756),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_export] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_let] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(1380),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_get] = ACTIONS(1386),
    [anon_sym_set] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_catch_clause] = STATE(477),
    [sym_finally_clause] = STATE(571),
    [sym_comment] = STATE(456),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_with] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_debugger] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1440),
    [anon_sym_finally] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LTtemplate_GT] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_async] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1438),
    [anon_sym_void] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1438),
    [sym_super] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_variable_declarator] = STATE(1959),
    [sym_object_pattern] = STATE(1776),
    [sym_array_pattern] = STATE(1776),
    [sym__destructuring_pattern] = STATE(1818),
    [sym_comment] = STATE(457),
    [aux_sym_object_repeat1] = STATE(2010),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_variable_declarator] = STATE(1959),
    [sym_object_pattern] = STATE(1776),
    [sym_array_pattern] = STATE(1776),
    [sym__destructuring_pattern] = STATE(1818),
    [sym_comment] = STATE(458),
    [aux_sym_object_repeat1] = STATE(2114),
    [aux_sym_object_pattern_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_EQ_GT] = ACTIONS(1304),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym__automatic_semicolon] = ACTIONS(1211),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_catch_clause] = STATE(481),
    [sym_finally_clause] = STATE(757),
    [sym_comment] = STATE(459),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_with] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_debugger] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1444),
    [anon_sym_finally] = ACTIONS(1446),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LTtemplate_GT] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_async] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1438),
    [anon_sym_void] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1438),
    [sym_super] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_comment] = STATE(460),
    [sym_formal_parameters] = STATE(2768),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1222),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1370),
    [anon_sym_EQ_GT] = ACTIONS(1372),
    [sym_optional_chain] = ACTIONS(1222),
    [anon_sym_PLUS_EQ] = ACTIONS(1306),
    [anon_sym_DASH_EQ] = ACTIONS(1306),
    [anon_sym_STAR_EQ] = ACTIONS(1306),
    [anon_sym_SLASH_EQ] = ACTIONS(1306),
    [anon_sym_PERCENT_EQ] = ACTIONS(1306),
    [anon_sym_CARET_EQ] = ACTIONS(1306),
    [anon_sym_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1306),
    [anon_sym_LT_LT_EQ] = ACTIONS(1306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_GT_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ] = ACTIONS(1222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_QMARK_QMARK] = ACTIONS(1222),
    [anon_sym_instanceof] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_get] = ACTIONS(1363),
    [anon_sym_set] = ACTIONS(1363),
    [sym__ternary_qmark] = ACTIONS(1211),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_catch_clause] = STATE(510),
    [sym_finally_clause] = STATE(802),
    [sym_comment] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [anon_sym_let] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_with] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_debugger] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym_catch] = ACTIONS(1453),
    [anon_sym_finally] = ACTIONS(1455),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LTtemplate_GT] = ACTIONS(1438),
    [anon_sym_LT] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_async] = ACTIONS(1438),
    [anon_sym_function] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_SLASH] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_typeof] = ACTIONS(1438),
    [anon_sym_void] = ACTIONS(1438),
    [anon_sym_delete] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_number] = ACTIONS(1438),
    [sym_private_property_identifier] = ACTIONS(1438),
    [sym_this] = ACTIONS(1438),
    [sym_super] = ACTIONS(1438),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_catch] = ACTIONS(874),
    [anon_sym_finally] = ACTIONS(874),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_LTtemplate_GT] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(874),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(874),
    [sym_number] = ACTIONS(874),
    [sym_private_property_identifier] = ACTIONS(874),
    [sym_this] = ACTIONS(874),
    [sym_super] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [sym__automatic_semicolon] = ACTIONS(1457),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_comment] = STATE(463),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_export] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_var] = ACTIONS(864),
    [anon_sym_let] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_await] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_debugger] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_catch] = ACTIONS(864),
    [anon_sym_finally] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LTtemplate_GT] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_async] = ACTIONS(864),
    [anon_sym_function] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_TILDE] = ACTIONS(864),
    [anon_sym_typeof] = ACTIONS(864),
    [anon_sym_void] = ACTIONS(864),
    [anon_sym_delete] = ACTIONS(864),
    [anon_sym_PLUS_PLUS] = ACTIONS(864),
    [anon_sym_DASH_DASH] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_SQUOTE] = ACTIONS(864),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(864),
    [sym_number] = ACTIONS(864),
    [sym_private_property_identifier] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_get] = ACTIONS(864),
    [anon_sym_set] = ACTIONS(864),
    [sym__automatic_semicolon] = ACTIONS(1459),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1461), 1,
      sym__automatic_semicolon,
    STATE(464), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1463), 1,
      sym__automatic_semicolon,
    STATE(465), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [154] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1302), 1,
      anon_sym_function,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      sym_identifier,
    STATE(466), 1,
      sym_comment,
    STATE(2756), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [245] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1465), 1,
      sym__automatic_semicolon,
    STATE(467), 1,
      sym_comment,
    ACTIONS(874), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [320] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1467), 1,
      sym__automatic_semicolon,
    STATE(468), 1,
      sym_comment,
    ACTIONS(864), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [395] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1390), 1,
      anon_sym_function,
    STATE(469), 1,
      sym_comment,
    STATE(2756), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [486] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(470), 1,
      sym_comment,
    ACTIONS(939), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [559] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_EQ_GT,
    STATE(471), 1,
      sym_comment,
    STATE(2780), 1,
      sym_formal_parameters,
    ACTIONS(1413), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [650] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      sym__automatic_semicolon,
    STATE(472), 1,
      sym_comment,
    ACTIONS(874), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [725] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1424), 1,
      anon_sym_function,
    STATE(473), 1,
      sym_comment,
    STATE(2756), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [816] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1471), 1,
      sym__automatic_semicolon,
    STATE(474), 1,
      sym_comment,
    ACTIONS(864), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [891] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1430), 1,
      anon_sym_function,
    STATE(475), 1,
      sym_comment,
    STATE(2756), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [982] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1361), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1372), 1,
      anon_sym_EQ_GT,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    ACTIONS(1402), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_COMMA,
    STATE(476), 1,
      sym_comment,
    STATE(2768), 1,
      sym_formal_parameters,
    ACTIONS(1363), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 31,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1077] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1442), 1,
      anon_sym_finally,
    STATE(477), 1,
      sym_comment,
    STATE(604), 1,
      sym_finally_clause,
    ACTIONS(1473), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(478), 1,
      sym_comment,
    ACTIONS(874), 61,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1227] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1436), 1,
      anon_sym_function,
    STATE(479), 1,
      sym_comment,
    STATE(2756), 1,
      sym_formal_parameters,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [1318] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1451), 1,
      ts_builtin_sym_end,
    ACTIONS(1475), 1,
      anon_sym_catch,
    ACTIONS(1477), 1,
      anon_sym_finally,
    STATE(480), 1,
      sym_comment,
    STATE(610), 1,
      sym_catch_clause,
    STATE(977), 1,
      sym_finally_clause,
    ACTIONS(1438), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1401] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1446), 1,
      anon_sym_finally,
    STATE(481), 1,
      sym_comment,
    STATE(697), 1,
      sym_finally_clause,
    ACTIONS(1473), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1477] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(916), 1,
      sym__automatic_semicolon,
    STATE(482), 1,
      sym_comment,
    ACTIONS(912), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(483), 1,
      sym_comment,
    ACTIONS(1479), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1623] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1481), 1,
      sym__automatic_semicolon,
    STATE(484), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1699] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1483), 1,
      sym__automatic_semicolon,
    STATE(485), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1773] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      sym__automatic_semicolon,
    STATE(486), 1,
      sym_comment,
    ACTIONS(939), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1847] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      sym__automatic_semicolon,
    STATE(487), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1921] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1394), 1,
      anon_sym_in,
    ACTIONS(1397), 1,
      anon_sym_of,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1485), 1,
      sym_identifier,
    STATE(488), 1,
      sym_comment,
    STATE(1742), 1,
      sym__destructuring_pattern,
    STATE(1921), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2017] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(971), 1,
      sym__automatic_semicolon,
    STATE(489), 1,
      sym_comment,
    ACTIONS(967), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2091] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(979), 1,
      sym__automatic_semicolon,
    STATE(490), 1,
      sym_comment,
    ACTIONS(975), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2165] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(995), 1,
      sym__automatic_semicolon,
    STATE(491), 1,
      sym_comment,
    ACTIONS(991), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2239] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(492), 1,
      sym_comment,
    ACTIONS(874), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2311] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1388), 1,
      anon_sym_COLON,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(493), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1930), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2405] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1394), 1,
      anon_sym_in,
    ACTIONS(1397), 1,
      anon_sym_of,
    ACTIONS(1411), 1,
      sym_identifier,
    ACTIONS(1420), 1,
      anon_sym_EQ_GT,
    STATE(494), 1,
      sym_comment,
    STATE(2780), 1,
      sym_formal_parameters,
    ACTIONS(1413), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2499] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1487), 1,
      sym__automatic_semicolon,
    STATE(495), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2575] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1489), 1,
      sym_identifier,
    ACTIONS(1493), 1,
      anon_sym_EQ,
    ACTIONS(1495), 1,
      anon_sym_EQ_GT,
    STATE(496), 1,
      sym_comment,
    STATE(2724), 1,
      sym_formal_parameters,
    ACTIONS(1491), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [2665] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(930), 1,
      sym__automatic_semicolon,
    STATE(497), 1,
      sym_comment,
    ACTIONS(928), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2739] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(498), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2813] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1497), 1,
      sym__automatic_semicolon,
    STATE(499), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2887] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(963), 1,
      sym__automatic_semicolon,
    STATE(500), 1,
      sym_comment,
    ACTIONS(959), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2961] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_COLON,
    STATE(501), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1940), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3055] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(502), 1,
      sym_comment,
    ACTIONS(939), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3127] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(908), 1,
      sym__automatic_semicolon,
    STATE(503), 1,
      sym_comment,
    ACTIONS(904), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3201] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(900), 1,
      sym__automatic_semicolon,
    STATE(504), 1,
      sym_comment,
    ACTIONS(896), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3275] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(505), 1,
      sym_comment,
    STATE(548), 1,
      sym_else_clause,
    ACTIONS(1499), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3351] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(870), 1,
      sym__automatic_semicolon,
    STATE(506), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3425] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    STATE(507), 1,
      sym_comment,
    ACTIONS(939), 59,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3499] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(508), 1,
      sym_comment,
    ACTIONS(874), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3571] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
    ACTIONS(1370), 1,
      anon_sym_function,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1489), 1,
      sym_identifier,
    ACTIONS(1495), 1,
      anon_sym_EQ_GT,
    STATE(509), 1,
      sym_comment,
    STATE(2724), 1,
      sym_formal_parameters,
    ACTIONS(1491), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [3661] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_finally,
    ACTIONS(1503), 1,
      ts_builtin_sym_end,
    STATE(510), 1,
      sym_comment,
    STATE(867), 1,
      sym_finally_clause,
    ACTIONS(1473), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3739] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1505), 1,
      anon_sym_else,
    STATE(511), 1,
      sym_comment,
    STATE(727), 1,
      sym_else_clause,
    ACTIONS(1499), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3815] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(989), 1,
      sym__automatic_semicolon,
    STATE(512), 1,
      sym_comment,
    ACTIONS(987), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3889] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1507), 1,
      sym__automatic_semicolon,
    STATE(513), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3963] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1434), 1,
      anon_sym_COLON,
    STATE(514), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1953), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4057] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(515), 1,
      sym_comment,
    ACTIONS(1509), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4129] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1511), 1,
      sym__automatic_semicolon,
    STATE(516), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4205] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    STATE(517), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1890), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4299] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(518), 1,
      sym_comment,
    ACTIONS(939), 60,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4371] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1513), 1,
      sym__automatic_semicolon,
    STATE(519), 1,
      sym_comment,
    ACTIONS(864), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4445] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(520), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1959), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 33,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [4539] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1515), 1,
      sym__automatic_semicolon,
    STATE(521), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4613] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(924), 1,
      sym__automatic_semicolon,
    STATE(522), 1,
      sym_comment,
    ACTIONS(920), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4687] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1517), 1,
      sym__automatic_semicolon,
    STATE(523), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4763] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(524), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4834] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(985), 1,
      sym__automatic_semicolon,
    STATE(525), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4907] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(526), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4978] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(527), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5049] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(528), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5120] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(529), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5193] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1523), 1,
      sym__automatic_semicolon,
    STATE(530), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5266] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1525), 1,
      sym__automatic_semicolon,
    STATE(531), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5341] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      ts_builtin_sym_end,
    ACTIONS(1027), 1,
      sym__automatic_semicolon,
    STATE(532), 1,
      sym_comment,
    ACTIONS(920), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5416] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(533), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(534), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5558] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(535), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5629] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(536), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5700] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(537), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5771] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(538), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5842] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(539), 1,
      sym_comment,
    ACTIONS(1527), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5913] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    STATE(540), 1,
      sym_comment,
    ACTIONS(939), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5986] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(541), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6057] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(542), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6128] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(543), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6199] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(544), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6270] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(545), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6341] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(546), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6412] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(547), 1,
      sym_comment,
    ACTIONS(1529), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6483] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(548), 1,
      sym_comment,
    ACTIONS(1531), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6554] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1533), 1,
      ts_builtin_sym_end,
    STATE(549), 1,
      sym_comment,
    ACTIONS(1509), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6627] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 1,
      ts_builtin_sym_end,
    ACTIONS(1537), 1,
      anon_sym_else,
    STATE(550), 1,
      sym_comment,
    STATE(834), 1,
      sym_else_clause,
    ACTIONS(1499), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6704] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(551), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6775] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(552), 1,
      sym_comment,
    ACTIONS(1539), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6846] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 1,
      ts_builtin_sym_end,
    ACTIONS(1541), 1,
      anon_sym_else,
    STATE(553), 1,
      sym_comment,
    STATE(968), 1,
      sym_else_clause,
    ACTIONS(1499), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6923] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(554), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6994] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(555), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7065] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(556), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7136] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(557), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7207] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(558), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7278] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      sym__automatic_semicolon,
    STATE(559), 1,
      sym_comment,
    ACTIONS(939), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7351] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(560), 1,
      sym_comment,
    ACTIONS(1545), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7422] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(561), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7493] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(562), 1,
      sym_comment,
    ACTIONS(1543), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7564] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(563), 1,
      sym_comment,
    ACTIONS(1547), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7635] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(564), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7706] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(565), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7777] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(566), 1,
      sym_comment,
    ACTIONS(1549), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7848] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(567), 1,
      sym_comment,
    ACTIONS(1551), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7919] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(568), 1,
      sym_comment,
    ACTIONS(1553), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(569), 1,
      sym_comment,
    ACTIONS(1555), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8061] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(570), 1,
      sym_comment,
    ACTIONS(1557), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8132] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(571), 1,
      sym_comment,
    ACTIONS(1559), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8203] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(572), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8274] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1561), 1,
      sym__automatic_semicolon,
    STATE(573), 1,
      sym_comment,
    ACTIONS(864), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8349] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(574), 1,
      sym_comment,
    ACTIONS(1563), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8420] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      ts_builtin_sym_end,
    ACTIONS(1043), 1,
      sym__automatic_semicolon,
    STATE(575), 1,
      sym_comment,
    ACTIONS(896), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8495] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(576), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8566] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(577), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8637] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(578), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8708] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(579), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8779] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(580), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8850] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(581), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8921] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(582), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(583), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9063] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1001), 1,
      sym__automatic_semicolon,
    STATE(584), 1,
      sym_comment,
    ACTIONS(904), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9138] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1053), 1,
      ts_builtin_sym_end,
    ACTIONS(1055), 1,
      sym__automatic_semicolon,
    STATE(585), 1,
      sym_comment,
    ACTIONS(912), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9213] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(586), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9284] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(587), 1,
      sym_comment,
    ACTIONS(1565), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9355] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      ts_builtin_sym_end,
    ACTIONS(1037), 1,
      sym__automatic_semicolon,
    STATE(588), 1,
      sym_comment,
    ACTIONS(991), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9430] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(589), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9501] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1031), 1,
      ts_builtin_sym_end,
    ACTIONS(1033), 1,
      sym__automatic_semicolon,
    STATE(590), 1,
      sym_comment,
    ACTIONS(975), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9576] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(591), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9647] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1021), 1,
      ts_builtin_sym_end,
    ACTIONS(1023), 1,
      sym__automatic_semicolon,
    STATE(592), 1,
      sym_comment,
    ACTIONS(967), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9722] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1011), 1,
      ts_builtin_sym_end,
    ACTIONS(1013), 1,
      sym__automatic_semicolon,
    STATE(593), 1,
      sym_comment,
    ACTIONS(959), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9797] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1567), 1,
      ts_builtin_sym_end,
    STATE(594), 1,
      sym_comment,
    ACTIONS(1479), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9870] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(595), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9941] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      sym__automatic_semicolon,
    STATE(596), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(597), 1,
      sym_comment,
    ACTIONS(939), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10085] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(598), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10156] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(599), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10227] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1569), 1,
      sym__automatic_semicolon,
    STATE(600), 1,
      sym_comment,
    ACTIONS(864), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10300] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(601), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10371] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(602), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(603), 1,
      sym_comment,
    ACTIONS(1571), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(604), 1,
      sym_comment,
    ACTIONS(1573), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10584] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(605), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(606), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(607), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(608), 1,
      sym_comment,
    ACTIONS(939), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10868] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(609), 1,
      sym_comment,
    ACTIONS(1521), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10939] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1477), 1,
      anon_sym_finally,
    ACTIONS(1503), 1,
      ts_builtin_sym_end,
    STATE(610), 1,
      sym_comment,
    STATE(902), 1,
      sym_finally_clause,
    ACTIONS(1473), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11016] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(611), 1,
      sym_comment,
    ACTIONS(874), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11087] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(612), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11160] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1575), 1,
      sym__automatic_semicolon,
    STATE(613), 1,
      sym_comment,
    ACTIONS(864), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11235] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    STATE(614), 1,
      sym_comment,
    ACTIONS(939), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11308] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1577), 1,
      sym__automatic_semicolon,
    STATE(615), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11381] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(616), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11454] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(934), 1,
      sym__automatic_semicolon,
    STATE(617), 1,
      sym_comment,
    ACTIONS(864), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11529] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(989), 1,
      sym__automatic_semicolon,
    STATE(618), 1,
      sym_comment,
    ACTIONS(987), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11602] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(930), 1,
      sym__automatic_semicolon,
    STATE(619), 1,
      sym_comment,
    ACTIONS(928), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11675] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(620), 1,
      sym_comment,
    ACTIONS(989), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(987), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11748] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(621), 1,
      sym_comment,
    ACTIONS(941), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(939), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11821] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(622), 1,
      sym_comment,
    ACTIONS(1579), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11892] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1581), 1,
      sym__automatic_semicolon,
    STATE(623), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11967] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(624), 1,
      sym_comment,
    ACTIONS(1583), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12038] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(625), 1,
      sym_comment,
    ACTIONS(1585), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(626), 1,
      sym_comment,
    ACTIONS(1587), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12180] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(627), 1,
      sym_comment,
    ACTIONS(1589), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(628), 1,
      sym_comment,
    ACTIONS(1519), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(629), 1,
      sym_comment,
    ACTIONS(1591), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12393] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(630), 1,
      sym_comment,
    ACTIONS(1593), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12464] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1039), 1,
      sym__automatic_semicolon,
    STATE(631), 1,
      sym_comment,
    ACTIONS(920), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(632), 1,
      sym_comment,
    ACTIONS(1509), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12608] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(633), 1,
      sym_comment,
    ACTIONS(1595), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12679] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1597), 1,
      sym__automatic_semicolon,
    STATE(634), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12754] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(635), 1,
      sym_comment,
    ACTIONS(1599), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12825] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(636), 1,
      sym_comment,
    ACTIONS(1601), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12896] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(637), 1,
      sym_comment,
    ACTIONS(1603), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12967] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(638), 1,
      sym_comment,
    ACTIONS(1605), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13038] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(639), 1,
      sym_comment,
    ACTIONS(1607), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(640), 1,
      sym_comment,
    ACTIONS(1609), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13180] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(641), 1,
      sym_comment,
    ACTIONS(1611), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(642), 1,
      sym_comment,
    ACTIONS(1613), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(643), 1,
      sym_comment,
    ACTIONS(1615), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13393] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1019), 1,
      sym__automatic_semicolon,
    STATE(644), 1,
      sym_comment,
    ACTIONS(896), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13466] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1017), 1,
      sym__automatic_semicolon,
    STATE(645), 1,
      sym_comment,
    ACTIONS(904), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13539] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(646), 1,
      sym_comment,
    ACTIONS(1617), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(647), 1,
      sym_comment,
    ACTIONS(1619), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13681] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(648), 1,
      sym_comment,
    ACTIONS(1621), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13752] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(649), 1,
      sym_comment,
    ACTIONS(1623), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(650), 1,
      sym_comment,
    ACTIONS(1625), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13894] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1015), 1,
      sym__automatic_semicolon,
    STATE(651), 1,
      sym_comment,
    ACTIONS(912), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [13967] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(652), 1,
      sym_comment,
    ACTIONS(1627), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14038] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(653), 1,
      sym_comment,
    ACTIONS(1629), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(654), 1,
      sym_comment,
    ACTIONS(1631), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14180] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(655), 1,
      sym_comment,
    ACTIONS(1633), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(656), 1,
      sym_comment,
    ACTIONS(1635), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(657), 1,
      sym_comment,
    ACTIONS(1479), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14393] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(658), 1,
      sym_comment,
    ACTIONS(1637), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14464] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1049), 1,
      sym__automatic_semicolon,
    STATE(659), 1,
      sym_comment,
    ACTIONS(959), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(660), 1,
      sym_comment,
    ACTIONS(1639), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14608] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(661), 1,
      sym_comment,
    ACTIONS(1639), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14679] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1009), 1,
      sym__automatic_semicolon,
    STATE(662), 1,
      sym_comment,
    ACTIONS(991), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14752] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(663), 1,
      sym_comment,
    ACTIONS(1641), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(664), 1,
      sym_comment,
    ACTIONS(1643), 59,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14894] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(665), 1,
      sym_comment,
    ACTIONS(930), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(928), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [14967] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1003), 1,
      sym__automatic_semicolon,
    STATE(666), 1,
      sym_comment,
    ACTIONS(967), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15040] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1005), 1,
      sym__automatic_semicolon,
    STATE(667), 1,
      sym_comment,
    ACTIONS(975), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15113] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1645), 1,
      ts_builtin_sym_end,
    STATE(668), 1,
      sym_comment,
    ACTIONS(1627), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(669), 1,
      sym_comment,
    ACTIONS(1635), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15255] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1647), 1,
      ts_builtin_sym_end,
    STATE(670), 1,
      sym_comment,
    ACTIONS(1629), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15327] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(671), 1,
      sym_comment,
    ACTIONS(1633), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(672), 1,
      sym_comment,
    ACTIONS(1637), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15467] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(673), 1,
      sym_comment,
    ACTIONS(1615), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(674), 1,
      sym_comment,
    ACTIONS(1639), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15607] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(675), 1,
      sym_comment,
    ACTIONS(1639), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(676), 1,
      sym_comment,
    ACTIONS(1527), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15747] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(677), 1,
      sym_comment,
    ACTIONS(1611), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15817] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(678), 1,
      sym_comment,
    ACTIONS(1609), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15887] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(679), 1,
      sym_comment,
    ACTIONS(1643), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [15957] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(680), 1,
      sym_comment,
    ACTIONS(1603), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16027] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(681), 1,
      sym_comment,
    ACTIONS(1641), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(682), 1,
      sym_comment,
    ACTIONS(1627), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16167] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(683), 1,
      sym_comment,
    ACTIONS(1599), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16237] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(684), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1953), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16327] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
    STATE(685), 1,
      sym_comment,
    ACTIONS(1631), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16399] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(686), 1,
      sym_comment,
    ACTIONS(1599), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16471] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1533), 1,
      ts_builtin_sym_end,
    STATE(687), 1,
      sym_comment,
    ACTIONS(1509), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16543] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(688), 1,
      sym_comment,
    ACTIONS(1625), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16613] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1653), 1,
      ts_builtin_sym_end,
    STATE(689), 1,
      sym_comment,
    ACTIONS(1621), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16685] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1655), 1,
      ts_builtin_sym_end,
    STATE(690), 1,
      sym_comment,
    ACTIONS(1619), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16757] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(691), 1,
      sym_comment,
    ACTIONS(1591), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16827] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1657), 1,
      ts_builtin_sym_end,
    STATE(692), 1,
      sym_comment,
    ACTIONS(1617), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16899] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(693), 1,
      sym_comment,
    ACTIONS(1623), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [16969] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(694), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17041] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1659), 1,
      ts_builtin_sym_end,
    STATE(695), 1,
      sym_comment,
    ACTIONS(1613), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17113] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(696), 1,
      sym_comment,
    ACTIONS(989), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(987), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(697), 1,
      sym_comment,
    ACTIONS(1573), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17255] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1661), 1,
      ts_builtin_sym_end,
    STATE(698), 1,
      sym_comment,
    ACTIONS(1591), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17327] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(699), 1,
      sym_comment,
    ACTIONS(1571), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17397] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(700), 1,
      sym_comment,
    ACTIONS(1589), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17467] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(701), 1,
      sym_comment,
    ACTIONS(1565), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(702), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17607] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(703), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(704), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17747] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1041), 1,
      ts_builtin_sym_end,
    ACTIONS(1071), 1,
      sym__automatic_semicolon,
    STATE(705), 1,
      sym_comment,
    ACTIONS(896), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17821] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(706), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17891] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(707), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [17961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(708), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18031] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(999), 1,
      ts_builtin_sym_end,
    ACTIONS(1063), 1,
      sym__automatic_semicolon,
    STATE(709), 1,
      sym_comment,
    ACTIONS(904), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18105] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(710), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18175] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1053), 1,
      ts_builtin_sym_end,
    ACTIONS(1095), 1,
      sym__automatic_semicolon,
    STATE(711), 1,
      sym_comment,
    ACTIONS(912), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18249] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(712), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18319] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(713), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18389] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(714), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18459] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(715), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18529] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(716), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18599] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(717), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18669] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(718), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1940), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18759] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(719), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(720), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18899] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(721), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [18969] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(722), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19039] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(723), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19109] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(724), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19179] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(725), 1,
      sym_comment,
    ACTIONS(1521), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19249] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(726), 1,
      sym_comment,
    ACTIONS(1529), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19319] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(727), 1,
      sym_comment,
    ACTIONS(1531), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19389] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1663), 1,
      ts_builtin_sym_end,
    STATE(728), 1,
      sym_comment,
    ACTIONS(1607), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19461] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1665), 1,
      ts_builtin_sym_end,
    STATE(729), 1,
      sym_comment,
    ACTIONS(1605), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19533] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(730), 1,
      sym_comment,
    ACTIONS(1601), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19605] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(731), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19675] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(732), 1,
      sym_comment,
    ACTIONS(1539), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19745] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(733), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1890), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19835] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(734), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19905] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(735), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [19975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(736), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20045] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(737), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20115] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(738), 1,
      sym_comment,
    ACTIONS(1587), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20185] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(739), 1,
      sym_comment,
    ACTIONS(1545), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20255] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(740), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20325] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(741), 1,
      sym_comment,
    ACTIONS(1543), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(742), 1,
      sym_comment,
    ACTIONS(1547), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20465] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(743), 1,
      sym_comment,
    ACTIONS(1595), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20537] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(744), 1,
      sym_comment,
    ACTIONS(1589), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20609] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(745), 1,
      sym_comment,
    ACTIONS(1587), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20681] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(746), 1,
      sym_comment,
    ACTIONS(1593), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20753] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(747), 1,
      sym_comment,
    ACTIONS(930), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(928), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20825] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(748), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20897] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(749), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [20969] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(750), 1,
      sym_comment,
    ACTIONS(1549), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21039] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(751), 1,
      sym_comment,
    ACTIONS(1551), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21109] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(752), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21181] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(753), 1,
      sym_comment,
    ACTIONS(1553), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(754), 1,
      sym_comment,
    ACTIONS(1555), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21321] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(755), 1,
      sym_comment,
    ACTIONS(1557), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21391] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(756), 1,
      sym_comment,
    ACTIONS(1579), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21461] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(757), 1,
      sym_comment,
    ACTIONS(1559), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21531] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1047), 1,
      sym__automatic_semicolon,
    STATE(758), 1,
      sym_comment,
    ACTIONS(864), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21605] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(759), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21677] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(760), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21749] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(761), 1,
      sym_comment,
    ACTIONS(1563), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21819] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(762), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21891] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(763), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [21961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(764), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22031] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(765), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22103] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(766), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22173] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(767), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22243] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(768), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22313] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(769), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22385] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(770), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22455] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(771), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22527] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(772), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22597] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(773), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22669] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(774), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22739] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(775), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22809] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(776), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22879] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(777), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [22949] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(778), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23019] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(779), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23089] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(780), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23161] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(781), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23231] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(782), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23301] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(783), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23373] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(784), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23445] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(785), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23517] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(786), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23587] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(787), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23657] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(788), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23729] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(789), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23801] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(790), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(791), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [23945] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(792), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24017] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(793), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(794), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24157] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(795), 1,
      sym_comment,
    ACTIONS(1519), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24227] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1035), 1,
      ts_builtin_sym_end,
    ACTIONS(1061), 1,
      sym__automatic_semicolon,
    STATE(796), 1,
      sym_comment,
    ACTIONS(991), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24301] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1031), 1,
      ts_builtin_sym_end,
    ACTIONS(1097), 1,
      sym__automatic_semicolon,
    STATE(797), 1,
      sym_comment,
    ACTIONS(975), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24375] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1021), 1,
      ts_builtin_sym_end,
    ACTIONS(1087), 1,
      sym__automatic_semicolon,
    STATE(798), 1,
      sym_comment,
    ACTIONS(967), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24449] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(799), 1,
      sym_comment,
    ACTIONS(1519), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24521] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(800), 1,
      sym_comment,
    ACTIONS(1593), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24591] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(801), 1,
      sym_comment,
    ACTIONS(1563), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24663] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(802), 1,
      sym_comment,
    ACTIONS(1559), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24735] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(803), 1,
      sym_comment,
    ACTIONS(1595), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24805] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(804), 1,
      sym_comment,
    ACTIONS(1557), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24877] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(805), 1,
      sym_comment,
    ACTIONS(1555), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [24949] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(806), 1,
      sym_comment,
    ACTIONS(1601), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25019] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(807), 1,
      sym_comment,
    ACTIONS(1605), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25089] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(808), 1,
      sym_comment,
    ACTIONS(1607), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25159] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(809), 1,
      sym_comment,
    ACTIONS(1553), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25231] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(810), 1,
      sym_comment,
    ACTIONS(1551), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25303] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(811), 1,
      sym_comment,
    ACTIONS(874), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25375] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    STATE(812), 1,
      sym_comment,
    ACTIONS(939), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25447] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(932), 1,
      ts_builtin_sym_end,
    ACTIONS(1691), 1,
      sym__automatic_semicolon,
    STATE(813), 1,
      sym_comment,
    ACTIONS(864), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25521] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(814), 1,
      sym_comment,
    ACTIONS(1549), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25593] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(815), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1959), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25683] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(816), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25755] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(817), 1,
      sym_comment,
    ACTIONS(1547), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25827] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(818), 1,
      sym_comment,
    ACTIONS(941), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    ACTIONS(939), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25899] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(819), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25971] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(820), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26043] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(821), 1,
      sym_comment,
    ACTIONS(1545), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26115] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(822), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26187] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(823), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26259] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(824), 1,
      sym_comment,
    ACTIONS(874), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26329] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(825), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26401] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(826), 1,
      sym_comment,
    ACTIONS(939), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26471] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(827), 1,
      sym_comment,
    ACTIONS(1543), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26543] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      ts_builtin_sym_end,
    ACTIONS(1077), 1,
      sym__automatic_semicolon,
    STATE(828), 1,
      sym_comment,
    ACTIONS(920), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26617] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(829), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26689] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(830), 1,
      sym_comment,
    ACTIONS(1613), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26759] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(831), 1,
      sym_comment,
    ACTIONS(1539), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26831] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(832), 1,
      sym_comment,
    ACTIONS(1585), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26903] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(833), 1,
      sym_comment,
    ACTIONS(1583), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26975] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(834), 1,
      sym_comment,
    ACTIONS(1531), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27047] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(835), 1,
      sym_comment,
    ACTIONS(1529), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27119] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(836), 1,
      sym_comment,
    ACTIONS(1617), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27189] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(837), 1,
      sym_comment,
    ACTIONS(1619), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27259] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(838), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27331] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(839), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27403] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(840), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27475] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(841), 1,
      sym_comment,
    ACTIONS(1621), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27545] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(842), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27617] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(843), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27689] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(844), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27761] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(845), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27833] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(846), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27905] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1011), 1,
      ts_builtin_sym_end,
    ACTIONS(1089), 1,
      sym__automatic_semicolon,
    STATE(847), 1,
      sym_comment,
    ACTIONS(959), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27979] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(848), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28051] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(849), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28123] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(850), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28195] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(851), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28267] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(852), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28339] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(853), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28411] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(854), 1,
      sym_comment,
    ACTIONS(1629), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28481] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(855), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28553] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(856), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28625] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(857), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28697] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(858), 1,
      sym_comment,
    ACTIONS(1631), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28767] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(859), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28839] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(860), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28911] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(861), 1,
      sym_comment,
    ACTIONS(1521), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28983] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(862), 1,
      sym_comment,
    ACTIONS(1565), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29055] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(863), 1,
      sym_comment,
    ACTIONS(1603), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29127] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(864), 1,
      sym_comment,
    ACTIONS(1583), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29197] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(865), 1,
      sym_comment,
    ACTIONS(1609), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29269] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(866), 1,
      sym_comment,
    ACTIONS(1571), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29341] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(867), 1,
      sym_comment,
    ACTIONS(1573), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29413] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(868), 1,
      sym_comment,
    ACTIONS(1585), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29483] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1723), 1,
      ts_builtin_sym_end,
    STATE(869), 1,
      sym_comment,
    ACTIONS(1611), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29555] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1725), 1,
      ts_builtin_sym_end,
    STATE(870), 1,
      sym_comment,
    ACTIONS(1615), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29627] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(871), 1,
      sym_comment,
    ACTIONS(1633), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29699] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(872), 1,
      sym_comment,
    ACTIONS(1623), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29771] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1731), 1,
      sym__automatic_semicolon,
    STATE(873), 1,
      sym_comment,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29845] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1567), 1,
      ts_builtin_sym_end,
    STATE(874), 1,
      sym_comment,
    ACTIONS(1479), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29917] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1304), 1,
      anon_sym_EQ_GT,
    ACTIONS(1405), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    STATE(875), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1930), 1,
      sym_variable_declarator,
    ACTIONS(1211), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 32,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30007] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    ACTIONS(1733), 1,
      sym__automatic_semicolon,
    STATE(876), 1,
      sym_comment,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30081] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    STATE(877), 1,
      sym_comment,
    ACTIONS(939), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30153] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(878), 1,
      sym_comment,
    ACTIONS(1635), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30225] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(879), 1,
      sym_comment,
    ACTIONS(1625), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30297] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(880), 1,
      sym_comment,
    ACTIONS(1639), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30369] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(881), 1,
      sym_comment,
    ACTIONS(1527), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30441] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(882), 1,
      sym_comment,
    ACTIONS(1641), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30513] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(883), 1,
      sym_comment,
    ACTIONS(1745), 58,
      anon_sym_export,
      anon_sym_default,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30583] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(884), 1,
      sym_comment,
    ACTIONS(1639), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30655] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(885), 1,
      sym_comment,
    ACTIONS(1643), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30727] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(886), 1,
      sym_comment,
    ACTIONS(1637), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30799] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(887), 1,
      sym_comment,
    ACTIONS(1579), 57,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30871] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(876), 1,
      ts_builtin_sym_end,
    STATE(888), 1,
      sym_comment,
    ACTIONS(874), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30942] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1675), 1,
      ts_builtin_sym_end,
    STATE(889), 1,
      sym_comment,
    ACTIONS(1593), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31013] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1749), 1,
      ts_builtin_sym_end,
    STATE(890), 1,
      sym_comment,
    ACTIONS(1637), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31084] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(891), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31155] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(892), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31226] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(893), 1,
      sym_comment,
    ACTIONS(1639), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31297] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1739), 1,
      ts_builtin_sym_end,
    STATE(894), 1,
      sym_comment,
    ACTIONS(1639), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31368] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(895), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31439] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(896), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31510] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(897), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31581] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(898), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31652] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(899), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31723] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1741), 1,
      ts_builtin_sym_end,
    STATE(900), 1,
      sym_comment,
    ACTIONS(1527), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31794] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(901), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31865] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    STATE(902), 1,
      sym_comment,
    ACTIONS(1573), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31936] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(903), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32007] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(904), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32078] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(905), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32149] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(906), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32220] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(907), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32291] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(908), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32362] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1747), 1,
      ts_builtin_sym_end,
    STATE(909), 1,
      sym_comment,
    ACTIONS(1643), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32433] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(910), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32504] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(911), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32575] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(912), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32646] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1753), 1,
      ts_builtin_sym_end,
    STATE(913), 1,
      sym_comment,
    ACTIONS(1745), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32717] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(914), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32788] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(915), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32859] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(916), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32930] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    STATE(917), 1,
      sym_comment,
    ACTIONS(1571), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33001] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(918), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33072] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(919), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33143] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(920), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33214] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1701), 1,
      ts_builtin_sym_end,
    STATE(921), 1,
      sym_comment,
    ACTIONS(1539), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33285] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(922), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33356] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1649), 1,
      ts_builtin_sym_end,
    STATE(923), 1,
      sym_comment,
    ACTIONS(1631), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33427] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1713), 1,
      ts_builtin_sym_end,
    STATE(924), 1,
      sym_comment,
    ACTIONS(1565), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33498] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1751), 1,
      ts_builtin_sym_end,
    STATE(925), 1,
      sym_comment,
    ACTIONS(1579), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33569] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1729), 1,
      ts_builtin_sym_end,
    STATE(926), 1,
      sym_comment,
    ACTIONS(1623), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33640] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1663), 1,
      ts_builtin_sym_end,
    STATE(927), 1,
      sym_comment,
    ACTIONS(1607), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33711] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1647), 1,
      ts_builtin_sym_end,
    STATE(928), 1,
      sym_comment,
    ACTIONS(1629), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33782] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(929), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33853] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(930), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [33924] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    STATE(931), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    ACTIONS(1757), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34011] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(932), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34082] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    STATE(933), 1,
      sym_comment,
    ACTIONS(939), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34153] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1665), 1,
      ts_builtin_sym_end,
    STATE(934), 1,
      sym_comment,
    ACTIONS(1605), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34224] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(935), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34295] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(936), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34366] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34437] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1743), 1,
      ts_builtin_sym_end,
    STATE(938), 1,
      sym_comment,
    ACTIONS(1641), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34508] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1689), 1,
      ts_builtin_sym_end,
    STATE(939), 1,
      sym_comment,
    ACTIONS(1551), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34579] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1705), 1,
      ts_builtin_sym_end,
    STATE(940), 1,
      sym_comment,
    ACTIONS(1583), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34650] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1673), 1,
      ts_builtin_sym_end,
    STATE(941), 1,
      sym_comment,
    ACTIONS(1587), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34721] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1671), 1,
      ts_builtin_sym_end,
    STATE(942), 1,
      sym_comment,
    ACTIONS(1589), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34792] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1669), 1,
      ts_builtin_sym_end,
    STATE(943), 1,
      sym_comment,
    ACTIONS(1595), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34863] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(944), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [34934] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(945), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35005] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(946), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35076] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    STATE(947), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1757), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [35163] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(948), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35234] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(949), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35305] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(950), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35376] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(951), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35447] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1715), 1,
      ts_builtin_sym_end,
    STATE(952), 1,
      sym_comment,
    ACTIONS(1603), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35518] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1695), 1,
      ts_builtin_sym_end,
    STATE(953), 1,
      sym_comment,
    ACTIONS(1547), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35589] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1737), 1,
      ts_builtin_sym_end,
    STATE(954), 1,
      sym_comment,
    ACTIONS(1625), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35660] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(955), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35731] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1677), 1,
      ts_builtin_sym_end,
    STATE(956), 1,
      sym_comment,
    ACTIONS(1519), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35802] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1717), 1,
      ts_builtin_sym_end,
    STATE(957), 1,
      sym_comment,
    ACTIONS(1609), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35873] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1653), 1,
      ts_builtin_sym_end,
    STATE(958), 1,
      sym_comment,
    ACTIONS(1621), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [35944] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(959), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36015] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1703), 1,
      ts_builtin_sym_end,
    STATE(960), 1,
      sym_comment,
    ACTIONS(1585), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36086] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1655), 1,
      ts_builtin_sym_end,
    STATE(961), 1,
      sym_comment,
    ACTIONS(1619), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36157] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1699), 1,
      ts_builtin_sym_end,
    STATE(962), 1,
      sym_comment,
    ACTIONS(1545), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1657), 1,
      ts_builtin_sym_end,
    STATE(963), 1,
      sym_comment,
    ACTIONS(1617), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36299] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1659), 1,
      ts_builtin_sym_end,
    STATE(964), 1,
      sym_comment,
    ACTIONS(1613), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36370] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1693), 1,
      ts_builtin_sym_end,
    STATE(965), 1,
      sym_comment,
    ACTIONS(1549), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36441] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1735), 1,
      ts_builtin_sym_end,
    STATE(966), 1,
      sym_comment,
    ACTIONS(1635), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36512] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1651), 1,
      ts_builtin_sym_end,
    STATE(967), 1,
      sym_comment,
    ACTIONS(1599), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36583] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1707), 1,
      ts_builtin_sym_end,
    STATE(968), 1,
      sym_comment,
    ACTIONS(1531), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36654] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1709), 1,
      ts_builtin_sym_end,
    STATE(969), 1,
      sym_comment,
    ACTIONS(1529), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36725] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(970), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36796] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(971), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36867] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1697), 1,
      ts_builtin_sym_end,
    STATE(972), 1,
      sym_comment,
    ACTIONS(1543), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [36938] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1679), 1,
      ts_builtin_sym_end,
    STATE(973), 1,
      sym_comment,
    ACTIONS(1563), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37009] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(974), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37080] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(975), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37151] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(976), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37222] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1681), 1,
      ts_builtin_sym_end,
    STATE(977), 1,
      sym_comment,
    ACTIONS(1559), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37293] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1683), 1,
      ts_builtin_sym_end,
    STATE(978), 1,
      sym_comment,
    ACTIONS(1557), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37364] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1723), 1,
      ts_builtin_sym_end,
    STATE(979), 1,
      sym_comment,
    ACTIONS(1611), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37435] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1725), 1,
      ts_builtin_sym_end,
    STATE(980), 1,
      sym_comment,
    ACTIONS(1615), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37506] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1667), 1,
      ts_builtin_sym_end,
    STATE(981), 1,
      sym_comment,
    ACTIONS(1601), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1727), 1,
      ts_builtin_sym_end,
    STATE(982), 1,
      sym_comment,
    ACTIONS(1633), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37648] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1224), 1,
      anon_sym_COLON,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1762), 1,
      anon_sym_EQ,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    STATE(983), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1757), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [37735] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1685), 1,
      ts_builtin_sym_end,
    STATE(984), 1,
      sym_comment,
    ACTIONS(1555), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1711), 1,
      ts_builtin_sym_end,
    STATE(985), 1,
      sym_comment,
    ACTIONS(1521), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37877] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1687), 1,
      ts_builtin_sym_end,
    STATE(986), 1,
      sym_comment,
    ACTIONS(1553), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37948] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1661), 1,
      ts_builtin_sym_end,
    STATE(987), 1,
      sym_comment,
    ACTIONS(1591), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38019] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1645), 1,
      ts_builtin_sym_end,
    STATE(988), 1,
      sym_comment,
    ACTIONS(1627), 56,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(989), 1,
      sym_comment,
    ACTIONS(1768), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1770), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38160] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1211), 1,
      sym__ternary_qmark,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1394), 1,
      anon_sym_in,
    ACTIONS(1397), 1,
      anon_sym_of,
    ACTIONS(1420), 1,
      anon_sym_EQ_GT,
    ACTIONS(1772), 1,
      sym_identifier,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(1776), 1,
      anon_sym_LBRACK,
    STATE(990), 1,
      sym_comment,
    STATE(2417), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(1306), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 30,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(991), 1,
      sym_comment,
    ACTIONS(1779), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(992), 1,
      sym_comment,
    ACTIONS(1783), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1785), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(993), 1,
      sym_comment,
    ACTIONS(1787), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1789), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(994), 1,
      sym_comment,
    ACTIONS(1791), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1793), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38530] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(995), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1757), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(996), 1,
      sym_comment,
    ACTIONS(1797), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(997), 1,
      sym_comment,
    ACTIONS(1579), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1751), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38744] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1801), 1,
      anon_sym_EQ_GT,
    STATE(998), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [38819] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(999), 1,
      sym_comment,
    ACTIONS(1803), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38886] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1000), 1,
      sym_comment,
    ACTIONS(1805), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38953] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1001), 1,
      sym_comment,
    ACTIONS(1807), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39020] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1002), 1,
      sym_comment,
    ACTIONS(1809), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1003), 1,
      sym_comment,
    ACTIONS(1809), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1004), 1,
      sym_comment,
    ACTIONS(1809), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39221] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1005), 1,
      sym_comment,
    ACTIONS(1809), 55,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39288] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1813), 1,
      anon_sym_EQ_GT,
    STATE(1006), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39363] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1813), 1,
      anon_sym_EQ_GT,
    STATE(1007), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39438] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1801), 1,
      anon_sym_EQ_GT,
    STATE(1008), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39513] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1324), 1,
      anon_sym_COLON,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39589] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    STATE(1010), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39663] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1011), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39737] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1012), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1013), 1,
      sym_comment,
    ACTIONS(1797), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1799), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [39879] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(1014), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [39953] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(1015), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40025] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1324), 1,
      anon_sym_COLON,
    STATE(1016), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40101] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1394), 1,
      anon_sym_in,
    ACTIONS(1819), 1,
      anon_sym_of,
    STATE(1017), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40179] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1813), 1,
      anon_sym_EQ_GT,
    ACTIONS(1824), 1,
      anon_sym_EQ,
    STATE(1018), 1,
      sym_comment,
    ACTIONS(1821), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40255] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    ACTIONS(1827), 1,
      anon_sym_in,
    ACTIONS(1830), 1,
      anon_sym_of,
    STATE(1019), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40333] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1402), 1,
      anon_sym_EQ,
    ACTIONS(1801), 1,
      anon_sym_EQ_GT,
    STATE(1020), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40409] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1021), 1,
      sym_comment,
    ACTIONS(1579), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1751), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40477] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    STATE(1022), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40553] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1265), 1,
      anon_sym_COLON,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1023), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40629] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1024), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40705] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    STATE(1025), 1,
      sym_comment,
    ACTIONS(1835), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1026), 1,
      sym_comment,
    ACTIONS(1791), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1793), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [40849] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    STATE(1027), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40923] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    ACTIONS(1841), 1,
      anon_sym_EQ,
    STATE(1028), 1,
      sym_comment,
    ACTIONS(1839), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [40999] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1417), 1,
      anon_sym_EQ,
    ACTIONS(1846), 1,
      anon_sym_EQ_GT,
    STATE(1029), 1,
      sym_comment,
    ACTIONS(1844), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41075] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1265), 1,
      anon_sym_COLON,
    STATE(1030), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41151] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    STATE(1031), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1032), 1,
      sym_comment,
    ACTIONS(1768), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1770), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41291] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1848), 1,
      anon_sym_EQ_GT,
    STATE(1033), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1034), 1,
      sym_comment,
    ACTIONS(1783), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1785), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41433] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1846), 1,
      anon_sym_EQ_GT,
    STATE(1035), 1,
      sym_comment,
    ACTIONS(1850), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41509] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1432), 1,
      anon_sym_EQ,
    ACTIONS(1848), 1,
      anon_sym_EQ_GT,
    STATE(1036), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1037), 1,
      sym_comment,
    ACTIONS(1787), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1789), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41651] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1038), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1039), 1,
      sym_comment,
    ACTIONS(1779), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1781), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [41795] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    STATE(1040), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41871] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1275), 1,
      anon_sym_COLON,
    ACTIONS(1764), 1,
      anon_sym_EQ_GT,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1041), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [41947] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1235), 1,
      anon_sym_EQ_GT,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1257), 1,
      anon_sym_EQ,
    ACTIONS(1275), 1,
      anon_sym_COLON,
    STATE(1042), 1,
      sym_comment,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1211), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42023] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1817), 1,
      anon_sym_EQ_GT,
    ACTIONS(1852), 1,
      anon_sym_EQ,
    STATE(1043), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42097] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1813), 1,
      anon_sym_EQ_GT,
    STATE(1044), 1,
      sym_comment,
    ACTIONS(1854), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42172] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1368), 1,
      anon_sym_EQ,
    ACTIONS(1801), 1,
      anon_sym_EQ_GT,
    STATE(1045), 1,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42247] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1841), 1,
      anon_sym_EQ,
    STATE(1046), 1,
      sym_comment,
    ACTIONS(1839), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42320] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1852), 1,
      anon_sym_EQ,
    STATE(1047), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42391] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1048), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(1049), 1,
      sym_comment,
    ACTIONS(1835), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42535] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    ACTIONS(1827), 1,
      anon_sym_in,
    ACTIONS(1830), 1,
      anon_sym_of,
    STATE(1050), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1757), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1755), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42610] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1824), 1,
      anon_sym_EQ,
    STATE(1051), 1,
      sym_comment,
    ACTIONS(1821), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42683] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1813), 1,
      anon_sym_EQ_GT,
    ACTIONS(1821), 1,
      anon_sym_RBRACK,
    ACTIONS(1824), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      sym_comment,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42759] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    STATE(1053), 1,
      sym_comment,
    ACTIONS(1757), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42831] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1402), 1,
      anon_sym_EQ,
    ACTIONS(1801), 1,
      anon_sym_EQ_GT,
    ACTIONS(1832), 1,
      anon_sym_RBRACK,
    ACTIONS(1844), 1,
      anon_sym_COMMA,
    STATE(1054), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42907] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1846), 1,
      anon_sym_EQ_GT,
    STATE(1055), 1,
      sym_comment,
    ACTIONS(1211), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [42979] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    STATE(1056), 1,
      sym_comment,
    ACTIONS(1854), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43051] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1860), 1,
      anon_sym_EQ_GT,
    STATE(1057), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43122] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1374), 1,
      anon_sym_EQ,
    ACTIONS(1394), 1,
      anon_sym_in,
    ACTIONS(1819), 1,
      anon_sym_of,
    ACTIONS(1846), 1,
      anon_sym_EQ_GT,
    STATE(1058), 1,
      sym_comment,
    ACTIONS(1211), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43197] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1827), 1,
      anon_sym_in,
    ACTIONS(1830), 1,
      anon_sym_of,
    ACTIONS(1837), 1,
      anon_sym_EQ_GT,
    STATE(1059), 1,
      sym_comment,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43272] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1862), 1,
      anon_sym_EQ_GT,
    STATE(1060), 1,
      sym_comment,
    ACTIONS(1757), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43343] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1862), 1,
      anon_sym_EQ_GT,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(1061), 1,
      sym_comment,
    ACTIONS(1757), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43414] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1493), 1,
      anon_sym_EQ,
    ACTIONS(1860), 1,
      anon_sym_EQ_GT,
    STATE(1062), 1,
      sym_comment,
    ACTIONS(1211), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1222), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43485] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1821), 1,
      anon_sym_RBRACK,
    ACTIONS(1824), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_COMMA,
    STATE(1063), 1,
      sym_comment,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43558] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(1064), 1,
      sym_comment,
    ACTIONS(1757), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43626] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1827), 1,
      anon_sym_in,
    ACTIONS(1830), 1,
      anon_sym_of,
    STATE(1065), 1,
      sym_comment,
    ACTIONS(1757), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1766), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1755), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [43698] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    STATE(1066), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1868), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [43768] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1067), 1,
      sym_comment,
    ACTIONS(1599), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43822] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    STATE(1068), 1,
      sym_comment,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1882), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1884), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [43890] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    STATE(1069), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1886), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1888), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [43960] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1070), 1,
      sym_comment,
    ACTIONS(1591), 42,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44014] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1890), 1,
      sym__automatic_semicolon,
    STATE(1071), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(932), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44074] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    STATE(1072), 1,
      sym_comment,
    ACTIONS(1896), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44133] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1073), 1,
      sym_comment,
    ACTIONS(1901), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44192] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1074), 1,
      sym_comment,
    ACTIONS(1587), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(1075), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44302] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1076), 1,
      sym_comment,
    ACTIONS(1589), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44355] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    STATE(1077), 1,
      sym_comment,
    STATE(1090), 1,
      sym_arguments,
    ACTIONS(1904), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1906), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44414] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    STATE(1078), 1,
      sym_comment,
    STATE(1090), 1,
      sym_arguments,
    ACTIONS(1904), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1906), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44479] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    STATE(1079), 1,
      sym_comment,
    ACTIONS(1914), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44538] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1080), 1,
      sym_comment,
    ACTIONS(1583), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44591] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1081), 1,
      sym_comment,
    ACTIONS(1585), 41,
      anon_sym_export,
      anon_sym_LBRACE,
      anon_sym_import,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1919), 1,
      sym__automatic_semicolon,
    STATE(1082), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44701] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1890), 1,
      sym__automatic_semicolon,
    STATE(1083), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(932), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1084), 1,
      sym_comment,
    ACTIONS(1921), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44812] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1085), 1,
      sym_comment,
    ACTIONS(961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(965), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1086), 1,
      sym_comment,
    ACTIONS(1925), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1927), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1087), 1,
      sym_comment,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [44974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1088), 1,
      sym_comment,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45028] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1089), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1939), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1090), 1,
      sym_comment,
    ACTIONS(1973), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1975), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45182] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1091), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1923), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1092), 1,
      sym_comment,
    ACTIONS(1977), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1093), 1,
      sym_comment,
    ACTIONS(1981), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1983), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45390] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1094), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1985), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [45490] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1987), 1,
      sym__automatic_semicolon,
    STATE(1095), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(932), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45546] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1989), 1,
      sym__automatic_semicolon,
    STATE(1096), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1097), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1098), 1,
      sym_comment,
    ACTIONS(874), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(876), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1099), 1,
      sym_comment,
    ACTIONS(914), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(918), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1100), 1,
      sym_comment,
    ACTIONS(906), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(910), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1101), 1,
      sym_comment,
    ACTIONS(1991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1993), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1102), 1,
      sym_comment,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1103), 1,
      sym_comment,
    ACTIONS(939), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(941), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [45980] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1104), 1,
      sym_comment,
    ACTIONS(1995), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1997), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1105), 1,
      sym_comment,
    ACTIONS(928), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(930), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1106), 1,
      sym_comment,
    ACTIONS(993), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(997), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1107), 1,
      sym_comment,
    ACTIONS(977), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(981), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1108), 1,
      sym_comment,
    ACTIONS(969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(973), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1109), 1,
      sym_comment,
    ACTIONS(922), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(926), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1110), 1,
      sym_comment,
    ACTIONS(939), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(941), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46358] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    STATE(1111), 1,
      sym_comment,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1882), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1884), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [46424] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2013), 1,
      sym_regex_flags,
    STATE(1112), 1,
      sym_comment,
    ACTIONS(2009), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46480] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    STATE(1113), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1886), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1888), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1114), 1,
      sym_comment,
    ACTIONS(2017), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2019), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1115), 1,
      sym_comment,
    ACTIONS(2021), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2023), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46656] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1116), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [46752] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1117), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [46836] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1118), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46906] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1119), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46980] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    STATE(1120), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47072] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1121), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2029), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [47172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1122), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2029), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47226] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1123), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [47326] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    STATE(1124), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47416] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1125), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2027), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [47504] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    STATE(1126), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1868), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47572] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1127), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1128), 1,
      sym_comment,
    ACTIONS(2035), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2037), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1129), 1,
      sym_comment,
    ACTIONS(2039), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2041), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47756] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1130), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [47850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1131), 1,
      sym_comment,
    ACTIONS(2043), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2045), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1132), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2049), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [47958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1133), 1,
      sym_comment,
    ACTIONS(2051), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2053), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1134), 1,
      sym_comment,
    ACTIONS(2055), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48066] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1135), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [48158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1136), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1137), 1,
      sym_comment,
    ACTIONS(2063), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2065), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48266] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1138), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1139), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1140), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1141), 1,
      sym_comment,
    ACTIONS(987), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(989), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1142), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2069), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48536] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1143), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2071), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1144), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48690] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1145), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2075), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1146), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1147), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [48898] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1148), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2083), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1149), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49052] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1150), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2087), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1151), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1152), 1,
      sym_comment,
    ACTIONS(2093), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1153), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1154), 1,
      sym_comment,
    ACTIONS(2101), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49368] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1155), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1156), 1,
      sym_comment,
    ACTIONS(928), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(930), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1157), 1,
      sym_comment,
    ACTIONS(2105), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1158), 1,
      sym_comment,
    ACTIONS(2109), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1159), 1,
      sym_comment,
    ACTIONS(2113), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2115), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1160), 1,
      sym_comment,
    ACTIONS(2117), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2119), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1161), 1,
      sym_comment,
    ACTIONS(2121), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49762] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1162), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2125), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1163), 1,
      sym_comment,
    ACTIONS(2127), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2129), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1164), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1165), 1,
      sym_comment,
    ACTIONS(2135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2137), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1166), 1,
      sym_comment,
    ACTIONS(2139), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50078] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    STATE(1167), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [50158] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1168), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1169), 1,
      sym_comment,
    ACTIONS(987), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(989), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50312] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1170), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1171), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2145), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1172), 1,
      sym_comment,
    ACTIONS(2149), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2151), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50520] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1908), 1,
      sym_optional_chain,
    STATE(1173), 1,
      sym_comment,
    ACTIONS(2149), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2151), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1174), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50634] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1175), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2153), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1176), 1,
      sym_comment,
    ACTIONS(2155), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1177), 1,
      sym_comment,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [50842] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1178), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2083), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50941] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    ACTIONS(2199), 1,
      anon_sym_in,
    STATE(1179), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2197), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [51042] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1180), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1985), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51141] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51244] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1182), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1183), 1,
      sym_comment,
    ACTIONS(2159), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2161), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51396] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1184), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2153), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51495] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1185), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51594] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1186), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51673] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1187), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51776] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1188), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51879] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1189), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51948] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1190), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52039] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1191), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52132] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1192), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52207] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1193), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52294] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1194), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [52383] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1195), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [52474] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1196), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52547] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1197), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52616] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1198), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [52699] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1199), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [52794] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1200), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1939), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52893] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1201), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1923), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52992] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(1202), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53047] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
    ACTIONS(2247), 1,
      anon_sym_RBRACE,
    STATE(1203), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2033), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53150] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2247), 1,
      anon_sym_RBRACE,
    ACTIONS(2249), 1,
      anon_sym_COMMA,
    STATE(1204), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53253] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1205), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2252), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53356] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2254), 1,
      anon_sym_COMMA,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    STATE(1206), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53459] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1207), 1,
      sym_comment,
    ACTIONS(2035), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2037), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53512] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    STATE(1208), 1,
      sym_comment,
    STATE(1313), 1,
      sym_arguments,
    ACTIONS(1904), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1906), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53569] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2259), 1,
      sym_optional_chain,
    STATE(1209), 1,
      sym_comment,
    STATE(1313), 1,
      sym_arguments,
    ACTIONS(1904), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1906), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53632] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1210), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53735] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1211), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53838] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1212), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2265), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [53937] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1213), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2075), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54036] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1214), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2083), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54135] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1215), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54234] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1216), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54337] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1217), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54440] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1218), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2029), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54539] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1219), 1,
      sym_comment,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54594] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    STATE(1220), 1,
      sym_comment,
    ACTIONS(1910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54649] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1221), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54748] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1222), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2271), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    STATE(1223), 1,
      sym_comment,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54906] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55009] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1225), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2125), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55108] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1226), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55211] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55314] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1228), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55417] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    STATE(1229), 1,
      sym_comment,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55472] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55575] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1231), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2143), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55674] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    STATE(1232), 1,
      sym_comment,
    ACTIONS(1910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55729] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1233), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55832] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55887] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1235), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2125), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55986] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2285), 1,
      sym__automatic_semicolon,
    STATE(1236), 1,
      sym_comment,
    ACTIONS(932), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56045] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1237), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2287), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56144] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1238), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2087), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56243] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1987), 1,
      sym__automatic_semicolon,
    STATE(1239), 1,
      sym_comment,
    ACTIONS(864), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(932), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56300] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1240), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2075), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56399] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      sym_comment,
    STATE(1887), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56502] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1242), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1923), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56601] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1243), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1939), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56700] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1244), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [56795] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1245), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [56878] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1246), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [56947] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1247), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57020] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1248), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [57111] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1249), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [57200] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1250), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [57287] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1251), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57362] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1252), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [57455] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1253), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [57546] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1254), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57615] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    STATE(1255), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57694] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1256), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2145), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57793] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1257), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2153), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57892] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1258), 1,
      sym_comment,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57947] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1259), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1985), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58046] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1260), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2033), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58145] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2171), 1,
      anon_sym_GT_GT,
    ACTIONS(2175), 1,
      anon_sym_AMP,
    ACTIONS(2177), 1,
      anon_sym_CARET,
    ACTIONS(2179), 1,
      anon_sym_PIPE,
    ACTIONS(2183), 1,
      anon_sym_PERCENT,
    ACTIONS(2185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2193), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2195), 1,
      sym__ternary_qmark,
    STATE(1261), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2165), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2029), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58244] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_RPAREN,
    STATE(1262), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1263), 1,
      sym_comment,
    ACTIONS(1991), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1993), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1264), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2079), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58450] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2295), 1,
      anon_sym_RPAREN,
    STATE(1265), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58552] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2297), 1,
      anon_sym_COLON,
    STATE(1266), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1267), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2075), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1268), 1,
      sym_comment,
    ACTIONS(2039), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2041), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58758] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1269), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2299), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [58856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1270), 1,
      sym_comment,
    ACTIONS(2109), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2111), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58908] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    ACTIONS(1827), 1,
      anon_sym_in,
    ACTIONS(1830), 1,
      anon_sym_of,
    STATE(1271), 1,
      sym_comment,
    ACTIONS(1755), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58966] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2301), 1,
      anon_sym_RBRACK,
    STATE(1272), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1273), 1,
      sym_comment,
    ACTIONS(2047), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2049), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59120] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2303), 1,
      anon_sym_RPAREN,
    STATE(1274), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1275), 1,
      sym_comment,
    ACTIONS(1977), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1276), 1,
      sym_comment,
    ACTIONS(2051), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2053), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1277), 1,
      sym_comment,
    ACTIONS(2055), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1278), 1,
      sym_comment,
    ACTIONS(2105), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2107), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59430] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2305), 1,
      anon_sym_RPAREN,
    STATE(1279), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59532] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1852), 1,
      anon_sym_EQ,
    STATE(1280), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1281), 1,
      sym_comment,
    ACTIONS(2017), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2019), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59638] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2307), 1,
      anon_sym_RPAREN,
    STATE(1282), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1283), 1,
      sym_comment,
    ACTIONS(961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(965), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59792] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2309), 1,
      anon_sym_RBRACK,
    STATE(1284), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59894] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2313), 1,
      anon_sym_RBRACK,
    STATE(1285), 1,
      sym_comment,
    STATE(2134), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1286), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60048] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2315), 1,
      anon_sym_RPAREN,
    STATE(1287), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60150] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    STATE(1288), 1,
      sym_comment,
    ACTIONS(2317), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1289), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1290), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1291), 1,
      sym_comment,
    ACTIONS(2059), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2061), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60362] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    ACTIONS(2319), 1,
      anon_sym_in,
    ACTIONS(2322), 1,
      anon_sym_of,
    STATE(1292), 1,
      sym_comment,
    ACTIONS(1910), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1293), 1,
      sym_comment,
    ACTIONS(2117), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2119), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1294), 1,
      sym_comment,
    ACTIONS(2121), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2123), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60524] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2324), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1296), 1,
      sym_comment,
    ACTIONS(2113), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2115), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60678] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_of,
    ACTIONS(2326), 1,
      anon_sym_in,
    STATE(1297), 1,
      sym_comment,
    ACTIONS(1892), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1298), 1,
      sym_comment,
    ACTIONS(2135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2137), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60788] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(1299), 1,
      sym_comment,
    STATE(2065), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60890] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_RBRACK,
    STATE(1300), 1,
      sym_comment,
    STATE(2020), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60992] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(1301), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1302), 1,
      sym_comment,
    ACTIONS(2063), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2065), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1303), 1,
      sym_comment,
    ACTIONS(2067), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2069), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61198] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(1304), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1305), 1,
      sym_comment,
    ACTIONS(2021), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2023), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61352] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1306), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2197), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61450] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    STATE(1307), 1,
      sym_comment,
    STATE(2134), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1308), 1,
      sym_comment,
    ACTIONS(2031), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2029), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1309), 1,
      sym_comment,
    ACTIONS(2127), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2129), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1310), 1,
      sym_comment,
    ACTIONS(2139), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2141), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61708] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2339), 1,
      anon_sym_RPAREN,
    STATE(1311), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1312), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1313), 1,
      sym_comment,
    ACTIONS(1973), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1975), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61914] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2341), 1,
      sym_regex_flags,
    STATE(1314), 1,
      sym_comment,
    ACTIONS(2009), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61968] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2343), 1,
      anon_sym_RPAREN,
    STATE(1315), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62070] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2345), 1,
      anon_sym_RPAREN,
    STATE(1316), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62172] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1317), 1,
      sym_comment,
    ACTIONS(2347), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62228] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1824), 1,
      anon_sym_EQ,
    STATE(1318), 1,
      sym_comment,
    ACTIONS(1821), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62284] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2349), 1,
      sym__automatic_semicolon,
    STATE(1319), 1,
      sym_comment,
    ACTIONS(1025), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(922), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(926), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62340] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2351), 1,
      anon_sym_RPAREN,
    STATE(1320), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62442] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(1322), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62598] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2347), 1,
      anon_sym_of,
    ACTIONS(2355), 1,
      anon_sym_in,
    STATE(1323), 1,
      sym_comment,
    ACTIONS(866), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62656] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(1324), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1325), 1,
      sym_comment,
    ACTIONS(2155), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2157), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62810] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2360), 1,
      anon_sym_RPAREN,
    STATE(1326), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62912] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2362), 1,
      sym__automatic_semicolon,
    STATE(1327), 1,
      sym_comment,
    ACTIONS(1021), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(973), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1328), 1,
      sym_comment,
    ACTIONS(2147), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2145), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63020] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
    STATE(1329), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63122] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 1,
      anon_sym_RBRACE,
    STATE(1330), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1331), 1,
      sym_comment,
    ACTIONS(2093), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2095), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63276] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(1332), 1,
      sym_comment,
    STATE(2094), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63378] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(1333), 1,
      sym_comment,
    STATE(2077), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1334), 1,
      sym_comment,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63532] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2341), 1,
      sym_regex_flags,
    STATE(1335), 1,
      sym_comment,
    ACTIONS(2009), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63586] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1841), 1,
      anon_sym_EQ,
    STATE(1336), 1,
      sym_comment,
    ACTIONS(1839), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1337), 1,
      sym_comment,
    ACTIONS(922), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(926), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1338), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2133), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63746] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    STATE(1339), 1,
      sym_comment,
    ACTIONS(2322), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63802] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    STATE(1340), 1,
      sym_comment,
    STATE(2084), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1341), 1,
      sym_comment,
    ACTIONS(1995), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1997), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1342), 1,
      sym_comment,
    ACTIONS(906), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(910), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1343), 1,
      sym_comment,
    ACTIONS(914), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(918), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1344), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2087), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64112] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1345), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2071), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1346), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2083), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64262] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1347), 1,
      sym_comment,
    ACTIONS(2101), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2103), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64314] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2374), 1,
      sym__automatic_semicolon,
    STATE(1348), 1,
      sym_comment,
    ACTIONS(1041), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(898), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(902), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64370] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_RBRACK,
    STATE(1349), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64472] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2378), 1,
      sym__automatic_semicolon,
    STATE(1350), 1,
      sym_comment,
    ACTIONS(999), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(906), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(910), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64528] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2380), 1,
      sym__automatic_semicolon,
    STATE(1351), 1,
      sym_comment,
    ACTIONS(1053), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(914), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(918), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64584] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2382), 1,
      sym__automatic_semicolon,
    STATE(1352), 1,
      sym_comment,
    ACTIONS(1031), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(977), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(981), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64640] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    STATE(1353), 1,
      sym_comment,
    ACTIONS(1835), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1354), 1,
      sym_comment,
    ACTIONS(1981), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1983), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64748] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(1355), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64850] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2386), 1,
      sym__automatic_semicolon,
    STATE(1356), 1,
      sym_comment,
    ACTIONS(1011), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(961), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(965), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64906] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2388), 1,
      sym__automatic_semicolon,
    STATE(1357), 1,
      sym_comment,
    ACTIONS(1035), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(993), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(997), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1358), 1,
      sym_comment,
    ACTIONS(2097), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2099), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1359), 1,
      sym_comment,
    ACTIONS(1921), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1360), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65118] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2259), 1,
      sym_optional_chain,
    STATE(1361), 1,
      sym_comment,
    ACTIONS(2149), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2151), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1362), 1,
      sym_comment,
    ACTIONS(2149), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2151), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1363), 1,
      sym_comment,
    ACTIONS(969), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(973), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1364), 1,
      sym_comment,
    ACTIONS(1933), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1935), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65332] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1365), 1,
      sym_comment,
    STATE(2049), 1,
      aux_sym_array_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65434] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1366), 1,
      sym_comment,
    ACTIONS(993), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(997), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1367), 1,
      sym_comment,
    ACTIONS(977), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(981), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1368), 1,
      sym_comment,
    ACTIONS(1929), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1931), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1369), 1,
      sym_comment,
    ACTIONS(2043), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2045), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65642] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RBRACE,
    STATE(1370), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1371), 1,
      sym_comment,
    ACTIONS(1925), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1927), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65796] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RBRACK,
    STATE(1372), 1,
      sym_comment,
    STATE(1762), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65898] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1373), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1985), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65995] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1374), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2430), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66092] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1375), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [66181] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1376), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2029), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66278] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1377), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1923), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66375] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1378), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [66452] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2432), 1,
      anon_sym_SEMI,
    ACTIONS(2434), 1,
      sym__automatic_semicolon,
    STATE(1379), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66551] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1380), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66648] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
    ACTIONS(2438), 1,
      sym__automatic_semicolon,
    STATE(1381), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66747] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2440), 1,
      anon_sym_SEMI,
    ACTIONS(2442), 1,
      sym__automatic_semicolon,
    STATE(1382), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66846] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1383), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1939), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66943] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1384), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2444), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67040] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1385), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [67133] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1386), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67230] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    STATE(1387), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67327] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1388), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2033), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67424] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1389), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2446), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67521] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2448), 1,
      anon_sym_SEMI,
    ACTIONS(2450), 1,
      sym__automatic_semicolon,
    STATE(1390), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67620] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1391), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67687] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1392), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [67774] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1393), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [67855] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1394), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [67944] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1395), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68011] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1396), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [68102] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1397), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68173] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1398), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2452), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68270] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1399), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2145), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68367] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1400), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68440] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    ACTIONS(2454), 1,
      anon_sym_SEMI,
    ACTIONS(2456), 1,
      sym__automatic_semicolon,
    STATE(1401), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68539] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2458), 1,
      anon_sym_LPAREN,
    ACTIONS(2461), 1,
      anon_sym_COLON,
    STATE(1402), 1,
      sym_comment,
    ACTIONS(1977), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1979), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68594] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    STATE(1403), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [68679] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1404), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68776] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2465), 1,
      anon_sym_LPAREN,
    ACTIONS(2468), 1,
      anon_sym_COLON,
    STATE(1405), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68831] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1406), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2125), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68928] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1407), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2153), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69025] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1408), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2087), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69122] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2208), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2210), 1,
      anon_sym_GT_GT,
    ACTIONS(2214), 1,
      anon_sym_AMP,
    ACTIONS(2216), 1,
      anon_sym_CARET,
    ACTIONS(2218), 1,
      anon_sym_PIPE,
    ACTIONS(2222), 1,
      anon_sym_PERCENT,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      sym__ternary_qmark,
    STATE(1409), 1,
      sym_comment,
    ACTIONS(2015), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2202), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2220), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2230), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2204), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69219] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1410), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2075), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69316] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1411), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2083), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69413] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    STATE(1412), 1,
      sym_comment,
    ACTIONS(1854), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69468] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    ACTIONS(2472), 1,
      anon_sym_COLON,
    STATE(1413), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69564] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    STATE(1414), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69636] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2125), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1415), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69732] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    STATE(1416), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2025), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69824] = 20,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    STATE(1417), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2027), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [69904] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    STATE(1418), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69970] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1914), 1,
      anon_sym_RBRACK,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    ACTIONS(2322), 1,
      anon_sym_COMMA,
    STATE(1419), 1,
      sym_comment,
    ACTIONS(1910), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70026] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1896), 1,
      anon_sym_RBRACK,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_COMMA,
    STATE(1420), 1,
      sym_comment,
    ACTIONS(1892), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70082] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    ACTIONS(2508), 1,
      anon_sym_in,
    STATE(1421), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2482), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70180] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    ACTIONS(2511), 1,
      anon_sym_LBRACE,
    STATE(1422), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70276] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    STATE(1423), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [70346] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1901), 1,
      anon_sym_RBRACK,
    ACTIONS(2347), 1,
      anon_sym_COMMA,
    STATE(1424), 1,
      sym_comment,
    ACTIONS(866), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70402] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    STATE(1425), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [70490] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2513), 1,
      anon_sym_RBRACK,
    STATE(1426), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70586] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_PIPE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    STATE(1427), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [70672] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    ACTIONS(2515), 1,
      anon_sym_COLON,
    STATE(1428), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70768] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1429), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70864] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2029), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1430), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70960] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2033), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1431), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71056] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1432), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71152] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2083), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1433), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71248] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1945), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1947), 1,
      anon_sym_GT_GT,
    ACTIONS(1951), 1,
      anon_sym_AMP,
    ACTIONS(1953), 1,
      anon_sym_CARET,
    ACTIONS(1955), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_PERCENT,
    ACTIONS(1961), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1969), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1971), 1,
      sym__ternary_qmark,
    ACTIONS(2517), 1,
      anon_sym_RBRACK,
    STATE(1434), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1965), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1967), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1941), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1963), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71344] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1821), 1,
      anon_sym_RBRACK,
    ACTIONS(1824), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_COMMA,
    STATE(1435), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71400] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    ACTIONS(2519), 1,
      anon_sym_COLON,
    STATE(1436), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71496] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(1985), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1437), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71592] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1438), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71688] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1439), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71784] = 22,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    STATE(1440), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2027), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [71868] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2143), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1441), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71964] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    ACTIONS(2521), 1,
      anon_sym_COLON,
    STATE(1442), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72060] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1443), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72156] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    ACTIONS(2523), 1,
      anon_sym_COLON,
    STATE(1444), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72252] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    STATE(1445), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72328] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2075), 1,
      anon_sym_of,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2486), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    ACTIONS(2504), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2506), 1,
      sym__ternary_qmark,
    STATE(1446), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72424] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    STATE(1447), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2027), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2025), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72490] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    STATE(1448), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72578] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2478), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2484), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2488), 1,
      anon_sym_GT_GT,
    ACTIONS(2492), 1,
      anon_sym_AMP,
    ACTIONS(2494), 1,
      anon_sym_CARET,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    STATE(1449), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2474), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2490), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2502), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2482), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2498), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2025), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72668] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2001), 1,
      anon_sym_LBRACK,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      sym_optional_chain,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72761] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1876), 1,
      sym_optional_chain,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(2400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2404), 1,
      anon_sym_GT_GT,
    ACTIONS(2408), 1,
      anon_sym_AMP,
    ACTIONS(2410), 1,
      anon_sym_CARET,
    ACTIONS(2412), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_PERCENT,
    ACTIONS(2418), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2426), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2428), 1,
      sym__ternary_qmark,
    STATE(1451), 1,
      sym_comment,
    ACTIONS(1878), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2406), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2414), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2422), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2424), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(2398), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2420), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72854] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2531), 1,
      anon_sym_async,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2535), 1,
      anon_sym_static,
    STATE(1452), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2061), 1,
      aux_sym_object_repeat1,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2537), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2525), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2059), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [72949] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2541), 1,
      anon_sym_RBRACE,
    ACTIONS(2543), 1,
      anon_sym_async,
    ACTIONS(2545), 1,
      anon_sym_static,
    STATE(1453), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2061), 1,
      aux_sym_object_repeat1,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2547), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2539), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2059), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73044] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2553), 1,
      anon_sym_async,
    ACTIONS(2555), 1,
      anon_sym_static,
    STATE(1454), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2125), 1,
      aux_sym_object_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2557), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2549), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2126), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(868), 1,
      anon_sym_EQ,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2347), 1,
      anon_sym_of,
    ACTIONS(2355), 1,
      anon_sym_in,
    STATE(1455), 1,
      sym_comment,
    ACTIONS(866), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(872), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1899), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_of,
    ACTIONS(2326), 1,
      anon_sym_in,
    STATE(1456), 1,
      sym_comment,
    ACTIONS(1892), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73249] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1795), 1,
      anon_sym_EQ,
    ACTIONS(1827), 1,
      anon_sym_in,
    ACTIONS(1830), 1,
      anon_sym_of,
    STATE(1457), 1,
      sym_comment,
    ACTIONS(1755), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73304] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2563), 1,
      anon_sym_async,
    ACTIONS(2565), 1,
      anon_sym_static,
    STATE(1458), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2125), 1,
      aux_sym_object_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2567), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2559), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2126), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73399] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_async,
    ACTIONS(2575), 1,
      anon_sym_static,
    STATE(1459), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2125), 1,
      aux_sym_object_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2577), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2569), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2126), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73494] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2581), 1,
      anon_sym_RBRACE,
    ACTIONS(2583), 1,
      anon_sym_async,
    ACTIONS(2585), 1,
      anon_sym_static,
    STATE(1460), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2125), 1,
      aux_sym_object_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2579), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2126), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73589] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    ACTIONS(2319), 1,
      anon_sym_in,
    ACTIONS(2322), 1,
      anon_sym_of,
    STATE(1461), 1,
      sym_comment,
    ACTIONS(1910), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1912), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(1462), 1,
      sym_comment,
    ACTIONS(1755), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1757), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73695] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2013), 1,
      sym_regex_flags,
    STATE(1463), 1,
      sym_comment,
    ACTIONS(2009), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(2011), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73746] = 28,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(2593), 1,
      anon_sym_async,
    ACTIONS(2595), 1,
      anon_sym_static,
    STATE(1464), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2125), 1,
      aux_sym_object_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2597), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2589), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2126), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73841] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(109), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2604), 1,
      anon_sym_async,
    ACTIONS(2606), 1,
      anon_sym_static,
    STATE(1465), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2060), 1,
      sym__property_name,
    STATE(2775), 1,
      sym__destructuring_pattern,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2601), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2608), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2599), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2236), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(2249), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [73928] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    STATE(1466), 1,
      sym_comment,
    STATE(1486), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74015] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1467), 1,
      sym_comment,
    STATE(1480), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74102] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1468), 1,
      sym_comment,
    STATE(1484), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74189] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1469), 1,
      sym_comment,
    STATE(1470), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74276] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    STATE(1470), 1,
      sym_comment,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74363] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2645), 1,
      anon_sym_STAR,
    ACTIONS(2648), 1,
      anon_sym_RBRACE,
    ACTIONS(2650), 1,
      anon_sym_SEMI,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2659), 1,
      anon_sym_async,
    ACTIONS(2662), 1,
      anon_sym_DQUOTE,
    ACTIONS(2665), 1,
      anon_sym_SQUOTE,
    ACTIONS(2671), 1,
      anon_sym_AT,
    ACTIONS(2674), 1,
      anon_sym_static,
    ACTIONS(2677), 1,
      aux_sym_method_definition_token1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2668), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2680), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1471), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2642), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74448] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(1472), 1,
      sym_comment,
    STATE(1483), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74535] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_comment,
    STATE(1479), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74622] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1474), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74709] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(1475), 1,
      sym_comment,
    STATE(1477), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74796] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1476), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74883] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1477), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [74970] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      aux_sym_class_body_repeat1,
    STATE(1478), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75057] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2697), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1479), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75144] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1480), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75231] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    STATE(1481), 1,
      sym_comment,
    STATE(1488), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75318] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    STATE(1474), 1,
      aux_sym_class_body_repeat1,
    STATE(1482), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75405] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1483), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75492] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1484), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75579] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    STATE(1485), 1,
      sym_comment,
    STATE(1487), 1,
      aux_sym_class_body_repeat1,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75666] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1486), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75753] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1487), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75840] = 27,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2616), 1,
      anon_sym_SEMI,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_async,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2628), 1,
      anon_sym_static,
    ACTIONS(2630), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(1471), 1,
      aux_sym_class_body_repeat1,
    STATE(1488), 1,
      sym_comment,
    STATE(1526), 1,
      aux_sym_export_statement_repeat1,
    STATE(1559), 1,
      sym_glimmer_template,
    STATE(1561), 1,
      sym_class_static_block,
    STATE(1564), 1,
      sym_method_definition,
    STATE(1632), 1,
      sym_decorator,
    STATE(1765), 1,
      sym__property_name,
    STATE(1877), 1,
      sym_glimmer_opening_tag,
    STATE(2174), 1,
      sym_field_definition,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [75927] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2719), 1,
      anon_sym_COMMA,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    STATE(1489), 1,
      sym_comment,
    STATE(2124), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    STATE(2807), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2127), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2717), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [75993] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(97), 1,
      anon_sym_STAR,
    ACTIONS(119), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1069), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2729), 1,
      anon_sym_async,
    ACTIONS(2731), 1,
      anon_sym_static,
    STATE(1490), 1,
      sym_comment,
    STATE(1520), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2104), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2725), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2733), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2723), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(2249), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [76065] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    ACTIONS(2719), 1,
      anon_sym_COMMA,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    STATE(1491), 1,
      sym_comment,
    STATE(2064), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2775), 1,
      sym__destructuring_pattern,
    STATE(2807), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2058), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2735), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [76131] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LBRACK,
    STATE(1492), 1,
      sym_comment,
    STATE(2775), 1,
      sym__destructuring_pattern,
    STATE(2807), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    STATE(2236), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(2739), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [76192] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1493), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76255] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    STATE(1494), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76318] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1290), 1,
      anon_sym_RBRACE,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1495), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [76383] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1496), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76446] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1497), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [76511] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    STATE(1498), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [76576] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1290), 1,
      anon_sym_RBRACE,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1499), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76639] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    STATE(1500), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76702] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1501), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76765] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1502), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [76830] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1503), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [76893] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1504), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [76958] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1505), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77023] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    STATE(1506), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77088] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    STATE(1507), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77146] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1290), 1,
      anon_sym_RBRACE,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1508), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77204] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1509), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77262] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    STATE(1510), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77320] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1511), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77378] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1512), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77436] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2757), 1,
      anon_sym_STAR,
    ACTIONS(2759), 1,
      anon_sym_LBRACE,
    ACTIONS(2761), 1,
      anon_sym_async,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1513), 1,
      sym_comment,
    STATE(1553), 1,
      sym_statement_block,
    STATE(1763), 1,
      sym__property_name,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2610), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77496] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(99), 1,
      anon_sym_COMMA,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1514), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [77554] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1515), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2767), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77609] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1516), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2767), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [77666] = 21,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_AT,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2770), 1,
      anon_sym_export,
    ACTIONS(2772), 1,
      anon_sym_STAR,
    ACTIONS(2774), 1,
      anon_sym_class,
    ACTIONS(2776), 1,
      anon_sym_async,
    ACTIONS(2778), 1,
      anon_sym_static,
    ACTIONS(2780), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2782), 1,
      anon_sym_get,
    ACTIONS(2784), 1,
      anon_sym_set,
    STATE(1517), 1,
      sym_comment,
    STATE(1567), 1,
      aux_sym_export_statement_repeat1,
    STATE(1595), 1,
      sym_decorator,
    STATE(2186), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1352), 2,
      anon_sym_let,
      sym_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
  [77733] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    ACTIONS(2786), 1,
      anon_sym_STAR,
    ACTIONS(2788), 1,
      anon_sym_get,
    ACTIONS(2790), 1,
      anon_sym_set,
    STATE(1518), 1,
      sym_comment,
    STATE(2614), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77787] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    ACTIONS(2792), 1,
      anon_sym_STAR,
    ACTIONS(2794), 1,
      anon_sym_get,
    ACTIONS(2796), 1,
      anon_sym_set,
    STATE(1519), 1,
      sym_comment,
    STATE(2628), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77841] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2772), 1,
      anon_sym_STAR,
    ACTIONS(2776), 1,
      anon_sym_async,
    ACTIONS(2778), 1,
      anon_sym_static,
    ACTIONS(2780), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2782), 1,
      anon_sym_get,
    ACTIONS(2784), 1,
      anon_sym_set,
    STATE(1520), 1,
      sym_comment,
    STATE(1586), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(2186), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [77903] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    ACTIONS(2798), 1,
      anon_sym_STAR,
    STATE(1521), 1,
      sym_comment,
    STATE(2154), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [77955] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    STATE(1522), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78007] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2757), 1,
      anon_sym_STAR,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1523), 1,
      sym_comment,
    STATE(2601), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2804), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [78059] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_EQ,
    STATE(1524), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2767), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78109] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    STATE(1525), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78163] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2533), 1,
      anon_sym_AT,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2806), 1,
      anon_sym_STAR,
    ACTIONS(2808), 1,
      anon_sym_async,
    ACTIONS(2810), 1,
      anon_sym_static,
    ACTIONS(2812), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2814), 1,
      anon_sym_get,
    ACTIONS(2816), 1,
      anon_sym_set,
    STATE(1526), 1,
      sym_comment,
    STATE(1586), 1,
      aux_sym_export_statement_repeat1,
    STATE(1632), 1,
      sym_decorator,
    STATE(1757), 1,
      sym__property_name,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2610), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
  [78225] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    ACTIONS(2818), 1,
      anon_sym_STAR,
    ACTIONS(2820), 1,
      anon_sym_async,
    ACTIONS(2822), 1,
      anon_sym_get,
    ACTIONS(2824), 1,
      anon_sym_set,
    STATE(1527), 1,
      sym_comment,
    STATE(1784), 1,
      sym__property_name,
    ACTIONS(2626), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1961), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2610), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [78281] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1528), 1,
      sym_comment,
    STATE(2601), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78328] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1529), 1,
      sym_comment,
    STATE(2616), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78375] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2826), 1,
      sym__automatic_semicolon,
    STATE(1530), 1,
      sym_comment,
    ACTIONS(874), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78408] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1531), 1,
      sym_comment,
    STATE(2630), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78455] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1532), 1,
      sym_comment,
    STATE(2629), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78502] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1533), 1,
      sym_comment,
    STATE(2617), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78549] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2828), 1,
      sym__automatic_semicolon,
    STATE(1534), 1,
      sym_comment,
    ACTIONS(864), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78582] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2832), 1,
      anon_sym_LPAREN,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    STATE(1535), 1,
      sym_comment,
    STATE(1625), 1,
      sym_arguments,
    ACTIONS(2830), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78619] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym__automatic_semicolon,
    STATE(1536), 1,
      sym_comment,
    STATE(2154), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2747), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78666] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1537), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2747), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [78713] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1538), 1,
      sym_comment,
    ACTIONS(2836), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78743] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1539), 1,
      sym_comment,
    ACTIONS(2838), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78773] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1540), 1,
      sym_comment,
    ACTIONS(2840), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78803] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1541), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78833] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1542), 1,
      sym_comment,
    ACTIONS(2844), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78863] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1543), 1,
      sym_comment,
    ACTIONS(2844), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78893] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1544), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78923] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1545), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78953] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1546), 1,
      sym_comment,
    ACTIONS(2844), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [78983] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1547), 1,
      sym_comment,
    ACTIONS(2844), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1548), 1,
      sym_comment,
    ACTIONS(2844), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79043] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1549), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79073] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1550), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79103] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1551), 1,
      sym_comment,
    ACTIONS(2055), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79133] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1552), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79163] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1553), 1,
      sym_comment,
    ACTIONS(2846), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79193] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1554), 1,
      sym_comment,
    ACTIONS(2848), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79223] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1555), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79253] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1556), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79283] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1557), 1,
      sym_comment,
    ACTIONS(2047), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79313] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1558), 1,
      sym_comment,
    ACTIONS(2850), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79343] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1559), 1,
      sym_comment,
    ACTIONS(2852), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79373] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1560), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79403] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1561), 1,
      sym_comment,
    ACTIONS(2854), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79433] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1562), 1,
      sym_comment,
    ACTIONS(2856), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79463] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1563), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79493] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2858), 1,
      anon_sym_SEMI,
    STATE(1564), 1,
      sym_comment,
    ACTIONS(2854), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1565), 1,
      sym_comment,
    ACTIONS(2842), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79555] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1566), 1,
      sym_comment,
    ACTIONS(2844), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79585] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2863), 1,
      anon_sym_AT,
    STATE(1595), 1,
      sym_decorator,
    STATE(1567), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2861), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79619] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2868), 1,
      anon_sym_DOT,
    STATE(1568), 1,
      sym_comment,
    STATE(1641), 1,
      sym_arguments,
    ACTIONS(2830), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79655] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1569), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79685] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1570), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79715] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1571), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79745] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1572), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79775] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1573), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1574), 1,
      sym_comment,
    ACTIONS(1925), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79835] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1575), 1,
      sym_comment,
    ACTIONS(2870), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79865] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1576), 1,
      sym_comment,
    ACTIONS(2872), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79895] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1577), 1,
      sym_comment,
    ACTIONS(939), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79925] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1578), 1,
      sym_comment,
    ACTIONS(874), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79955] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1579), 1,
      sym_comment,
    ACTIONS(2874), 18,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [79985] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR,
    ACTIONS(2878), 1,
      anon_sym_async,
    ACTIONS(2880), 1,
      anon_sym_get,
    ACTIONS(2882), 1,
      anon_sym_set,
    STATE(1580), 1,
      sym_comment,
    STATE(2192), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [80036] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2884), 1,
      anon_sym_STAR,
    ACTIONS(2886), 1,
      anon_sym_get,
    ACTIONS(2888), 1,
      anon_sym_set,
    STATE(1581), 1,
      sym_comment,
    STATE(2632), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [80085] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1582), 1,
      sym_comment,
    ACTIONS(2856), 17,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80114] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2890), 1,
      anon_sym_STAR,
    ACTIONS(2892), 1,
      anon_sym_get,
    ACTIONS(2894), 1,
      anon_sym_set,
    STATE(1583), 1,
      sym_comment,
    STATE(2363), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [80163] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2896), 1,
      anon_sym_EQ_GT,
    STATE(1584), 1,
      sym_comment,
    STATE(2246), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80208] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2898), 1,
      anon_sym_STAR,
    ACTIONS(2900), 1,
      anon_sym_get,
    ACTIONS(2902), 1,
      anon_sym_set,
    STATE(1585), 1,
      sym_comment,
    STATE(2255), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [80257] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2904), 1,
      anon_sym_AT,
    STATE(1632), 1,
      sym_decorator,
    STATE(1586), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(2861), 14,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80290] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2907), 1,
      anon_sym_STAR,
    ACTIONS(2909), 1,
      anon_sym_get,
    ACTIONS(2911), 1,
      anon_sym_set,
    STATE(1587), 1,
      sym_comment,
    STATE(2301), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [80339] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      anon_sym_STAR,
    STATE(1588), 1,
      sym_comment,
    STATE(2246), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2915), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [80386] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2917), 1,
      anon_sym_default,
    STATE(953), 1,
      sym_declaration,
    STATE(1589), 1,
      sym_comment,
    STATE(1873), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(923), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [80437] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_STAR,
    STATE(1590), 1,
      sym_comment,
    STATE(2154), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2800), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [80484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1591), 1,
      sym_comment,
    ACTIONS(2830), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80512] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1592), 1,
      sym_comment,
    STATE(2359), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80554] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1271), 1,
      anon_sym_var,
    ACTIONS(1277), 1,
      anon_sym_class,
    ACTIONS(1279), 1,
      anon_sym_async,
    ACTIONS(1281), 1,
      anon_sym_function,
    ACTIONS(2919), 1,
      anon_sym_default,
    STATE(817), 1,
      sym_declaration,
    STATE(1593), 1,
      sym_comment,
    STATE(1997), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(1273), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(685), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [80602] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_comment,
    STATE(2458), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80644] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1595), 1,
      sym_comment,
    ACTIONS(2921), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [80672] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1251), 1,
      anon_sym_var,
    ACTIONS(1259), 1,
      anon_sym_class,
    ACTIONS(1261), 1,
      anon_sym_async,
    ACTIONS(1263), 1,
      anon_sym_function,
    ACTIONS(2923), 1,
      anon_sym_default,
    STATE(742), 1,
      sym_declaration,
    STATE(1596), 1,
      sym_comment,
    STATE(2000), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(1253), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(858), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [80720] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1597), 1,
      sym_comment,
    STATE(2475), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80762] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1598), 1,
      sym_comment,
    STATE(2638), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80804] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1599), 1,
      sym_comment,
    STATE(2353), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [80846] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2925), 1,
      anon_sym_STAR,
    ACTIONS(2927), 1,
      anon_sym_async,
    ACTIONS(2929), 1,
      anon_sym_get,
    ACTIONS(2931), 1,
      anon_sym_set,
    STATE(1600), 1,
      sym_comment,
    STATE(2615), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [80894] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2933), 1,
      anon_sym_STAR,
    ACTIONS(2935), 1,
      anon_sym_async,
    ACTIONS(2937), 1,
      anon_sym_get,
    ACTIONS(2939), 1,
      anon_sym_set,
    STATE(1601), 1,
      sym_comment,
    STATE(2262), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [80942] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(1357), 1,
      anon_sym_async,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_STAR,
    STATE(1602), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [80988] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1603), 1,
      sym_comment,
    STATE(2623), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81030] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1604), 1,
      sym_comment,
    STATE(2246), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81072] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1605), 1,
      sym_comment,
    STATE(2360), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81114] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      sym_comment,
    STATE(2364), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81156] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_comment,
    STATE(2365), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81198] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1608), 1,
      sym_comment,
    STATE(2639), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81240] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1609), 1,
      sym_comment,
    STATE(2372), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81282] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_var,
    ACTIONS(1229), 1,
      anon_sym_class,
    ACTIONS(1231), 1,
      anon_sym_async,
    ACTIONS(1233), 1,
      anon_sym_function,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(2917), 1,
      anon_sym_default,
    STATE(953), 1,
      sym_declaration,
    STATE(1610), 1,
      sym_comment,
    STATE(1873), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(923), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81330] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_comment,
    STATE(2472), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81372] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1612), 1,
      sym_comment,
    STATE(2373), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81414] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1613), 1,
      sym_comment,
    ACTIONS(2101), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81442] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1614), 1,
      sym_comment,
    STATE(2154), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81484] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1615), 1,
      sym_comment,
    STATE(2634), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81526] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1616), 1,
      sym_comment,
    STATE(2626), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81568] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2757), 1,
      anon_sym_STAR,
    ACTIONS(2941), 1,
      anon_sym_async,
    STATE(1617), 1,
      sym_comment,
    STATE(2601), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2804), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [81614] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1618), 1,
      sym_comment,
    STATE(2462), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81656] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1619), 1,
      sym_comment,
    STATE(2625), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81698] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1338), 1,
      anon_sym_var,
    ACTIONS(1344), 1,
      anon_sym_class,
    ACTIONS(1346), 1,
      anon_sym_async,
    ACTIONS(1348), 1,
      anon_sym_function,
    ACTIONS(2943), 1,
      anon_sym_default,
    STATE(563), 1,
      sym_declaration,
    STATE(1620), 1,
      sym_comment,
    STATE(2004), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(1340), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(654), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81746] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_comment,
    STATE(2633), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81788] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1622), 1,
      sym_comment,
    STATE(2641), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81830] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1623), 1,
      sym_comment,
    STATE(2268), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [81872] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(1320), 1,
      anon_sym_var,
    ACTIONS(1326), 1,
      anon_sym_class,
    ACTIONS(1328), 1,
      anon_sym_async,
    ACTIONS(1330), 1,
      anon_sym_function,
    ACTIONS(2945), 1,
      anon_sym_default,
    STATE(1624), 1,
      sym_comment,
    STATE(1990), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
    STATE(2679), 1,
      sym_declaration,
    ACTIONS(1322), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(2540), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [81920] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1625), 1,
      sym_comment,
    ACTIONS(2947), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81948] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1626), 1,
      sym_comment,
    ACTIONS(2121), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [81976] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_comment,
    STATE(2642), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82018] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_comment,
    STATE(2267), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82060] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1629), 1,
      sym_comment,
    ACTIONS(2131), 16,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_class,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82088] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1630), 1,
      sym_comment,
    ACTIONS(2131), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82115] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1631), 1,
      sym_comment,
    STATE(2624), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1632), 1,
      sym_comment,
    ACTIONS(2921), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82181] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1633), 1,
      sym_comment,
    STATE(2457), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82220] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1634), 1,
      sym_comment,
    ACTIONS(2101), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82247] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1635), 1,
      sym_comment,
    STATE(2223), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82286] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1636), 1,
      sym_comment,
    STATE(2601), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1637), 1,
      sym_comment,
    ACTIONS(2949), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [82352] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1638), 1,
      sym_comment,
    STATE(2631), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82391] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1639), 1,
      sym_comment,
    STATE(2627), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1640), 1,
      sym_comment,
    ACTIONS(2951), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [82457] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1641), 1,
      sym_comment,
    ACTIONS(2947), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82484] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1642), 1,
      sym_comment,
    STATE(2623), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1643), 1,
      sym_comment,
    ACTIONS(2953), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [82550] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1644), 1,
      sym_comment,
    STATE(2353), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82589] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1645), 1,
      sym_comment,
    ACTIONS(2121), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82616] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1646), 1,
      sym_comment,
    ACTIONS(2830), 15,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      aux_sym_method_definition_token1,
      anon_sym_get,
      anon_sym_set,
  [82643] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1647), 1,
      sym_comment,
    STATE(2254), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82682] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1648), 1,
      sym_comment,
    STATE(2640), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82721] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1649), 1,
      sym_comment,
    ACTIONS(2955), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [82748] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1650), 1,
      sym_comment,
    STATE(2246), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82787] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_comment,
    STATE(2355), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82826] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1652), 1,
      sym_comment,
    STATE(2154), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1653), 1,
      sym_comment,
    ACTIONS(2957), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [82892] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1654), 1,
      sym_comment,
    STATE(2468), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82931] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1655), 1,
      sym_comment,
    STATE(2637), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [82970] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1656), 1,
      sym_comment,
    STATE(2362), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83009] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1657), 1,
      sym_comment,
    STATE(2613), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83048] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      anon_sym_LBRACK,
    STATE(1658), 1,
      sym_comment,
    STATE(2370), 1,
      sym__property_name,
    ACTIONS(1312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2554), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1352), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [83087] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2959), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_LBRACE,
    STATE(1659), 1,
      sym_comment,
    STATE(2319), 1,
      sym_string,
    STATE(2659), 1,
      sym_import_clause,
    STATE(2686), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2965), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [83128] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2959), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_LBRACE,
    STATE(1660), 1,
      sym_comment,
    STATE(2432), 1,
      sym_string,
    STATE(2499), 1,
      sym_import_clause,
    STATE(2686), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2965), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [83169] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2959), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_LBRACE,
    STATE(1661), 1,
      sym_comment,
    STATE(2201), 1,
      sym_string,
    STATE(2661), 1,
      sym_import_clause,
    STATE(2686), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2965), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [83210] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2959), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_LBRACE,
    STATE(1662), 1,
      sym_comment,
    STATE(2187), 1,
      sym_string,
    STATE(2586), 1,
      sym_import_clause,
    STATE(2686), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2965), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [83251] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE,
    ACTIONS(2624), 1,
      anon_sym_SQUOTE,
    ACTIONS(2959), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_LBRACE,
    STATE(1663), 1,
      sym_comment,
    STATE(2545), 1,
      sym_string,
    STATE(2547), 1,
      sym_import_clause,
    STATE(2686), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2965), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [83292] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2973), 1,
      anon_sym_LT_SLASH,
    STATE(1664), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    STATE(1675), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1854), 1,
      sym_jsx_closing_element,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83330] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2973), 1,
      anon_sym_LT_SLASH,
    STATE(1664), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1665), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    STATE(1800), 1,
      sym_jsx_closing_element,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83368] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2975), 1,
      anon_sym_LT_SLASH,
    STATE(1088), 1,
      sym_jsx_closing_element,
    STATE(1666), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    STATE(1675), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83406] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2977), 1,
      anon_sym_LT_SLASH,
    STATE(1364), 1,
      sym_jsx_closing_element,
    STATE(1667), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    STATE(1675), 1,
      aux_sym_jsx_element_repeat1,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83444] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2979), 1,
      anon_sym_LT_SLASH,
    STATE(1668), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    STATE(1675), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1815), 1,
      sym_jsx_closing_element,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83482] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2977), 1,
      anon_sym_LT_SLASH,
    STATE(1268), 1,
      sym_jsx_closing_element,
    STATE(1667), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1669), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83520] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2975), 1,
      anon_sym_LT_SLASH,
    STATE(1129), 1,
      sym_jsx_closing_element,
    STATE(1666), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1670), 1,
      sym_comment,
    STATE(1671), 1,
      sym_jsx_opening_element,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83558] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_LT,
    ACTIONS(2979), 1,
      anon_sym_LT_SLASH,
    STATE(1668), 1,
      aux_sym_jsx_element_repeat1,
    STATE(1847), 1,
      sym_jsx_closing_element,
    ACTIONS(2969), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1671), 2,
      sym_jsx_opening_element,
      sym_comment,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83594] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(2991), 1,
      anon_sym_SLASH_GT,
    STATE(1672), 1,
      sym_comment,
    STATE(1703), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83633] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(2993), 1,
      anon_sym_SLASH_GT,
    STATE(1673), 1,
      sym_comment,
    STATE(1696), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83672] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(2995), 1,
      anon_sym_SLASH_GT,
    STATE(1674), 1,
      sym_comment,
    STATE(1691), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83711] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2997), 1,
      anon_sym_LBRACE,
    ACTIONS(3003), 1,
      anon_sym_LT,
    ACTIONS(3006), 1,
      anon_sym_LT_SLASH,
    STATE(1671), 1,
      sym_jsx_opening_element,
    ACTIONS(3000), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1675), 2,
      sym_comment,
      aux_sym_jsx_element_repeat1,
    STATE(1859), 4,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
  [83744] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(3008), 1,
      anon_sym_SLASH_GT,
    STATE(1676), 1,
      sym_comment,
    STATE(1694), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83783] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(2993), 1,
      anon_sym_SLASH_GT,
    STATE(1677), 1,
      sym_comment,
    STATE(1686), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83819] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2991), 1,
      anon_sym_SLASH_GT,
    STATE(1678), 1,
      sym_comment,
    STATE(1697), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83855] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(3008), 1,
      anon_sym_SLASH_GT,
    STATE(1679), 1,
      sym_comment,
    STATE(1699), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83891] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2993), 1,
      anon_sym_SLASH_GT,
    STATE(1680), 1,
      sym_comment,
    STATE(1690), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83927] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(3008), 1,
      anon_sym_SLASH_GT,
    STATE(1681), 1,
      sym_comment,
    STATE(1692), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83963] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(2995), 1,
      anon_sym_SLASH_GT,
    STATE(1682), 1,
      sym_comment,
    STATE(1705), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83999] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2995), 1,
      anon_sym_SLASH_GT,
    STATE(1683), 1,
      sym_comment,
    STATE(1687), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84035] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2989), 1,
      anon_sym_DOT,
    ACTIONS(2991), 1,
      anon_sym_SLASH_GT,
    STATE(1684), 1,
      sym_comment,
    STATE(1688), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84071] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(3008), 1,
      anon_sym_SLASH_GT,
    STATE(1685), 1,
      sym_comment,
    STATE(1693), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84104] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3010), 1,
      anon_sym_GT,
    ACTIONS(3012), 1,
      anon_sym_SLASH_GT,
    STATE(1686), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84137] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3014), 1,
      anon_sym_GT,
    ACTIONS(3016), 1,
      anon_sym_SLASH_GT,
    STATE(1687), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84170] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3010), 1,
      anon_sym_GT,
    ACTIONS(3018), 1,
      anon_sym_SLASH_GT,
    STATE(1688), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84203] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2995), 1,
      anon_sym_SLASH_GT,
    STATE(1689), 1,
      sym_comment,
    STATE(1704), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84236] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3014), 1,
      anon_sym_GT,
    ACTIONS(3020), 1,
      anon_sym_SLASH_GT,
    STATE(1690), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84269] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_GT,
    ACTIONS(3024), 1,
      anon_sym_SLASH_GT,
    STATE(1691), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84302] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3010), 1,
      anon_sym_GT,
    ACTIONS(3026), 1,
      anon_sym_SLASH_GT,
    STATE(1692), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84335] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_GT,
    ACTIONS(3030), 1,
      anon_sym_SLASH_GT,
    STATE(1693), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84368] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_GT,
    ACTIONS(3032), 1,
      anon_sym_SLASH_GT,
    STATE(1694), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84401] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2991), 1,
      anon_sym_SLASH_GT,
    STATE(1695), 1,
      sym_comment,
    STATE(1698), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84434] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_GT,
    ACTIONS(3034), 1,
      anon_sym_SLASH_GT,
    STATE(1696), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84467] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3014), 1,
      anon_sym_GT,
    ACTIONS(3036), 1,
      anon_sym_SLASH_GT,
    STATE(1697), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84500] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_GT,
    ACTIONS(3038), 1,
      anon_sym_SLASH_GT,
    STATE(1698), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84533] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3014), 1,
      anon_sym_GT,
    ACTIONS(3040), 1,
      anon_sym_SLASH_GT,
    STATE(1699), 1,
      sym_comment,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84566] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3045), 1,
      anon_sym_LBRACE,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(3042), 2,
      sym_jsx_identifier,
      sym_identifier,
    ACTIONS(3048), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1700), 2,
      sym_comment,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84595] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_GT,
    ACTIONS(3050), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1701), 1,
      sym_comment,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84628] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      anon_sym_GT,
    ACTIONS(2993), 1,
      anon_sym_SLASH_GT,
    STATE(1701), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1702), 1,
      sym_comment,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84661] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_GT,
    ACTIONS(3052), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1703), 1,
      sym_comment,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84694] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_GT,
    ACTIONS(3054), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1704), 1,
      sym_comment,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84727] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(3010), 1,
      anon_sym_GT,
    ACTIONS(3056), 1,
      anon_sym_SLASH_GT,
    STATE(1700), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1705), 1,
      sym_comment,
    STATE(1758), 1,
      sym_jsx_namespace_name,
    ACTIONS(2981), 2,
      sym_jsx_identifier,
      sym_identifier,
    STATE(1841), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [84760] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3058), 1,
      anon_sym_LBRACE,
    ACTIONS(3060), 1,
      anon_sym_LT,
    ACTIONS(3062), 1,
      anon_sym_DQUOTE,
    ACTIONS(3064), 1,
      anon_sym_SQUOTE,
    STATE(1665), 1,
      sym_jsx_opening_element,
    STATE(1706), 1,
      sym_comment,
    STATE(1807), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [84791] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3058), 1,
      anon_sym_LBRACE,
    ACTIONS(3060), 1,
      anon_sym_LT,
    ACTIONS(3062), 1,
      anon_sym_DQUOTE,
    ACTIONS(3064), 1,
      anon_sym_SQUOTE,
    STATE(1665), 1,
      sym_jsx_opening_element,
    STATE(1707), 1,
      sym_comment,
    STATE(1823), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [84822] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3066), 1,
      sym_identifier,
    ACTIONS(3068), 1,
      anon_sym_COMMA,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    STATE(1708), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2140), 1,
      sym_import_specifier,
    STATE(2804), 1,
      sym__module_export_name,
  [84856] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3072), 1,
      sym_identifier,
    ACTIONS(3074), 1,
      anon_sym_COMMA,
    ACTIONS(3076), 1,
      anon_sym_RBRACE,
    STATE(1709), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2150), 1,
      sym__module_export_name,
    STATE(2151), 1,
      sym_export_specifier,
  [84890] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1710), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1889), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [84919] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1213), 1,
      anon_sym_RBRACE,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    STATE(1711), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [84948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2285), 1,
      sym__automatic_semicolon,
    STATE(1712), 1,
      sym_comment,
    ACTIONS(932), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [84969] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3072), 1,
      sym_identifier,
    ACTIONS(3084), 1,
      anon_sym_RBRACE,
    STATE(1713), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2150), 1,
      sym__module_export_name,
    STATE(2338), 1,
      sym_export_specifier,
  [85000] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1714), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1939), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85029] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1715), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(2092), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85058] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1940), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85087] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1717), 1,
      sym_comment,
    ACTIONS(3086), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [85106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1718), 1,
      sym_comment,
    ACTIONS(3088), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [85125] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    STATE(1719), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [85154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1720), 1,
      sym_comment,
    ACTIONS(3090), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [85173] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    ACTIONS(3092), 1,
      anon_sym_RBRACE,
    STATE(1721), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [85202] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3094), 1,
      sym_identifier,
    STATE(1722), 1,
      sym_comment,
    STATE(1739), 1,
      sym__destructuring_pattern,
    STATE(1920), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85231] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1723), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1952), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85260] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1724), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1890), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85289] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1725), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1953), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85318] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3096), 1,
      sym_identifier,
    STATE(1726), 1,
      sym_comment,
    STATE(1742), 1,
      sym__destructuring_pattern,
    STATE(1921), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1727), 1,
      sym_comment,
    ACTIONS(3098), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [85366] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1728), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1960), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1729), 1,
      sym_comment,
    ACTIONS(3100), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [85414] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1730), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1930), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85443] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    ACTIONS(3102), 1,
      anon_sym_RBRACE,
    STATE(1731), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [85472] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3066), 1,
      sym_identifier,
    ACTIONS(3104), 1,
      anon_sym_RBRACE,
    STATE(1732), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2390), 1,
      sym_import_specifier,
    STATE(2804), 1,
      sym__module_export_name,
  [85503] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    STATE(1733), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [85532] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1734), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1929), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85561] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1407), 1,
      anon_sym_LBRACE,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(3078), 1,
      sym_identifier,
    STATE(1735), 1,
      sym_comment,
    STATE(1818), 1,
      sym__destructuring_pattern,
    STATE(1959), 1,
      sym_variable_declarator,
    STATE(1776), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85590] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    ACTIONS(3106), 1,
      anon_sym_RBRACE,
    STATE(1736), 1,
      sym_comment,
    STATE(2010), 1,
      aux_sym_object_repeat1,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [85619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1737), 1,
      sym_comment,
    ACTIONS(3108), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [85638] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    ACTIONS(3110), 1,
      anon_sym_RBRACE,
    STATE(1738), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2114), 1,
      aux_sym_object_repeat1,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [85667] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3116), 1,
      anon_sym_EQ,
    STATE(1739), 1,
      sym_comment,
    STATE(1860), 1,
      sym__initializer,
    ACTIONS(3114), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [85692] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3072), 1,
      sym_identifier,
    ACTIONS(3118), 1,
      anon_sym_RBRACE,
    STATE(1740), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2150), 1,
      sym__module_export_name,
    STATE(2338), 1,
      sym_export_specifier,
  [85723] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2985), 1,
      anon_sym_COLON,
    ACTIONS(3122), 1,
      anon_sym_EQ,
    STATE(1741), 1,
      sym_comment,
    ACTIONS(3120), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [85746] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    STATE(1742), 1,
      sym_comment,
    STATE(2145), 1,
      sym__initializer,
    ACTIONS(3114), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(3112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [85771] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3126), 1,
      sym__automatic_semicolon,
    STATE(1743), 1,
      sym_comment,
    ACTIONS(876), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [85792] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3066), 1,
      sym_identifier,
    ACTIONS(3128), 1,
      anon_sym_RBRACE,
    STATE(1744), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2390), 1,
      sym_import_specifier,
    STATE(2804), 1,
      sym__module_export_name,
  [85823] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3132), 1,
      anon_sym_RBRACE,
    ACTIONS(3134), 1,
      anon_sym_case,
    STATE(1745), 1,
      sym_comment,
    STATE(1780), 1,
      aux_sym_switch_body_repeat1,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [85849] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3136), 1,
      anon_sym_default,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3141), 1,
      anon_sym_case,
    STATE(1746), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [85873] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3144), 1,
      sym_identifier,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    STATE(1747), 1,
      sym_comment,
    STATE(2751), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [85899] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3148), 1,
      anon_sym_RBRACE,
    STATE(1748), 1,
      sym_comment,
    STATE(1764), 1,
      aux_sym_switch_body_repeat1,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [85925] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3150), 1,
      anon_sym_RBRACE,
    STATE(1749), 1,
      sym_comment,
    STATE(1789), 1,
      aux_sym_switch_body_repeat1,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [85951] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1750), 1,
      sym_comment,
    ACTIONS(876), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [85969] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1874), 1,
      anon_sym_DOT,
    ACTIONS(1880), 1,
      anon_sym_BQUOTE,
    ACTIONS(3152), 1,
      sym_optional_chain,
    STATE(1751), 1,
      sym_comment,
    STATE(1142), 2,
      sym_template_string,
      sym_arguments,
  [85995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1752), 1,
      sym_comment,
    ACTIONS(2161), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86013] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3156), 1,
      anon_sym_BQUOTE,
    ACTIONS(3158), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1753), 1,
      sym_comment,
    STATE(1759), 1,
      aux_sym_template_string_repeat1,
    STATE(1893), 1,
      sym_template_substitution,
    ACTIONS(3154), 2,
      sym__template_chars,
      sym_escape_sequence,
  [86039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3160), 1,
      anon_sym_RBRACE,
    STATE(1746), 1,
      aux_sym_switch_body_repeat1,
    STATE(1754), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1755), 1,
      sym_comment,
    ACTIONS(2322), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86083] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    ACTIONS(3162), 1,
      sym_identifier,
    STATE(1756), 1,
      sym_comment,
    STATE(2735), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86109] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(1757), 1,
      sym_comment,
    STATE(2431), 1,
      sym__initializer,
    STATE(2555), 1,
      sym_formal_parameters,
    ACTIONS(3166), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86135] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3170), 1,
      anon_sym_EQ,
    STATE(1758), 1,
      sym_comment,
    ACTIONS(3168), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [86155] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3158), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3172), 1,
      anon_sym_BQUOTE,
    STATE(1759), 1,
      sym_comment,
    STATE(1795), 1,
      aux_sym_template_string_repeat1,
    STATE(1893), 1,
      sym_template_substitution,
    ACTIONS(3154), 2,
      sym__template_chars,
      sym_escape_sequence,
  [86181] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3174), 1,
      anon_sym_RBRACE,
    STATE(1754), 1,
      aux_sym_switch_body_repeat1,
    STATE(1760), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1761), 1,
      sym_comment,
    ACTIONS(3088), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3176), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [86247] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(1763), 1,
      sym_comment,
    STATE(2371), 1,
      sym__initializer,
    STATE(2677), 1,
      sym_formal_parameters,
    ACTIONS(3178), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3180), 1,
      anon_sym_RBRACE,
    STATE(1746), 1,
      aux_sym_switch_body_repeat1,
    STATE(1764), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86299] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(1765), 1,
      sym_comment,
    STATE(2177), 1,
      sym_formal_parameters,
    STATE(2322), 1,
      sym__initializer,
    ACTIONS(3182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86325] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1766), 1,
      sym_comment,
    ACTIONS(3184), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      sym_identifier,
  [86343] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3158), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3186), 1,
      anon_sym_BQUOTE,
    STATE(1767), 1,
      sym_comment,
    STATE(1794), 1,
      aux_sym_template_string_repeat1,
    STATE(1893), 1,
      sym_template_substitution,
    ACTIONS(3154), 2,
      sym__template_chars,
      sym_escape_sequence,
  [86369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1768), 1,
      sym_comment,
    ACTIONS(2347), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86387] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    ACTIONS(3188), 1,
      sym_identifier,
    STATE(1769), 1,
      sym_comment,
    STATE(2708), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1770), 1,
      sym_comment,
    ACTIONS(941), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [86431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3190), 1,
      anon_sym_catch,
    ACTIONS(3192), 1,
      anon_sym_finally,
    STATE(1771), 1,
      sym_comment,
    STATE(1991), 1,
      sym_catch_clause,
    STATE(2654), 1,
      sym_finally_clause,
    ACTIONS(1451), 2,
      anon_sym_else,
      anon_sym_while,
  [86457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1772), 1,
      sym_comment,
    ACTIONS(3090), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1773), 1,
      sym_comment,
    ACTIONS(3100), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86493] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3196), 1,
      anon_sym_LPAREN,
    ACTIONS(3198), 1,
      anon_sym_DOT,
    STATE(1774), 1,
      sym_comment,
    STATE(2115), 1,
      sym_arguments,
    ACTIONS(3194), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [86517] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1775), 1,
      sym_comment,
    ACTIONS(3200), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [86535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1776), 1,
      sym_comment,
    ACTIONS(3098), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86553] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    ACTIONS(3202), 1,
      sym_identifier,
    STATE(1777), 1,
      sym_comment,
    STATE(2696), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86579] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    ACTIONS(3204), 1,
      sym_identifier,
    STATE(1778), 1,
      sym_comment,
    STATE(2731), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86605] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1779), 1,
      sym_comment,
    ACTIONS(3086), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86623] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3206), 1,
      anon_sym_RBRACE,
    STATE(1746), 1,
      aux_sym_switch_body_repeat1,
    STATE(1780), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86649] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3208), 1,
      anon_sym_COMMA,
    STATE(1781), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(2071), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [86669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1782), 1,
      sym_comment,
    ACTIONS(2317), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86687] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1783), 1,
      sym_comment,
    ACTIONS(2037), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [86705] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(1784), 1,
      sym_comment,
    STATE(2505), 1,
      sym__initializer,
    STATE(2556), 1,
      sym_formal_parameters,
    ACTIONS(3211), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [86731] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1999), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2007), 1,
      anon_sym_BQUOTE,
    ACTIONS(3213), 1,
      sym_optional_chain,
    STATE(1785), 1,
      sym_comment,
    STATE(1303), 2,
      sym_template_string,
      sym_arguments,
  [86757] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1786), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2390), 1,
      sym_import_specifier,
    STATE(2804), 1,
      sym__module_export_name,
  [86785] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1787), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2150), 1,
      sym__module_export_name,
    STATE(2338), 1,
      sym_export_specifier,
  [86813] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(1746), 1,
      aux_sym_switch_body_repeat1,
    STATE(1788), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86839] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    STATE(1746), 1,
      aux_sym_switch_body_repeat1,
    STATE(1789), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86865] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      sym_identifier,
    STATE(1790), 1,
      sym_comment,
    STATE(1935), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86891] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1774), 1,
      anon_sym_LBRACE,
    ACTIONS(3146), 1,
      anon_sym_LBRACK,
    ACTIONS(3221), 1,
      sym_identifier,
    STATE(1791), 1,
      sym_comment,
    STATE(2417), 1,
      sym__destructuring_pattern,
    STATE(1727), 2,
      sym_object_pattern,
      sym_array_pattern,
  [86917] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3130), 1,
      anon_sym_default,
    ACTIONS(3134), 1,
      anon_sym_case,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(1788), 1,
      aux_sym_switch_body_repeat1,
    STATE(1792), 1,
      sym_comment,
    STATE(2099), 2,
      sym_switch_case,
      sym_switch_default,
  [86943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1793), 1,
      sym_comment,
    ACTIONS(3108), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [86961] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3158), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3225), 1,
      anon_sym_BQUOTE,
    STATE(1794), 1,
      sym_comment,
    STATE(1795), 1,
      aux_sym_template_string_repeat1,
    STATE(1893), 1,
      sym_template_substitution,
    ACTIONS(3154), 2,
      sym__template_chars,
      sym_escape_sequence,
  [86987] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3230), 1,
      anon_sym_BQUOTE,
    ACTIONS(3232), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1893), 1,
      sym_template_substitution,
    ACTIONS(3227), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1795), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [87011] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2765), 1,
      anon_sym_COLON,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1796), 1,
      sym_comment,
    STATE(2113), 1,
      aux_sym_object_pattern_repeat1,
  [87036] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    STATE(1797), 1,
      sym_comment,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3239), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87057] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3242), 1,
      sym_identifier,
    ACTIONS(3244), 1,
      anon_sym_GT,
    ACTIONS(3246), 1,
      sym_jsx_identifier,
    STATE(1682), 1,
      sym_nested_identifier,
    STATE(1689), 1,
      sym_jsx_namespace_name,
    STATE(1798), 1,
      sym_comment,
  [87082] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3248), 1,
      sym_identifier,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    STATE(1298), 1,
      sym_class_body,
    STATE(1799), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [87107] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1800), 1,
      sym_comment,
    ACTIONS(2039), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87124] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3254), 1,
      anon_sym_export,
    ACTIONS(3256), 1,
      anon_sym_class,
    STATE(1801), 1,
      sym_comment,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
  [87149] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3258), 1,
      sym_identifier,
    STATE(1354), 1,
      sym_class_body,
    STATE(1802), 1,
      sym_comment,
    STATE(2230), 1,
      sym_class_heritage,
  [87174] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1803), 1,
      sym_comment,
    ACTIONS(2017), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87191] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2765), 1,
      anon_sym_COLON,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3260), 1,
      anon_sym_RBRACE,
    STATE(1804), 1,
      sym_comment,
    STATE(2011), 1,
      aux_sym_object_pattern_repeat1,
  [87216] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3262), 1,
      sym_identifier,
    STATE(1354), 1,
      sym_class_body,
    STATE(1805), 1,
      sym_comment,
    STATE(2230), 1,
      sym_class_heritage,
  [87241] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1806), 1,
      sym_comment,
    ACTIONS(2035), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87258] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1807), 1,
      sym_comment,
    ACTIONS(3264), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1808), 1,
      sym_comment,
    ACTIONS(1839), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [87292] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1809), 1,
      sym_comment,
    ACTIONS(3266), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87309] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3268), 1,
      sym_identifier,
    ACTIONS(3270), 1,
      anon_sym_LBRACE,
    STATE(1165), 1,
      sym_class_body,
    STATE(1810), 1,
      sym_comment,
    STATE(2260), 1,
      sym_class_heritage,
  [87334] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1811), 1,
      sym_comment,
    ACTIONS(1929), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87351] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1812), 1,
      sym_comment,
    ACTIONS(3272), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87368] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3244), 1,
      anon_sym_GT,
    ACTIONS(3274), 1,
      sym_identifier,
    ACTIONS(3276), 1,
      sym_jsx_identifier,
    STATE(1677), 1,
      sym_nested_identifier,
    STATE(1702), 1,
      sym_jsx_namespace_name,
    STATE(1813), 1,
      sym_comment,
  [87393] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3278), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_class_body,
    STATE(1814), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [87418] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1815), 1,
      sym_comment,
    ACTIONS(1933), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87435] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3280), 1,
      anon_sym_export,
    ACTIONS(3282), 1,
      anon_sym_class,
    STATE(1816), 1,
      sym_comment,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
  [87460] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1817), 1,
      sym_comment,
    ACTIONS(2159), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3124), 1,
      anon_sym_EQ,
    STATE(1818), 1,
      sym_comment,
    STATE(2145), 1,
      sym__initializer,
    ACTIONS(3112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87498] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3284), 1,
      sym_identifier,
    ACTIONS(3286), 1,
      anon_sym_GT,
    ACTIONS(3288), 1,
      sym_jsx_identifier,
    STATE(1819), 1,
      sym_comment,
    STATE(2228), 1,
      sym_nested_identifier,
    STATE(2778), 1,
      sym_jsx_namespace_name,
  [87523] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3290), 1,
      sym_identifier,
    ACTIONS(3292), 1,
      anon_sym_GT,
    ACTIONS(3294), 1,
      sym_jsx_identifier,
    STATE(1820), 1,
      sym_comment,
    STATE(2334), 1,
      sym_nested_identifier,
    STATE(2745), 1,
      sym_jsx_namespace_name,
  [87548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    STATE(1821), 1,
      sym_comment,
    ACTIONS(1835), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [87567] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3298), 1,
      sym_identifier,
    STATE(1354), 1,
      sym_class_body,
    STATE(1822), 1,
      sym_comment,
    STATE(2230), 1,
      sym_class_heritage,
  [87592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1823), 1,
      sym_comment,
    ACTIONS(3300), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87609] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3302), 1,
      sym_identifier,
    ACTIONS(3304), 1,
      anon_sym_LPAREN,
    ACTIONS(3306), 1,
      anon_sym_LBRACK,
    ACTIONS(3308), 1,
      sym_private_property_identifier,
    STATE(1131), 1,
      sym_arguments,
    STATE(1824), 1,
      sym_comment,
  [87634] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3310), 1,
      sym_identifier,
    STATE(1354), 1,
      sym_class_body,
    STATE(1825), 1,
      sym_comment,
    STATE(2230), 1,
      sym_class_heritage,
  [87659] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1826), 1,
      sym_comment,
    ACTIONS(3272), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87676] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3312), 1,
      anon_sym_EQ,
    STATE(1827), 1,
      sym_comment,
    ACTIONS(1839), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [87695] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1828), 1,
      sym_comment,
    ACTIONS(3272), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87712] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3315), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_class_body,
    STATE(1829), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [87737] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3317), 1,
      anon_sym_export,
    ACTIONS(3319), 1,
      anon_sym_class,
    STATE(1830), 1,
      sym_comment,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
  [87762] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3321), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_class_body,
    STATE(1831), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [87787] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3244), 1,
      anon_sym_GT,
    ACTIONS(3323), 1,
      sym_identifier,
    ACTIONS(3325), 1,
      sym_jsx_identifier,
    STATE(1681), 1,
      sym_nested_identifier,
    STATE(1685), 1,
      sym_jsx_namespace_name,
    STATE(1832), 1,
      sym_comment,
  [87812] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3327), 1,
      sym_identifier,
    STATE(1354), 1,
      sym_class_body,
    STATE(1833), 1,
      sym_comment,
    STATE(2230), 1,
      sym_class_heritage,
  [87837] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3329), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_class_body,
    STATE(1834), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [87862] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1835), 1,
      sym_comment,
    ACTIONS(3272), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87879] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1836), 1,
      sym_comment,
    ACTIONS(2105), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3331), 1,
      anon_sym_EQ,
    STATE(1837), 1,
      sym_comment,
    ACTIONS(1839), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [87915] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1838), 1,
      sym_comment,
    ACTIONS(3266), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87932] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      anon_sym_export,
    ACTIONS(3336), 1,
      anon_sym_class,
    STATE(1839), 1,
      sym_comment,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
  [87957] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1840), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [87974] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1841), 1,
      sym_comment,
    ACTIONS(3338), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [87991] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1842), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88008] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1843), 1,
      sym_comment,
    ACTIONS(2017), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88025] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1844), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88042] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1845), 1,
      sym_comment,
    ACTIONS(3340), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88059] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3342), 1,
      sym_identifier,
    ACTIONS(3344), 1,
      anon_sym_LPAREN,
    ACTIONS(3346), 1,
      anon_sym_LBRACK,
    ACTIONS(3348), 1,
      sym_private_property_identifier,
    STATE(1369), 1,
      sym_arguments,
    STATE(1846), 1,
      sym_comment,
  [88084] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1847), 1,
      sym_comment,
    ACTIONS(2039), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88101] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1848), 1,
      sym_comment,
    ACTIONS(3350), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88118] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3244), 1,
      anon_sym_GT,
    ACTIONS(3352), 1,
      sym_identifier,
    ACTIONS(3354), 1,
      sym_jsx_identifier,
    STATE(1684), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym_jsx_namespace_name,
    STATE(1849), 1,
      sym_comment,
  [88143] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3356), 1,
      anon_sym_export,
    ACTIONS(3358), 1,
      anon_sym_class,
    STATE(1850), 1,
      sym_comment,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2051), 1,
      sym_decorator,
  [88168] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1851), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88185] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1852), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2340), 1,
      sym__module_export_name,
  [88210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1853), 1,
      sym_comment,
    ACTIONS(1929), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88227] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1854), 1,
      sym_comment,
    ACTIONS(1933), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88244] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3360), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_class_body,
    STATE(1855), 1,
      sym_comment,
    STATE(2318), 1,
      sym_class_heritage,
  [88269] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1856), 1,
      sym_comment,
    ACTIONS(3362), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1857), 1,
      sym_comment,
    ACTIONS(3364), 5,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
  [88303] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1858), 1,
      sym_comment,
    ACTIONS(3366), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88320] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1859), 1,
      sym_comment,
    ACTIONS(3368), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88337] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3372), 1,
      anon_sym_in,
    ACTIONS(3374), 1,
      anon_sym_of,
    STATE(1860), 1,
      sym_comment,
    ACTIONS(3370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [88358] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1861), 1,
      sym_comment,
    ACTIONS(2105), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88375] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3270), 1,
      anon_sym_LBRACE,
    ACTIONS(3376), 1,
      sym_identifier,
    STATE(1093), 1,
      sym_class_body,
    STATE(1862), 1,
      sym_comment,
    STATE(2343), 1,
      sym_class_heritage,
  [88400] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1863), 1,
      sym_comment,
    ACTIONS(3366), 5,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [88417] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    ACTIONS(3252), 1,
      anon_sym_extends,
    ACTIONS(3378), 1,
      sym_identifier,
    STATE(1354), 1,
      sym_class_body,
    STATE(1864), 1,
      sym_comment,
    STATE(2230), 1,
      sym_class_heritage,
  [88442] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3382), 1,
      anon_sym_AT,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(3380), 2,
      anon_sym_export,
      anon_sym_class,
    STATE(1865), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
  [88463] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1308), 1,
      anon_sym_DQUOTE,
    ACTIONS(1310), 1,
      anon_sym_SQUOTE,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1866), 1,
      sym_comment,
    STATE(1883), 1,
      sym_string,
    STATE(2685), 1,
      sym__module_export_name,
  [88488] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1867), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88505] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1868), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88522] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1869), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88539] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(1870), 1,
      sym_comment,
    ACTIONS(2059), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      sym_identifier,
  [88556] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3385), 1,
      sym_identifier,
    ACTIONS(3387), 1,
      anon_sym_GT,
    ACTIONS(3389), 1,
      sym_jsx_identifier,
    STATE(1871), 1,
      sym_comment,
    STATE(2265), 1,
      sym_nested_identifier,
    STATE(2771), 1,
      sym_jsx_namespace_name,
  [88581] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3391), 1,
      sym_identifier,
    ACTIONS(3393), 1,
      anon_sym_GT,
    ACTIONS(3395), 1,
      sym_jsx_identifier,
    STATE(1872), 1,
      sym_comment,
    STATE(2382), 1,
      sym_nested_identifier,
    STATE(2740), 1,
      sym_jsx_namespace_name,
  [88606] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3397), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1873), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [88628] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3399), 1,
      sym__glimmer_template_content,
    ACTIONS(3401), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1371), 1,
      sym_glimmer_closing_tag,
    STATE(1874), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_glimmer_template_repeat1,
  [88650] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3403), 1,
      sym_identifier,
    ACTIONS(3405), 1,
      anon_sym_STAR,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    STATE(1875), 1,
      sym_comment,
    STATE(2221), 1,
      sym_formal_parameters,
  [88672] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    ACTIONS(3411), 1,
      anon_sym_extends,
    STATE(1109), 1,
      sym_class_body,
    STATE(1876), 1,
      sym_comment,
    STATE(2305), 1,
      sym_class_heritage,
  [88694] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3399), 1,
      sym__glimmer_template_content,
    ACTIONS(3413), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1557), 1,
      sym_glimmer_closing_tag,
    STATE(1877), 1,
      sym_comment,
    STATE(1988), 1,
      aux_sym_glimmer_template_repeat1,
  [88716] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      sym_comment,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88736] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1879), 1,
      sym_comment,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3419), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88756] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3421), 1,
      anon_sym_DQUOTE,
    STATE(1880), 1,
      sym_comment,
    STATE(1899), 1,
      aux_sym_string_repeat1,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [88776] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3358), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1881), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [88798] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3421), 1,
      anon_sym_SQUOTE,
    STATE(1882), 1,
      sym_comment,
    STATE(1901), 1,
      aux_sym_string_repeat2,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [88818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1883), 1,
      sym_comment,
    ACTIONS(3427), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [88834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3429), 1,
      anon_sym_COMMA,
    ACTIONS(2299), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(1884), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [88852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1885), 1,
      sym_comment,
    ACTIONS(2765), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(3432), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [88870] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3434), 1,
      anon_sym_LBRACE,
    STATE(828), 1,
      sym_class_body,
    STATE(1886), 1,
      sym_comment,
    STATE(2237), 1,
      sym_class_heritage,
  [88892] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    STATE(1887), 1,
      sym_comment,
    STATE(1895), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(3176), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88912] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(1888), 1,
      sym_comment,
    STATE(2239), 1,
      sym__from_clause,
    ACTIONS(3438), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88932] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1889), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3440), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88952] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1890), 1,
      sym_comment,
    STATE(1905), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [88972] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3444), 1,
      anon_sym_DQUOTE,
    ACTIONS(3446), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(1891), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [88990] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3449), 1,
      anon_sym_SQUOTE,
    ACTIONS(3451), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(1892), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [89008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1893), 1,
      sym_comment,
    ACTIONS(3454), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [89024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3456), 1,
      anon_sym_STAR,
    ACTIONS(3458), 1,
      anon_sym_LBRACE,
    STATE(1894), 1,
      sym_comment,
    STATE(2762), 2,
      sym_namespace_import,
      sym_named_imports,
  [89044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3460), 1,
      anon_sym_COMMA,
    ACTIONS(2071), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1895), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [89062] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    STATE(1896), 1,
      sym_comment,
    STATE(1967), 1,
      aux_sym_string_repeat1,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [89082] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3463), 1,
      anon_sym_SQUOTE,
    STATE(1897), 1,
      sym_comment,
    STATE(1968), 1,
      aux_sym_string_repeat2,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89102] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(182), 1,
      sym_class_body,
    STATE(1898), 1,
      sym_comment,
    STATE(2256), 1,
      sym_class_heritage,
  [89124] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3467), 1,
      anon_sym_DQUOTE,
    STATE(1891), 1,
      aux_sym_string_repeat1,
    STATE(1899), 1,
      sym_comment,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [89144] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3469), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_class_body,
    STATE(1900), 1,
      sym_comment,
    STATE(2336), 1,
      sym_class_heritage,
  [89166] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3467), 1,
      anon_sym_SQUOTE,
    STATE(1892), 1,
      aux_sym_string_repeat2,
    STATE(1901), 1,
      sym_comment,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89186] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3471), 1,
      anon_sym_SQUOTE,
    STATE(1892), 1,
      aux_sym_string_repeat2,
    STATE(1902), 1,
      sym_comment,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89206] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_class_body,
    STATE(1903), 1,
      sym_comment,
    STATE(2269), 1,
      sym_class_heritage,
  [89228] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1904), 1,
      sym_comment,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89248] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1905), 1,
      sym_comment,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89268] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3434), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_class_body,
    STATE(1906), 1,
      sym_comment,
    STATE(2348), 1,
      sym_class_heritage,
  [89290] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3399), 1,
      sym__glimmer_template_content,
    ACTIONS(3479), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1132), 1,
      sym_glimmer_closing_tag,
    STATE(1907), 1,
      sym_comment,
    STATE(1964), 1,
      aux_sym_glimmer_template_repeat1,
  [89312] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2765), 1,
      anon_sym_COLON,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    STATE(1908), 1,
      sym_comment,
    ACTIONS(3481), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [89332] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      sym_comment,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3483), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89352] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3471), 1,
      anon_sym_DQUOTE,
    STATE(1891), 1,
      aux_sym_string_repeat1,
    STATE(1910), 1,
      sym_comment,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [89372] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(196), 1,
      sym_class_body,
    STATE(1911), 1,
      sym_comment,
    STATE(2278), 1,
      sym_class_heritage,
  [89394] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(585), 1,
      sym_class_body,
    STATE(1912), 1,
      sym_comment,
    STATE(2281), 1,
      sym_class_heritage,
  [89416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3485), 1,
      anon_sym_COMMA,
    ACTIONS(3488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1913), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [89434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(1914), 1,
      sym_comment,
    STATE(2170), 1,
      sym__from_clause,
    ACTIONS(3490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89454] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3492), 1,
      anon_sym_DQUOTE,
    STATE(1915), 1,
      sym_comment,
    STATE(1925), 1,
      aux_sym_string_repeat1,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [89474] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3492), 1,
      anon_sym_SQUOTE,
    STATE(1916), 1,
      sym_comment,
    STATE(1926), 1,
      aux_sym_string_repeat2,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89494] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3494), 1,
      sym_identifier,
    ACTIONS(3496), 1,
      anon_sym_STAR,
    STATE(1917), 1,
      sym_comment,
    STATE(2200), 1,
      sym_formal_parameters,
  [89516] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(1918), 1,
      sym_comment,
    STATE(2357), 1,
      sym__from_clause,
    ACTIONS(3498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89536] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    ACTIONS(3411), 1,
      anon_sym_extends,
    STATE(1099), 1,
      sym_class_body,
    STATE(1919), 1,
      sym_comment,
    STATE(2424), 1,
      sym_class_heritage,
  [89558] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1920), 1,
      sym_comment,
    STATE(1928), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1921), 1,
      sym_comment,
    ACTIONS(3502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89598] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3469), 1,
      anon_sym_LBRACE,
    STATE(208), 1,
      sym_class_body,
    STATE(1922), 1,
      sym_comment,
    STATE(2193), 1,
      sym_class_heritage,
  [89620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1923), 1,
      sym_comment,
    ACTIONS(3504), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [89636] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3506), 1,
      anon_sym_LBRACE,
    STATE(186), 1,
      sym_class_body,
    STATE(1924), 1,
      sym_comment,
    STATE(2374), 1,
      sym_class_heritage,
  [89658] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3508), 1,
      anon_sym_DQUOTE,
    STATE(1891), 1,
      aux_sym_string_repeat1,
    STATE(1925), 1,
      sym_comment,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [89678] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3508), 1,
      anon_sym_SQUOTE,
    STATE(1892), 1,
      aux_sym_string_repeat2,
    STATE(1926), 1,
      sym_comment,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89698] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3510), 1,
      anon_sym_LBRACE,
    STATE(631), 1,
      sym_class_body,
    STATE(1927), 1,
      sym_comment,
    STATE(2386), 1,
      sym_class_heritage,
  [89720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1928), 1,
      sym_comment,
    ACTIONS(3512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1929), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89760] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1930), 1,
      sym_comment,
    STATE(1994), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1931), 1,
      sym_comment,
    ACTIONS(3518), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [89796] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3506), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_class_body,
    STATE(1932), 1,
      sym_comment,
    STATE(2395), 1,
      sym_class_heritage,
  [89818] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3510), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_class_body,
    STATE(1933), 1,
      sym_comment,
    STATE(2398), 1,
      sym_class_heritage,
  [89840] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    ACTIONS(3524), 1,
      anon_sym_RBRACK,
    STATE(1934), 1,
      sym_comment,
    STATE(2133), 1,
      aux_sym_array_pattern_repeat1,
  [89862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3526), 1,
      anon_sym_EQ,
    STATE(1935), 1,
      sym_comment,
    STATE(2500), 1,
      sym__initializer,
    ACTIONS(3114), 2,
      anon_sym_in,
      anon_sym_of,
  [89882] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3528), 1,
      anon_sym_DQUOTE,
    STATE(1936), 1,
      sym_comment,
    STATE(1942), 1,
      aux_sym_string_repeat1,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [89902] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3528), 1,
      anon_sym_SQUOTE,
    STATE(1937), 1,
      sym_comment,
    STATE(1943), 1,
      aux_sym_string_repeat2,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [89922] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(1938), 1,
      sym_comment,
    STATE(2460), 1,
      sym__from_clause,
    ACTIONS(3530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      sym_comment,
    STATE(1945), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89962] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      sym_comment,
    STATE(1946), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [89982] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3536), 1,
      anon_sym_LBRACE,
    STATE(153), 1,
      sym_class_body,
    STATE(1941), 1,
      sym_comment,
    STATE(2473), 1,
      sym_class_heritage,
  [90004] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3538), 1,
      anon_sym_DQUOTE,
    STATE(1891), 1,
      aux_sym_string_repeat1,
    STATE(1942), 1,
      sym_comment,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90024] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3538), 1,
      anon_sym_SQUOTE,
    STATE(1892), 1,
      aux_sym_string_repeat2,
    STATE(1943), 1,
      sym_comment,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90044] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_class_body,
    STATE(1944), 1,
      sym_comment,
    STATE(2481), 1,
      sym_class_heritage,
  [90066] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1945), 1,
      sym_comment,
    ACTIONS(3542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90086] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1946), 1,
      sym_comment,
    ACTIONS(3544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90106] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3536), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_class_body,
    STATE(1947), 1,
      sym_comment,
    STATE(2490), 1,
      sym_class_heritage,
  [90128] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_class_body,
    STATE(1948), 1,
      sym_comment,
    STATE(2493), 1,
      sym_class_heritage,
  [90150] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3546), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1949), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [90172] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    ACTIONS(3548), 1,
      anon_sym_RBRACK,
    STATE(1950), 1,
      sym_comment,
    STATE(2021), 1,
      aux_sym_array_pattern_repeat1,
  [90194] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    ACTIONS(3550), 1,
      anon_sym_COMMA,
    ACTIONS(3552), 1,
      anon_sym_RPAREN,
    STATE(1951), 1,
      sym_comment,
    STATE(2146), 1,
      aux_sym_formal_parameters_repeat1,
  [90216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      sym_comment,
    STATE(1954), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90236] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1953), 1,
      sym_comment,
    STATE(1955), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90256] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1954), 1,
      sym_comment,
    ACTIONS(3558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90276] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1955), 1,
      sym_comment,
    ACTIONS(3560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90296] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3562), 1,
      sym_identifier,
    ACTIONS(3564), 1,
      anon_sym_STAR,
    STATE(1956), 1,
      sym_comment,
    STATE(2287), 1,
      sym_formal_parameters,
  [90318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1957), 1,
      sym_comment,
    ACTIONS(2161), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90334] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1319), 1,
      sym_class_body,
    STATE(1958), 1,
      sym_comment,
    STATE(2220), 1,
      sym_class_heritage,
  [90356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1959), 1,
      sym_comment,
    ACTIONS(3568), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1879), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1960), 1,
      sym_comment,
    ACTIONS(3570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1961), 1,
      sym_comment,
    ACTIONS(2468), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1962), 1,
      sym_comment,
    ACTIONS(2037), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    STATE(1963), 1,
      sym_comment,
    ACTIONS(1835), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [90446] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3399), 1,
      sym__glimmer_template_content,
    ACTIONS(3479), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1086), 1,
      sym_glimmer_closing_tag,
    STATE(1964), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_glimmer_template_repeat1,
  [90468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1965), 1,
      sym_comment,
    ACTIONS(2765), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [90484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1966), 1,
      sym_comment,
    ACTIONS(2347), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90500] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3574), 1,
      anon_sym_DQUOTE,
    STATE(1891), 1,
      aux_sym_string_repeat1,
    STATE(1967), 1,
      sym_comment,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90520] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3574), 1,
      anon_sym_SQUOTE,
    STATE(1892), 1,
      aux_sym_string_repeat2,
    STATE(1968), 1,
      sym_comment,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1969), 1,
      sym_comment,
    ACTIONS(2322), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90556] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1351), 1,
      sym_class_body,
    STATE(1970), 1,
      sym_comment,
    STATE(2582), 1,
      sym_class_heritage,
  [90578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(1971), 1,
      sym_comment,
    STATE(2195), 1,
      sym__from_clause,
    ACTIONS(3576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [90598] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3578), 1,
      sym_identifier,
    ACTIONS(3580), 1,
      anon_sym_STAR,
    STATE(1972), 1,
      sym_comment,
    STATE(2294), 1,
      sym_formal_parameters,
  [90620] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_class_body,
    STATE(1973), 1,
      sym_comment,
    STATE(2476), 1,
      sym_class_heritage,
  [90642] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3582), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1974), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [90664] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3336), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1975), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [90686] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3399), 1,
      sym__glimmer_template_content,
    ACTIONS(3401), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1273), 1,
      sym_glimmer_closing_tag,
    STATE(1874), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(1976), 1,
      sym_comment,
  [90708] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3584), 1,
      sym_identifier,
    ACTIONS(3586), 1,
      anon_sym_STAR,
    STATE(1977), 1,
      sym_comment,
    STATE(2200), 1,
      sym_formal_parameters,
  [90730] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3256), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1978), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [90752] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(1979), 1,
      sym_comment,
    STATE(2028), 1,
      sym_class_body,
    STATE(2571), 1,
      sym_class_heritage,
  [90774] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3590), 1,
      sym_identifier,
    ACTIONS(3592), 1,
      anon_sym_STAR,
    STATE(1980), 1,
      sym_comment,
    STATE(2200), 1,
      sym_formal_parameters,
  [90796] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3594), 1,
      anon_sym_SQUOTE,
    STATE(1902), 1,
      aux_sym_string_repeat2,
    STATE(1981), 1,
      sym_comment,
    ACTIONS(3425), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [90816] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_comment,
    STATE(2039), 1,
      sym_class_body,
    STATE(2508), 1,
      sym_class_heritage,
  [90838] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    STATE(1910), 1,
      aux_sym_string_repeat1,
    STATE(1983), 1,
      sym_comment,
    ACTIONS(3423), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [90858] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3282), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1984), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [90880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1985), 1,
      sym_comment,
    ACTIONS(2317), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [90896] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3596), 1,
      sym_identifier,
    ACTIONS(3598), 1,
      anon_sym_STAR,
    STATE(1986), 1,
      sym_comment,
    STATE(2294), 1,
      sym_formal_parameters,
  [90918] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3319), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1987), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [90940] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3399), 1,
      sym__glimmer_template_content,
    ACTIONS(3413), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1574), 1,
      sym_glimmer_closing_tag,
    STATE(1988), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_glimmer_template_repeat1,
  [90962] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      sym_identifier,
    ACTIONS(3602), 1,
      anon_sym_STAR,
    STATE(1989), 1,
      sym_comment,
    STATE(2294), 1,
      sym_formal_parameters,
  [90984] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3604), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1990), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [91006] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3192), 1,
      anon_sym_finally,
    STATE(1991), 1,
      sym_comment,
    STATE(2288), 1,
      sym_finally_clause,
    ACTIONS(1503), 2,
      anon_sym_else,
      anon_sym_while,
  [91026] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3606), 1,
      sym_identifier,
    ACTIONS(3608), 1,
      anon_sym_STAR,
    STATE(1992), 1,
      sym_comment,
    STATE(2200), 1,
      sym_formal_parameters,
  [91048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1993), 1,
      sym_comment,
    ACTIONS(3610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91068] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(1994), 1,
      sym_comment,
    ACTIONS(3612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [91088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(1995), 1,
      sym_comment,
    ACTIONS(2461), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [91104] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3614), 1,
      sym_identifier,
    ACTIONS(3616), 1,
      anon_sym_STAR,
    STATE(1996), 1,
      sym_comment,
    STATE(2294), 1,
      sym_formal_parameters,
  [91126] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3618), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(1997), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [91148] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      anon_sym_STAR,
    STATE(1998), 1,
      sym_comment,
    STATE(2200), 1,
      sym_formal_parameters,
  [91170] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3624), 1,
      sym_identifier,
    ACTIONS(3626), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym_comment,
    STATE(2294), 1,
      sym_formal_parameters,
  [91192] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3628), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2000), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [91214] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3411), 1,
      anon_sym_extends,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1337), 1,
      sym_class_body,
    STATE(2001), 1,
      sym_comment,
    STATE(2662), 1,
      sym_class_heritage,
  [91236] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3630), 1,
      sym_identifier,
    ACTIONS(3632), 1,
      anon_sym_STAR,
    STATE(2002), 1,
      sym_comment,
    STATE(2200), 1,
      sym_formal_parameters,
  [91258] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3634), 1,
      sym_identifier,
    ACTIONS(3636), 1,
      anon_sym_STAR,
    STATE(2003), 1,
      sym_comment,
    STATE(2294), 1,
      sym_formal_parameters,
  [91280] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1241), 1,
      anon_sym_AT,
    ACTIONS(3638), 1,
      anon_sym_class,
    STATE(1865), 1,
      aux_sym_export_statement_repeat1,
    STATE(2004), 1,
      sym_comment,
    STATE(2051), 1,
      sym_decorator,
  [91302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2313), 1,
      anon_sym_RBRACK,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2005), 1,
      sym_comment,
  [91321] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3640), 1,
      anon_sym_LBRACE,
    ACTIONS(3642), 1,
      anon_sym_LPAREN,
    STATE(687), 1,
      sym_statement_block,
    STATE(2006), 1,
      sym_comment,
  [91340] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3644), 1,
      sym_identifier,
    STATE(2007), 1,
      sym_comment,
    STATE(2326), 1,
      sym_formal_parameters,
  [91359] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3646), 1,
      sym_identifier,
    STATE(2008), 1,
      sym_comment,
    STATE(2203), 1,
      sym_formal_parameters,
  [91378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2388), 1,
      sym__automatic_semicolon,
    STATE(2009), 1,
      sym_comment,
    ACTIONS(1035), 2,
      anon_sym_else,
      anon_sym_while,
  [91395] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
    STATE(2010), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_object_repeat1,
  [91414] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    STATE(2011), 1,
      sym_comment,
    STATE(2130), 1,
      aux_sym_object_pattern_repeat1,
  [91433] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3654), 1,
      anon_sym_RBRACE,
    STATE(2012), 1,
      sym_comment,
    STATE(2130), 1,
      aux_sym_object_pattern_repeat1,
  [91452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
    STATE(2013), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_object_repeat1,
  [91471] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2382), 1,
      sym__automatic_semicolon,
    STATE(2014), 1,
      sym_comment,
    ACTIONS(1031), 2,
      anon_sym_else,
      anon_sym_while,
  [91488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2362), 1,
      sym__automatic_semicolon,
    STATE(2015), 1,
      sym_comment,
    ACTIONS(1021), 2,
      anon_sym_else,
      anon_sym_while,
  [91505] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    STATE(2016), 1,
      sym_comment,
    STATE(2130), 1,
      aux_sym_object_pattern_repeat1,
  [91524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2378), 1,
      sym__automatic_semicolon,
    STATE(2017), 1,
      sym_comment,
    ACTIONS(999), 2,
      anon_sym_else,
      anon_sym_while,
  [91541] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    ACTIONS(3662), 1,
      anon_sym_LPAREN,
    STATE(2018), 1,
      sym_comment,
    STATE(2031), 1,
      sym_statement_block,
  [91560] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3664), 1,
      sym_identifier,
    STATE(2019), 1,
      sym_comment,
    STATE(2326), 1,
      sym_formal_parameters,
  [91579] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3666), 1,
      anon_sym_RBRACK,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2020), 1,
      sym_comment,
  [91598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3668), 1,
      anon_sym_RBRACK,
    STATE(2021), 1,
      sym_comment,
    STATE(2132), 1,
      aux_sym_array_pattern_repeat1,
  [91617] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3670), 1,
      sym_identifier,
    STATE(2022), 1,
      sym_comment,
    STATE(2203), 1,
      sym_formal_parameters,
  [91636] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3672), 1,
      anon_sym_LPAREN,
    ACTIONS(3674), 1,
      anon_sym_await,
    STATE(118), 1,
      sym__for_header,
    STATE(2023), 1,
      sym_comment,
  [91655] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2386), 1,
      sym__automatic_semicolon,
    STATE(2024), 1,
      sym_comment,
    ACTIONS(1011), 2,
      anon_sym_else,
      anon_sym_while,
  [91672] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3676), 1,
      sym_identifier,
    STATE(2025), 1,
      sym_comment,
    STATE(2326), 1,
      sym_formal_parameters,
  [91691] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3678), 1,
      sym_identifier,
    STATE(2026), 1,
      sym_comment,
    STATE(2203), 1,
      sym_formal_parameters,
  [91710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2027), 1,
      sym_comment,
    ACTIONS(1567), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [91725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2380), 1,
      sym__automatic_semicolon,
    STATE(2028), 1,
      sym_comment,
    ACTIONS(1053), 2,
      anon_sym_else,
      anon_sym_while,
  [91742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(2029), 1,
      sym_comment,
    STATE(2049), 1,
      aux_sym_array_repeat1,
  [91761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2030), 1,
      sym_comment,
  [91780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2031), 1,
      sym_comment,
    ACTIONS(1533), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [91795] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3680), 1,
      sym_identifier,
    STATE(2032), 1,
      sym_comment,
    STATE(2326), 1,
      sym_formal_parameters,
  [91814] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3682), 1,
      sym_identifier,
    ACTIONS(3684), 1,
      anon_sym_SEMI,
    ACTIONS(3686), 1,
      sym__automatic_semicolon,
    STATE(2033), 1,
      sym_comment,
  [91833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3690), 1,
      anon_sym_GT,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    STATE(2034), 1,
      sym_comment,
  [91852] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3694), 1,
      sym_identifier,
    STATE(2035), 1,
      sym_comment,
    STATE(2203), 1,
      sym_formal_parameters,
  [91871] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3696), 1,
      sym_identifier,
    ACTIONS(3698), 1,
      anon_sym_SEMI,
    ACTIONS(3700), 1,
      sym__automatic_semicolon,
    STATE(2036), 1,
      sym_comment,
  [91890] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    ACTIONS(3702), 1,
      anon_sym_as,
    STATE(2037), 1,
      sym_comment,
    STATE(2456), 1,
      sym__from_clause,
  [91909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    ACTIONS(3702), 1,
      anon_sym_as,
    STATE(2038), 1,
      sym_comment,
    STATE(2352), 1,
      sym__from_clause,
  [91928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2349), 1,
      sym__automatic_semicolon,
    STATE(2039), 1,
      sym_comment,
    ACTIONS(1025), 2,
      anon_sym_else,
      anon_sym_while,
  [91945] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2374), 1,
      sym__automatic_semicolon,
    STATE(2040), 1,
      sym_comment,
    ACTIONS(1041), 2,
      anon_sym_else,
      anon_sym_while,
  [91962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2041), 1,
      sym_comment,
    ACTIONS(1751), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [91977] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3704), 1,
      sym_identifier,
    STATE(1774), 1,
      sym_decorator_member_expression,
    STATE(2042), 1,
      sym_comment,
    STATE(2118), 1,
      sym_decorator_call_expression,
  [91996] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    ACTIONS(3702), 1,
      anon_sym_as,
    STATE(2043), 1,
      sym_comment,
    STATE(2234), 1,
      sym__from_clause,
  [92015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2044), 1,
      sym_comment,
    ACTIONS(2133), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [92030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_RBRACK,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2045), 1,
      sym_comment,
  [92049] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3706), 1,
      sym_identifier,
    STATE(2046), 1,
      sym_comment,
    STATE(2326), 1,
      sym_formal_parameters,
  [92068] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    STATE(2047), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_object_repeat1,
  [92087] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3710), 1,
      sym_identifier,
    STATE(2048), 1,
      sym_comment,
    STATE(2203), 1,
      sym_formal_parameters,
  [92106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3712), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2049), 1,
      sym_comment,
  [92125] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3302), 1,
      sym_identifier,
    ACTIONS(3306), 1,
      anon_sym_LBRACK,
    ACTIONS(3308), 1,
      sym_private_property_identifier,
    STATE(2050), 1,
      sym_comment,
  [92144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2051), 1,
      sym_comment,
    ACTIONS(3714), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [92159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    ACTIONS(3702), 1,
      anon_sym_as,
    STATE(2052), 1,
      sym_comment,
    STATE(2684), 1,
      sym__from_clause,
  [92178] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    ACTIONS(3702), 1,
      anon_sym_as,
    STATE(2053), 1,
      sym_comment,
    STATE(2163), 1,
      sym__from_clause,
  [92197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    STATE(2054), 1,
      sym_comment,
    ACTIONS(1830), 2,
      anon_sym_in,
      anon_sym_of,
  [92214] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1535), 1,
      anon_sym_while,
    ACTIONS(3716), 1,
      anon_sym_else,
    STATE(2055), 1,
      sym_comment,
    STATE(2529), 1,
      sym_else_clause,
  [92233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2056), 1,
      sym_comment,
    ACTIONS(2103), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [92248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2226), 1,
      anon_sym_in,
    STATE(2057), 1,
      sym_comment,
    ACTIONS(2468), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [92265] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    STATE(2016), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2058), 1,
      sym_comment,
  [92284] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(2047), 1,
      aux_sym_object_repeat1,
    STATE(2059), 1,
      sym_comment,
  [92303] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3722), 1,
      anon_sym_COLON,
    STATE(2060), 1,
      sym_comment,
    STATE(2178), 1,
      sym_formal_parameters,
  [92322] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(2061), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_object_repeat1,
  [92341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2062), 1,
      sym_comment,
    ACTIONS(2123), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [92356] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3550), 1,
      anon_sym_COMMA,
    ACTIONS(3552), 1,
      anon_sym_RPAREN,
    STATE(2063), 1,
      sym_comment,
    STATE(2146), 1,
      aux_sym_formal_parameters_repeat1,
  [92375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    STATE(2064), 1,
      sym_comment,
    STATE(2130), 1,
      aux_sym_object_pattern_repeat1,
  [92394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3724), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2065), 1,
      sym_comment,
  [92413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2066), 1,
      sym_comment,
  [92432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(2065), 1,
      aux_sym_array_repeat1,
    STATE(2067), 1,
      sym_comment,
  [92451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    STATE(515), 1,
      sym_statement_block,
    STATE(2068), 1,
      sym_comment,
  [92470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2069), 1,
      sym_comment,
    ACTIONS(3730), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [92485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3524), 1,
      anon_sym_RBRACK,
    STATE(2070), 1,
      sym_comment,
    STATE(2133), 1,
      aux_sym_array_pattern_repeat1,
  [92504] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3732), 1,
      sym_identifier,
    ACTIONS(3734), 1,
      anon_sym_SEMI,
    ACTIONS(3736), 1,
      sym__automatic_semicolon,
    STATE(2071), 1,
      sym_comment,
  [92523] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3738), 1,
      sym_identifier,
    ACTIONS(3740), 1,
      anon_sym_SEMI,
    ACTIONS(3742), 1,
      sym__automatic_semicolon,
    STATE(2072), 1,
      sym_comment,
  [92542] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2313), 1,
      anon_sym_RBRACK,
    STATE(2073), 1,
      sym_comment,
    STATE(2134), 1,
      aux_sym_array_repeat1,
  [92561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3744), 1,
      anon_sym_LPAREN,
    ACTIONS(3746), 1,
      anon_sym_await,
    STATE(87), 1,
      sym__for_header,
    STATE(2074), 1,
      sym_comment,
  [92580] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3524), 1,
      anon_sym_RBRACK,
    STATE(2075), 1,
      sym_comment,
    STATE(2132), 1,
      aux_sym_array_pattern_repeat1,
  [92599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3748), 1,
      anon_sym_COMMA,
    ACTIONS(3751), 1,
      anon_sym_RBRACE,
    STATE(2076), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [92616] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2077), 1,
      sym_comment,
  [92635] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    ACTIONS(3755), 1,
      anon_sym_GT,
    STATE(2078), 1,
      sym_comment,
  [92654] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2079), 1,
      sym_comment,
  [92673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(2077), 1,
      aux_sym_array_repeat1,
    STATE(2080), 1,
      sym_comment,
  [92692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(3759), 1,
      anon_sym_LPAREN,
    STATE(632), 1,
      sym_statement_block,
    STATE(2081), 1,
      sym_comment,
  [92711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3761), 1,
      anon_sym_COMMA,
    ACTIONS(3764), 1,
      anon_sym_RBRACE,
    STATE(2082), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [92728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2083), 1,
      sym_comment,
    ACTIONS(3766), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [92743] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3768), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2084), 1,
      sym_comment,
  [92762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    STATE(2085), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [92779] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    STATE(2086), 1,
      sym_comment,
    ACTIONS(3773), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [92796] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3775), 1,
      sym_identifier,
    STATE(2087), 1,
      sym_comment,
    STATE(2648), 1,
      sym_formal_parameters,
  [92815] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3777), 1,
      sym_identifier,
    STATE(2088), 1,
      sym_comment,
    STATE(2203), 1,
      sym_formal_parameters,
  [92834] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3779), 1,
      sym_identifier,
    ACTIONS(3781), 1,
      anon_sym_SEMI,
    ACTIONS(3783), 1,
      sym__automatic_semicolon,
    STATE(2089), 1,
      sym_comment,
  [92853] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3787), 1,
      anon_sym_SEMI,
    ACTIONS(3789), 1,
      sym__automatic_semicolon,
    STATE(2090), 1,
      sym_comment,
  [92872] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3791), 1,
      anon_sym_LPAREN,
    ACTIONS(3793), 1,
      anon_sym_await,
    STATE(88), 1,
      sym__for_header,
    STATE(2091), 1,
      sym_comment,
  [92891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2092), 1,
      sym_comment,
    ACTIONS(3488), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [92906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    ACTIONS(3797), 1,
      anon_sym_RBRACE,
    STATE(2076), 1,
      aux_sym_named_imports_repeat1,
    STATE(2093), 1,
      sym_comment,
  [92925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2094), 1,
      sym_comment,
  [92944] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3801), 1,
      anon_sym_DQUOTE,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(3803), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [92961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    ACTIONS(3805), 1,
      anon_sym_GT,
    STATE(2096), 1,
      sym_comment,
  [92980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2097), 1,
      sym_comment,
  [92999] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(2094), 1,
      aux_sym_array_repeat1,
    STATE(2098), 1,
      sym_comment,
  [93018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2099), 1,
      sym_comment,
    ACTIONS(3807), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [93033] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3548), 1,
      anon_sym_RBRACK,
    STATE(2100), 1,
      sym_comment,
    STATE(2132), 1,
      aux_sym_array_pattern_repeat1,
  [93052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [93069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3811), 1,
      anon_sym_LBRACE,
    ACTIONS(3813), 1,
      anon_sym_LPAREN,
    STATE(549), 1,
      sym_statement_block,
    STATE(2102), 1,
      sym_comment,
  [93088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2331), 1,
      anon_sym_RBRACK,
    STATE(2020), 1,
      aux_sym_array_repeat1,
    STATE(2103), 1,
      sym_comment,
  [93107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    ACTIONS(3815), 1,
      anon_sym_COLON,
    STATE(2104), 1,
      sym_comment,
    STATE(2178), 1,
      sym_formal_parameters,
  [93126] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    STATE(2082), 1,
      aux_sym_export_clause_repeat1,
    STATE(2105), 1,
      sym_comment,
  [93145] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3821), 1,
      anon_sym_SQUOTE,
    STATE(2106), 1,
      sym_comment,
    ACTIONS(3823), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [93162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3548), 1,
      anon_sym_RBRACK,
    STATE(2021), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2107), 1,
      sym_comment,
  [93181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2108), 1,
      sym_comment,
    ACTIONS(3825), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym_array_repeat1,
    STATE(2109), 1,
      sym_comment,
  [93215] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    ACTIONS(3827), 1,
      anon_sym_GT,
    STATE(2110), 1,
      sym_comment,
  [93234] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3829), 1,
      sym__glimmer_template_content,
    ACTIONS(3832), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2111), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [93251] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2112), 1,
      sym_comment,
  [93270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3834), 1,
      anon_sym_RBRACE,
    STATE(2113), 1,
      sym_comment,
    STATE(2130), 1,
      aux_sym_object_pattern_repeat1,
  [93289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3836), 1,
      anon_sym_RBRACE,
    STATE(2114), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_object_repeat1,
  [93308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(3838), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2116), 1,
      sym_comment,
    ACTIONS(930), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2117), 1,
      sym_comment,
    ACTIONS(989), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2118), 1,
      sym_comment,
    ACTIONS(3194), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
  [93368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3840), 1,
      sym__automatic_semicolon,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(876), 2,
      anon_sym_else,
      anon_sym_while,
  [93385] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3342), 1,
      sym_identifier,
    ACTIONS(3346), 1,
      anon_sym_LBRACK,
    ACTIONS(3348), 1,
      sym_private_property_identifier,
    STATE(2120), 1,
      sym_comment,
  [93404] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3842), 1,
      sym_identifier,
    STATE(2121), 1,
      sym_comment,
    STATE(2326), 1,
      sym_formal_parameters,
  [93423] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3844), 1,
      sym__automatic_semicolon,
    STATE(2122), 1,
      sym_comment,
    ACTIONS(932), 2,
      anon_sym_else,
      anon_sym_while,
  [93440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2123), 1,
      sym_comment,
    ACTIONS(876), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3846), 1,
      anon_sym_RBRACE,
    STATE(2124), 1,
      sym_comment,
    STATE(2130), 1,
      aux_sym_object_pattern_repeat1,
  [93474] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3848), 1,
      anon_sym_RBRACE,
    STATE(2125), 1,
      sym_comment,
    STATE(2129), 1,
      aux_sym_object_repeat1,
  [93493] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3848), 1,
      anon_sym_RBRACE,
    STATE(2013), 1,
      aux_sym_object_repeat1,
    STATE(2126), 1,
      sym_comment,
  [93512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    ACTIONS(3846), 1,
      anon_sym_RBRACE,
    STATE(2012), 1,
      aux_sym_object_pattern_repeat1,
    STATE(2127), 1,
      sym_comment,
  [93531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2128), 1,
      sym_comment,
    ACTIONS(941), 3,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
  [93546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3850), 1,
      anon_sym_COMMA,
    ACTIONS(3853), 1,
      anon_sym_RBRACE,
    STATE(2129), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [93563] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
    STATE(2130), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [93580] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3860), 1,
      sym_identifier,
    STATE(1568), 1,
      sym_decorator_member_expression,
    STATE(1646), 1,
      sym_decorator_call_expression,
    STATE(2131), 1,
      sym_comment,
  [93599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3862), 1,
      anon_sym_COMMA,
    ACTIONS(3865), 1,
      anon_sym_RBRACK,
    STATE(2132), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [93616] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    ACTIONS(3867), 1,
      anon_sym_RBRACK,
    STATE(2132), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2133), 1,
      sym_comment,
  [93635] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(3869), 1,
      anon_sym_RBRACK,
    STATE(1884), 1,
      aux_sym_array_repeat1,
    STATE(2134), 1,
      sym_comment,
  [93654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3522), 1,
      anon_sym_EQ,
    STATE(2135), 1,
      sym_comment,
    ACTIONS(3865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [93671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3427), 1,
      anon_sym_as,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(3871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [93688] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3873), 1,
      sym_identifier,
    STATE(1535), 1,
      sym_decorator_member_expression,
    STATE(1591), 1,
      sym_decorator_call_expression,
    STATE(2137), 1,
      sym_comment,
  [93707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2138), 1,
      sym_comment,
    ACTIONS(2299), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [93722] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3875), 1,
      sym_identifier,
    ACTIONS(3877), 1,
      anon_sym_SEMI,
    ACTIONS(3879), 1,
      sym__automatic_semicolon,
    STATE(2139), 1,
      sym_comment,
  [93741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    STATE(2093), 1,
      aux_sym_named_imports_repeat1,
    STATE(2140), 1,
      sym_comment,
  [93760] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3885), 1,
      sym_identifier,
    ACTIONS(3887), 1,
      anon_sym_SEMI,
    ACTIONS(3889), 1,
      sym__automatic_semicolon,
    STATE(2141), 1,
      sym_comment,
  [93779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3891), 1,
      anon_sym_LPAREN,
    ACTIONS(3893), 1,
      anon_sym_await,
    STATE(78), 1,
      sym__for_header,
    STATE(2142), 1,
      sym_comment,
  [93798] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3895), 1,
      sym_identifier,
    ACTIONS(3897), 1,
      anon_sym_SEMI,
    ACTIONS(3899), 1,
      sym__automatic_semicolon,
    STATE(2143), 1,
      sym_comment,
  [93817] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3901), 1,
      sym_identifier,
    ACTIONS(3903), 1,
      anon_sym_SEMI,
    ACTIONS(3905), 1,
      sym__automatic_semicolon,
    STATE(2144), 1,
      sym_comment,
  [93836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2145), 1,
      sym_comment,
    ACTIONS(3370), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [93851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3907), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RPAREN,
    STATE(2085), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2146), 1,
      sym_comment,
  [93870] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3911), 1,
      anon_sym_DQUOTE,
    ACTIONS(3913), 1,
      anon_sym_SQUOTE,
    STATE(2147), 1,
      sym_comment,
    STATE(2232), 1,
      sym_string,
  [93889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3915), 1,
      anon_sym_EQ,
    STATE(2148), 1,
      sym_comment,
    ACTIONS(1830), 2,
      anon_sym_in,
      anon_sym_of,
  [93906] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3407), 1,
      anon_sym_LPAREN,
    ACTIONS(3917), 1,
      sym_identifier,
    STATE(2149), 1,
      sym_comment,
    STATE(2224), 1,
      sym_formal_parameters,
  [93925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3919), 1,
      anon_sym_as,
    STATE(2150), 1,
      sym_comment,
    ACTIONS(3921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [93942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3923), 1,
      anon_sym_COMMA,
    ACTIONS(3925), 1,
      anon_sym_RBRACE,
    STATE(2105), 1,
      aux_sym_export_clause_repeat1,
    STATE(2151), 1,
      sym_comment,
  [93961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3927), 1,
      anon_sym_LPAREN,
    ACTIONS(3929), 1,
      anon_sym_await,
    STATE(102), 1,
      sym__for_header,
    STATE(2152), 1,
      sym_comment,
  [93980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(3931), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [93995] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2154), 1,
      sym_comment,
    STATE(2561), 1,
      sym_formal_parameters,
  [94011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2155), 1,
      sym_comment,
    ACTIONS(3933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [94025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2156), 1,
      sym_comment,
    STATE(2244), 1,
      sym_formal_parameters,
  [94041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_else,
      anon_sym_while,
  [94055] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(110), 1,
      sym_parenthesized_expression,
    STATE(2158), 1,
      sym_comment,
  [94071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(1771), 1,
      sym_statement_block,
    STATE(2159), 1,
      sym_comment,
  [94087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
    STATE(2160), 1,
      sym_comment,
  [94103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3937), 1,
      anon_sym_SEMI,
    ACTIONS(3939), 1,
      sym__automatic_semicolon,
    STATE(2161), 1,
      sym_comment,
  [94119] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3941), 1,
      sym_identifier,
    ACTIONS(3943), 1,
      anon_sym_STAR,
    STATE(2162), 1,
      sym_comment,
  [94135] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3945), 1,
      anon_sym_SEMI,
    ACTIONS(3947), 1,
      sym__automatic_semicolon,
    STATE(2163), 1,
      sym_comment,
  [94151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2164), 1,
      sym_comment,
    STATE(2311), 1,
      sym_formal_parameters,
  [94167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(1739), 2,
      anon_sym_else,
      anon_sym_while,
  [94181] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(924), 1,
      sym_parenthesized_expression,
    STATE(2166), 1,
      sym_comment,
  [94197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym_parenthesized_expression,
    STATE(2167), 1,
      sym_comment,
  [94213] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_statement_block,
    STATE(2168), 1,
      sym_comment,
  [94229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym_parenthesized_expression,
    STATE(2169), 1,
      sym_comment,
  [94245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3951), 1,
      anon_sym_SEMI,
    ACTIONS(3953), 1,
      sym__automatic_semicolon,
    STATE(2170), 1,
      sym_comment,
  [94261] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3955), 1,
      anon_sym_SEMI,
    ACTIONS(3957), 1,
      sym__automatic_semicolon,
    STATE(2171), 1,
      sym_comment,
  [94277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(3959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94291] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2173), 1,
      sym_comment,
    STATE(2204), 1,
      sym_formal_parameters,
  [94307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(3961), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94321] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(3865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [94335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(1749), 2,
      anon_sym_else,
      anon_sym_while,
  [94349] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1579), 1,
      sym_statement_block,
    STATE(2177), 1,
      sym_comment,
  [94365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2178), 1,
      sym_comment,
    STATE(2253), 1,
      sym_statement_block,
  [94381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3965), 1,
      anon_sym_SEMI,
    ACTIONS(3967), 1,
      sym__automatic_semicolon,
    STATE(2179), 1,
      sym_comment,
  [94397] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3971), 1,
      anon_sym_STAR,
    STATE(2180), 1,
      sym_comment,
  [94413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(2252), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3973), 1,
      anon_sym_LPAREN,
    STATE(2182), 1,
      sym_comment,
    STATE(2290), 1,
      sym_parenthesized_expression,
  [94443] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2183), 1,
      sym_comment,
    ACTIONS(3975), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [94457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(1735), 2,
      anon_sym_else,
      anon_sym_while,
  [94471] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(3977), 2,
      sym_jsx_identifier,
      sym_identifier,
  [94485] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2186), 1,
      sym_comment,
    STATE(2271), 1,
      sym_formal_parameters,
  [94501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2187), 1,
      sym_comment,
    ACTIONS(3979), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94515] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2188), 1,
      sym_comment,
    STATE(2289), 1,
      sym_statement_block,
  [94531] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(3981), 2,
      sym_jsx_identifier,
      sym_identifier,
  [94545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(2238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94559] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3983), 1,
      sym_identifier,
    ACTIONS(3985), 1,
      anon_sym_STAR,
    STATE(2191), 1,
      sym_comment,
  [94575] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2192), 1,
      sym_comment,
    STATE(2369), 1,
      sym_formal_parameters,
  [94591] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3469), 1,
      anon_sym_LBRACE,
    STATE(203), 1,
      sym_class_body,
    STATE(2193), 1,
      sym_comment,
  [94607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3987), 1,
      anon_sym_SEMI,
    ACTIONS(3989), 1,
      sym__automatic_semicolon,
    STATE(2194), 1,
      sym_comment,
  [94623] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3991), 1,
      anon_sym_SEMI,
    ACTIONS(3993), 1,
      sym__automatic_semicolon,
    STATE(2195), 1,
      sym_comment,
  [94639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2196), 1,
      sym_comment,
    STATE(2328), 1,
      sym_formal_parameters,
  [94655] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3342), 1,
      sym_identifier,
    ACTIONS(3348), 1,
      sym_private_property_identifier,
    STATE(2197), 1,
      sym_comment,
  [94671] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3995), 1,
      sym_identifier,
    ACTIONS(3997), 1,
      sym_private_property_identifier,
    STATE(2198), 1,
      sym_comment,
  [94687] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3999), 1,
      anon_sym_LBRACE,
    STATE(2199), 1,
      sym_comment,
    STATE(2572), 1,
      sym_switch_body,
  [94703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1264), 1,
      sym_statement_block,
    STATE(2200), 1,
      sym_comment,
  [94719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2202), 1,
      sym_comment,
    STATE(2329), 1,
      sym_formal_parameters,
  [94749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1360), 1,
      sym_statement_block,
    STATE(2203), 1,
      sym_comment,
  [94765] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    STATE(201), 1,
      sym_statement_block,
    STATE(2204), 1,
      sym_comment,
  [94781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4007), 1,
      anon_sym_LBRACE,
    STATE(746), 1,
      sym_switch_body,
    STATE(2205), 1,
      sym_comment,
  [94797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym__for_header,
    STATE(2206), 1,
      sym_comment,
  [94813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(116), 1,
      sym_parenthesized_expression,
    STATE(2207), 1,
      sym_comment,
  [94829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    STATE(93), 1,
      sym__for_header,
    STATE(2208), 1,
      sym_comment,
  [94845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(1727), 2,
      anon_sym_else,
      anon_sym_while,
  [94859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3973), 1,
      anon_sym_LPAREN,
    STATE(2210), 1,
      sym_comment,
    STATE(2536), 1,
      sym_parenthesized_expression,
  [94875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_else,
      anon_sym_while,
  [94889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(4011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(4013), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94917] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4015), 1,
      sym_identifier,
    ACTIONS(4017), 1,
      anon_sym_STAR,
    STATE(2214), 1,
      sym_comment,
  [94933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(2240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94947] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [94961] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(2242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94975] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2218), 1,
      sym_comment,
    ACTIONS(4021), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [94989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_else,
      anon_sym_while,
  [95003] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1348), 1,
      sym_class_body,
    STATE(2220), 1,
      sym_comment,
  [95019] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_statement_block,
    STATE(2221), 1,
      sym_comment,
  [95035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3827), 1,
      anon_sym_GT,
    STATE(2222), 1,
      sym_comment,
  [95051] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2223), 1,
      sym_comment,
    STATE(2245), 1,
      sym_formal_parameters,
  [95067] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_statement_block,
    STATE(2224), 1,
      sym_comment,
  [95083] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4025), 1,
      sym_identifier,
    ACTIONS(4027), 1,
      anon_sym_STAR,
    STATE(2225), 1,
      sym_comment,
  [95099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym_parenthesized_expression,
    STATE(2226), 1,
      sym_comment,
  [95115] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1350), 1,
      sym_statement_block,
    STATE(2227), 1,
      sym_comment,
  [95131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    ACTIONS(3827), 1,
      anon_sym_GT,
    STATE(2228), 1,
      sym_comment,
  [95147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_else,
      anon_sym_while,
  [95161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1270), 1,
      sym_class_body,
    STATE(2230), 1,
      sym_comment,
  [95177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4029), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [95191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(4031), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [95205] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2233), 1,
      sym_comment,
    ACTIONS(2279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [95219] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4033), 1,
      anon_sym_SEMI,
    ACTIONS(4035), 1,
      sym__automatic_semicolon,
    STATE(2234), 1,
      sym_comment,
  [95235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(2281), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [95249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(3858), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3434), 1,
      anon_sym_LBRACE,
    STATE(705), 1,
      sym_class_body,
    STATE(2237), 1,
      sym_comment,
  [95279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4037), 1,
      anon_sym_SEMI,
    ACTIONS(4039), 1,
      sym__automatic_semicolon,
    STATE(2238), 1,
      sym_comment,
  [95295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4041), 1,
      anon_sym_SEMI,
    ACTIONS(4043), 1,
      sym__automatic_semicolon,
    STATE(2239), 1,
      sym_comment,
  [95311] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4045), 1,
      anon_sym_SEMI,
    ACTIONS(4047), 1,
      sym__automatic_semicolon,
    STATE(2240), 1,
      sym_comment,
  [95327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4049), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_statement_block,
    STATE(2241), 1,
      sym_comment,
  [95343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2242), 1,
      sym_comment,
    STATE(2346), 1,
      sym_formal_parameters,
  [95359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2243), 1,
      sym_comment,
    STATE(2347), 1,
      sym_formal_parameters,
  [95375] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4051), 1,
      anon_sym_LBRACE,
    STATE(709), 1,
      sym_statement_block,
    STATE(2244), 1,
      sym_comment,
  [95391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_comment,
    STATE(2350), 1,
      sym_statement_block,
  [95407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2246), 1,
      sym_comment,
    STATE(2351), 1,
      sym_formal_parameters,
  [95423] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4053), 1,
      sym_identifier,
    ACTIONS(4055), 1,
      anon_sym_STAR,
    STATE(2247), 1,
      sym_comment,
  [95439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(862), 1,
      sym_parenthesized_expression,
    STATE(2248), 1,
      sym_comment,
  [95455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(3853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4059), 1,
      anon_sym_LBRACE,
    STATE(866), 1,
      sym_statement_block,
    STATE(2250), 1,
      sym_comment,
  [95485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95499] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4061), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_statement_block,
    STATE(2252), 1,
      sym_comment,
  [95515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4063), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [95529] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2254), 1,
      sym_comment,
    STATE(2354), 1,
      sym_formal_parameters,
  [95545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2255), 1,
      sym_comment,
    STATE(2361), 1,
      sym_formal_parameters,
  [95561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(187), 1,
      sym_class_body,
    STATE(2256), 1,
      sym_comment,
  [95577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4065), 1,
      anon_sym_LBRACE,
    STATE(169), 1,
      sym_statement_block,
    STATE(2257), 1,
      sym_comment,
  [95593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2258), 1,
      sym_comment,
    ACTIONS(1715), 2,
      anon_sym_else,
      anon_sym_while,
  [95607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4067), 1,
      anon_sym_EQ_GT,
    STATE(2259), 1,
      sym_comment,
  [95623] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_class_body,
    STATE(2260), 1,
      sym_comment,
  [95639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4069), 1,
      anon_sym_EQ_GT,
    STATE(2261), 1,
      sym_comment,
  [95655] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2262), 1,
      sym_comment,
    STATE(2376), 1,
      sym_formal_parameters,
  [95671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3805), 1,
      anon_sym_GT,
    STATE(2263), 1,
      sym_comment,
  [95687] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym_parenthesized_expression,
    STATE(2264), 1,
      sym_comment,
  [95703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    ACTIONS(3805), 1,
      anon_sym_GT,
    STATE(2265), 1,
      sym_comment,
  [95719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2266), 1,
      sym_comment,
    ACTIONS(1645), 2,
      anon_sym_else,
      anon_sym_while,
  [95733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2267), 1,
      sym_comment,
    STATE(2379), 1,
      sym_formal_parameters,
  [95749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2268), 1,
      sym_comment,
    STATE(2384), 1,
      sym_formal_parameters,
  [95765] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(575), 1,
      sym_class_body,
    STATE(2269), 1,
      sym_comment,
  [95781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_statement_block,
    STATE(2270), 1,
      sym_comment,
  [95797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2271), 1,
      sym_comment,
    STATE(2385), 1,
      sym_statement_block,
  [95813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2272), 1,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
  [95827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2273), 1,
      sym_comment,
    ACTIONS(1747), 2,
      anon_sym_else,
      anon_sym_while,
  [95841] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4065), 1,
      anon_sym_LBRACE,
    STATE(185), 1,
      sym_statement_block,
    STATE(2274), 1,
      sym_comment,
  [95857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4065), 1,
      anon_sym_LBRACE,
    STATE(184), 1,
      sym_statement_block,
    STATE(2275), 1,
      sym_comment,
  [95873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(1737), 2,
      anon_sym_else,
      anon_sym_while,
  [95887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [95901] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(181), 1,
      sym_class_body,
    STATE(2278), 1,
      sym_comment,
  [95917] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym_statement_block,
    STATE(2279), 1,
      sym_comment,
  [95933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(590), 1,
      sym_statement_block,
    STATE(2280), 1,
      sym_comment,
  [95949] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym_class_body,
    STATE(2281), 1,
      sym_comment,
  [95965] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2282), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_else,
      anon_sym_while,
  [95979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2283), 1,
      sym_comment,
    ACTIONS(4073), 2,
      anon_sym_GT,
      anon_sym_DOT,
  [95993] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4065), 1,
      anon_sym_LBRACE,
    STATE(176), 1,
      sym_statement_block,
    STATE(2284), 1,
      sym_comment,
  [96009] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym_statement_block,
    STATE(2285), 1,
      sym_comment,
  [96025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3811), 1,
      anon_sym_LBRACE,
    STATE(594), 1,
      sym_statement_block,
    STATE(2286), 1,
      sym_comment,
  [96041] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_statement_block,
    STATE(2287), 1,
      sym_comment,
  [96057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2288), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_else,
      anon_sym_while,
  [96071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2289), 1,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_else,
      anon_sym_while,
  [96085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2290), 1,
      sym_comment,
    ACTIONS(1713), 2,
      anon_sym_else,
      anon_sym_while,
  [96099] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2292), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2293), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96141] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1309), 1,
      sym_statement_block,
    STATE(2294), 1,
      sym_comment,
  [96157] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parenthesized_expression,
    STATE(2295), 1,
      sym_comment,
  [96173] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_statement_block,
    STATE(2296), 1,
      sym_comment,
  [96189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym_parenthesized_expression,
    STATE(2297), 1,
      sym_comment,
  [96205] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4077), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_statement_block,
    STATE(2298), 1,
      sym_comment,
  [96221] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1546), 1,
      sym_statement_block,
    STATE(2299), 1,
      sym_comment,
  [96237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2300), 1,
      sym_comment,
    ACTIONS(4079), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2301), 1,
      sym_comment,
    STATE(2478), 1,
      sym_formal_parameters,
  [96267] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1547), 1,
      sym_statement_block,
    STATE(2302), 1,
      sym_comment,
  [96283] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2303), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3690), 1,
      anon_sym_GT,
    STATE(2304), 1,
      sym_comment,
  [96313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_class_body,
    STATE(2305), 1,
      sym_comment,
  [96329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_statement_block,
    STATE(2306), 1,
      sym_comment,
  [96345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2307), 1,
      sym_comment,
    STATE(2419), 1,
      sym_formal_parameters,
  [96361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2308), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2309), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2310), 1,
      sym_comment,
    STATE(2420), 1,
      sym_formal_parameters,
  [96405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1100), 1,
      sym_statement_block,
    STATE(2311), 1,
      sym_comment,
  [96421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2312), 1,
      sym_comment,
    ACTIONS(4081), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [96435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2313), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2314), 1,
      sym_comment,
    ACTIONS(2263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2315), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2316), 1,
      sym_comment,
    ACTIONS(3773), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [96491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1542), 1,
      sym_statement_block,
    STATE(2317), 1,
      sym_comment,
  [96507] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1296), 1,
      sym_class_body,
    STATE(2318), 1,
      sym_comment,
  [96523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(4083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96537] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1543), 1,
      sym_statement_block,
    STATE(2320), 1,
      sym_comment,
  [96553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2321), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(4085), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96581] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4087), 1,
      anon_sym_LBRACE,
    STATE(800), 1,
      sym_switch_body,
    STATE(2323), 1,
      sym_comment,
  [96597] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym__for_header,
    STATE(2324), 1,
      sym_comment,
  [96613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2325), 1,
      sym_comment,
    STATE(2433), 1,
      sym_formal_parameters,
  [96629] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1293), 1,
      sym_statement_block,
    STATE(2326), 1,
      sym_comment,
  [96645] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4089), 1,
      sym_identifier,
    ACTIONS(4091), 1,
      anon_sym_STAR,
    STATE(2327), 1,
      sym_comment,
  [96661] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_statement_block,
    STATE(2328), 1,
      sym_comment,
  [96677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    STATE(220), 1,
      sym_statement_block,
    STATE(2329), 1,
      sym_comment,
  [96693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2330), 1,
      sym_comment,
    ACTIONS(4093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2331), 1,
      sym_comment,
    ACTIONS(4095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1548), 1,
      sym_statement_block,
    STATE(2332), 1,
      sym_comment,
  [96737] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2333), 1,
      sym_comment,
    ACTIONS(2267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3690), 1,
      anon_sym_GT,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    STATE(2334), 1,
      sym_comment,
  [96767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(2269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [96781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3469), 1,
      anon_sym_LBRACE,
    STATE(215), 1,
      sym_class_body,
    STATE(2336), 1,
      sym_comment,
  [96797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_statement_block,
    STATE(2337), 1,
      sym_comment,
  [96813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2338), 1,
      sym_comment,
    ACTIONS(3764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96827] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1283), 1,
      sym_statement_block,
    STATE(2339), 1,
      sym_comment,
  [96843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2340), 1,
      sym_comment,
    ACTIONS(4097), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [96857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2341), 1,
      sym_comment,
    STATE(2437), 1,
      sym_formal_parameters,
  [96873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1158), 1,
      sym_class_body,
    STATE(2343), 1,
      sym_comment,
  [96903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2345), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [96931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4051), 1,
      anon_sym_LBRACE,
    STATE(796), 1,
      sym_statement_block,
    STATE(2346), 1,
      sym_comment,
  [96947] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4051), 1,
      anon_sym_LBRACE,
    STATE(797), 1,
      sym_statement_block,
    STATE(2347), 1,
      sym_comment,
  [96963] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3434), 1,
      anon_sym_LBRACE,
    STATE(798), 1,
      sym_class_body,
    STATE(2348), 1,
      sym_comment,
  [96979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(2461), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [96993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2350), 1,
      sym_comment,
    ACTIONS(4099), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2351), 1,
      sym_comment,
    STATE(2438), 1,
      sym_statement_block,
  [97023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4101), 1,
      anon_sym_SEMI,
    ACTIONS(4103), 1,
      sym__automatic_semicolon,
    STATE(2352), 1,
      sym_comment,
  [97039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2353), 1,
      sym_comment,
    STATE(2443), 1,
      sym_formal_parameters,
  [97055] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2354), 1,
      sym_comment,
    STATE(2445), 1,
      sym_statement_block,
  [97071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2355), 1,
      sym_comment,
    STATE(2447), 1,
      sym_formal_parameters,
  [97087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4105), 1,
      anon_sym_SEMI,
    ACTIONS(4107), 1,
      sym__automatic_semicolon,
    STATE(2356), 1,
      sym_comment,
  [97103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4109), 1,
      anon_sym_SEMI,
    ACTIONS(4111), 1,
      sym__automatic_semicolon,
    STATE(2357), 1,
      sym_comment,
  [97119] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4113), 1,
      anon_sym_SEMI,
    ACTIONS(4115), 1,
      sym__automatic_semicolon,
    STATE(2358), 1,
      sym_comment,
  [97135] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2359), 1,
      sym_comment,
    STATE(2448), 1,
      sym_formal_parameters,
  [97151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2360), 1,
      sym_comment,
    STATE(2452), 1,
      sym_formal_parameters,
  [97167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2361), 1,
      sym_comment,
    STATE(2453), 1,
      sym_statement_block,
  [97183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2362), 1,
      sym_comment,
    STATE(2455), 1,
      sym_formal_parameters,
  [97199] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2363), 1,
      sym_comment,
    STATE(2463), 1,
      sym_formal_parameters,
  [97215] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2364), 1,
      sym_comment,
    STATE(2464), 1,
      sym_formal_parameters,
  [97231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2365), 1,
      sym_comment,
    STATE(2465), 1,
      sym_formal_parameters,
  [97247] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4117), 1,
      anon_sym_LPAREN,
    STATE(701), 1,
      sym_parenthesized_expression,
    STATE(2366), 1,
      sym_comment,
  [97263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_statement_block,
    STATE(2367), 1,
      sym_comment,
  [97279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4119), 1,
      anon_sym_LBRACE,
    STATE(699), 1,
      sym_statement_block,
    STATE(2368), 1,
      sym_comment,
  [97295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2369), 1,
      sym_comment,
    STATE(2466), 1,
      sym_statement_block,
  [97311] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2370), 1,
      sym_comment,
    STATE(2467), 1,
      sym_formal_parameters,
  [97327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4121), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_comment,
    STATE(2480), 1,
      sym_formal_parameters,
  [97357] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2373), 1,
      sym_comment,
    STATE(2483), 1,
      sym_formal_parameters,
  [97373] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3506), 1,
      anon_sym_LBRACE,
    STATE(180), 1,
      sym_class_body,
    STATE(2374), 1,
      sym_comment,
  [97389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_statement_block,
    STATE(2375), 1,
      sym_comment,
  [97405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2376), 1,
      sym_comment,
    STATE(2484), 1,
      sym_statement_block,
  [97421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_statement_block,
    STATE(2377), 1,
      sym_comment,
  [97437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_statement_block,
    STATE(2378), 1,
      sym_comment,
  [97453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2155), 1,
      sym_statement_block,
    STATE(2379), 1,
      sym_comment,
  [97469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    ACTIONS(3755), 1,
      anon_sym_GT,
    STATE(2380), 1,
      sym_comment,
  [97485] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1560), 1,
      sym_statement_block,
    STATE(2381), 1,
      sym_comment,
  [97501] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3692), 1,
      anon_sym_DOT,
    ACTIONS(3755), 1,
      anon_sym_GT,
    STATE(2382), 1,
      sym_comment,
  [97517] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2383), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [97531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2384), 1,
      sym_comment,
    STATE(2489), 1,
      sym_statement_block,
  [97547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(4125), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_LBRACE,
    STATE(644), 1,
      sym_class_body,
    STATE(2386), 1,
      sym_comment,
  [97577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4127), 1,
      anon_sym_LBRACE,
    STATE(645), 1,
      sym_statement_block,
    STATE(2387), 1,
      sym_comment,
  [97593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97607] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4131), 1,
      sym_identifier,
    ACTIONS(4133), 1,
      anon_sym_STAR,
    STATE(2389), 1,
      sym_comment,
  [97623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2390), 1,
      sym_comment,
    ACTIONS(3751), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [97637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_statement_block,
    STATE(2391), 1,
      sym_comment,
  [97653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_LBRACE,
    STATE(172), 1,
      sym_statement_block,
    STATE(2392), 1,
      sym_comment,
  [97669] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1552), 1,
      sym_statement_block,
    STATE(2393), 1,
      sym_comment,
  [97685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_statement_block,
    STATE(2394), 1,
      sym_comment,
  [97701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3506), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_class_body,
    STATE(2395), 1,
      sym_comment,
  [97717] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4127), 1,
      anon_sym_LBRACE,
    STATE(662), 1,
      sym_statement_block,
    STATE(2396), 1,
      sym_comment,
  [97733] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4127), 1,
      anon_sym_LBRACE,
    STATE(667), 1,
      sym_statement_block,
    STATE(2397), 1,
      sym_comment,
  [97749] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3510), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym_class_body,
    STATE(2398), 1,
      sym_comment,
  [97765] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2399), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [97779] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(4135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [97793] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4123), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_statement_block,
    STATE(2401), 1,
      sym_comment,
  [97809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4127), 1,
      anon_sym_LBRACE,
    STATE(659), 1,
      sym_statement_block,
    STATE(2402), 1,
      sym_comment,
  [97825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    STATE(657), 1,
      sym_statement_block,
    STATE(2403), 1,
      sym_comment,
  [97841] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1555), 1,
      sym_statement_block,
    STATE(2404), 1,
      sym_comment,
  [97857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(1741), 2,
      anon_sym_else,
      anon_sym_while,
  [97871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(97), 1,
      sym_parenthesized_expression,
    STATE(2406), 1,
      sym_comment,
  [97887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_statement_block,
    STATE(2407), 1,
      sym_comment,
  [97903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      sym_statement_block,
    STATE(2408), 1,
      sym_comment,
  [97919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
    STATE(2409), 1,
      sym_comment,
  [97935] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4137), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_statement_block,
    STATE(2410), 1,
      sym_comment,
  [97951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
    STATE(2411), 1,
      sym_comment,
  [97967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1550), 1,
      sym_statement_block,
    STATE(2412), 1,
      sym_comment,
  [97983] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_statement_block,
    STATE(2413), 1,
      sym_comment,
  [97999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2414), 1,
      sym_comment,
    ACTIONS(4139), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1539), 1,
      sym_statement_block,
    STATE(2415), 1,
      sym_comment,
  [98029] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2416), 1,
      sym_comment,
    STATE(2497), 1,
      sym_formal_parameters,
  [98045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2417), 1,
      sym_comment,
    ACTIONS(3114), 2,
      anon_sym_in,
      anon_sym_of,
  [98059] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2418), 1,
      sym_comment,
    STATE(2501), 1,
      sym_formal_parameters,
  [98075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1106), 1,
      sym_statement_block,
    STATE(2419), 1,
      sym_comment,
  [98091] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1107), 1,
      sym_statement_block,
    STATE(2420), 1,
      sym_comment,
  [98107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(2261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98121] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2422), 1,
      sym_comment,
    STATE(2496), 1,
      sym_formal_parameters,
  [98137] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2423), 1,
      sym_comment,
    STATE(2492), 1,
      sym_formal_parameters,
  [98153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_class_body,
    STATE(2424), 1,
      sym_comment,
  [98169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2425), 1,
      sym_comment,
    STATE(2491), 1,
      sym_formal_parameters,
  [98185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2426), 1,
      sym_comment,
    STATE(2487), 1,
      sym_formal_parameters,
  [98201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(2271), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98215] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2428), 1,
      sym_comment,
    STATE(2486), 1,
      sym_formal_parameters,
  [98231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(2273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2431), 1,
      sym_comment,
    ACTIONS(4143), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(4145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98287] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    STATE(216), 1,
      sym_statement_block,
    STATE(2433), 1,
      sym_comment,
  [98303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_statement_block,
    STATE(2434), 1,
      sym_comment,
  [98319] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4147), 1,
      anon_sym_LBRACE,
    STATE(630), 1,
      sym_switch_body,
    STATE(2435), 1,
      sym_comment,
  [98335] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym__for_header,
    STATE(2436), 1,
      sym_comment,
  [98351] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4051), 1,
      anon_sym_LBRACE,
    STATE(847), 1,
      sym_statement_block,
    STATE(2437), 1,
      sym_comment,
  [98367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(4149), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(4151), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [98395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(4153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2441), 1,
      sym_comment,
    ACTIONS(4155), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(4157), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2443), 1,
      sym_comment,
    STATE(2506), 1,
      sym_statement_block,
  [98453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(2275), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2445), 1,
      sym_comment,
    ACTIONS(3933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(2277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98495] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2447), 1,
      sym_comment,
    STATE(2507), 1,
      sym_statement_block,
  [98511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2448), 1,
      sym_comment,
    STATE(2510), 1,
      sym_statement_block,
  [98527] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2449), 1,
      sym_comment,
    STATE(2482), 1,
      sym_formal_parameters,
  [98543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [98557] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [98571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2452), 1,
      sym_comment,
    STATE(2511), 1,
      sym_statement_block,
  [98587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(3933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2454), 1,
      sym_comment,
    ACTIONS(4159), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [98615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2455), 1,
      sym_comment,
    STATE(2512), 1,
      sym_statement_block,
  [98631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4161), 1,
      anon_sym_SEMI,
    ACTIONS(4163), 1,
      sym__automatic_semicolon,
    STATE(2456), 1,
      sym_comment,
  [98647] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2457), 1,
      sym_comment,
    STATE(2513), 1,
      sym_formal_parameters,
  [98663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2458), 1,
      sym_comment,
    STATE(2514), 1,
      sym_formal_parameters,
  [98679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4165), 1,
      anon_sym_SEMI,
    ACTIONS(4167), 1,
      sym__automatic_semicolon,
    STATE(2459), 1,
      sym_comment,
  [98695] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4171), 1,
      sym__automatic_semicolon,
    STATE(2460), 1,
      sym_comment,
  [98711] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4173), 1,
      anon_sym_SEMI,
    ACTIONS(4175), 1,
      sym__automatic_semicolon,
    STATE(2461), 1,
      sym_comment,
  [98727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2462), 1,
      sym_comment,
    STATE(2515), 1,
      sym_formal_parameters,
  [98743] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2463), 1,
      sym_comment,
    STATE(2516), 1,
      sym_statement_block,
  [98759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2464), 1,
      sym_comment,
    STATE(2517), 1,
      sym_statement_block,
  [98775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2465), 1,
      sym_comment,
    STATE(2519), 1,
      sym_statement_block,
  [98791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2466), 1,
      sym_comment,
    ACTIONS(3933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [98805] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2467), 1,
      sym_comment,
    STATE(2520), 1,
      sym_statement_block,
  [98821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2468), 1,
      sym_comment,
    STATE(2521), 1,
      sym_formal_parameters,
  [98837] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4177), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_parenthesized_expression,
    STATE(2469), 1,
      sym_comment,
  [98853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1356), 1,
      sym_statement_block,
    STATE(2470), 1,
      sym_comment,
  [98869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(603), 1,
      sym_statement_block,
    STATE(2471), 1,
      sym_comment,
  [98885] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2472), 1,
      sym_comment,
    STATE(2522), 1,
      sym_formal_parameters,
  [98901] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3536), 1,
      anon_sym_LBRACE,
    STATE(150), 1,
      sym_class_body,
    STATE(2473), 1,
      sym_comment,
  [98917] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4181), 1,
      anon_sym_LBRACE,
    STATE(151), 1,
      sym_statement_block,
    STATE(2474), 1,
      sym_comment,
  [98933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2475), 1,
      sym_comment,
    STATE(2524), 1,
      sym_formal_parameters,
  [98949] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1363), 1,
      sym_class_body,
    STATE(2476), 1,
      sym_comment,
  [98965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1367), 1,
      sym_statement_block,
    STATE(2477), 1,
      sym_comment,
  [98981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2478), 1,
      sym_comment,
    STATE(2525), 1,
      sym_statement_block,
  [98997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [99011] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2480), 1,
      sym_comment,
    STATE(2526), 1,
      sym_statement_block,
  [99027] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_class_body,
    STATE(2481), 1,
      sym_comment,
  [99043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_statement_block,
    STATE(2482), 1,
      sym_comment,
  [99059] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2483), 1,
      sym_comment,
    STATE(2527), 1,
      sym_statement_block,
  [99075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(3933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(4185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4181), 1,
      anon_sym_LBRACE,
    STATE(167), 1,
      sym_statement_block,
    STATE(2486), 1,
      sym_comment,
  [99119] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4181), 1,
      anon_sym_LBRACE,
    STATE(163), 1,
      sym_statement_block,
    STATE(2487), 1,
      sym_comment,
  [99135] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1366), 1,
      sym_statement_block,
    STATE(2488), 1,
      sym_comment,
  [99151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(3933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3536), 1,
      anon_sym_LBRACE,
    STATE(162), 1,
      sym_class_body,
    STATE(2490), 1,
      sym_comment,
  [99181] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_statement_block,
    STATE(2491), 1,
      sym_comment,
  [99197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_statement_block,
    STATE(2492), 1,
      sym_comment,
  [99213] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_class_body,
    STATE(2493), 1,
      sym_comment,
  [99229] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2474), 1,
      sym_formal_parameters,
    STATE(2494), 1,
      sym_comment,
  [99245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [99259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4181), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_statement_block,
    STATE(2496), 1,
      sym_comment,
  [99275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4183), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_statement_block,
    STATE(2497), 1,
      sym_comment,
  [99291] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_statement_block,
    STATE(2498), 1,
      sym_comment,
  [99307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2461), 1,
      sym__from_clause,
    STATE(2499), 1,
      sym_comment,
  [99323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3372), 1,
      anon_sym_in,
    ACTIONS(3374), 1,
      anon_sym_of,
    STATE(2500), 1,
      sym_comment,
  [99339] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_statement_block,
    STATE(2501), 1,
      sym_comment,
  [99355] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(2283), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99369] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2459), 1,
      sym__from_clause,
    STATE(2503), 1,
      sym_comment,
  [99385] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3640), 1,
      anon_sym_LBRACE,
    STATE(874), 1,
      sym_statement_block,
    STATE(2504), 1,
      sym_comment,
  [99401] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(4187), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(4189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99443] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(2040), 1,
      sym_class_body,
    STATE(2508), 1,
      sym_comment,
  [99459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2509), 1,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_else,
      anon_sym_while,
  [99473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99515] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2513), 1,
      sym_comment,
    STATE(2531), 1,
      sym_statement_block,
  [99531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2430), 1,
      sym_statement_block,
    STATE(2514), 1,
      sym_comment,
  [99547] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2515), 1,
      sym_comment,
    STATE(2534), 1,
      sym_statement_block,
  [99563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2517), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99591] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4193), 1,
      sym_identifier,
    ACTIONS(4195), 1,
      sym_private_property_identifier,
    STATE(2518), 1,
      sym_comment,
  [99607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2519), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99621] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99635] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2521), 1,
      sym_comment,
    STATE(2535), 1,
      sym_statement_block,
  [99651] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_comment,
    STATE(2537), 1,
      sym_statement_block,
  [99667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_else,
      anon_sym_while,
  [99681] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3660), 1,
      anon_sym_LBRACE,
    STATE(2524), 1,
      sym_comment,
    STATE(2538), 1,
      sym_statement_block,
  [99697] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(4191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(4197), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [99753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(1707), 2,
      anon_sym_else,
      anon_sym_while,
  [99767] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3973), 1,
      anon_sym_LPAREN,
    STATE(2435), 1,
      sym_parenthesized_expression,
    STATE(2530), 1,
      sym_comment,
  [99783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(1661), 2,
      anon_sym_else,
      anon_sym_while,
  [99811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4009), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym__for_header,
    STATE(2533), 1,
      sym_comment,
  [99827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2534), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99855] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4199), 1,
      anon_sym_LBRACE,
    STATE(889), 1,
      sym_switch_body,
    STATE(2536), 1,
      sym_comment,
  [99871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(4141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [99899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(1651), 2,
      anon_sym_else,
      anon_sym_while,
  [99913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(1649), 2,
      anon_sym_else,
      anon_sym_while,
  [99927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(4201), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [99941] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_statement_block,
    STATE(2542), 1,
      sym_comment,
  [99957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2543), 1,
      sym_comment,
    ACTIONS(1647), 2,
      anon_sym_else,
      anon_sym_while,
  [99971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(1653), 2,
      anon_sym_else,
      anon_sym_while,
  [99985] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(4203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [99999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(1705), 2,
      anon_sym_else,
      anon_sym_while,
  [100013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2171), 1,
      sym__from_clause,
    STATE(2547), 1,
      sym_comment,
  [100029] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    ACTIONS(4207), 1,
      anon_sym_from,
    STATE(2548), 1,
      sym_comment,
  [100045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(1655), 2,
      anon_sym_else,
      anon_sym_while,
  [100059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_else,
      anon_sym_while,
  [100073] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(1657), 2,
      anon_sym_else,
      anon_sym_while,
  [100087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_statement_block,
    STATE(2552), 1,
      sym_comment,
  [100103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(1659), 2,
      anon_sym_else,
      anon_sym_while,
  [100117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(2468), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [100131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_statement_block,
    STATE(2555), 1,
      sym_comment,
  [100147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_statement_block,
    STATE(2556), 1,
      sym_comment,
  [100163] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [100177] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_statement_block,
    STATE(2558), 1,
      sym_comment,
  [100193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [100207] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1575), 1,
      sym_statement_block,
    STATE(2560), 1,
      sym_comment,
  [100223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1538), 1,
      sym_statement_block,
    STATE(2561), 1,
      sym_comment,
  [100239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2562), 1,
      sym_comment,
    ACTIONS(1663), 2,
      anon_sym_else,
      anon_sym_while,
  [100253] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(1665), 2,
      anon_sym_else,
      anon_sym_while,
  [100267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2564), 1,
      sym_comment,
    ACTIONS(1669), 2,
      anon_sym_else,
      anon_sym_while,
  [100281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2565), 1,
      sym_comment,
    ACTIONS(1671), 2,
      anon_sym_else,
      anon_sym_while,
  [100295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2194), 1,
      sym__from_clause,
    STATE(2566), 1,
      sym_comment,
  [100311] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4209), 1,
      sym_identifier,
    ACTIONS(4211), 1,
      anon_sym_STAR,
    STATE(2567), 1,
      sym_comment,
  [100327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_formal_parameters,
    STATE(2568), 1,
      sym_comment,
  [100343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2401), 1,
      sym_formal_parameters,
    STATE(2569), 1,
      sym_comment,
  [100359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2570), 1,
      sym_comment,
    ACTIONS(1673), 2,
      anon_sym_else,
      anon_sym_while,
  [100373] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(2015), 1,
      sym_class_body,
    STATE(2571), 1,
      sym_comment,
  [100389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2572), 1,
      sym_comment,
    ACTIONS(1675), 2,
      anon_sym_else,
      anon_sym_while,
  [100403] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4077), 1,
      anon_sym_LBRACE,
    STATE(2014), 1,
      sym_statement_block,
    STATE(2573), 1,
      sym_comment,
  [100419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(105), 1,
      sym_parenthesized_expression,
    STATE(2574), 1,
      sym_comment,
  [100435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3973), 1,
      anon_sym_LPAREN,
    STATE(2199), 1,
      sym_parenthesized_expression,
    STATE(2575), 1,
      sym_comment,
  [100451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4077), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_statement_block,
    STATE(2576), 1,
      sym_comment,
  [100467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2577), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2579), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100509] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2397), 1,
      sym_formal_parameters,
    STATE(2580), 1,
      sym_comment,
  [100525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2581), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100539] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1327), 1,
      sym_class_body,
    STATE(2582), 1,
      sym_comment,
  [100555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2396), 1,
      sym_formal_parameters,
    STATE(2583), 1,
      sym_comment,
  [100571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2161), 1,
      sym__from_clause,
    STATE(2584), 1,
      sym_comment,
  [100587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2392), 1,
      sym_formal_parameters,
    STATE(2585), 1,
      sym_comment,
  [100603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2179), 1,
      sym__from_clause,
    STATE(2586), 1,
      sym_comment,
  [100619] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3302), 1,
      sym_identifier,
    ACTIONS(3308), 1,
      sym_private_property_identifier,
    STATE(2587), 1,
      sym_comment,
  [100635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(2289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [100649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100663] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2590), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100691] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2391), 1,
      sym_formal_parameters,
    STATE(2592), 1,
      sym_comment,
  [100707] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2227), 1,
      sym_formal_parameters,
    STATE(2593), 1,
      sym_comment,
  [100723] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2387), 1,
      sym_formal_parameters,
    STATE(2594), 1,
      sym_comment,
  [100739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2595), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2596), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2597), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2598), 1,
      sym_comment,
    STATE(2669), 1,
      sym_formal_parameters,
  [100797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2599), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_else,
      anon_sym_while,
  [100811] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2600), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2601), 1,
      sym_comment,
    STATE(2677), 1,
      sym_formal_parameters,
  [100841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2602), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100855] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2603), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2605), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [100897] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2606), 1,
      sym_comment,
    STATE(2658), 1,
      sym_formal_parameters,
  [100913] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2607), 1,
      sym_comment,
    STATE(2618), 1,
      sym_formal_parameters,
  [100929] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2608), 1,
      sym_comment,
    STATE(2612), 1,
      sym_formal_parameters,
  [100945] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2609), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [100959] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2576), 1,
      sym_formal_parameters,
    STATE(2610), 1,
      sym_comment,
  [100975] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2573), 1,
      sym_formal_parameters,
    STATE(2611), 1,
      sym_comment,
  [100991] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1352), 1,
      sym_statement_block,
    STATE(2612), 1,
      sym_comment,
  [101007] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2560), 1,
      sym_formal_parameters,
    STATE(2613), 1,
      sym_comment,
  [101023] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2558), 1,
      sym_formal_parameters,
    STATE(2614), 1,
      sym_comment,
  [101039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2434), 1,
      sym_formal_parameters,
    STATE(2615), 1,
      sym_comment,
  [101055] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2552), 1,
      sym_formal_parameters,
    STATE(2616), 1,
      sym_comment,
  [101071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2542), 1,
      sym_formal_parameters,
    STATE(2617), 1,
      sym_comment,
  [101087] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1357), 1,
      sym_statement_block,
    STATE(2618), 1,
      sym_comment,
  [101103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2488), 1,
      sym_formal_parameters,
    STATE(2619), 1,
      sym_comment,
  [101119] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2477), 1,
      sym_formal_parameters,
    STATE(2620), 1,
      sym_comment,
  [101135] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2470), 1,
      sym_formal_parameters,
    STATE(2621), 1,
      sym_comment,
  [101151] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2298), 1,
      sym_formal_parameters,
    STATE(2622), 1,
      sym_comment,
  [101167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2415), 1,
      sym_formal_parameters,
    STATE(2623), 1,
      sym_comment,
  [101183] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2413), 1,
      sym_formal_parameters,
    STATE(2624), 1,
      sym_comment,
  [101199] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2412), 1,
      sym_formal_parameters,
    STATE(2625), 1,
      sym_comment,
  [101215] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2408), 1,
      sym_formal_parameters,
    STATE(2626), 1,
      sym_comment,
  [101231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2407), 1,
      sym_formal_parameters,
    STATE(2627), 1,
      sym_comment,
  [101247] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2404), 1,
      sym_formal_parameters,
    STATE(2628), 1,
      sym_comment,
  [101263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2394), 1,
      sym_formal_parameters,
    STATE(2629), 1,
      sym_comment,
  [101279] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2393), 1,
      sym_formal_parameters,
    STATE(2630), 1,
      sym_comment,
  [101295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2381), 1,
      sym_formal_parameters,
    STATE(2631), 1,
      sym_comment,
  [101311] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2378), 1,
      sym_formal_parameters,
    STATE(2632), 1,
      sym_comment,
  [101327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2377), 1,
      sym_formal_parameters,
    STATE(2633), 1,
      sym_comment,
  [101343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2367), 1,
      sym_formal_parameters,
    STATE(2634), 1,
      sym_comment,
  [101359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2339), 1,
      sym_formal_parameters,
    STATE(2635), 1,
      sym_comment,
  [101375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [101389] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2332), 1,
      sym_formal_parameters,
    STATE(2637), 1,
      sym_comment,
  [101405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2320), 1,
      sym_formal_parameters,
    STATE(2638), 1,
      sym_comment,
  [101421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym_formal_parameters,
    STATE(2639), 1,
      sym_comment,
  [101437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2306), 1,
      sym_formal_parameters,
    STATE(2640), 1,
      sym_comment,
  [101453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2302), 1,
      sym_formal_parameters,
    STATE(2641), 1,
      sym_comment,
  [101469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2299), 1,
      sym_formal_parameters,
    STATE(2642), 1,
      sym_comment,
  [101485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2643), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [101499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2644), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [101513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2645), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [101527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2646), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [101541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2647), 1,
      sym_comment,
    ACTIONS(1677), 2,
      anon_sym_else,
      anon_sym_while,
  [101555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(1160), 1,
      sym_statement_block,
    STATE(2648), 1,
      sym_comment,
  [101571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2649), 1,
      sym_comment,
    ACTIONS(1679), 2,
      anon_sym_else,
      anon_sym_while,
  [101585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(1667), 2,
      anon_sym_else,
      anon_sym_while,
  [101599] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
    STATE(2651), 1,
      sym_comment,
  [101615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3973), 1,
      anon_sym_LPAREN,
    STATE(2205), 1,
      sym_parenthesized_expression,
    STATE(2652), 1,
      sym_comment,
  [101631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2375), 1,
      sym_formal_parameters,
    STATE(2653), 1,
      sym_comment,
  [101647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(1681), 2,
      anon_sym_else,
      anon_sym_while,
  [101661] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2655), 1,
      sym_comment,
    ACTIONS(1683), 2,
      anon_sym_else,
      anon_sym_while,
  [101675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2656), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [101689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2657), 1,
      sym_comment,
    ACTIONS(1685), 2,
      anon_sym_else,
      anon_sym_while,
  [101703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1342), 1,
      sym_statement_block,
    STATE(2658), 1,
      sym_comment,
  [101719] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2358), 1,
      sym__from_clause,
    STATE(2659), 1,
      sym_comment,
  [101735] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2238), 1,
      sym__from_clause,
    STATE(2660), 1,
      sym_comment,
  [101751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2240), 1,
      sym__from_clause,
    STATE(2661), 1,
      sym_comment,
  [101767] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3566), 1,
      anon_sym_LBRACE,
    STATE(1334), 1,
      sym_class_body,
    STATE(2662), 1,
      sym_comment,
  [101783] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3436), 1,
      anon_sym_from,
    STATE(2356), 1,
      sym__from_clause,
    STATE(2663), 1,
      sym_comment,
  [101799] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2257), 1,
      sym_formal_parameters,
    STATE(2664), 1,
      sym_comment,
  [101815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2665), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_else,
      anon_sym_while,
  [101829] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2666), 1,
      sym_comment,
    ACTIONS(1689), 2,
      anon_sym_else,
      anon_sym_while,
  [101843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2667), 1,
      sym_comment,
    ACTIONS(1693), 2,
      anon_sym_else,
      anon_sym_while,
  [101857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2270), 1,
      sym_formal_parameters,
    STATE(2668), 1,
      sym_comment,
  [101873] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4077), 1,
      anon_sym_LBRACE,
    STATE(2017), 1,
      sym_statement_block,
    STATE(2669), 1,
      sym_comment,
  [101889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2670), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [101903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2274), 1,
      sym_formal_parameters,
    STATE(2671), 1,
      sym_comment,
  [101919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2275), 1,
      sym_formal_parameters,
    STATE(2672), 1,
      sym_comment,
  [101935] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2279), 1,
      sym_formal_parameters,
    STATE(2673), 1,
      sym_comment,
  [101951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2280), 1,
      sym_formal_parameters,
    STATE(2674), 1,
      sym_comment,
  [101967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2284), 1,
      sym_formal_parameters,
    STATE(2675), 1,
      sym_comment,
  [101983] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3164), 1,
      anon_sym_LPAREN,
    STATE(2285), 1,
      sym_formal_parameters,
    STATE(2676), 1,
      sym_comment,
  [101999] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym_statement_block,
    STATE(2677), 1,
      sym_comment,
  [102015] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4213), 1,
      sym_identifier,
    ACTIONS(4215), 1,
      anon_sym_STAR,
    STATE(2678), 1,
      sym_comment,
  [102031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2679), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_else,
      anon_sym_while,
  [102045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2680), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_else,
      anon_sym_while,
  [102059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    STATE(2681), 1,
      sym_comment,
    ACTIONS(1699), 2,
      anon_sym_else,
      anon_sym_while,
  [102073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_parenthesized_expression,
    STATE(2682), 1,
      sym_comment,
  [102089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3973), 1,
      anon_sym_LPAREN,
    STATE(2323), 1,
      sym_parenthesized_expression,
    STATE(2683), 1,
      sym_comment,
  [102105] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4217), 1,
      anon_sym_SEMI,
    ACTIONS(4219), 1,
      sym__automatic_semicolon,
    STATE(2684), 1,
      sym_comment,
  [102121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_from,
    STATE(2685), 1,
      sym_comment,
  [102134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4207), 1,
      anon_sym_from,
    STATE(2686), 1,
      sym_comment,
  [102147] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4223), 1,
      sym_regex_pattern,
    STATE(2687), 1,
      sym_comment,
  [102160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2226), 1,
      anon_sym_in,
    STATE(2688), 1,
      sym_comment,
  [102173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    STATE(2689), 1,
      sym_comment,
  [102186] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4227), 1,
      sym_identifier,
    STATE(2690), 1,
      sym_comment,
  [102199] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4229), 1,
      anon_sym_while,
    STATE(2691), 1,
      sym_comment,
  [102212] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4231), 1,
      sym_identifier,
    STATE(2692), 1,
      sym_comment,
  [102225] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4233), 1,
      sym_regex_pattern,
    STATE(2693), 1,
      sym_comment,
  [102238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4235), 1,
      anon_sym_while,
    STATE(2694), 1,
      sym_comment,
  [102251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4237), 1,
      ts_builtin_sym_end,
    STATE(2695), 1,
      sym_comment,
  [102264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4239), 1,
      anon_sym_RPAREN,
    STATE(2696), 1,
      sym_comment,
  [102277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2394), 1,
      anon_sym_RBRACK,
    STATE(2697), 1,
      sym_comment,
  [102290] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4241), 1,
      sym_identifier,
    STATE(2698), 1,
      sym_comment,
  [102303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3915), 1,
      anon_sym_EQ,
    STATE(2699), 1,
      sym_comment,
  [102316] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4243), 1,
      sym_identifier,
    STATE(2700), 1,
      sym_comment,
  [102329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4245), 1,
      sym_regex_pattern,
    STATE(2701), 1,
      sym_comment,
  [102342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4247), 1,
      anon_sym_while,
    STATE(2702), 1,
      sym_comment,
  [102355] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4249), 1,
      anon_sym_EQ_GT,
    STATE(2703), 1,
      sym_comment,
  [102368] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    STATE(2704), 1,
      sym_comment,
  [102381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4253), 1,
      sym_regex_pattern,
    STATE(2705), 1,
      sym_comment,
  [102394] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4255), 1,
      sym_identifier,
    STATE(2706), 1,
      sym_comment,
  [102407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_function,
    STATE(2707), 1,
      sym_comment,
  [102420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4259), 1,
      anon_sym_RPAREN,
    STATE(2708), 1,
      sym_comment,
  [102433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4261), 1,
      anon_sym_EQ,
    STATE(2709), 1,
      sym_comment,
  [102446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4263), 1,
      anon_sym_as,
    STATE(2710), 1,
      sym_comment,
  [102459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4265), 1,
      anon_sym_EQ,
    STATE(2711), 1,
      sym_comment,
  [102472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4267), 1,
      anon_sym_RPAREN,
    STATE(2712), 1,
      sym_comment,
  [102485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    STATE(2713), 1,
      sym_comment,
  [102498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2351), 1,
      anon_sym_RPAREN,
    STATE(2714), 1,
      sym_comment,
  [102511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2384), 1,
      anon_sym_RPAREN,
    STATE(2715), 1,
      sym_comment,
  [102524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2343), 1,
      anon_sym_RPAREN,
    STATE(2716), 1,
      sym_comment,
  [102537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4271), 1,
      sym_identifier,
    STATE(2717), 1,
      sym_comment,
  [102550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2345), 1,
      anon_sym_RPAREN,
    STATE(2718), 1,
      sym_comment,
  [102563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(2719), 1,
      sym_comment,
  [102576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2335), 1,
      anon_sym_RPAREN,
    STATE(2720), 1,
      sym_comment,
  [102589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4273), 1,
      anon_sym_while,
    STATE(2721), 1,
      sym_comment,
  [102602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4275), 1,
      anon_sym_from,
    STATE(2722), 1,
      sym_comment,
  [102615] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4277), 1,
      anon_sym_while,
    STATE(2723), 1,
      sym_comment,
  [102628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4279), 1,
      anon_sym_EQ_GT,
    STATE(2724), 1,
      sym_comment,
  [102641] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4281), 1,
      anon_sym_EQ_GT,
    STATE(2725), 1,
      sym_comment,
  [102654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4283), 1,
      anon_sym_EQ_GT,
    STATE(2726), 1,
      sym_comment,
  [102667] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4285), 1,
      sym_identifier,
    STATE(2727), 1,
      sym_comment,
  [102680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2324), 1,
      anon_sym_RPAREN,
    STATE(2728), 1,
      sym_comment,
  [102693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4287), 1,
      anon_sym_EQ_GT,
    STATE(2729), 1,
      sym_comment,
  [102706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4289), 1,
      anon_sym_EQ,
    STATE(2730), 1,
      sym_comment,
  [102719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4291), 1,
      anon_sym_RPAREN,
    STATE(2731), 1,
      sym_comment,
  [102732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2303), 1,
      anon_sym_RPAREN,
    STATE(2732), 1,
      sym_comment,
  [102745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2498), 1,
      anon_sym_in,
    STATE(2733), 1,
      sym_comment,
  [102758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2307), 1,
      anon_sym_RPAREN,
    STATE(2734), 1,
      sym_comment,
  [102771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4293), 1,
      anon_sym_RPAREN,
    STATE(2735), 1,
      sym_comment,
  [102784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2293), 1,
      anon_sym_RPAREN,
    STATE(2736), 1,
      sym_comment,
  [102797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2305), 1,
      anon_sym_RPAREN,
    STATE(2737), 1,
      sym_comment,
  [102810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2297), 1,
      anon_sym_COLON,
    STATE(2738), 1,
      sym_comment,
  [102823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4295), 1,
      anon_sym_from,
    STATE(2739), 1,
      sym_comment,
  [102836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3755), 1,
      anon_sym_GT,
    STATE(2740), 1,
      sym_comment,
  [102849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_SLASH2,
    STATE(2741), 1,
      sym_comment,
  [102862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4299), 1,
      anon_sym_EQ_GT,
    STATE(2742), 1,
      sym_comment,
  [102875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4301), 1,
      anon_sym_EQ_GT,
    STATE(2743), 1,
      sym_comment,
  [102888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4303), 1,
      anon_sym_EQ_GT,
    STATE(2744), 1,
      sym_comment,
  [102901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3690), 1,
      anon_sym_GT,
    STATE(2745), 1,
      sym_comment,
  [102914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2309), 1,
      anon_sym_RBRACK,
    STATE(2746), 1,
      sym_comment,
  [102927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2295), 1,
      anon_sym_RPAREN,
    STATE(2747), 1,
      sym_comment,
  [102940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4305), 1,
      sym_identifier,
    STATE(2748), 1,
      sym_comment,
  [102953] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4307), 1,
      sym_identifier,
    STATE(2749), 1,
      sym_comment,
  [102966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4309), 1,
      anon_sym_function,
    STATE(2750), 1,
      sym_comment,
  [102979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4311), 1,
      anon_sym_RPAREN,
    STATE(2751), 1,
      sym_comment,
  [102992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4067), 1,
      anon_sym_EQ_GT,
    STATE(2752), 1,
      sym_comment,
  [103005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2187), 1,
      anon_sym_in,
    STATE(2753), 1,
      sym_comment,
  [103018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4069), 1,
      anon_sym_EQ_GT,
    STATE(2754), 1,
      sym_comment,
  [103031] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4313), 1,
      sym_identifier,
    STATE(2755), 1,
      sym_comment,
  [103044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2756), 1,
      sym_comment,
  [103057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_SLASH2,
    STATE(2757), 1,
      sym_comment,
  [103070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_target,
    STATE(2758), 1,
      sym_comment,
  [103083] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4321), 1,
      anon_sym_COLON,
    STATE(2759), 1,
      sym_comment,
  [103096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4323), 1,
      anon_sym_target,
    STATE(2760), 1,
      sym_comment,
  [103109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2366), 1,
      anon_sym_RBRACE,
    STATE(2761), 1,
      sym_comment,
  [103122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4325), 1,
      anon_sym_from,
    STATE(2762), 1,
      sym_comment,
  [103135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4327), 1,
      anon_sym_SLASH2,
    STATE(2763), 1,
      sym_comment,
  [103148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4329), 1,
      anon_sym_GT,
    STATE(2764), 1,
      sym_comment,
  [103161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2339), 1,
      anon_sym_RPAREN,
    STATE(2765), 1,
      sym_comment,
  [103174] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4331), 1,
      sym_identifier,
    STATE(2766), 1,
      sym_comment,
  [103187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4333), 1,
      anon_sym_from,
    STATE(2767), 1,
      sym_comment,
  [103200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4335), 1,
      anon_sym_EQ_GT,
    STATE(2768), 1,
      sym_comment,
  [103213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4337), 1,
      anon_sym_EQ_GT,
    STATE(2769), 1,
      sym_comment,
  [103226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_from,
    STATE(2770), 1,
      sym_comment,
  [103239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3805), 1,
      anon_sym_GT,
    STATE(2771), 1,
      sym_comment,
  [103252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2301), 1,
      anon_sym_RBRACK,
    STATE(2772), 1,
      sym_comment,
  [103265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4341), 1,
      anon_sym_EQ_GT,
    STATE(2773), 1,
      sym_comment,
  [103278] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4343), 1,
      sym_identifier,
    STATE(2774), 1,
      sym_comment,
  [103291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4345), 1,
      anon_sym_EQ,
    STATE(2775), 1,
      sym_comment,
  [103304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4347), 1,
      sym_identifier,
    STATE(2776), 1,
      sym_comment,
  [103317] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4349), 1,
      sym_identifier,
    STATE(2777), 1,
      sym_comment,
  [103330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3827), 1,
      anon_sym_GT,
    STATE(2778), 1,
      sym_comment,
  [103343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_SLASH2,
    STATE(2779), 1,
      sym_comment,
  [103356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2780), 1,
      sym_comment,
  [103369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    STATE(2781), 1,
      sym_comment,
  [103382] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4357), 1,
      sym_identifier,
    STATE(2782), 1,
      sym_comment,
  [103395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ_GT,
    STATE(2783), 1,
      sym_comment,
  [103408] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4361), 1,
      sym_identifier,
    STATE(2784), 1,
      sym_comment,
  [103421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2392), 1,
      anon_sym_RBRACE,
    STATE(2785), 1,
      sym_comment,
  [103434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2786), 1,
      sym_comment,
  [103447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2376), 1,
      anon_sym_RBRACK,
    STATE(2787), 1,
      sym_comment,
  [103460] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4363), 1,
      sym_identifier,
    STATE(2788), 1,
      sym_comment,
  [103473] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4365), 1,
      sym_identifier,
    STATE(2789), 1,
      sym_comment,
  [103486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2315), 1,
      anon_sym_RPAREN,
    STATE(2790), 1,
      sym_comment,
  [103499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
    STATE(2791), 1,
      sym_comment,
  [103512] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4367), 1,
      sym_identifier,
    STATE(2792), 1,
      sym_comment,
  [103525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2353), 1,
      anon_sym_RBRACE,
    STATE(2793), 1,
      sym_comment,
  [103538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4369), 1,
      anon_sym_EQ_GT,
    STATE(2794), 1,
      sym_comment,
  [103551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4371), 1,
      sym_identifier,
    STATE(2795), 1,
      sym_comment,
  [103564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    STATE(2796), 1,
      sym_comment,
  [103577] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4373), 1,
      sym_identifier,
    STATE(2797), 1,
      sym_comment,
  [103590] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4375), 1,
      sym_identifier,
    STATE(2798), 1,
      sym_comment,
  [103603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4377), 1,
      sym_identifier,
    STATE(2799), 1,
      sym_comment,
  [103616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4379), 1,
      anon_sym_EQ_GT,
    STATE(2800), 1,
      sym_comment,
  [103629] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(2420), 1,
      anon_sym_in,
    STATE(2801), 1,
      sym_comment,
  [103642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    STATE(2802), 1,
      sym_comment,
  [103655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(1963), 1,
      anon_sym_in,
    STATE(2803), 1,
      sym_comment,
  [103668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4381), 1,
      anon_sym_as,
    STATE(2804), 1,
      sym_comment,
  [103681] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_from,
    STATE(2805), 1,
      sym_comment,
  [103694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    STATE(2806), 1,
      sym_comment,
  [103707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4385), 1,
      anon_sym_COLON,
    STATE(2807), 1,
      sym_comment,
  [103720] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4387), 1,
      sym_identifier,
    STATE(2808), 1,
      sym_comment,
  [103733] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(3925), 1,
      anon_sym_RBRACE,
    STATE(2809), 1,
      sym_comment,
  [103746] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4389), 1,
      sym_identifier,
    STATE(2810), 1,
      sym_comment,
  [103759] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4391), 1,
      sym_identifier,
    STATE(2811), 1,
      sym_comment,
  [103772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_function,
    STATE(2812), 1,
      sym_comment,
  [103785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4395), 1,
      anon_sym_function,
    STATE(2813), 1,
      sym_comment,
  [103798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      aux_sym_comment_token1,
    ACTIONS(4397), 1,
      anon_sym_function,
    STATE(2814), 1,
      sym_comment,
  [103811] = 1,
    ACTIONS(4399), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(464)] = 0,
  [SMALL_STATE(465)] = 77,
  [SMALL_STATE(466)] = 154,
  [SMALL_STATE(467)] = 245,
  [SMALL_STATE(468)] = 320,
  [SMALL_STATE(469)] = 395,
  [SMALL_STATE(470)] = 486,
  [SMALL_STATE(471)] = 559,
  [SMALL_STATE(472)] = 650,
  [SMALL_STATE(473)] = 725,
  [SMALL_STATE(474)] = 816,
  [SMALL_STATE(475)] = 891,
  [SMALL_STATE(476)] = 982,
  [SMALL_STATE(477)] = 1077,
  [SMALL_STATE(478)] = 1154,
  [SMALL_STATE(479)] = 1227,
  [SMALL_STATE(480)] = 1318,
  [SMALL_STATE(481)] = 1401,
  [SMALL_STATE(482)] = 1477,
  [SMALL_STATE(483)] = 1551,
  [SMALL_STATE(484)] = 1623,
  [SMALL_STATE(485)] = 1699,
  [SMALL_STATE(486)] = 1773,
  [SMALL_STATE(487)] = 1847,
  [SMALL_STATE(488)] = 1921,
  [SMALL_STATE(489)] = 2017,
  [SMALL_STATE(490)] = 2091,
  [SMALL_STATE(491)] = 2165,
  [SMALL_STATE(492)] = 2239,
  [SMALL_STATE(493)] = 2311,
  [SMALL_STATE(494)] = 2405,
  [SMALL_STATE(495)] = 2499,
  [SMALL_STATE(496)] = 2575,
  [SMALL_STATE(497)] = 2665,
  [SMALL_STATE(498)] = 2739,
  [SMALL_STATE(499)] = 2813,
  [SMALL_STATE(500)] = 2887,
  [SMALL_STATE(501)] = 2961,
  [SMALL_STATE(502)] = 3055,
  [SMALL_STATE(503)] = 3127,
  [SMALL_STATE(504)] = 3201,
  [SMALL_STATE(505)] = 3275,
  [SMALL_STATE(506)] = 3351,
  [SMALL_STATE(507)] = 3425,
  [SMALL_STATE(508)] = 3499,
  [SMALL_STATE(509)] = 3571,
  [SMALL_STATE(510)] = 3661,
  [SMALL_STATE(511)] = 3739,
  [SMALL_STATE(512)] = 3815,
  [SMALL_STATE(513)] = 3889,
  [SMALL_STATE(514)] = 3963,
  [SMALL_STATE(515)] = 4057,
  [SMALL_STATE(516)] = 4129,
  [SMALL_STATE(517)] = 4205,
  [SMALL_STATE(518)] = 4299,
  [SMALL_STATE(519)] = 4371,
  [SMALL_STATE(520)] = 4445,
  [SMALL_STATE(521)] = 4539,
  [SMALL_STATE(522)] = 4613,
  [SMALL_STATE(523)] = 4687,
  [SMALL_STATE(524)] = 4763,
  [SMALL_STATE(525)] = 4834,
  [SMALL_STATE(526)] = 4907,
  [SMALL_STATE(527)] = 4978,
  [SMALL_STATE(528)] = 5049,
  [SMALL_STATE(529)] = 5120,
  [SMALL_STATE(530)] = 5193,
  [SMALL_STATE(531)] = 5266,
  [SMALL_STATE(532)] = 5341,
  [SMALL_STATE(533)] = 5416,
  [SMALL_STATE(534)] = 5487,
  [SMALL_STATE(535)] = 5558,
  [SMALL_STATE(536)] = 5629,
  [SMALL_STATE(537)] = 5700,
  [SMALL_STATE(538)] = 5771,
  [SMALL_STATE(539)] = 5842,
  [SMALL_STATE(540)] = 5913,
  [SMALL_STATE(541)] = 5986,
  [SMALL_STATE(542)] = 6057,
  [SMALL_STATE(543)] = 6128,
  [SMALL_STATE(544)] = 6199,
  [SMALL_STATE(545)] = 6270,
  [SMALL_STATE(546)] = 6341,
  [SMALL_STATE(547)] = 6412,
  [SMALL_STATE(548)] = 6483,
  [SMALL_STATE(549)] = 6554,
  [SMALL_STATE(550)] = 6627,
  [SMALL_STATE(551)] = 6704,
  [SMALL_STATE(552)] = 6775,
  [SMALL_STATE(553)] = 6846,
  [SMALL_STATE(554)] = 6923,
  [SMALL_STATE(555)] = 6994,
  [SMALL_STATE(556)] = 7065,
  [SMALL_STATE(557)] = 7136,
  [SMALL_STATE(558)] = 7207,
  [SMALL_STATE(559)] = 7278,
  [SMALL_STATE(560)] = 7351,
  [SMALL_STATE(561)] = 7422,
  [SMALL_STATE(562)] = 7493,
  [SMALL_STATE(563)] = 7564,
  [SMALL_STATE(564)] = 7635,
  [SMALL_STATE(565)] = 7706,
  [SMALL_STATE(566)] = 7777,
  [SMALL_STATE(567)] = 7848,
  [SMALL_STATE(568)] = 7919,
  [SMALL_STATE(569)] = 7990,
  [SMALL_STATE(570)] = 8061,
  [SMALL_STATE(571)] = 8132,
  [SMALL_STATE(572)] = 8203,
  [SMALL_STATE(573)] = 8274,
  [SMALL_STATE(574)] = 8349,
  [SMALL_STATE(575)] = 8420,
  [SMALL_STATE(576)] = 8495,
  [SMALL_STATE(577)] = 8566,
  [SMALL_STATE(578)] = 8637,
  [SMALL_STATE(579)] = 8708,
  [SMALL_STATE(580)] = 8779,
  [SMALL_STATE(581)] = 8850,
  [SMALL_STATE(582)] = 8921,
  [SMALL_STATE(583)] = 8992,
  [SMALL_STATE(584)] = 9063,
  [SMALL_STATE(585)] = 9138,
  [SMALL_STATE(586)] = 9213,
  [SMALL_STATE(587)] = 9284,
  [SMALL_STATE(588)] = 9355,
  [SMALL_STATE(589)] = 9430,
  [SMALL_STATE(590)] = 9501,
  [SMALL_STATE(591)] = 9576,
  [SMALL_STATE(592)] = 9647,
  [SMALL_STATE(593)] = 9722,
  [SMALL_STATE(594)] = 9797,
  [SMALL_STATE(595)] = 9870,
  [SMALL_STATE(596)] = 9941,
  [SMALL_STATE(597)] = 10014,
  [SMALL_STATE(598)] = 10085,
  [SMALL_STATE(599)] = 10156,
  [SMALL_STATE(600)] = 10227,
  [SMALL_STATE(601)] = 10300,
  [SMALL_STATE(602)] = 10371,
  [SMALL_STATE(603)] = 10442,
  [SMALL_STATE(604)] = 10513,
  [SMALL_STATE(605)] = 10584,
  [SMALL_STATE(606)] = 10655,
  [SMALL_STATE(607)] = 10726,
  [SMALL_STATE(608)] = 10797,
  [SMALL_STATE(609)] = 10868,
  [SMALL_STATE(610)] = 10939,
  [SMALL_STATE(611)] = 11016,
  [SMALL_STATE(612)] = 11087,
  [SMALL_STATE(613)] = 11160,
  [SMALL_STATE(614)] = 11235,
  [SMALL_STATE(615)] = 11308,
  [SMALL_STATE(616)] = 11381,
  [SMALL_STATE(617)] = 11454,
  [SMALL_STATE(618)] = 11529,
  [SMALL_STATE(619)] = 11602,
  [SMALL_STATE(620)] = 11675,
  [SMALL_STATE(621)] = 11748,
  [SMALL_STATE(622)] = 11821,
  [SMALL_STATE(623)] = 11892,
  [SMALL_STATE(624)] = 11967,
  [SMALL_STATE(625)] = 12038,
  [SMALL_STATE(626)] = 12109,
  [SMALL_STATE(627)] = 12180,
  [SMALL_STATE(628)] = 12251,
  [SMALL_STATE(629)] = 12322,
  [SMALL_STATE(630)] = 12393,
  [SMALL_STATE(631)] = 12464,
  [SMALL_STATE(632)] = 12537,
  [SMALL_STATE(633)] = 12608,
  [SMALL_STATE(634)] = 12679,
  [SMALL_STATE(635)] = 12754,
  [SMALL_STATE(636)] = 12825,
  [SMALL_STATE(637)] = 12896,
  [SMALL_STATE(638)] = 12967,
  [SMALL_STATE(639)] = 13038,
  [SMALL_STATE(640)] = 13109,
  [SMALL_STATE(641)] = 13180,
  [SMALL_STATE(642)] = 13251,
  [SMALL_STATE(643)] = 13322,
  [SMALL_STATE(644)] = 13393,
  [SMALL_STATE(645)] = 13466,
  [SMALL_STATE(646)] = 13539,
  [SMALL_STATE(647)] = 13610,
  [SMALL_STATE(648)] = 13681,
  [SMALL_STATE(649)] = 13752,
  [SMALL_STATE(650)] = 13823,
  [SMALL_STATE(651)] = 13894,
  [SMALL_STATE(652)] = 13967,
  [SMALL_STATE(653)] = 14038,
  [SMALL_STATE(654)] = 14109,
  [SMALL_STATE(655)] = 14180,
  [SMALL_STATE(656)] = 14251,
  [SMALL_STATE(657)] = 14322,
  [SMALL_STATE(658)] = 14393,
  [SMALL_STATE(659)] = 14464,
  [SMALL_STATE(660)] = 14537,
  [SMALL_STATE(661)] = 14608,
  [SMALL_STATE(662)] = 14679,
  [SMALL_STATE(663)] = 14752,
  [SMALL_STATE(664)] = 14823,
  [SMALL_STATE(665)] = 14894,
  [SMALL_STATE(666)] = 14967,
  [SMALL_STATE(667)] = 15040,
  [SMALL_STATE(668)] = 15113,
  [SMALL_STATE(669)] = 15185,
  [SMALL_STATE(670)] = 15255,
  [SMALL_STATE(671)] = 15327,
  [SMALL_STATE(672)] = 15397,
  [SMALL_STATE(673)] = 15467,
  [SMALL_STATE(674)] = 15537,
  [SMALL_STATE(675)] = 15607,
  [SMALL_STATE(676)] = 15677,
  [SMALL_STATE(677)] = 15747,
  [SMALL_STATE(678)] = 15817,
  [SMALL_STATE(679)] = 15887,
  [SMALL_STATE(680)] = 15957,
  [SMALL_STATE(681)] = 16027,
  [SMALL_STATE(682)] = 16097,
  [SMALL_STATE(683)] = 16167,
  [SMALL_STATE(684)] = 16237,
  [SMALL_STATE(685)] = 16327,
  [SMALL_STATE(686)] = 16399,
  [SMALL_STATE(687)] = 16471,
  [SMALL_STATE(688)] = 16543,
  [SMALL_STATE(689)] = 16613,
  [SMALL_STATE(690)] = 16685,
  [SMALL_STATE(691)] = 16757,
  [SMALL_STATE(692)] = 16827,
  [SMALL_STATE(693)] = 16899,
  [SMALL_STATE(694)] = 16969,
  [SMALL_STATE(695)] = 17041,
  [SMALL_STATE(696)] = 17113,
  [SMALL_STATE(697)] = 17185,
  [SMALL_STATE(698)] = 17255,
  [SMALL_STATE(699)] = 17327,
  [SMALL_STATE(700)] = 17397,
  [SMALL_STATE(701)] = 17467,
  [SMALL_STATE(702)] = 17537,
  [SMALL_STATE(703)] = 17607,
  [SMALL_STATE(704)] = 17677,
  [SMALL_STATE(705)] = 17747,
  [SMALL_STATE(706)] = 17821,
  [SMALL_STATE(707)] = 17891,
  [SMALL_STATE(708)] = 17961,
  [SMALL_STATE(709)] = 18031,
  [SMALL_STATE(710)] = 18105,
  [SMALL_STATE(711)] = 18175,
  [SMALL_STATE(712)] = 18249,
  [SMALL_STATE(713)] = 18319,
  [SMALL_STATE(714)] = 18389,
  [SMALL_STATE(715)] = 18459,
  [SMALL_STATE(716)] = 18529,
  [SMALL_STATE(717)] = 18599,
  [SMALL_STATE(718)] = 18669,
  [SMALL_STATE(719)] = 18759,
  [SMALL_STATE(720)] = 18829,
  [SMALL_STATE(721)] = 18899,
  [SMALL_STATE(722)] = 18969,
  [SMALL_STATE(723)] = 19039,
  [SMALL_STATE(724)] = 19109,
  [SMALL_STATE(725)] = 19179,
  [SMALL_STATE(726)] = 19249,
  [SMALL_STATE(727)] = 19319,
  [SMALL_STATE(728)] = 19389,
  [SMALL_STATE(729)] = 19461,
  [SMALL_STATE(730)] = 19533,
  [SMALL_STATE(731)] = 19605,
  [SMALL_STATE(732)] = 19675,
  [SMALL_STATE(733)] = 19745,
  [SMALL_STATE(734)] = 19835,
  [SMALL_STATE(735)] = 19905,
  [SMALL_STATE(736)] = 19975,
  [SMALL_STATE(737)] = 20045,
  [SMALL_STATE(738)] = 20115,
  [SMALL_STATE(739)] = 20185,
  [SMALL_STATE(740)] = 20255,
  [SMALL_STATE(741)] = 20325,
  [SMALL_STATE(742)] = 20395,
  [SMALL_STATE(743)] = 20465,
  [SMALL_STATE(744)] = 20537,
  [SMALL_STATE(745)] = 20609,
  [SMALL_STATE(746)] = 20681,
  [SMALL_STATE(747)] = 20753,
  [SMALL_STATE(748)] = 20825,
  [SMALL_STATE(749)] = 20897,
  [SMALL_STATE(750)] = 20969,
  [SMALL_STATE(751)] = 21039,
  [SMALL_STATE(752)] = 21109,
  [SMALL_STATE(753)] = 21181,
  [SMALL_STATE(754)] = 21251,
  [SMALL_STATE(755)] = 21321,
  [SMALL_STATE(756)] = 21391,
  [SMALL_STATE(757)] = 21461,
  [SMALL_STATE(758)] = 21531,
  [SMALL_STATE(759)] = 21605,
  [SMALL_STATE(760)] = 21677,
  [SMALL_STATE(761)] = 21749,
  [SMALL_STATE(762)] = 21819,
  [SMALL_STATE(763)] = 21891,
  [SMALL_STATE(764)] = 21961,
  [SMALL_STATE(765)] = 22031,
  [SMALL_STATE(766)] = 22103,
  [SMALL_STATE(767)] = 22173,
  [SMALL_STATE(768)] = 22243,
  [SMALL_STATE(769)] = 22313,
  [SMALL_STATE(770)] = 22385,
  [SMALL_STATE(771)] = 22455,
  [SMALL_STATE(772)] = 22527,
  [SMALL_STATE(773)] = 22597,
  [SMALL_STATE(774)] = 22669,
  [SMALL_STATE(775)] = 22739,
  [SMALL_STATE(776)] = 22809,
  [SMALL_STATE(777)] = 22879,
  [SMALL_STATE(778)] = 22949,
  [SMALL_STATE(779)] = 23019,
  [SMALL_STATE(780)] = 23089,
  [SMALL_STATE(781)] = 23161,
  [SMALL_STATE(782)] = 23231,
  [SMALL_STATE(783)] = 23301,
  [SMALL_STATE(784)] = 23373,
  [SMALL_STATE(785)] = 23445,
  [SMALL_STATE(786)] = 23517,
  [SMALL_STATE(787)] = 23587,
  [SMALL_STATE(788)] = 23657,
  [SMALL_STATE(789)] = 23729,
  [SMALL_STATE(790)] = 23801,
  [SMALL_STATE(791)] = 23873,
  [SMALL_STATE(792)] = 23945,
  [SMALL_STATE(793)] = 24017,
  [SMALL_STATE(794)] = 24087,
  [SMALL_STATE(795)] = 24157,
  [SMALL_STATE(796)] = 24227,
  [SMALL_STATE(797)] = 24301,
  [SMALL_STATE(798)] = 24375,
  [SMALL_STATE(799)] = 24449,
  [SMALL_STATE(800)] = 24521,
  [SMALL_STATE(801)] = 24591,
  [SMALL_STATE(802)] = 24663,
  [SMALL_STATE(803)] = 24735,
  [SMALL_STATE(804)] = 24805,
  [SMALL_STATE(805)] = 24877,
  [SMALL_STATE(806)] = 24949,
  [SMALL_STATE(807)] = 25019,
  [SMALL_STATE(808)] = 25089,
  [SMALL_STATE(809)] = 25159,
  [SMALL_STATE(810)] = 25231,
  [SMALL_STATE(811)] = 25303,
  [SMALL_STATE(812)] = 25375,
  [SMALL_STATE(813)] = 25447,
  [SMALL_STATE(814)] = 25521,
  [SMALL_STATE(815)] = 25593,
  [SMALL_STATE(816)] = 25683,
  [SMALL_STATE(817)] = 25755,
  [SMALL_STATE(818)] = 25827,
  [SMALL_STATE(819)] = 25899,
  [SMALL_STATE(820)] = 25971,
  [SMALL_STATE(821)] = 26043,
  [SMALL_STATE(822)] = 26115,
  [SMALL_STATE(823)] = 26187,
  [SMALL_STATE(824)] = 26259,
  [SMALL_STATE(825)] = 26329,
  [SMALL_STATE(826)] = 26401,
  [SMALL_STATE(827)] = 26471,
  [SMALL_STATE(828)] = 26543,
  [SMALL_STATE(829)] = 26617,
  [SMALL_STATE(830)] = 26689,
  [SMALL_STATE(831)] = 26759,
  [SMALL_STATE(832)] = 26831,
  [SMALL_STATE(833)] = 26903,
  [SMALL_STATE(834)] = 26975,
  [SMALL_STATE(835)] = 27047,
  [SMALL_STATE(836)] = 27119,
  [SMALL_STATE(837)] = 27189,
  [SMALL_STATE(838)] = 27259,
  [SMALL_STATE(839)] = 27331,
  [SMALL_STATE(840)] = 27403,
  [SMALL_STATE(841)] = 27475,
  [SMALL_STATE(842)] = 27545,
  [SMALL_STATE(843)] = 27617,
  [SMALL_STATE(844)] = 27689,
  [SMALL_STATE(845)] = 27761,
  [SMALL_STATE(846)] = 27833,
  [SMALL_STATE(847)] = 27905,
  [SMALL_STATE(848)] = 27979,
  [SMALL_STATE(849)] = 28051,
  [SMALL_STATE(850)] = 28123,
  [SMALL_STATE(851)] = 28195,
  [SMALL_STATE(852)] = 28267,
  [SMALL_STATE(853)] = 28339,
  [SMALL_STATE(854)] = 28411,
  [SMALL_STATE(855)] = 28481,
  [SMALL_STATE(856)] = 28553,
  [SMALL_STATE(857)] = 28625,
  [SMALL_STATE(858)] = 28697,
  [SMALL_STATE(859)] = 28767,
  [SMALL_STATE(860)] = 28839,
  [SMALL_STATE(861)] = 28911,
  [SMALL_STATE(862)] = 28983,
  [SMALL_STATE(863)] = 29055,
  [SMALL_STATE(864)] = 29127,
  [SMALL_STATE(865)] = 29197,
  [SMALL_STATE(866)] = 29269,
  [SMALL_STATE(867)] = 29341,
  [SMALL_STATE(868)] = 29413,
  [SMALL_STATE(869)] = 29483,
  [SMALL_STATE(870)] = 29555,
  [SMALL_STATE(871)] = 29627,
  [SMALL_STATE(872)] = 29699,
  [SMALL_STATE(873)] = 29771,
  [SMALL_STATE(874)] = 29845,
  [SMALL_STATE(875)] = 29917,
  [SMALL_STATE(876)] = 30007,
  [SMALL_STATE(877)] = 30081,
  [SMALL_STATE(878)] = 30153,
  [SMALL_STATE(879)] = 30225,
  [SMALL_STATE(880)] = 30297,
  [SMALL_STATE(881)] = 30369,
  [SMALL_STATE(882)] = 30441,
  [SMALL_STATE(883)] = 30513,
  [SMALL_STATE(884)] = 30583,
  [SMALL_STATE(885)] = 30655,
  [SMALL_STATE(886)] = 30727,
  [SMALL_STATE(887)] = 30799,
  [SMALL_STATE(888)] = 30871,
  [SMALL_STATE(889)] = 30942,
  [SMALL_STATE(890)] = 31013,
  [SMALL_STATE(891)] = 31084,
  [SMALL_STATE(892)] = 31155,
  [SMALL_STATE(893)] = 31226,
  [SMALL_STATE(894)] = 31297,
  [SMALL_STATE(895)] = 31368,
  [SMALL_STATE(896)] = 31439,
  [SMALL_STATE(897)] = 31510,
  [SMALL_STATE(898)] = 31581,
  [SMALL_STATE(899)] = 31652,
  [SMALL_STATE(900)] = 31723,
  [SMALL_STATE(901)] = 31794,
  [SMALL_STATE(902)] = 31865,
  [SMALL_STATE(903)] = 31936,
  [SMALL_STATE(904)] = 32007,
  [SMALL_STATE(905)] = 32078,
  [SMALL_STATE(906)] = 32149,
  [SMALL_STATE(907)] = 32220,
  [SMALL_STATE(908)] = 32291,
  [SMALL_STATE(909)] = 32362,
  [SMALL_STATE(910)] = 32433,
  [SMALL_STATE(911)] = 32504,
  [SMALL_STATE(912)] = 32575,
  [SMALL_STATE(913)] = 32646,
  [SMALL_STATE(914)] = 32717,
  [SMALL_STATE(915)] = 32788,
  [SMALL_STATE(916)] = 32859,
  [SMALL_STATE(917)] = 32930,
  [SMALL_STATE(918)] = 33001,
  [SMALL_STATE(919)] = 33072,
  [SMALL_STATE(920)] = 33143,
  [SMALL_STATE(921)] = 33214,
  [SMALL_STATE(922)] = 33285,
  [SMALL_STATE(923)] = 33356,
  [SMALL_STATE(924)] = 33427,
  [SMALL_STATE(925)] = 33498,
  [SMALL_STATE(926)] = 33569,
  [SMALL_STATE(927)] = 33640,
  [SMALL_STATE(928)] = 33711,
  [SMALL_STATE(929)] = 33782,
  [SMALL_STATE(930)] = 33853,
  [SMALL_STATE(931)] = 33924,
  [SMALL_STATE(932)] = 34011,
  [SMALL_STATE(933)] = 34082,
  [SMALL_STATE(934)] = 34153,
  [SMALL_STATE(935)] = 34224,
  [SMALL_STATE(936)] = 34295,
  [SMALL_STATE(937)] = 34366,
  [SMALL_STATE(938)] = 34437,
  [SMALL_STATE(939)] = 34508,
  [SMALL_STATE(940)] = 34579,
  [SMALL_STATE(941)] = 34650,
  [SMALL_STATE(942)] = 34721,
  [SMALL_STATE(943)] = 34792,
  [SMALL_STATE(944)] = 34863,
  [SMALL_STATE(945)] = 34934,
  [SMALL_STATE(946)] = 35005,
  [SMALL_STATE(947)] = 35076,
  [SMALL_STATE(948)] = 35163,
  [SMALL_STATE(949)] = 35234,
  [SMALL_STATE(950)] = 35305,
  [SMALL_STATE(951)] = 35376,
  [SMALL_STATE(952)] = 35447,
  [SMALL_STATE(953)] = 35518,
  [SMALL_STATE(954)] = 35589,
  [SMALL_STATE(955)] = 35660,
  [SMALL_STATE(956)] = 35731,
  [SMALL_STATE(957)] = 35802,
  [SMALL_STATE(958)] = 35873,
  [SMALL_STATE(959)] = 35944,
  [SMALL_STATE(960)] = 36015,
  [SMALL_STATE(961)] = 36086,
  [SMALL_STATE(962)] = 36157,
  [SMALL_STATE(963)] = 36228,
  [SMALL_STATE(964)] = 36299,
  [SMALL_STATE(965)] = 36370,
  [SMALL_STATE(966)] = 36441,
  [SMALL_STATE(967)] = 36512,
  [SMALL_STATE(968)] = 36583,
  [SMALL_STATE(969)] = 36654,
  [SMALL_STATE(970)] = 36725,
  [SMALL_STATE(971)] = 36796,
  [SMALL_STATE(972)] = 36867,
  [SMALL_STATE(973)] = 36938,
  [SMALL_STATE(974)] = 37009,
  [SMALL_STATE(975)] = 37080,
  [SMALL_STATE(976)] = 37151,
  [SMALL_STATE(977)] = 37222,
  [SMALL_STATE(978)] = 37293,
  [SMALL_STATE(979)] = 37364,
  [SMALL_STATE(980)] = 37435,
  [SMALL_STATE(981)] = 37506,
  [SMALL_STATE(982)] = 37577,
  [SMALL_STATE(983)] = 37648,
  [SMALL_STATE(984)] = 37735,
  [SMALL_STATE(985)] = 37806,
  [SMALL_STATE(986)] = 37877,
  [SMALL_STATE(987)] = 37948,
  [SMALL_STATE(988)] = 38019,
  [SMALL_STATE(989)] = 38090,
  [SMALL_STATE(990)] = 38160,
  [SMALL_STATE(991)] = 38250,
  [SMALL_STATE(992)] = 38320,
  [SMALL_STATE(993)] = 38390,
  [SMALL_STATE(994)] = 38460,
  [SMALL_STATE(995)] = 38530,
  [SMALL_STATE(996)] = 38604,
  [SMALL_STATE(997)] = 38674,
  [SMALL_STATE(998)] = 38744,
  [SMALL_STATE(999)] = 38819,
  [SMALL_STATE(1000)] = 38886,
  [SMALL_STATE(1001)] = 38953,
  [SMALL_STATE(1002)] = 39020,
  [SMALL_STATE(1003)] = 39087,
  [SMALL_STATE(1004)] = 39154,
  [SMALL_STATE(1005)] = 39221,
  [SMALL_STATE(1006)] = 39288,
  [SMALL_STATE(1007)] = 39363,
  [SMALL_STATE(1008)] = 39438,
  [SMALL_STATE(1009)] = 39513,
  [SMALL_STATE(1010)] = 39589,
  [SMALL_STATE(1011)] = 39663,
  [SMALL_STATE(1012)] = 39737,
  [SMALL_STATE(1013)] = 39811,
  [SMALL_STATE(1014)] = 39879,
  [SMALL_STATE(1015)] = 39953,
  [SMALL_STATE(1016)] = 40025,
  [SMALL_STATE(1017)] = 40101,
  [SMALL_STATE(1018)] = 40179,
  [SMALL_STATE(1019)] = 40255,
  [SMALL_STATE(1020)] = 40333,
  [SMALL_STATE(1021)] = 40409,
  [SMALL_STATE(1022)] = 40477,
  [SMALL_STATE(1023)] = 40553,
  [SMALL_STATE(1024)] = 40629,
  [SMALL_STATE(1025)] = 40705,
  [SMALL_STATE(1026)] = 40781,
  [SMALL_STATE(1027)] = 40849,
  [SMALL_STATE(1028)] = 40923,
  [SMALL_STATE(1029)] = 40999,
  [SMALL_STATE(1030)] = 41075,
  [SMALL_STATE(1031)] = 41151,
  [SMALL_STATE(1032)] = 41223,
  [SMALL_STATE(1033)] = 41291,
  [SMALL_STATE(1034)] = 41365,
  [SMALL_STATE(1035)] = 41433,
  [SMALL_STATE(1036)] = 41509,
  [SMALL_STATE(1037)] = 41583,
  [SMALL_STATE(1038)] = 41651,
  [SMALL_STATE(1039)] = 41727,
  [SMALL_STATE(1040)] = 41795,
  [SMALL_STATE(1041)] = 41871,
  [SMALL_STATE(1042)] = 41947,
  [SMALL_STATE(1043)] = 42023,
  [SMALL_STATE(1044)] = 42097,
  [SMALL_STATE(1045)] = 42172,
  [SMALL_STATE(1046)] = 42247,
  [SMALL_STATE(1047)] = 42320,
  [SMALL_STATE(1048)] = 42391,
  [SMALL_STATE(1049)] = 42462,
  [SMALL_STATE(1050)] = 42535,
  [SMALL_STATE(1051)] = 42610,
  [SMALL_STATE(1052)] = 42683,
  [SMALL_STATE(1053)] = 42759,
  [SMALL_STATE(1054)] = 42831,
  [SMALL_STATE(1055)] = 42907,
  [SMALL_STATE(1056)] = 42979,
  [SMALL_STATE(1057)] = 43051,
  [SMALL_STATE(1058)] = 43122,
  [SMALL_STATE(1059)] = 43197,
  [SMALL_STATE(1060)] = 43272,
  [SMALL_STATE(1061)] = 43343,
  [SMALL_STATE(1062)] = 43414,
  [SMALL_STATE(1063)] = 43485,
  [SMALL_STATE(1064)] = 43558,
  [SMALL_STATE(1065)] = 43626,
  [SMALL_STATE(1066)] = 43698,
  [SMALL_STATE(1067)] = 43768,
  [SMALL_STATE(1068)] = 43822,
  [SMALL_STATE(1069)] = 43890,
  [SMALL_STATE(1070)] = 43960,
  [SMALL_STATE(1071)] = 44014,
  [SMALL_STATE(1072)] = 44074,
  [SMALL_STATE(1073)] = 44133,
  [SMALL_STATE(1074)] = 44192,
  [SMALL_STATE(1075)] = 44245,
  [SMALL_STATE(1076)] = 44302,
  [SMALL_STATE(1077)] = 44355,
  [SMALL_STATE(1078)] = 44414,
  [SMALL_STATE(1079)] = 44479,
  [SMALL_STATE(1080)] = 44538,
  [SMALL_STATE(1081)] = 44591,
  [SMALL_STATE(1082)] = 44644,
  [SMALL_STATE(1083)] = 44701,
  [SMALL_STATE(1084)] = 44758,
  [SMALL_STATE(1085)] = 44812,
  [SMALL_STATE(1086)] = 44866,
  [SMALL_STATE(1087)] = 44920,
  [SMALL_STATE(1088)] = 44974,
  [SMALL_STATE(1089)] = 45028,
  [SMALL_STATE(1090)] = 45128,
  [SMALL_STATE(1091)] = 45182,
  [SMALL_STATE(1092)] = 45282,
  [SMALL_STATE(1093)] = 45336,
  [SMALL_STATE(1094)] = 45390,
  [SMALL_STATE(1095)] = 45490,
  [SMALL_STATE(1096)] = 45546,
  [SMALL_STATE(1097)] = 45602,
  [SMALL_STATE(1098)] = 45656,
  [SMALL_STATE(1099)] = 45710,
  [SMALL_STATE(1100)] = 45764,
  [SMALL_STATE(1101)] = 45818,
  [SMALL_STATE(1102)] = 45872,
  [SMALL_STATE(1103)] = 45926,
  [SMALL_STATE(1104)] = 45980,
  [SMALL_STATE(1105)] = 46034,
  [SMALL_STATE(1106)] = 46088,
  [SMALL_STATE(1107)] = 46142,
  [SMALL_STATE(1108)] = 46196,
  [SMALL_STATE(1109)] = 46250,
  [SMALL_STATE(1110)] = 46304,
  [SMALL_STATE(1111)] = 46358,
  [SMALL_STATE(1112)] = 46424,
  [SMALL_STATE(1113)] = 46480,
  [SMALL_STATE(1114)] = 46548,
  [SMALL_STATE(1115)] = 46602,
  [SMALL_STATE(1116)] = 46656,
  [SMALL_STATE(1117)] = 46752,
  [SMALL_STATE(1118)] = 46836,
  [SMALL_STATE(1119)] = 46906,
  [SMALL_STATE(1120)] = 46980,
  [SMALL_STATE(1121)] = 47072,
  [SMALL_STATE(1122)] = 47172,
  [SMALL_STATE(1123)] = 47226,
  [SMALL_STATE(1124)] = 47326,
  [SMALL_STATE(1125)] = 47416,
  [SMALL_STATE(1126)] = 47504,
  [SMALL_STATE(1127)] = 47572,
  [SMALL_STATE(1128)] = 47648,
  [SMALL_STATE(1129)] = 47702,
  [SMALL_STATE(1130)] = 47756,
  [SMALL_STATE(1131)] = 47850,
  [SMALL_STATE(1132)] = 47904,
  [SMALL_STATE(1133)] = 47958,
  [SMALL_STATE(1134)] = 48012,
  [SMALL_STATE(1135)] = 48066,
  [SMALL_STATE(1136)] = 48158,
  [SMALL_STATE(1137)] = 48212,
  [SMALL_STATE(1138)] = 48266,
  [SMALL_STATE(1139)] = 48320,
  [SMALL_STATE(1140)] = 48374,
  [SMALL_STATE(1141)] = 48428,
  [SMALL_STATE(1142)] = 48482,
  [SMALL_STATE(1143)] = 48536,
  [SMALL_STATE(1144)] = 48636,
  [SMALL_STATE(1145)] = 48690,
  [SMALL_STATE(1146)] = 48790,
  [SMALL_STATE(1147)] = 48844,
  [SMALL_STATE(1148)] = 48898,
  [SMALL_STATE(1149)] = 48998,
  [SMALL_STATE(1150)] = 49052,
  [SMALL_STATE(1151)] = 49152,
  [SMALL_STATE(1152)] = 49206,
  [SMALL_STATE(1153)] = 49260,
  [SMALL_STATE(1154)] = 49314,
  [SMALL_STATE(1155)] = 49368,
  [SMALL_STATE(1156)] = 49438,
  [SMALL_STATE(1157)] = 49492,
  [SMALL_STATE(1158)] = 49546,
  [SMALL_STATE(1159)] = 49600,
  [SMALL_STATE(1160)] = 49654,
  [SMALL_STATE(1161)] = 49708,
  [SMALL_STATE(1162)] = 49762,
  [SMALL_STATE(1163)] = 49862,
  [SMALL_STATE(1164)] = 49916,
  [SMALL_STATE(1165)] = 49970,
  [SMALL_STATE(1166)] = 50024,
  [SMALL_STATE(1167)] = 50078,
  [SMALL_STATE(1168)] = 50158,
  [SMALL_STATE(1169)] = 50258,
  [SMALL_STATE(1170)] = 50312,
  [SMALL_STATE(1171)] = 50412,
  [SMALL_STATE(1172)] = 50466,
  [SMALL_STATE(1173)] = 50520,
  [SMALL_STATE(1174)] = 50580,
  [SMALL_STATE(1175)] = 50634,
  [SMALL_STATE(1176)] = 50734,
  [SMALL_STATE(1177)] = 50788,
  [SMALL_STATE(1178)] = 50842,
  [SMALL_STATE(1179)] = 50941,
  [SMALL_STATE(1180)] = 51042,
  [SMALL_STATE(1181)] = 51141,
  [SMALL_STATE(1182)] = 51244,
  [SMALL_STATE(1183)] = 51343,
  [SMALL_STATE(1184)] = 51396,
  [SMALL_STATE(1185)] = 51495,
  [SMALL_STATE(1186)] = 51594,
  [SMALL_STATE(1187)] = 51673,
  [SMALL_STATE(1188)] = 51776,
  [SMALL_STATE(1189)] = 51879,
  [SMALL_STATE(1190)] = 51948,
  [SMALL_STATE(1191)] = 52039,
  [SMALL_STATE(1192)] = 52132,
  [SMALL_STATE(1193)] = 52207,
  [SMALL_STATE(1194)] = 52294,
  [SMALL_STATE(1195)] = 52383,
  [SMALL_STATE(1196)] = 52474,
  [SMALL_STATE(1197)] = 52547,
  [SMALL_STATE(1198)] = 52616,
  [SMALL_STATE(1199)] = 52699,
  [SMALL_STATE(1200)] = 52794,
  [SMALL_STATE(1201)] = 52893,
  [SMALL_STATE(1202)] = 52992,
  [SMALL_STATE(1203)] = 53047,
  [SMALL_STATE(1204)] = 53150,
  [SMALL_STATE(1205)] = 53253,
  [SMALL_STATE(1206)] = 53356,
  [SMALL_STATE(1207)] = 53459,
  [SMALL_STATE(1208)] = 53512,
  [SMALL_STATE(1209)] = 53569,
  [SMALL_STATE(1210)] = 53632,
  [SMALL_STATE(1211)] = 53735,
  [SMALL_STATE(1212)] = 53838,
  [SMALL_STATE(1213)] = 53937,
  [SMALL_STATE(1214)] = 54036,
  [SMALL_STATE(1215)] = 54135,
  [SMALL_STATE(1216)] = 54234,
  [SMALL_STATE(1217)] = 54337,
  [SMALL_STATE(1218)] = 54440,
  [SMALL_STATE(1219)] = 54539,
  [SMALL_STATE(1220)] = 54594,
  [SMALL_STATE(1221)] = 54649,
  [SMALL_STATE(1222)] = 54748,
  [SMALL_STATE(1223)] = 54851,
  [SMALL_STATE(1224)] = 54906,
  [SMALL_STATE(1225)] = 55009,
  [SMALL_STATE(1226)] = 55108,
  [SMALL_STATE(1227)] = 55211,
  [SMALL_STATE(1228)] = 55314,
  [SMALL_STATE(1229)] = 55417,
  [SMALL_STATE(1230)] = 55472,
  [SMALL_STATE(1231)] = 55575,
  [SMALL_STATE(1232)] = 55674,
  [SMALL_STATE(1233)] = 55729,
  [SMALL_STATE(1234)] = 55832,
  [SMALL_STATE(1235)] = 55887,
  [SMALL_STATE(1236)] = 55986,
  [SMALL_STATE(1237)] = 56045,
  [SMALL_STATE(1238)] = 56144,
  [SMALL_STATE(1239)] = 56243,
  [SMALL_STATE(1240)] = 56300,
  [SMALL_STATE(1241)] = 56399,
  [SMALL_STATE(1242)] = 56502,
  [SMALL_STATE(1243)] = 56601,
  [SMALL_STATE(1244)] = 56700,
  [SMALL_STATE(1245)] = 56795,
  [SMALL_STATE(1246)] = 56878,
  [SMALL_STATE(1247)] = 56947,
  [SMALL_STATE(1248)] = 57020,
  [SMALL_STATE(1249)] = 57111,
  [SMALL_STATE(1250)] = 57200,
  [SMALL_STATE(1251)] = 57287,
  [SMALL_STATE(1252)] = 57362,
  [SMALL_STATE(1253)] = 57455,
  [SMALL_STATE(1254)] = 57546,
  [SMALL_STATE(1255)] = 57615,
  [SMALL_STATE(1256)] = 57694,
  [SMALL_STATE(1257)] = 57793,
  [SMALL_STATE(1258)] = 57892,
  [SMALL_STATE(1259)] = 57947,
  [SMALL_STATE(1260)] = 58046,
  [SMALL_STATE(1261)] = 58145,
  [SMALL_STATE(1262)] = 58244,
  [SMALL_STATE(1263)] = 58346,
  [SMALL_STATE(1264)] = 58398,
  [SMALL_STATE(1265)] = 58450,
  [SMALL_STATE(1266)] = 58552,
  [SMALL_STATE(1267)] = 58654,
  [SMALL_STATE(1268)] = 58706,
  [SMALL_STATE(1269)] = 58758,
  [SMALL_STATE(1270)] = 58856,
  [SMALL_STATE(1271)] = 58908,
  [SMALL_STATE(1272)] = 58966,
  [SMALL_STATE(1273)] = 59068,
  [SMALL_STATE(1274)] = 59120,
  [SMALL_STATE(1275)] = 59222,
  [SMALL_STATE(1276)] = 59274,
  [SMALL_STATE(1277)] = 59326,
  [SMALL_STATE(1278)] = 59378,
  [SMALL_STATE(1279)] = 59430,
  [SMALL_STATE(1280)] = 59532,
  [SMALL_STATE(1281)] = 59586,
  [SMALL_STATE(1282)] = 59638,
  [SMALL_STATE(1283)] = 59740,
  [SMALL_STATE(1284)] = 59792,
  [SMALL_STATE(1285)] = 59894,
  [SMALL_STATE(1286)] = 59996,
  [SMALL_STATE(1287)] = 60048,
  [SMALL_STATE(1288)] = 60150,
  [SMALL_STATE(1289)] = 60206,
  [SMALL_STATE(1290)] = 60258,
  [SMALL_STATE(1291)] = 60310,
  [SMALL_STATE(1292)] = 60362,
  [SMALL_STATE(1293)] = 60420,
  [SMALL_STATE(1294)] = 60472,
  [SMALL_STATE(1295)] = 60524,
  [SMALL_STATE(1296)] = 60626,
  [SMALL_STATE(1297)] = 60678,
  [SMALL_STATE(1298)] = 60736,
  [SMALL_STATE(1299)] = 60788,
  [SMALL_STATE(1300)] = 60890,
  [SMALL_STATE(1301)] = 60992,
  [SMALL_STATE(1302)] = 61094,
  [SMALL_STATE(1303)] = 61146,
  [SMALL_STATE(1304)] = 61198,
  [SMALL_STATE(1305)] = 61300,
  [SMALL_STATE(1306)] = 61352,
  [SMALL_STATE(1307)] = 61450,
  [SMALL_STATE(1308)] = 61552,
  [SMALL_STATE(1309)] = 61604,
  [SMALL_STATE(1310)] = 61656,
  [SMALL_STATE(1311)] = 61708,
  [SMALL_STATE(1312)] = 61810,
  [SMALL_STATE(1313)] = 61862,
  [SMALL_STATE(1314)] = 61914,
  [SMALL_STATE(1315)] = 61968,
  [SMALL_STATE(1316)] = 62070,
  [SMALL_STATE(1317)] = 62172,
  [SMALL_STATE(1318)] = 62228,
  [SMALL_STATE(1319)] = 62284,
  [SMALL_STATE(1320)] = 62340,
  [SMALL_STATE(1321)] = 62442,
  [SMALL_STATE(1322)] = 62544,
  [SMALL_STATE(1323)] = 62598,
  [SMALL_STATE(1324)] = 62656,
  [SMALL_STATE(1325)] = 62758,
  [SMALL_STATE(1326)] = 62810,
  [SMALL_STATE(1327)] = 62912,
  [SMALL_STATE(1328)] = 62968,
  [SMALL_STATE(1329)] = 63020,
  [SMALL_STATE(1330)] = 63122,
  [SMALL_STATE(1331)] = 63224,
  [SMALL_STATE(1332)] = 63276,
  [SMALL_STATE(1333)] = 63378,
  [SMALL_STATE(1334)] = 63480,
  [SMALL_STATE(1335)] = 63532,
  [SMALL_STATE(1336)] = 63586,
  [SMALL_STATE(1337)] = 63642,
  [SMALL_STATE(1338)] = 63694,
  [SMALL_STATE(1339)] = 63746,
  [SMALL_STATE(1340)] = 63802,
  [SMALL_STATE(1341)] = 63904,
  [SMALL_STATE(1342)] = 63956,
  [SMALL_STATE(1343)] = 64008,
  [SMALL_STATE(1344)] = 64060,
  [SMALL_STATE(1345)] = 64112,
  [SMALL_STATE(1346)] = 64210,
  [SMALL_STATE(1347)] = 64262,
  [SMALL_STATE(1348)] = 64314,
  [SMALL_STATE(1349)] = 64370,
  [SMALL_STATE(1350)] = 64472,
  [SMALL_STATE(1351)] = 64528,
  [SMALL_STATE(1352)] = 64584,
  [SMALL_STATE(1353)] = 64640,
  [SMALL_STATE(1354)] = 64696,
  [SMALL_STATE(1355)] = 64748,
  [SMALL_STATE(1356)] = 64850,
  [SMALL_STATE(1357)] = 64906,
  [SMALL_STATE(1358)] = 64962,
  [SMALL_STATE(1359)] = 65014,
  [SMALL_STATE(1360)] = 65066,
  [SMALL_STATE(1361)] = 65118,
  [SMALL_STATE(1362)] = 65176,
  [SMALL_STATE(1363)] = 65228,
  [SMALL_STATE(1364)] = 65280,
  [SMALL_STATE(1365)] = 65332,
  [SMALL_STATE(1366)] = 65434,
  [SMALL_STATE(1367)] = 65486,
  [SMALL_STATE(1368)] = 65538,
  [SMALL_STATE(1369)] = 65590,
  [SMALL_STATE(1370)] = 65642,
  [SMALL_STATE(1371)] = 65744,
  [SMALL_STATE(1372)] = 65796,
  [SMALL_STATE(1373)] = 65898,
  [SMALL_STATE(1374)] = 65995,
  [SMALL_STATE(1375)] = 66092,
  [SMALL_STATE(1376)] = 66181,
  [SMALL_STATE(1377)] = 66278,
  [SMALL_STATE(1378)] = 66375,
  [SMALL_STATE(1379)] = 66452,
  [SMALL_STATE(1380)] = 66551,
  [SMALL_STATE(1381)] = 66648,
  [SMALL_STATE(1382)] = 66747,
  [SMALL_STATE(1383)] = 66846,
  [SMALL_STATE(1384)] = 66943,
  [SMALL_STATE(1385)] = 67040,
  [SMALL_STATE(1386)] = 67133,
  [SMALL_STATE(1387)] = 67230,
  [SMALL_STATE(1388)] = 67327,
  [SMALL_STATE(1389)] = 67424,
  [SMALL_STATE(1390)] = 67521,
  [SMALL_STATE(1391)] = 67620,
  [SMALL_STATE(1392)] = 67687,
  [SMALL_STATE(1393)] = 67774,
  [SMALL_STATE(1394)] = 67855,
  [SMALL_STATE(1395)] = 67944,
  [SMALL_STATE(1396)] = 68011,
  [SMALL_STATE(1397)] = 68102,
  [SMALL_STATE(1398)] = 68173,
  [SMALL_STATE(1399)] = 68270,
  [SMALL_STATE(1400)] = 68367,
  [SMALL_STATE(1401)] = 68440,
  [SMALL_STATE(1402)] = 68539,
  [SMALL_STATE(1403)] = 68594,
  [SMALL_STATE(1404)] = 68679,
  [SMALL_STATE(1405)] = 68776,
  [SMALL_STATE(1406)] = 68831,
  [SMALL_STATE(1407)] = 68928,
  [SMALL_STATE(1408)] = 69025,
  [SMALL_STATE(1409)] = 69122,
  [SMALL_STATE(1410)] = 69219,
  [SMALL_STATE(1411)] = 69316,
  [SMALL_STATE(1412)] = 69413,
  [SMALL_STATE(1413)] = 69468,
  [SMALL_STATE(1414)] = 69564,
  [SMALL_STATE(1415)] = 69636,
  [SMALL_STATE(1416)] = 69732,
  [SMALL_STATE(1417)] = 69824,
  [SMALL_STATE(1418)] = 69904,
  [SMALL_STATE(1419)] = 69970,
  [SMALL_STATE(1420)] = 70026,
  [SMALL_STATE(1421)] = 70082,
  [SMALL_STATE(1422)] = 70180,
  [SMALL_STATE(1423)] = 70276,
  [SMALL_STATE(1424)] = 70346,
  [SMALL_STATE(1425)] = 70402,
  [SMALL_STATE(1426)] = 70490,
  [SMALL_STATE(1427)] = 70586,
  [SMALL_STATE(1428)] = 70672,
  [SMALL_STATE(1429)] = 70768,
  [SMALL_STATE(1430)] = 70864,
  [SMALL_STATE(1431)] = 70960,
  [SMALL_STATE(1432)] = 71056,
  [SMALL_STATE(1433)] = 71152,
  [SMALL_STATE(1434)] = 71248,
  [SMALL_STATE(1435)] = 71344,
  [SMALL_STATE(1436)] = 71400,
  [SMALL_STATE(1437)] = 71496,
  [SMALL_STATE(1438)] = 71592,
  [SMALL_STATE(1439)] = 71688,
  [SMALL_STATE(1440)] = 71784,
  [SMALL_STATE(1441)] = 71868,
  [SMALL_STATE(1442)] = 71964,
  [SMALL_STATE(1443)] = 72060,
  [SMALL_STATE(1444)] = 72156,
  [SMALL_STATE(1445)] = 72252,
  [SMALL_STATE(1446)] = 72328,
  [SMALL_STATE(1447)] = 72424,
  [SMALL_STATE(1448)] = 72490,
  [SMALL_STATE(1449)] = 72578,
  [SMALL_STATE(1450)] = 72668,
  [SMALL_STATE(1451)] = 72761,
  [SMALL_STATE(1452)] = 72854,
  [SMALL_STATE(1453)] = 72949,
  [SMALL_STATE(1454)] = 73044,
  [SMALL_STATE(1455)] = 73139,
  [SMALL_STATE(1456)] = 73194,
  [SMALL_STATE(1457)] = 73249,
  [SMALL_STATE(1458)] = 73304,
  [SMALL_STATE(1459)] = 73399,
  [SMALL_STATE(1460)] = 73494,
  [SMALL_STATE(1461)] = 73589,
  [SMALL_STATE(1462)] = 73644,
  [SMALL_STATE(1463)] = 73695,
  [SMALL_STATE(1464)] = 73746,
  [SMALL_STATE(1465)] = 73841,
  [SMALL_STATE(1466)] = 73928,
  [SMALL_STATE(1467)] = 74015,
  [SMALL_STATE(1468)] = 74102,
  [SMALL_STATE(1469)] = 74189,
  [SMALL_STATE(1470)] = 74276,
  [SMALL_STATE(1471)] = 74363,
  [SMALL_STATE(1472)] = 74448,
  [SMALL_STATE(1473)] = 74535,
  [SMALL_STATE(1474)] = 74622,
  [SMALL_STATE(1475)] = 74709,
  [SMALL_STATE(1476)] = 74796,
  [SMALL_STATE(1477)] = 74883,
  [SMALL_STATE(1478)] = 74970,
  [SMALL_STATE(1479)] = 75057,
  [SMALL_STATE(1480)] = 75144,
  [SMALL_STATE(1481)] = 75231,
  [SMALL_STATE(1482)] = 75318,
  [SMALL_STATE(1483)] = 75405,
  [SMALL_STATE(1484)] = 75492,
  [SMALL_STATE(1485)] = 75579,
  [SMALL_STATE(1486)] = 75666,
  [SMALL_STATE(1487)] = 75753,
  [SMALL_STATE(1488)] = 75840,
  [SMALL_STATE(1489)] = 75927,
  [SMALL_STATE(1490)] = 75993,
  [SMALL_STATE(1491)] = 76065,
  [SMALL_STATE(1492)] = 76131,
  [SMALL_STATE(1493)] = 76192,
  [SMALL_STATE(1494)] = 76255,
  [SMALL_STATE(1495)] = 76318,
  [SMALL_STATE(1496)] = 76383,
  [SMALL_STATE(1497)] = 76446,
  [SMALL_STATE(1498)] = 76511,
  [SMALL_STATE(1499)] = 76576,
  [SMALL_STATE(1500)] = 76639,
  [SMALL_STATE(1501)] = 76702,
  [SMALL_STATE(1502)] = 76765,
  [SMALL_STATE(1503)] = 76830,
  [SMALL_STATE(1504)] = 76893,
  [SMALL_STATE(1505)] = 76958,
  [SMALL_STATE(1506)] = 77023,
  [SMALL_STATE(1507)] = 77088,
  [SMALL_STATE(1508)] = 77146,
  [SMALL_STATE(1509)] = 77204,
  [SMALL_STATE(1510)] = 77262,
  [SMALL_STATE(1511)] = 77320,
  [SMALL_STATE(1512)] = 77378,
  [SMALL_STATE(1513)] = 77436,
  [SMALL_STATE(1514)] = 77496,
  [SMALL_STATE(1515)] = 77554,
  [SMALL_STATE(1516)] = 77609,
  [SMALL_STATE(1517)] = 77666,
  [SMALL_STATE(1518)] = 77733,
  [SMALL_STATE(1519)] = 77787,
  [SMALL_STATE(1520)] = 77841,
  [SMALL_STATE(1521)] = 77903,
  [SMALL_STATE(1522)] = 77955,
  [SMALL_STATE(1523)] = 78007,
  [SMALL_STATE(1524)] = 78059,
  [SMALL_STATE(1525)] = 78109,
  [SMALL_STATE(1526)] = 78163,
  [SMALL_STATE(1527)] = 78225,
  [SMALL_STATE(1528)] = 78281,
  [SMALL_STATE(1529)] = 78328,
  [SMALL_STATE(1530)] = 78375,
  [SMALL_STATE(1531)] = 78408,
  [SMALL_STATE(1532)] = 78455,
  [SMALL_STATE(1533)] = 78502,
  [SMALL_STATE(1534)] = 78549,
  [SMALL_STATE(1535)] = 78582,
  [SMALL_STATE(1536)] = 78619,
  [SMALL_STATE(1537)] = 78666,
  [SMALL_STATE(1538)] = 78713,
  [SMALL_STATE(1539)] = 78743,
  [SMALL_STATE(1540)] = 78773,
  [SMALL_STATE(1541)] = 78803,
  [SMALL_STATE(1542)] = 78833,
  [SMALL_STATE(1543)] = 78863,
  [SMALL_STATE(1544)] = 78893,
  [SMALL_STATE(1545)] = 78923,
  [SMALL_STATE(1546)] = 78953,
  [SMALL_STATE(1547)] = 78983,
  [SMALL_STATE(1548)] = 79013,
  [SMALL_STATE(1549)] = 79043,
  [SMALL_STATE(1550)] = 79073,
  [SMALL_STATE(1551)] = 79103,
  [SMALL_STATE(1552)] = 79133,
  [SMALL_STATE(1553)] = 79163,
  [SMALL_STATE(1554)] = 79193,
  [SMALL_STATE(1555)] = 79223,
  [SMALL_STATE(1556)] = 79253,
  [SMALL_STATE(1557)] = 79283,
  [SMALL_STATE(1558)] = 79313,
  [SMALL_STATE(1559)] = 79343,
  [SMALL_STATE(1560)] = 79373,
  [SMALL_STATE(1561)] = 79403,
  [SMALL_STATE(1562)] = 79433,
  [SMALL_STATE(1563)] = 79463,
  [SMALL_STATE(1564)] = 79493,
  [SMALL_STATE(1565)] = 79525,
  [SMALL_STATE(1566)] = 79555,
  [SMALL_STATE(1567)] = 79585,
  [SMALL_STATE(1568)] = 79619,
  [SMALL_STATE(1569)] = 79655,
  [SMALL_STATE(1570)] = 79685,
  [SMALL_STATE(1571)] = 79715,
  [SMALL_STATE(1572)] = 79745,
  [SMALL_STATE(1573)] = 79775,
  [SMALL_STATE(1574)] = 79805,
  [SMALL_STATE(1575)] = 79835,
  [SMALL_STATE(1576)] = 79865,
  [SMALL_STATE(1577)] = 79895,
  [SMALL_STATE(1578)] = 79925,
  [SMALL_STATE(1579)] = 79955,
  [SMALL_STATE(1580)] = 79985,
  [SMALL_STATE(1581)] = 80036,
  [SMALL_STATE(1582)] = 80085,
  [SMALL_STATE(1583)] = 80114,
  [SMALL_STATE(1584)] = 80163,
  [SMALL_STATE(1585)] = 80208,
  [SMALL_STATE(1586)] = 80257,
  [SMALL_STATE(1587)] = 80290,
  [SMALL_STATE(1588)] = 80339,
  [SMALL_STATE(1589)] = 80386,
  [SMALL_STATE(1590)] = 80437,
  [SMALL_STATE(1591)] = 80484,
  [SMALL_STATE(1592)] = 80512,
  [SMALL_STATE(1593)] = 80554,
  [SMALL_STATE(1594)] = 80602,
  [SMALL_STATE(1595)] = 80644,
  [SMALL_STATE(1596)] = 80672,
  [SMALL_STATE(1597)] = 80720,
  [SMALL_STATE(1598)] = 80762,
  [SMALL_STATE(1599)] = 80804,
  [SMALL_STATE(1600)] = 80846,
  [SMALL_STATE(1601)] = 80894,
  [SMALL_STATE(1602)] = 80942,
  [SMALL_STATE(1603)] = 80988,
  [SMALL_STATE(1604)] = 81030,
  [SMALL_STATE(1605)] = 81072,
  [SMALL_STATE(1606)] = 81114,
  [SMALL_STATE(1607)] = 81156,
  [SMALL_STATE(1608)] = 81198,
  [SMALL_STATE(1609)] = 81240,
  [SMALL_STATE(1610)] = 81282,
  [SMALL_STATE(1611)] = 81330,
  [SMALL_STATE(1612)] = 81372,
  [SMALL_STATE(1613)] = 81414,
  [SMALL_STATE(1614)] = 81442,
  [SMALL_STATE(1615)] = 81484,
  [SMALL_STATE(1616)] = 81526,
  [SMALL_STATE(1617)] = 81568,
  [SMALL_STATE(1618)] = 81614,
  [SMALL_STATE(1619)] = 81656,
  [SMALL_STATE(1620)] = 81698,
  [SMALL_STATE(1621)] = 81746,
  [SMALL_STATE(1622)] = 81788,
  [SMALL_STATE(1623)] = 81830,
  [SMALL_STATE(1624)] = 81872,
  [SMALL_STATE(1625)] = 81920,
  [SMALL_STATE(1626)] = 81948,
  [SMALL_STATE(1627)] = 81976,
  [SMALL_STATE(1628)] = 82018,
  [SMALL_STATE(1629)] = 82060,
  [SMALL_STATE(1630)] = 82088,
  [SMALL_STATE(1631)] = 82115,
  [SMALL_STATE(1632)] = 82154,
  [SMALL_STATE(1633)] = 82181,
  [SMALL_STATE(1634)] = 82220,
  [SMALL_STATE(1635)] = 82247,
  [SMALL_STATE(1636)] = 82286,
  [SMALL_STATE(1637)] = 82325,
  [SMALL_STATE(1638)] = 82352,
  [SMALL_STATE(1639)] = 82391,
  [SMALL_STATE(1640)] = 82430,
  [SMALL_STATE(1641)] = 82457,
  [SMALL_STATE(1642)] = 82484,
  [SMALL_STATE(1643)] = 82523,
  [SMALL_STATE(1644)] = 82550,
  [SMALL_STATE(1645)] = 82589,
  [SMALL_STATE(1646)] = 82616,
  [SMALL_STATE(1647)] = 82643,
  [SMALL_STATE(1648)] = 82682,
  [SMALL_STATE(1649)] = 82721,
  [SMALL_STATE(1650)] = 82748,
  [SMALL_STATE(1651)] = 82787,
  [SMALL_STATE(1652)] = 82826,
  [SMALL_STATE(1653)] = 82865,
  [SMALL_STATE(1654)] = 82892,
  [SMALL_STATE(1655)] = 82931,
  [SMALL_STATE(1656)] = 82970,
  [SMALL_STATE(1657)] = 83009,
  [SMALL_STATE(1658)] = 83048,
  [SMALL_STATE(1659)] = 83087,
  [SMALL_STATE(1660)] = 83128,
  [SMALL_STATE(1661)] = 83169,
  [SMALL_STATE(1662)] = 83210,
  [SMALL_STATE(1663)] = 83251,
  [SMALL_STATE(1664)] = 83292,
  [SMALL_STATE(1665)] = 83330,
  [SMALL_STATE(1666)] = 83368,
  [SMALL_STATE(1667)] = 83406,
  [SMALL_STATE(1668)] = 83444,
  [SMALL_STATE(1669)] = 83482,
  [SMALL_STATE(1670)] = 83520,
  [SMALL_STATE(1671)] = 83558,
  [SMALL_STATE(1672)] = 83594,
  [SMALL_STATE(1673)] = 83633,
  [SMALL_STATE(1674)] = 83672,
  [SMALL_STATE(1675)] = 83711,
  [SMALL_STATE(1676)] = 83744,
  [SMALL_STATE(1677)] = 83783,
  [SMALL_STATE(1678)] = 83819,
  [SMALL_STATE(1679)] = 83855,
  [SMALL_STATE(1680)] = 83891,
  [SMALL_STATE(1681)] = 83927,
  [SMALL_STATE(1682)] = 83963,
  [SMALL_STATE(1683)] = 83999,
  [SMALL_STATE(1684)] = 84035,
  [SMALL_STATE(1685)] = 84071,
  [SMALL_STATE(1686)] = 84104,
  [SMALL_STATE(1687)] = 84137,
  [SMALL_STATE(1688)] = 84170,
  [SMALL_STATE(1689)] = 84203,
  [SMALL_STATE(1690)] = 84236,
  [SMALL_STATE(1691)] = 84269,
  [SMALL_STATE(1692)] = 84302,
  [SMALL_STATE(1693)] = 84335,
  [SMALL_STATE(1694)] = 84368,
  [SMALL_STATE(1695)] = 84401,
  [SMALL_STATE(1696)] = 84434,
  [SMALL_STATE(1697)] = 84467,
  [SMALL_STATE(1698)] = 84500,
  [SMALL_STATE(1699)] = 84533,
  [SMALL_STATE(1700)] = 84566,
  [SMALL_STATE(1701)] = 84595,
  [SMALL_STATE(1702)] = 84628,
  [SMALL_STATE(1703)] = 84661,
  [SMALL_STATE(1704)] = 84694,
  [SMALL_STATE(1705)] = 84727,
  [SMALL_STATE(1706)] = 84760,
  [SMALL_STATE(1707)] = 84791,
  [SMALL_STATE(1708)] = 84822,
  [SMALL_STATE(1709)] = 84856,
  [SMALL_STATE(1710)] = 84890,
  [SMALL_STATE(1711)] = 84919,
  [SMALL_STATE(1712)] = 84948,
  [SMALL_STATE(1713)] = 84969,
  [SMALL_STATE(1714)] = 85000,
  [SMALL_STATE(1715)] = 85029,
  [SMALL_STATE(1716)] = 85058,
  [SMALL_STATE(1717)] = 85087,
  [SMALL_STATE(1718)] = 85106,
  [SMALL_STATE(1719)] = 85125,
  [SMALL_STATE(1720)] = 85154,
  [SMALL_STATE(1721)] = 85173,
  [SMALL_STATE(1722)] = 85202,
  [SMALL_STATE(1723)] = 85231,
  [SMALL_STATE(1724)] = 85260,
  [SMALL_STATE(1725)] = 85289,
  [SMALL_STATE(1726)] = 85318,
  [SMALL_STATE(1727)] = 85347,
  [SMALL_STATE(1728)] = 85366,
  [SMALL_STATE(1729)] = 85395,
  [SMALL_STATE(1730)] = 85414,
  [SMALL_STATE(1731)] = 85443,
  [SMALL_STATE(1732)] = 85472,
  [SMALL_STATE(1733)] = 85503,
  [SMALL_STATE(1734)] = 85532,
  [SMALL_STATE(1735)] = 85561,
  [SMALL_STATE(1736)] = 85590,
  [SMALL_STATE(1737)] = 85619,
  [SMALL_STATE(1738)] = 85638,
  [SMALL_STATE(1739)] = 85667,
  [SMALL_STATE(1740)] = 85692,
  [SMALL_STATE(1741)] = 85723,
  [SMALL_STATE(1742)] = 85746,
  [SMALL_STATE(1743)] = 85771,
  [SMALL_STATE(1744)] = 85792,
  [SMALL_STATE(1745)] = 85823,
  [SMALL_STATE(1746)] = 85849,
  [SMALL_STATE(1747)] = 85873,
  [SMALL_STATE(1748)] = 85899,
  [SMALL_STATE(1749)] = 85925,
  [SMALL_STATE(1750)] = 85951,
  [SMALL_STATE(1751)] = 85969,
  [SMALL_STATE(1752)] = 85995,
  [SMALL_STATE(1753)] = 86013,
  [SMALL_STATE(1754)] = 86039,
  [SMALL_STATE(1755)] = 86065,
  [SMALL_STATE(1756)] = 86083,
  [SMALL_STATE(1757)] = 86109,
  [SMALL_STATE(1758)] = 86135,
  [SMALL_STATE(1759)] = 86155,
  [SMALL_STATE(1760)] = 86181,
  [SMALL_STATE(1761)] = 86207,
  [SMALL_STATE(1762)] = 86225,
  [SMALL_STATE(1763)] = 86247,
  [SMALL_STATE(1764)] = 86273,
  [SMALL_STATE(1765)] = 86299,
  [SMALL_STATE(1766)] = 86325,
  [SMALL_STATE(1767)] = 86343,
  [SMALL_STATE(1768)] = 86369,
  [SMALL_STATE(1769)] = 86387,
  [SMALL_STATE(1770)] = 86413,
  [SMALL_STATE(1771)] = 86431,
  [SMALL_STATE(1772)] = 86457,
  [SMALL_STATE(1773)] = 86475,
  [SMALL_STATE(1774)] = 86493,
  [SMALL_STATE(1775)] = 86517,
  [SMALL_STATE(1776)] = 86535,
  [SMALL_STATE(1777)] = 86553,
  [SMALL_STATE(1778)] = 86579,
  [SMALL_STATE(1779)] = 86605,
  [SMALL_STATE(1780)] = 86623,
  [SMALL_STATE(1781)] = 86649,
  [SMALL_STATE(1782)] = 86669,
  [SMALL_STATE(1783)] = 86687,
  [SMALL_STATE(1784)] = 86705,
  [SMALL_STATE(1785)] = 86731,
  [SMALL_STATE(1786)] = 86757,
  [SMALL_STATE(1787)] = 86785,
  [SMALL_STATE(1788)] = 86813,
  [SMALL_STATE(1789)] = 86839,
  [SMALL_STATE(1790)] = 86865,
  [SMALL_STATE(1791)] = 86891,
  [SMALL_STATE(1792)] = 86917,
  [SMALL_STATE(1793)] = 86943,
  [SMALL_STATE(1794)] = 86961,
  [SMALL_STATE(1795)] = 86987,
  [SMALL_STATE(1796)] = 87011,
  [SMALL_STATE(1797)] = 87036,
  [SMALL_STATE(1798)] = 87057,
  [SMALL_STATE(1799)] = 87082,
  [SMALL_STATE(1800)] = 87107,
  [SMALL_STATE(1801)] = 87124,
  [SMALL_STATE(1802)] = 87149,
  [SMALL_STATE(1803)] = 87174,
  [SMALL_STATE(1804)] = 87191,
  [SMALL_STATE(1805)] = 87216,
  [SMALL_STATE(1806)] = 87241,
  [SMALL_STATE(1807)] = 87258,
  [SMALL_STATE(1808)] = 87275,
  [SMALL_STATE(1809)] = 87292,
  [SMALL_STATE(1810)] = 87309,
  [SMALL_STATE(1811)] = 87334,
  [SMALL_STATE(1812)] = 87351,
  [SMALL_STATE(1813)] = 87368,
  [SMALL_STATE(1814)] = 87393,
  [SMALL_STATE(1815)] = 87418,
  [SMALL_STATE(1816)] = 87435,
  [SMALL_STATE(1817)] = 87460,
  [SMALL_STATE(1818)] = 87477,
  [SMALL_STATE(1819)] = 87498,
  [SMALL_STATE(1820)] = 87523,
  [SMALL_STATE(1821)] = 87548,
  [SMALL_STATE(1822)] = 87567,
  [SMALL_STATE(1823)] = 87592,
  [SMALL_STATE(1824)] = 87609,
  [SMALL_STATE(1825)] = 87634,
  [SMALL_STATE(1826)] = 87659,
  [SMALL_STATE(1827)] = 87676,
  [SMALL_STATE(1828)] = 87695,
  [SMALL_STATE(1829)] = 87712,
  [SMALL_STATE(1830)] = 87737,
  [SMALL_STATE(1831)] = 87762,
  [SMALL_STATE(1832)] = 87787,
  [SMALL_STATE(1833)] = 87812,
  [SMALL_STATE(1834)] = 87837,
  [SMALL_STATE(1835)] = 87862,
  [SMALL_STATE(1836)] = 87879,
  [SMALL_STATE(1837)] = 87896,
  [SMALL_STATE(1838)] = 87915,
  [SMALL_STATE(1839)] = 87932,
  [SMALL_STATE(1840)] = 87957,
  [SMALL_STATE(1841)] = 87974,
  [SMALL_STATE(1842)] = 87991,
  [SMALL_STATE(1843)] = 88008,
  [SMALL_STATE(1844)] = 88025,
  [SMALL_STATE(1845)] = 88042,
  [SMALL_STATE(1846)] = 88059,
  [SMALL_STATE(1847)] = 88084,
  [SMALL_STATE(1848)] = 88101,
  [SMALL_STATE(1849)] = 88118,
  [SMALL_STATE(1850)] = 88143,
  [SMALL_STATE(1851)] = 88168,
  [SMALL_STATE(1852)] = 88185,
  [SMALL_STATE(1853)] = 88210,
  [SMALL_STATE(1854)] = 88227,
  [SMALL_STATE(1855)] = 88244,
  [SMALL_STATE(1856)] = 88269,
  [SMALL_STATE(1857)] = 88286,
  [SMALL_STATE(1858)] = 88303,
  [SMALL_STATE(1859)] = 88320,
  [SMALL_STATE(1860)] = 88337,
  [SMALL_STATE(1861)] = 88358,
  [SMALL_STATE(1862)] = 88375,
  [SMALL_STATE(1863)] = 88400,
  [SMALL_STATE(1864)] = 88417,
  [SMALL_STATE(1865)] = 88442,
  [SMALL_STATE(1866)] = 88463,
  [SMALL_STATE(1867)] = 88488,
  [SMALL_STATE(1868)] = 88505,
  [SMALL_STATE(1869)] = 88522,
  [SMALL_STATE(1870)] = 88539,
  [SMALL_STATE(1871)] = 88556,
  [SMALL_STATE(1872)] = 88581,
  [SMALL_STATE(1873)] = 88606,
  [SMALL_STATE(1874)] = 88628,
  [SMALL_STATE(1875)] = 88650,
  [SMALL_STATE(1876)] = 88672,
  [SMALL_STATE(1877)] = 88694,
  [SMALL_STATE(1878)] = 88716,
  [SMALL_STATE(1879)] = 88736,
  [SMALL_STATE(1880)] = 88756,
  [SMALL_STATE(1881)] = 88776,
  [SMALL_STATE(1882)] = 88798,
  [SMALL_STATE(1883)] = 88818,
  [SMALL_STATE(1884)] = 88834,
  [SMALL_STATE(1885)] = 88852,
  [SMALL_STATE(1886)] = 88870,
  [SMALL_STATE(1887)] = 88892,
  [SMALL_STATE(1888)] = 88912,
  [SMALL_STATE(1889)] = 88932,
  [SMALL_STATE(1890)] = 88952,
  [SMALL_STATE(1891)] = 88972,
  [SMALL_STATE(1892)] = 88990,
  [SMALL_STATE(1893)] = 89008,
  [SMALL_STATE(1894)] = 89024,
  [SMALL_STATE(1895)] = 89044,
  [SMALL_STATE(1896)] = 89062,
  [SMALL_STATE(1897)] = 89082,
  [SMALL_STATE(1898)] = 89102,
  [SMALL_STATE(1899)] = 89124,
  [SMALL_STATE(1900)] = 89144,
  [SMALL_STATE(1901)] = 89166,
  [SMALL_STATE(1902)] = 89186,
  [SMALL_STATE(1903)] = 89206,
  [SMALL_STATE(1904)] = 89228,
  [SMALL_STATE(1905)] = 89248,
  [SMALL_STATE(1906)] = 89268,
  [SMALL_STATE(1907)] = 89290,
  [SMALL_STATE(1908)] = 89312,
  [SMALL_STATE(1909)] = 89332,
  [SMALL_STATE(1910)] = 89352,
  [SMALL_STATE(1911)] = 89372,
  [SMALL_STATE(1912)] = 89394,
  [SMALL_STATE(1913)] = 89416,
  [SMALL_STATE(1914)] = 89434,
  [SMALL_STATE(1915)] = 89454,
  [SMALL_STATE(1916)] = 89474,
  [SMALL_STATE(1917)] = 89494,
  [SMALL_STATE(1918)] = 89516,
  [SMALL_STATE(1919)] = 89536,
  [SMALL_STATE(1920)] = 89558,
  [SMALL_STATE(1921)] = 89578,
  [SMALL_STATE(1922)] = 89598,
  [SMALL_STATE(1923)] = 89620,
  [SMALL_STATE(1924)] = 89636,
  [SMALL_STATE(1925)] = 89658,
  [SMALL_STATE(1926)] = 89678,
  [SMALL_STATE(1927)] = 89698,
  [SMALL_STATE(1928)] = 89720,
  [SMALL_STATE(1929)] = 89740,
  [SMALL_STATE(1930)] = 89760,
  [SMALL_STATE(1931)] = 89780,
  [SMALL_STATE(1932)] = 89796,
  [SMALL_STATE(1933)] = 89818,
  [SMALL_STATE(1934)] = 89840,
  [SMALL_STATE(1935)] = 89862,
  [SMALL_STATE(1936)] = 89882,
  [SMALL_STATE(1937)] = 89902,
  [SMALL_STATE(1938)] = 89922,
  [SMALL_STATE(1939)] = 89942,
  [SMALL_STATE(1940)] = 89962,
  [SMALL_STATE(1941)] = 89982,
  [SMALL_STATE(1942)] = 90004,
  [SMALL_STATE(1943)] = 90024,
  [SMALL_STATE(1944)] = 90044,
  [SMALL_STATE(1945)] = 90066,
  [SMALL_STATE(1946)] = 90086,
  [SMALL_STATE(1947)] = 90106,
  [SMALL_STATE(1948)] = 90128,
  [SMALL_STATE(1949)] = 90150,
  [SMALL_STATE(1950)] = 90172,
  [SMALL_STATE(1951)] = 90194,
  [SMALL_STATE(1952)] = 90216,
  [SMALL_STATE(1953)] = 90236,
  [SMALL_STATE(1954)] = 90256,
  [SMALL_STATE(1955)] = 90276,
  [SMALL_STATE(1956)] = 90296,
  [SMALL_STATE(1957)] = 90318,
  [SMALL_STATE(1958)] = 90334,
  [SMALL_STATE(1959)] = 90356,
  [SMALL_STATE(1960)] = 90376,
  [SMALL_STATE(1961)] = 90396,
  [SMALL_STATE(1962)] = 90412,
  [SMALL_STATE(1963)] = 90428,
  [SMALL_STATE(1964)] = 90446,
  [SMALL_STATE(1965)] = 90468,
  [SMALL_STATE(1966)] = 90484,
  [SMALL_STATE(1967)] = 90500,
  [SMALL_STATE(1968)] = 90520,
  [SMALL_STATE(1969)] = 90540,
  [SMALL_STATE(1970)] = 90556,
  [SMALL_STATE(1971)] = 90578,
  [SMALL_STATE(1972)] = 90598,
  [SMALL_STATE(1973)] = 90620,
  [SMALL_STATE(1974)] = 90642,
  [SMALL_STATE(1975)] = 90664,
  [SMALL_STATE(1976)] = 90686,
  [SMALL_STATE(1977)] = 90708,
  [SMALL_STATE(1978)] = 90730,
  [SMALL_STATE(1979)] = 90752,
  [SMALL_STATE(1980)] = 90774,
  [SMALL_STATE(1981)] = 90796,
  [SMALL_STATE(1982)] = 90816,
  [SMALL_STATE(1983)] = 90838,
  [SMALL_STATE(1984)] = 90858,
  [SMALL_STATE(1985)] = 90880,
  [SMALL_STATE(1986)] = 90896,
  [SMALL_STATE(1987)] = 90918,
  [SMALL_STATE(1988)] = 90940,
  [SMALL_STATE(1989)] = 90962,
  [SMALL_STATE(1990)] = 90984,
  [SMALL_STATE(1991)] = 91006,
  [SMALL_STATE(1992)] = 91026,
  [SMALL_STATE(1993)] = 91048,
  [SMALL_STATE(1994)] = 91068,
  [SMALL_STATE(1995)] = 91088,
  [SMALL_STATE(1996)] = 91104,
  [SMALL_STATE(1997)] = 91126,
  [SMALL_STATE(1998)] = 91148,
  [SMALL_STATE(1999)] = 91170,
  [SMALL_STATE(2000)] = 91192,
  [SMALL_STATE(2001)] = 91214,
  [SMALL_STATE(2002)] = 91236,
  [SMALL_STATE(2003)] = 91258,
  [SMALL_STATE(2004)] = 91280,
  [SMALL_STATE(2005)] = 91302,
  [SMALL_STATE(2006)] = 91321,
  [SMALL_STATE(2007)] = 91340,
  [SMALL_STATE(2008)] = 91359,
  [SMALL_STATE(2009)] = 91378,
  [SMALL_STATE(2010)] = 91395,
  [SMALL_STATE(2011)] = 91414,
  [SMALL_STATE(2012)] = 91433,
  [SMALL_STATE(2013)] = 91452,
  [SMALL_STATE(2014)] = 91471,
  [SMALL_STATE(2015)] = 91488,
  [SMALL_STATE(2016)] = 91505,
  [SMALL_STATE(2017)] = 91524,
  [SMALL_STATE(2018)] = 91541,
  [SMALL_STATE(2019)] = 91560,
  [SMALL_STATE(2020)] = 91579,
  [SMALL_STATE(2021)] = 91598,
  [SMALL_STATE(2022)] = 91617,
  [SMALL_STATE(2023)] = 91636,
  [SMALL_STATE(2024)] = 91655,
  [SMALL_STATE(2025)] = 91672,
  [SMALL_STATE(2026)] = 91691,
  [SMALL_STATE(2027)] = 91710,
  [SMALL_STATE(2028)] = 91725,
  [SMALL_STATE(2029)] = 91742,
  [SMALL_STATE(2030)] = 91761,
  [SMALL_STATE(2031)] = 91780,
  [SMALL_STATE(2032)] = 91795,
  [SMALL_STATE(2033)] = 91814,
  [SMALL_STATE(2034)] = 91833,
  [SMALL_STATE(2035)] = 91852,
  [SMALL_STATE(2036)] = 91871,
  [SMALL_STATE(2037)] = 91890,
  [SMALL_STATE(2038)] = 91909,
  [SMALL_STATE(2039)] = 91928,
  [SMALL_STATE(2040)] = 91945,
  [SMALL_STATE(2041)] = 91962,
  [SMALL_STATE(2042)] = 91977,
  [SMALL_STATE(2043)] = 91996,
  [SMALL_STATE(2044)] = 92015,
  [SMALL_STATE(2045)] = 92030,
  [SMALL_STATE(2046)] = 92049,
  [SMALL_STATE(2047)] = 92068,
  [SMALL_STATE(2048)] = 92087,
  [SMALL_STATE(2049)] = 92106,
  [SMALL_STATE(2050)] = 92125,
  [SMALL_STATE(2051)] = 92144,
  [SMALL_STATE(2052)] = 92159,
  [SMALL_STATE(2053)] = 92178,
  [SMALL_STATE(2054)] = 92197,
  [SMALL_STATE(2055)] = 92214,
  [SMALL_STATE(2056)] = 92233,
  [SMALL_STATE(2057)] = 92248,
  [SMALL_STATE(2058)] = 92265,
  [SMALL_STATE(2059)] = 92284,
  [SMALL_STATE(2060)] = 92303,
  [SMALL_STATE(2061)] = 92322,
  [SMALL_STATE(2062)] = 92341,
  [SMALL_STATE(2063)] = 92356,
  [SMALL_STATE(2064)] = 92375,
  [SMALL_STATE(2065)] = 92394,
  [SMALL_STATE(2066)] = 92413,
  [SMALL_STATE(2067)] = 92432,
  [SMALL_STATE(2068)] = 92451,
  [SMALL_STATE(2069)] = 92470,
  [SMALL_STATE(2070)] = 92485,
  [SMALL_STATE(2071)] = 92504,
  [SMALL_STATE(2072)] = 92523,
  [SMALL_STATE(2073)] = 92542,
  [SMALL_STATE(2074)] = 92561,
  [SMALL_STATE(2075)] = 92580,
  [SMALL_STATE(2076)] = 92599,
  [SMALL_STATE(2077)] = 92616,
  [SMALL_STATE(2078)] = 92635,
  [SMALL_STATE(2079)] = 92654,
  [SMALL_STATE(2080)] = 92673,
  [SMALL_STATE(2081)] = 92692,
  [SMALL_STATE(2082)] = 92711,
  [SMALL_STATE(2083)] = 92728,
  [SMALL_STATE(2084)] = 92743,
  [SMALL_STATE(2085)] = 92762,
  [SMALL_STATE(2086)] = 92779,
  [SMALL_STATE(2087)] = 92796,
  [SMALL_STATE(2088)] = 92815,
  [SMALL_STATE(2089)] = 92834,
  [SMALL_STATE(2090)] = 92853,
  [SMALL_STATE(2091)] = 92872,
  [SMALL_STATE(2092)] = 92891,
  [SMALL_STATE(2093)] = 92906,
  [SMALL_STATE(2094)] = 92925,
  [SMALL_STATE(2095)] = 92944,
  [SMALL_STATE(2096)] = 92961,
  [SMALL_STATE(2097)] = 92980,
  [SMALL_STATE(2098)] = 92999,
  [SMALL_STATE(2099)] = 93018,
  [SMALL_STATE(2100)] = 93033,
  [SMALL_STATE(2101)] = 93052,
  [SMALL_STATE(2102)] = 93069,
  [SMALL_STATE(2103)] = 93088,
  [SMALL_STATE(2104)] = 93107,
  [SMALL_STATE(2105)] = 93126,
  [SMALL_STATE(2106)] = 93145,
  [SMALL_STATE(2107)] = 93162,
  [SMALL_STATE(2108)] = 93181,
  [SMALL_STATE(2109)] = 93196,
  [SMALL_STATE(2110)] = 93215,
  [SMALL_STATE(2111)] = 93234,
  [SMALL_STATE(2112)] = 93251,
  [SMALL_STATE(2113)] = 93270,
  [SMALL_STATE(2114)] = 93289,
  [SMALL_STATE(2115)] = 93308,
  [SMALL_STATE(2116)] = 93323,
  [SMALL_STATE(2117)] = 93338,
  [SMALL_STATE(2118)] = 93353,
  [SMALL_STATE(2119)] = 93368,
  [SMALL_STATE(2120)] = 93385,
  [SMALL_STATE(2121)] = 93404,
  [SMALL_STATE(2122)] = 93423,
  [SMALL_STATE(2123)] = 93440,
  [SMALL_STATE(2124)] = 93455,
  [SMALL_STATE(2125)] = 93474,
  [SMALL_STATE(2126)] = 93493,
  [SMALL_STATE(2127)] = 93512,
  [SMALL_STATE(2128)] = 93531,
  [SMALL_STATE(2129)] = 93546,
  [SMALL_STATE(2130)] = 93563,
  [SMALL_STATE(2131)] = 93580,
  [SMALL_STATE(2132)] = 93599,
  [SMALL_STATE(2133)] = 93616,
  [SMALL_STATE(2134)] = 93635,
  [SMALL_STATE(2135)] = 93654,
  [SMALL_STATE(2136)] = 93671,
  [SMALL_STATE(2137)] = 93688,
  [SMALL_STATE(2138)] = 93707,
  [SMALL_STATE(2139)] = 93722,
  [SMALL_STATE(2140)] = 93741,
  [SMALL_STATE(2141)] = 93760,
  [SMALL_STATE(2142)] = 93779,
  [SMALL_STATE(2143)] = 93798,
  [SMALL_STATE(2144)] = 93817,
  [SMALL_STATE(2145)] = 93836,
  [SMALL_STATE(2146)] = 93851,
  [SMALL_STATE(2147)] = 93870,
  [SMALL_STATE(2148)] = 93889,
  [SMALL_STATE(2149)] = 93906,
  [SMALL_STATE(2150)] = 93925,
  [SMALL_STATE(2151)] = 93942,
  [SMALL_STATE(2152)] = 93961,
  [SMALL_STATE(2153)] = 93980,
  [SMALL_STATE(2154)] = 93995,
  [SMALL_STATE(2155)] = 94011,
  [SMALL_STATE(2156)] = 94025,
  [SMALL_STATE(2157)] = 94041,
  [SMALL_STATE(2158)] = 94055,
  [SMALL_STATE(2159)] = 94071,
  [SMALL_STATE(2160)] = 94087,
  [SMALL_STATE(2161)] = 94103,
  [SMALL_STATE(2162)] = 94119,
  [SMALL_STATE(2163)] = 94135,
  [SMALL_STATE(2164)] = 94151,
  [SMALL_STATE(2165)] = 94167,
  [SMALL_STATE(2166)] = 94181,
  [SMALL_STATE(2167)] = 94197,
  [SMALL_STATE(2168)] = 94213,
  [SMALL_STATE(2169)] = 94229,
  [SMALL_STATE(2170)] = 94245,
  [SMALL_STATE(2171)] = 94261,
  [SMALL_STATE(2172)] = 94277,
  [SMALL_STATE(2173)] = 94291,
  [SMALL_STATE(2174)] = 94307,
  [SMALL_STATE(2175)] = 94321,
  [SMALL_STATE(2176)] = 94335,
  [SMALL_STATE(2177)] = 94349,
  [SMALL_STATE(2178)] = 94365,
  [SMALL_STATE(2179)] = 94381,
  [SMALL_STATE(2180)] = 94397,
  [SMALL_STATE(2181)] = 94413,
  [SMALL_STATE(2182)] = 94427,
  [SMALL_STATE(2183)] = 94443,
  [SMALL_STATE(2184)] = 94457,
  [SMALL_STATE(2185)] = 94471,
  [SMALL_STATE(2186)] = 94485,
  [SMALL_STATE(2187)] = 94501,
  [SMALL_STATE(2188)] = 94515,
  [SMALL_STATE(2189)] = 94531,
  [SMALL_STATE(2190)] = 94545,
  [SMALL_STATE(2191)] = 94559,
  [SMALL_STATE(2192)] = 94575,
  [SMALL_STATE(2193)] = 94591,
  [SMALL_STATE(2194)] = 94607,
  [SMALL_STATE(2195)] = 94623,
  [SMALL_STATE(2196)] = 94639,
  [SMALL_STATE(2197)] = 94655,
  [SMALL_STATE(2198)] = 94671,
  [SMALL_STATE(2199)] = 94687,
  [SMALL_STATE(2200)] = 94703,
  [SMALL_STATE(2201)] = 94719,
  [SMALL_STATE(2202)] = 94733,
  [SMALL_STATE(2203)] = 94749,
  [SMALL_STATE(2204)] = 94765,
  [SMALL_STATE(2205)] = 94781,
  [SMALL_STATE(2206)] = 94797,
  [SMALL_STATE(2207)] = 94813,
  [SMALL_STATE(2208)] = 94829,
  [SMALL_STATE(2209)] = 94845,
  [SMALL_STATE(2210)] = 94859,
  [SMALL_STATE(2211)] = 94875,
  [SMALL_STATE(2212)] = 94889,
  [SMALL_STATE(2213)] = 94903,
  [SMALL_STATE(2214)] = 94917,
  [SMALL_STATE(2215)] = 94933,
  [SMALL_STATE(2216)] = 94947,
  [SMALL_STATE(2217)] = 94961,
  [SMALL_STATE(2218)] = 94975,
  [SMALL_STATE(2219)] = 94989,
  [SMALL_STATE(2220)] = 95003,
  [SMALL_STATE(2221)] = 95019,
  [SMALL_STATE(2222)] = 95035,
  [SMALL_STATE(2223)] = 95051,
  [SMALL_STATE(2224)] = 95067,
  [SMALL_STATE(2225)] = 95083,
  [SMALL_STATE(2226)] = 95099,
  [SMALL_STATE(2227)] = 95115,
  [SMALL_STATE(2228)] = 95131,
  [SMALL_STATE(2229)] = 95147,
  [SMALL_STATE(2230)] = 95161,
  [SMALL_STATE(2231)] = 95177,
  [SMALL_STATE(2232)] = 95191,
  [SMALL_STATE(2233)] = 95205,
  [SMALL_STATE(2234)] = 95219,
  [SMALL_STATE(2235)] = 95235,
  [SMALL_STATE(2236)] = 95249,
  [SMALL_STATE(2237)] = 95263,
  [SMALL_STATE(2238)] = 95279,
  [SMALL_STATE(2239)] = 95295,
  [SMALL_STATE(2240)] = 95311,
  [SMALL_STATE(2241)] = 95327,
  [SMALL_STATE(2242)] = 95343,
  [SMALL_STATE(2243)] = 95359,
  [SMALL_STATE(2244)] = 95375,
  [SMALL_STATE(2245)] = 95391,
  [SMALL_STATE(2246)] = 95407,
  [SMALL_STATE(2247)] = 95423,
  [SMALL_STATE(2248)] = 95439,
  [SMALL_STATE(2249)] = 95455,
  [SMALL_STATE(2250)] = 95469,
  [SMALL_STATE(2251)] = 95485,
  [SMALL_STATE(2252)] = 95499,
  [SMALL_STATE(2253)] = 95515,
  [SMALL_STATE(2254)] = 95529,
  [SMALL_STATE(2255)] = 95545,
  [SMALL_STATE(2256)] = 95561,
  [SMALL_STATE(2257)] = 95577,
  [SMALL_STATE(2258)] = 95593,
  [SMALL_STATE(2259)] = 95607,
  [SMALL_STATE(2260)] = 95623,
  [SMALL_STATE(2261)] = 95639,
  [SMALL_STATE(2262)] = 95655,
  [SMALL_STATE(2263)] = 95671,
  [SMALL_STATE(2264)] = 95687,
  [SMALL_STATE(2265)] = 95703,
  [SMALL_STATE(2266)] = 95719,
  [SMALL_STATE(2267)] = 95733,
  [SMALL_STATE(2268)] = 95749,
  [SMALL_STATE(2269)] = 95765,
  [SMALL_STATE(2270)] = 95781,
  [SMALL_STATE(2271)] = 95797,
  [SMALL_STATE(2272)] = 95813,
  [SMALL_STATE(2273)] = 95827,
  [SMALL_STATE(2274)] = 95841,
  [SMALL_STATE(2275)] = 95857,
  [SMALL_STATE(2276)] = 95873,
  [SMALL_STATE(2277)] = 95887,
  [SMALL_STATE(2278)] = 95901,
  [SMALL_STATE(2279)] = 95917,
  [SMALL_STATE(2280)] = 95933,
  [SMALL_STATE(2281)] = 95949,
  [SMALL_STATE(2282)] = 95965,
  [SMALL_STATE(2283)] = 95979,
  [SMALL_STATE(2284)] = 95993,
  [SMALL_STATE(2285)] = 96009,
  [SMALL_STATE(2286)] = 96025,
  [SMALL_STATE(2287)] = 96041,
  [SMALL_STATE(2288)] = 96057,
  [SMALL_STATE(2289)] = 96071,
  [SMALL_STATE(2290)] = 96085,
  [SMALL_STATE(2291)] = 96099,
  [SMALL_STATE(2292)] = 96113,
  [SMALL_STATE(2293)] = 96127,
  [SMALL_STATE(2294)] = 96141,
  [SMALL_STATE(2295)] = 96157,
  [SMALL_STATE(2296)] = 96173,
  [SMALL_STATE(2297)] = 96189,
  [SMALL_STATE(2298)] = 96205,
  [SMALL_STATE(2299)] = 96221,
  [SMALL_STATE(2300)] = 96237,
  [SMALL_STATE(2301)] = 96251,
  [SMALL_STATE(2302)] = 96267,
  [SMALL_STATE(2303)] = 96283,
  [SMALL_STATE(2304)] = 96297,
  [SMALL_STATE(2305)] = 96313,
  [SMALL_STATE(2306)] = 96329,
  [SMALL_STATE(2307)] = 96345,
  [SMALL_STATE(2308)] = 96361,
  [SMALL_STATE(2309)] = 96375,
  [SMALL_STATE(2310)] = 96389,
  [SMALL_STATE(2311)] = 96405,
  [SMALL_STATE(2312)] = 96421,
  [SMALL_STATE(2313)] = 96435,
  [SMALL_STATE(2314)] = 96449,
  [SMALL_STATE(2315)] = 96463,
  [SMALL_STATE(2316)] = 96477,
  [SMALL_STATE(2317)] = 96491,
  [SMALL_STATE(2318)] = 96507,
  [SMALL_STATE(2319)] = 96523,
  [SMALL_STATE(2320)] = 96537,
  [SMALL_STATE(2321)] = 96553,
  [SMALL_STATE(2322)] = 96567,
  [SMALL_STATE(2323)] = 96581,
  [SMALL_STATE(2324)] = 96597,
  [SMALL_STATE(2325)] = 96613,
  [SMALL_STATE(2326)] = 96629,
  [SMALL_STATE(2327)] = 96645,
  [SMALL_STATE(2328)] = 96661,
  [SMALL_STATE(2329)] = 96677,
  [SMALL_STATE(2330)] = 96693,
  [SMALL_STATE(2331)] = 96707,
  [SMALL_STATE(2332)] = 96721,
  [SMALL_STATE(2333)] = 96737,
  [SMALL_STATE(2334)] = 96751,
  [SMALL_STATE(2335)] = 96767,
  [SMALL_STATE(2336)] = 96781,
  [SMALL_STATE(2337)] = 96797,
  [SMALL_STATE(2338)] = 96813,
  [SMALL_STATE(2339)] = 96827,
  [SMALL_STATE(2340)] = 96843,
  [SMALL_STATE(2341)] = 96857,
  [SMALL_STATE(2342)] = 96873,
  [SMALL_STATE(2343)] = 96887,
  [SMALL_STATE(2344)] = 96903,
  [SMALL_STATE(2345)] = 96917,
  [SMALL_STATE(2346)] = 96931,
  [SMALL_STATE(2347)] = 96947,
  [SMALL_STATE(2348)] = 96963,
  [SMALL_STATE(2349)] = 96979,
  [SMALL_STATE(2350)] = 96993,
  [SMALL_STATE(2351)] = 97007,
  [SMALL_STATE(2352)] = 97023,
  [SMALL_STATE(2353)] = 97039,
  [SMALL_STATE(2354)] = 97055,
  [SMALL_STATE(2355)] = 97071,
  [SMALL_STATE(2356)] = 97087,
  [SMALL_STATE(2357)] = 97103,
  [SMALL_STATE(2358)] = 97119,
  [SMALL_STATE(2359)] = 97135,
  [SMALL_STATE(2360)] = 97151,
  [SMALL_STATE(2361)] = 97167,
  [SMALL_STATE(2362)] = 97183,
  [SMALL_STATE(2363)] = 97199,
  [SMALL_STATE(2364)] = 97215,
  [SMALL_STATE(2365)] = 97231,
  [SMALL_STATE(2366)] = 97247,
  [SMALL_STATE(2367)] = 97263,
  [SMALL_STATE(2368)] = 97279,
  [SMALL_STATE(2369)] = 97295,
  [SMALL_STATE(2370)] = 97311,
  [SMALL_STATE(2371)] = 97327,
  [SMALL_STATE(2372)] = 97341,
  [SMALL_STATE(2373)] = 97357,
  [SMALL_STATE(2374)] = 97373,
  [SMALL_STATE(2375)] = 97389,
  [SMALL_STATE(2376)] = 97405,
  [SMALL_STATE(2377)] = 97421,
  [SMALL_STATE(2378)] = 97437,
  [SMALL_STATE(2379)] = 97453,
  [SMALL_STATE(2380)] = 97469,
  [SMALL_STATE(2381)] = 97485,
  [SMALL_STATE(2382)] = 97501,
  [SMALL_STATE(2383)] = 97517,
  [SMALL_STATE(2384)] = 97531,
  [SMALL_STATE(2385)] = 97547,
  [SMALL_STATE(2386)] = 97561,
  [SMALL_STATE(2387)] = 97577,
  [SMALL_STATE(2388)] = 97593,
  [SMALL_STATE(2389)] = 97607,
  [SMALL_STATE(2390)] = 97623,
  [SMALL_STATE(2391)] = 97637,
  [SMALL_STATE(2392)] = 97653,
  [SMALL_STATE(2393)] = 97669,
  [SMALL_STATE(2394)] = 97685,
  [SMALL_STATE(2395)] = 97701,
  [SMALL_STATE(2396)] = 97717,
  [SMALL_STATE(2397)] = 97733,
  [SMALL_STATE(2398)] = 97749,
  [SMALL_STATE(2399)] = 97765,
  [SMALL_STATE(2400)] = 97779,
  [SMALL_STATE(2401)] = 97793,
  [SMALL_STATE(2402)] = 97809,
  [SMALL_STATE(2403)] = 97825,
  [SMALL_STATE(2404)] = 97841,
  [SMALL_STATE(2405)] = 97857,
  [SMALL_STATE(2406)] = 97871,
  [SMALL_STATE(2407)] = 97887,
  [SMALL_STATE(2408)] = 97903,
  [SMALL_STATE(2409)] = 97919,
  [SMALL_STATE(2410)] = 97935,
  [SMALL_STATE(2411)] = 97951,
  [SMALL_STATE(2412)] = 97967,
  [SMALL_STATE(2413)] = 97983,
  [SMALL_STATE(2414)] = 97999,
  [SMALL_STATE(2415)] = 98013,
  [SMALL_STATE(2416)] = 98029,
  [SMALL_STATE(2417)] = 98045,
  [SMALL_STATE(2418)] = 98059,
  [SMALL_STATE(2419)] = 98075,
  [SMALL_STATE(2420)] = 98091,
  [SMALL_STATE(2421)] = 98107,
  [SMALL_STATE(2422)] = 98121,
  [SMALL_STATE(2423)] = 98137,
  [SMALL_STATE(2424)] = 98153,
  [SMALL_STATE(2425)] = 98169,
  [SMALL_STATE(2426)] = 98185,
  [SMALL_STATE(2427)] = 98201,
  [SMALL_STATE(2428)] = 98215,
  [SMALL_STATE(2429)] = 98231,
  [SMALL_STATE(2430)] = 98245,
  [SMALL_STATE(2431)] = 98259,
  [SMALL_STATE(2432)] = 98273,
  [SMALL_STATE(2433)] = 98287,
  [SMALL_STATE(2434)] = 98303,
  [SMALL_STATE(2435)] = 98319,
  [SMALL_STATE(2436)] = 98335,
  [SMALL_STATE(2437)] = 98351,
  [SMALL_STATE(2438)] = 98367,
  [SMALL_STATE(2439)] = 98381,
  [SMALL_STATE(2440)] = 98395,
  [SMALL_STATE(2441)] = 98409,
  [SMALL_STATE(2442)] = 98423,
  [SMALL_STATE(2443)] = 98437,
  [SMALL_STATE(2444)] = 98453,
  [SMALL_STATE(2445)] = 98467,
  [SMALL_STATE(2446)] = 98481,
  [SMALL_STATE(2447)] = 98495,
  [SMALL_STATE(2448)] = 98511,
  [SMALL_STATE(2449)] = 98527,
  [SMALL_STATE(2450)] = 98543,
  [SMALL_STATE(2451)] = 98557,
  [SMALL_STATE(2452)] = 98571,
  [SMALL_STATE(2453)] = 98587,
  [SMALL_STATE(2454)] = 98601,
  [SMALL_STATE(2455)] = 98615,
  [SMALL_STATE(2456)] = 98631,
  [SMALL_STATE(2457)] = 98647,
  [SMALL_STATE(2458)] = 98663,
  [SMALL_STATE(2459)] = 98679,
  [SMALL_STATE(2460)] = 98695,
  [SMALL_STATE(2461)] = 98711,
  [SMALL_STATE(2462)] = 98727,
  [SMALL_STATE(2463)] = 98743,
  [SMALL_STATE(2464)] = 98759,
  [SMALL_STATE(2465)] = 98775,
  [SMALL_STATE(2466)] = 98791,
  [SMALL_STATE(2467)] = 98805,
  [SMALL_STATE(2468)] = 98821,
  [SMALL_STATE(2469)] = 98837,
  [SMALL_STATE(2470)] = 98853,
  [SMALL_STATE(2471)] = 98869,
  [SMALL_STATE(2472)] = 98885,
  [SMALL_STATE(2473)] = 98901,
  [SMALL_STATE(2474)] = 98917,
  [SMALL_STATE(2475)] = 98933,
  [SMALL_STATE(2476)] = 98949,
  [SMALL_STATE(2477)] = 98965,
  [SMALL_STATE(2478)] = 98981,
  [SMALL_STATE(2479)] = 98997,
  [SMALL_STATE(2480)] = 99011,
  [SMALL_STATE(2481)] = 99027,
  [SMALL_STATE(2482)] = 99043,
  [SMALL_STATE(2483)] = 99059,
  [SMALL_STATE(2484)] = 99075,
  [SMALL_STATE(2485)] = 99089,
  [SMALL_STATE(2486)] = 99103,
  [SMALL_STATE(2487)] = 99119,
  [SMALL_STATE(2488)] = 99135,
  [SMALL_STATE(2489)] = 99151,
  [SMALL_STATE(2490)] = 99165,
  [SMALL_STATE(2491)] = 99181,
  [SMALL_STATE(2492)] = 99197,
  [SMALL_STATE(2493)] = 99213,
  [SMALL_STATE(2494)] = 99229,
  [SMALL_STATE(2495)] = 99245,
  [SMALL_STATE(2496)] = 99259,
  [SMALL_STATE(2497)] = 99275,
  [SMALL_STATE(2498)] = 99291,
  [SMALL_STATE(2499)] = 99307,
  [SMALL_STATE(2500)] = 99323,
  [SMALL_STATE(2501)] = 99339,
  [SMALL_STATE(2502)] = 99355,
  [SMALL_STATE(2503)] = 99369,
  [SMALL_STATE(2504)] = 99385,
  [SMALL_STATE(2505)] = 99401,
  [SMALL_STATE(2506)] = 99415,
  [SMALL_STATE(2507)] = 99429,
  [SMALL_STATE(2508)] = 99443,
  [SMALL_STATE(2509)] = 99459,
  [SMALL_STATE(2510)] = 99473,
  [SMALL_STATE(2511)] = 99487,
  [SMALL_STATE(2512)] = 99501,
  [SMALL_STATE(2513)] = 99515,
  [SMALL_STATE(2514)] = 99531,
  [SMALL_STATE(2515)] = 99547,
  [SMALL_STATE(2516)] = 99563,
  [SMALL_STATE(2517)] = 99577,
  [SMALL_STATE(2518)] = 99591,
  [SMALL_STATE(2519)] = 99607,
  [SMALL_STATE(2520)] = 99621,
  [SMALL_STATE(2521)] = 99635,
  [SMALL_STATE(2522)] = 99651,
  [SMALL_STATE(2523)] = 99667,
  [SMALL_STATE(2524)] = 99681,
  [SMALL_STATE(2525)] = 99697,
  [SMALL_STATE(2526)] = 99711,
  [SMALL_STATE(2527)] = 99725,
  [SMALL_STATE(2528)] = 99739,
  [SMALL_STATE(2529)] = 99753,
  [SMALL_STATE(2530)] = 99767,
  [SMALL_STATE(2531)] = 99783,
  [SMALL_STATE(2532)] = 99797,
  [SMALL_STATE(2533)] = 99811,
  [SMALL_STATE(2534)] = 99827,
  [SMALL_STATE(2535)] = 99841,
  [SMALL_STATE(2536)] = 99855,
  [SMALL_STATE(2537)] = 99871,
  [SMALL_STATE(2538)] = 99885,
  [SMALL_STATE(2539)] = 99899,
  [SMALL_STATE(2540)] = 99913,
  [SMALL_STATE(2541)] = 99927,
  [SMALL_STATE(2542)] = 99941,
  [SMALL_STATE(2543)] = 99957,
  [SMALL_STATE(2544)] = 99971,
  [SMALL_STATE(2545)] = 99985,
  [SMALL_STATE(2546)] = 99999,
  [SMALL_STATE(2547)] = 100013,
  [SMALL_STATE(2548)] = 100029,
  [SMALL_STATE(2549)] = 100045,
  [SMALL_STATE(2550)] = 100059,
  [SMALL_STATE(2551)] = 100073,
  [SMALL_STATE(2552)] = 100087,
  [SMALL_STATE(2553)] = 100103,
  [SMALL_STATE(2554)] = 100117,
  [SMALL_STATE(2555)] = 100131,
  [SMALL_STATE(2556)] = 100147,
  [SMALL_STATE(2557)] = 100163,
  [SMALL_STATE(2558)] = 100177,
  [SMALL_STATE(2559)] = 100193,
  [SMALL_STATE(2560)] = 100207,
  [SMALL_STATE(2561)] = 100223,
  [SMALL_STATE(2562)] = 100239,
  [SMALL_STATE(2563)] = 100253,
  [SMALL_STATE(2564)] = 100267,
  [SMALL_STATE(2565)] = 100281,
  [SMALL_STATE(2566)] = 100295,
  [SMALL_STATE(2567)] = 100311,
  [SMALL_STATE(2568)] = 100327,
  [SMALL_STATE(2569)] = 100343,
  [SMALL_STATE(2570)] = 100359,
  [SMALL_STATE(2571)] = 100373,
  [SMALL_STATE(2572)] = 100389,
  [SMALL_STATE(2573)] = 100403,
  [SMALL_STATE(2574)] = 100419,
  [SMALL_STATE(2575)] = 100435,
  [SMALL_STATE(2576)] = 100451,
  [SMALL_STATE(2577)] = 100467,
  [SMALL_STATE(2578)] = 100481,
  [SMALL_STATE(2579)] = 100495,
  [SMALL_STATE(2580)] = 100509,
  [SMALL_STATE(2581)] = 100525,
  [SMALL_STATE(2582)] = 100539,
  [SMALL_STATE(2583)] = 100555,
  [SMALL_STATE(2584)] = 100571,
  [SMALL_STATE(2585)] = 100587,
  [SMALL_STATE(2586)] = 100603,
  [SMALL_STATE(2587)] = 100619,
  [SMALL_STATE(2588)] = 100635,
  [SMALL_STATE(2589)] = 100649,
  [SMALL_STATE(2590)] = 100663,
  [SMALL_STATE(2591)] = 100677,
  [SMALL_STATE(2592)] = 100691,
  [SMALL_STATE(2593)] = 100707,
  [SMALL_STATE(2594)] = 100723,
  [SMALL_STATE(2595)] = 100739,
  [SMALL_STATE(2596)] = 100753,
  [SMALL_STATE(2597)] = 100767,
  [SMALL_STATE(2598)] = 100781,
  [SMALL_STATE(2599)] = 100797,
  [SMALL_STATE(2600)] = 100811,
  [SMALL_STATE(2601)] = 100825,
  [SMALL_STATE(2602)] = 100841,
  [SMALL_STATE(2603)] = 100855,
  [SMALL_STATE(2604)] = 100869,
  [SMALL_STATE(2605)] = 100883,
  [SMALL_STATE(2606)] = 100897,
  [SMALL_STATE(2607)] = 100913,
  [SMALL_STATE(2608)] = 100929,
  [SMALL_STATE(2609)] = 100945,
  [SMALL_STATE(2610)] = 100959,
  [SMALL_STATE(2611)] = 100975,
  [SMALL_STATE(2612)] = 100991,
  [SMALL_STATE(2613)] = 101007,
  [SMALL_STATE(2614)] = 101023,
  [SMALL_STATE(2615)] = 101039,
  [SMALL_STATE(2616)] = 101055,
  [SMALL_STATE(2617)] = 101071,
  [SMALL_STATE(2618)] = 101087,
  [SMALL_STATE(2619)] = 101103,
  [SMALL_STATE(2620)] = 101119,
  [SMALL_STATE(2621)] = 101135,
  [SMALL_STATE(2622)] = 101151,
  [SMALL_STATE(2623)] = 101167,
  [SMALL_STATE(2624)] = 101183,
  [SMALL_STATE(2625)] = 101199,
  [SMALL_STATE(2626)] = 101215,
  [SMALL_STATE(2627)] = 101231,
  [SMALL_STATE(2628)] = 101247,
  [SMALL_STATE(2629)] = 101263,
  [SMALL_STATE(2630)] = 101279,
  [SMALL_STATE(2631)] = 101295,
  [SMALL_STATE(2632)] = 101311,
  [SMALL_STATE(2633)] = 101327,
  [SMALL_STATE(2634)] = 101343,
  [SMALL_STATE(2635)] = 101359,
  [SMALL_STATE(2636)] = 101375,
  [SMALL_STATE(2637)] = 101389,
  [SMALL_STATE(2638)] = 101405,
  [SMALL_STATE(2639)] = 101421,
  [SMALL_STATE(2640)] = 101437,
  [SMALL_STATE(2641)] = 101453,
  [SMALL_STATE(2642)] = 101469,
  [SMALL_STATE(2643)] = 101485,
  [SMALL_STATE(2644)] = 101499,
  [SMALL_STATE(2645)] = 101513,
  [SMALL_STATE(2646)] = 101527,
  [SMALL_STATE(2647)] = 101541,
  [SMALL_STATE(2648)] = 101555,
  [SMALL_STATE(2649)] = 101571,
  [SMALL_STATE(2650)] = 101585,
  [SMALL_STATE(2651)] = 101599,
  [SMALL_STATE(2652)] = 101615,
  [SMALL_STATE(2653)] = 101631,
  [SMALL_STATE(2654)] = 101647,
  [SMALL_STATE(2655)] = 101661,
  [SMALL_STATE(2656)] = 101675,
  [SMALL_STATE(2657)] = 101689,
  [SMALL_STATE(2658)] = 101703,
  [SMALL_STATE(2659)] = 101719,
  [SMALL_STATE(2660)] = 101735,
  [SMALL_STATE(2661)] = 101751,
  [SMALL_STATE(2662)] = 101767,
  [SMALL_STATE(2663)] = 101783,
  [SMALL_STATE(2664)] = 101799,
  [SMALL_STATE(2665)] = 101815,
  [SMALL_STATE(2666)] = 101829,
  [SMALL_STATE(2667)] = 101843,
  [SMALL_STATE(2668)] = 101857,
  [SMALL_STATE(2669)] = 101873,
  [SMALL_STATE(2670)] = 101889,
  [SMALL_STATE(2671)] = 101903,
  [SMALL_STATE(2672)] = 101919,
  [SMALL_STATE(2673)] = 101935,
  [SMALL_STATE(2674)] = 101951,
  [SMALL_STATE(2675)] = 101967,
  [SMALL_STATE(2676)] = 101983,
  [SMALL_STATE(2677)] = 101999,
  [SMALL_STATE(2678)] = 102015,
  [SMALL_STATE(2679)] = 102031,
  [SMALL_STATE(2680)] = 102045,
  [SMALL_STATE(2681)] = 102059,
  [SMALL_STATE(2682)] = 102073,
  [SMALL_STATE(2683)] = 102089,
  [SMALL_STATE(2684)] = 102105,
  [SMALL_STATE(2685)] = 102121,
  [SMALL_STATE(2686)] = 102134,
  [SMALL_STATE(2687)] = 102147,
  [SMALL_STATE(2688)] = 102160,
  [SMALL_STATE(2689)] = 102173,
  [SMALL_STATE(2690)] = 102186,
  [SMALL_STATE(2691)] = 102199,
  [SMALL_STATE(2692)] = 102212,
  [SMALL_STATE(2693)] = 102225,
  [SMALL_STATE(2694)] = 102238,
  [SMALL_STATE(2695)] = 102251,
  [SMALL_STATE(2696)] = 102264,
  [SMALL_STATE(2697)] = 102277,
  [SMALL_STATE(2698)] = 102290,
  [SMALL_STATE(2699)] = 102303,
  [SMALL_STATE(2700)] = 102316,
  [SMALL_STATE(2701)] = 102329,
  [SMALL_STATE(2702)] = 102342,
  [SMALL_STATE(2703)] = 102355,
  [SMALL_STATE(2704)] = 102368,
  [SMALL_STATE(2705)] = 102381,
  [SMALL_STATE(2706)] = 102394,
  [SMALL_STATE(2707)] = 102407,
  [SMALL_STATE(2708)] = 102420,
  [SMALL_STATE(2709)] = 102433,
  [SMALL_STATE(2710)] = 102446,
  [SMALL_STATE(2711)] = 102459,
  [SMALL_STATE(2712)] = 102472,
  [SMALL_STATE(2713)] = 102485,
  [SMALL_STATE(2714)] = 102498,
  [SMALL_STATE(2715)] = 102511,
  [SMALL_STATE(2716)] = 102524,
  [SMALL_STATE(2717)] = 102537,
  [SMALL_STATE(2718)] = 102550,
  [SMALL_STATE(2719)] = 102563,
  [SMALL_STATE(2720)] = 102576,
  [SMALL_STATE(2721)] = 102589,
  [SMALL_STATE(2722)] = 102602,
  [SMALL_STATE(2723)] = 102615,
  [SMALL_STATE(2724)] = 102628,
  [SMALL_STATE(2725)] = 102641,
  [SMALL_STATE(2726)] = 102654,
  [SMALL_STATE(2727)] = 102667,
  [SMALL_STATE(2728)] = 102680,
  [SMALL_STATE(2729)] = 102693,
  [SMALL_STATE(2730)] = 102706,
  [SMALL_STATE(2731)] = 102719,
  [SMALL_STATE(2732)] = 102732,
  [SMALL_STATE(2733)] = 102745,
  [SMALL_STATE(2734)] = 102758,
  [SMALL_STATE(2735)] = 102771,
  [SMALL_STATE(2736)] = 102784,
  [SMALL_STATE(2737)] = 102797,
  [SMALL_STATE(2738)] = 102810,
  [SMALL_STATE(2739)] = 102823,
  [SMALL_STATE(2740)] = 102836,
  [SMALL_STATE(2741)] = 102849,
  [SMALL_STATE(2742)] = 102862,
  [SMALL_STATE(2743)] = 102875,
  [SMALL_STATE(2744)] = 102888,
  [SMALL_STATE(2745)] = 102901,
  [SMALL_STATE(2746)] = 102914,
  [SMALL_STATE(2747)] = 102927,
  [SMALL_STATE(2748)] = 102940,
  [SMALL_STATE(2749)] = 102953,
  [SMALL_STATE(2750)] = 102966,
  [SMALL_STATE(2751)] = 102979,
  [SMALL_STATE(2752)] = 102992,
  [SMALL_STATE(2753)] = 103005,
  [SMALL_STATE(2754)] = 103018,
  [SMALL_STATE(2755)] = 103031,
  [SMALL_STATE(2756)] = 103044,
  [SMALL_STATE(2757)] = 103057,
  [SMALL_STATE(2758)] = 103070,
  [SMALL_STATE(2759)] = 103083,
  [SMALL_STATE(2760)] = 103096,
  [SMALL_STATE(2761)] = 103109,
  [SMALL_STATE(2762)] = 103122,
  [SMALL_STATE(2763)] = 103135,
  [SMALL_STATE(2764)] = 103148,
  [SMALL_STATE(2765)] = 103161,
  [SMALL_STATE(2766)] = 103174,
  [SMALL_STATE(2767)] = 103187,
  [SMALL_STATE(2768)] = 103200,
  [SMALL_STATE(2769)] = 103213,
  [SMALL_STATE(2770)] = 103226,
  [SMALL_STATE(2771)] = 103239,
  [SMALL_STATE(2772)] = 103252,
  [SMALL_STATE(2773)] = 103265,
  [SMALL_STATE(2774)] = 103278,
  [SMALL_STATE(2775)] = 103291,
  [SMALL_STATE(2776)] = 103304,
  [SMALL_STATE(2777)] = 103317,
  [SMALL_STATE(2778)] = 103330,
  [SMALL_STATE(2779)] = 103343,
  [SMALL_STATE(2780)] = 103356,
  [SMALL_STATE(2781)] = 103369,
  [SMALL_STATE(2782)] = 103382,
  [SMALL_STATE(2783)] = 103395,
  [SMALL_STATE(2784)] = 103408,
  [SMALL_STATE(2785)] = 103421,
  [SMALL_STATE(2786)] = 103434,
  [SMALL_STATE(2787)] = 103447,
  [SMALL_STATE(2788)] = 103460,
  [SMALL_STATE(2789)] = 103473,
  [SMALL_STATE(2790)] = 103486,
  [SMALL_STATE(2791)] = 103499,
  [SMALL_STATE(2792)] = 103512,
  [SMALL_STATE(2793)] = 103525,
  [SMALL_STATE(2794)] = 103538,
  [SMALL_STATE(2795)] = 103551,
  [SMALL_STATE(2796)] = 103564,
  [SMALL_STATE(2797)] = 103577,
  [SMALL_STATE(2798)] = 103590,
  [SMALL_STATE(2799)] = 103603,
  [SMALL_STATE(2800)] = 103616,
  [SMALL_STATE(2801)] = 103629,
  [SMALL_STATE(2802)] = 103642,
  [SMALL_STATE(2803)] = 103655,
  [SMALL_STATE(2804)] = 103668,
  [SMALL_STATE(2805)] = 103681,
  [SMALL_STATE(2806)] = 103694,
  [SMALL_STATE(2807)] = 103707,
  [SMALL_STATE(2808)] = 103720,
  [SMALL_STATE(2809)] = 103733,
  [SMALL_STATE(2810)] = 103746,
  [SMALL_STATE(2811)] = 103759,
  [SMALL_STATE(2812)] = 103772,
  [SMALL_STATE(2813)] = 103785,
  [SMALL_STATE(2814)] = 103798,
  [SMALL_STATE(2815)] = 103811,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1038),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(426),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1659),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1714),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(501),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1716),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2651),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2683),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2091),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(193),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(323),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2295),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(113),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2296),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2297),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2090),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2089),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2300),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(235),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(258),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(683),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(120),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(129),
  [283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2439),
  [286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1832),
  [289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1814),
  [292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(452),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1999),
  [298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(256),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(325),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2701),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(330),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1983),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1981),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1767),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1312),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2688),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1322),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2042),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1040),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 59),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 101),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 37),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1023),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(427),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1663),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1728),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(520),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1735),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2207),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2210),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2023),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2226),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(73),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2241),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2264),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2033),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2036),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2400),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(233),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(250),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(967),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1831),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(444),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1986),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1030),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 72),
  [898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 72),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 72),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 77),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 77),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 77),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 81),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 81),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 81),
  [920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 36),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 36),
  [928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 99),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 99),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 99),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 93),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 93),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 89),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 89),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 89),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 70),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 70),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 89),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 89),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 89),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 77),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 99),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 36),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 89),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 89),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 72),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 81),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(101),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1650),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [1292] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(209),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(101),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(373),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(209),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [1394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(247),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(366),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(374),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 27),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 27),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 25),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 61),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 77),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 60),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 29),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 62),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 63),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 22),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 22),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 99),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 103),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 93),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 89),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 80),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 89),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 97),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 81),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 92),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 72),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 22),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 25),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 29),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 22),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 60),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 61),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 62),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 99),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 103),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 63),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 93),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 89),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 89),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 36),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 97),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 80),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 92),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 77),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 72),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 81),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 91),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 91),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(159),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 102),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 106),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(356),
  [1827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(248),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(401),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [1857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17),
  [1896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 43),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 39),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 39),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 17),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 17),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 40),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 40),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, .production_id = 31),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, .production_id = 31),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 64),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 64),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 9),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 73),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 73),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 74),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 74),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 74),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 74),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 78),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 78),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 31),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, .production_id = 31),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 82),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 82),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 37),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 37),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 88),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 88),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 90),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 38),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 38),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 6),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 6),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 59),
  [2199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 59), SHIFT(421),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56), REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56),
  [2249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 56), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 41),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 57),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 59), SHIFT(418),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1965),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1636),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1558),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(354),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(2439),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1523),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1896),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1897),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1961),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(2131),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1513),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1617),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 71), SHIFT_REPEAT(1528),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [2836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 89),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 99),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 77),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 100),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 105),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 6),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 34),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 33),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [2858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34), SHIFT_REPEAT(1554),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2137),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 94),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 84),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 58),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2131),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [2997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(228),
  [3000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1856),
  [3003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1798),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65), SHIFT_REPEAT(1741),
  [3045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65), SHIFT_REPEAT(230),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 65),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 18),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(2759),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [3141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(246),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 69),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 67),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, .production_id = 35),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 66),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(343),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 86),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(1893),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [3232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(245),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 64),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(356),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(401),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 31),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, .dynamic_precedence = -1),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [3368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 21),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(2042),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [3429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(218),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2095),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [3451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(2106),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(331),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(1715),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [3748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1786),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1787),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(224),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 57),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(2183),
  [3832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 9),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(1490),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [3855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(1492),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(199),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 94),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 20),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 58),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 66),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 68),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 83),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 77),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 85),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 84),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 83),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 105),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 87),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 89),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [4187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, .production_id = 98),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 99),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 100),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4237] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
};

static const bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
